#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2874
#define LARGE_STATE_COUNT 466
#define SYMBOL_COUNT 267
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  aux_sym_comment_token1 = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_expression_statement = 151,
  sym_variable_declaration = 152,
  sym_lexical_declaration = 153,
  sym_variable_declarator = 154,
  sym_statement_block = 155,
  sym_else_clause = 156,
  sym_if_statement = 157,
  sym_switch_statement = 158,
  sym_for_statement = 159,
  sym_for_in_statement = 160,
  sym__for_header = 161,
  sym_while_statement = 162,
  sym_do_statement = 163,
  sym_try_statement = 164,
  sym_with_statement = 165,
  sym_break_statement = 166,
  sym_continue_statement = 167,
  sym_debugger_statement = 168,
  sym_return_statement = 169,
  sym_throw_statement = 170,
  sym_empty_statement = 171,
  sym_labeled_statement = 172,
  sym_switch_body = 173,
  sym_switch_case = 174,
  sym_switch_default = 175,
  sym_catch_clause = 176,
  sym_finally_clause = 177,
  sym_parenthesized_expression = 178,
  sym_expression = 179,
  sym_primary_expression = 180,
  sym_yield_expression = 181,
  sym_object = 182,
  sym_object_pattern = 183,
  sym_assignment_pattern = 184,
  sym_object_assignment_pattern = 185,
  sym_array = 186,
  sym_array_pattern = 187,
  sym_glimmer_template = 188,
  sym_glimmer_opening_tag = 189,
  sym_glimmer_closing_tag = 190,
  sym_jsx_element = 191,
  sym_jsx_text = 192,
  sym_jsx_expression = 193,
  sym_jsx_opening_element = 194,
  sym_nested_identifier = 195,
  sym_jsx_namespace_name = 196,
  sym_jsx_closing_element = 197,
  sym_jsx_self_closing_element = 198,
  sym_jsx_attribute = 199,
  sym__jsx_string = 200,
  sym_class = 201,
  sym_class_declaration = 202,
  sym_class_heritage = 203,
  sym_function_expression = 204,
  sym_function_declaration = 205,
  sym_generator_function = 206,
  sym_generator_function_declaration = 207,
  sym_arrow_function = 208,
  sym_call_expression = 209,
  sym_new_expression = 210,
  sym_await_expression = 211,
  sym_member_expression = 212,
  sym_subscript_expression = 213,
  sym_assignment_expression = 214,
  sym__augmented_assignment_lhs = 215,
  sym_augmented_assignment_expression = 216,
  sym__initializer = 217,
  sym__destructuring_pattern = 218,
  sym_spread_element = 219,
  sym_ternary_expression = 220,
  sym_binary_expression = 221,
  sym_unary_expression = 222,
  sym_update_expression = 223,
  sym_sequence_expression = 224,
  sym_string = 225,
  sym_comment = 226,
  sym_template_string = 227,
  sym_template_substitution = 228,
  sym_regex = 229,
  sym_meta_property = 230,
  sym_arguments = 231,
  sym_decorator = 232,
  sym_decorator_member_expression = 233,
  sym_decorator_call_expression = 234,
  sym_class_body = 235,
  sym_field_definition = 236,
  sym_formal_parameters = 237,
  sym_class_static_block = 238,
  sym_pattern = 239,
  sym_rest_pattern = 240,
  sym_method_definition = 241,
  sym_pair = 242,
  sym_pair_pattern = 243,
  sym__property_name = 244,
  sym_computed_property_name = 245,
  aux_sym_program_repeat1 = 246,
  aux_sym_export_statement_repeat1 = 247,
  aux_sym_export_clause_repeat1 = 248,
  aux_sym_named_imports_repeat1 = 249,
  aux_sym_variable_declaration_repeat1 = 250,
  aux_sym_switch_body_repeat1 = 251,
  aux_sym_object_repeat1 = 252,
  aux_sym_object_pattern_repeat1 = 253,
  aux_sym_array_repeat1 = 254,
  aux_sym_array_pattern_repeat1 = 255,
  aux_sym_glimmer_template_repeat1 = 256,
  aux_sym_jsx_element_repeat1 = 257,
  aux_sym_jsx_opening_element_repeat1 = 258,
  aux_sym__jsx_string_repeat1 = 259,
  aux_sym__jsx_string_repeat2 = 260,
  aux_sym_sequence_expression_repeat1 = 261,
  aux_sym_string_repeat1 = 262,
  aux_sym_string_repeat2 = 263,
  aux_sym_template_string_repeat1 = 264,
  aux_sym_class_body_repeat1 = 265,
  aux_sym_formal_parameters_repeat1 = 266,
  alias_sym_property_identifier = 267,
  alias_sym_shorthand_property_identifier = 268,
  alias_sym_shorthand_property_identifier_pattern = 269,
  alias_sym_statement_identifier = 270,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 1},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_template, 0},
  [48] =
    {field_member, 0},
  [49] =
    {field_property, 0},
  [50] =
    {field_body, 2},
    {field_name, 1},
  [52] =
    {field_body, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 1},
  [55] =
    {field_arguments, 2},
    {field_constructor, 1},
  [57] =
    {field_pattern, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 14,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 16,
  [21] = 17,
  [22] = 16,
  [23] = 17,
  [24] = 16,
  [25] = 17,
  [26] = 26,
  [27] = 16,
  [28] = 17,
  [29] = 16,
  [30] = 17,
  [31] = 16,
  [32] = 17,
  [33] = 16,
  [34] = 17,
  [35] = 16,
  [36] = 17,
  [37] = 16,
  [38] = 17,
  [39] = 16,
  [40] = 16,
  [41] = 16,
  [42] = 17,
  [43] = 16,
  [44] = 17,
  [45] = 16,
  [46] = 17,
  [47] = 16,
  [48] = 17,
  [49] = 16,
  [50] = 17,
  [51] = 16,
  [52] = 17,
  [53] = 16,
  [54] = 17,
  [55] = 16,
  [56] = 17,
  [57] = 16,
  [58] = 17,
  [59] = 16,
  [60] = 17,
  [61] = 16,
  [62] = 17,
  [63] = 16,
  [64] = 17,
  [65] = 16,
  [66] = 17,
  [67] = 17,
  [68] = 17,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 72,
  [75] = 75,
  [76] = 76,
  [77] = 76,
  [78] = 78,
  [79] = 79,
  [80] = 70,
  [81] = 71,
  [82] = 78,
  [83] = 73,
  [84] = 79,
  [85] = 73,
  [86] = 86,
  [87] = 70,
  [88] = 69,
  [89] = 75,
  [90] = 71,
  [91] = 86,
  [92] = 72,
  [93] = 75,
  [94] = 76,
  [95] = 69,
  [96] = 78,
  [97] = 79,
  [98] = 70,
  [99] = 71,
  [100] = 72,
  [101] = 75,
  [102] = 76,
  [103] = 69,
  [104] = 78,
  [105] = 79,
  [106] = 70,
  [107] = 71,
  [108] = 72,
  [109] = 75,
  [110] = 76,
  [111] = 69,
  [112] = 78,
  [113] = 79,
  [114] = 73,
  [115] = 86,
  [116] = 86,
  [117] = 86,
  [118] = 73,
  [119] = 119,
  [120] = 119,
  [121] = 119,
  [122] = 119,
  [123] = 119,
  [124] = 124,
  [125] = 124,
  [126] = 126,
  [127] = 124,
  [128] = 124,
  [129] = 124,
  [130] = 124,
  [131] = 124,
  [132] = 132,
  [133] = 133,
  [134] = 132,
  [135] = 135,
  [136] = 136,
  [137] = 132,
  [138] = 132,
  [139] = 133,
  [140] = 136,
  [141] = 136,
  [142] = 132,
  [143] = 136,
  [144] = 133,
  [145] = 133,
  [146] = 133,
  [147] = 136,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 135,
  [159] = 135,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 156,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 166,
  [169] = 169,
  [170] = 163,
  [171] = 165,
  [172] = 149,
  [173] = 162,
  [174] = 148,
  [175] = 162,
  [176] = 150,
  [177] = 177,
  [178] = 161,
  [179] = 152,
  [180] = 150,
  [181] = 153,
  [182] = 149,
  [183] = 161,
  [184] = 154,
  [185] = 157,
  [186] = 160,
  [187] = 152,
  [188] = 154,
  [189] = 169,
  [190] = 163,
  [191] = 151,
  [192] = 148,
  [193] = 157,
  [194] = 166,
  [195] = 165,
  [196] = 135,
  [197] = 153,
  [198] = 160,
  [199] = 151,
  [200] = 200,
  [201] = 200,
  [202] = 166,
  [203] = 203,
  [204] = 204,
  [205] = 160,
  [206] = 152,
  [207] = 151,
  [208] = 153,
  [209] = 154,
  [210] = 210,
  [211] = 163,
  [212] = 165,
  [213] = 200,
  [214] = 148,
  [215] = 162,
  [216] = 150,
  [217] = 157,
  [218] = 161,
  [219] = 200,
  [220] = 200,
  [221] = 221,
  [222] = 149,
  [223] = 223,
  [224] = 224,
  [225] = 223,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 228,
  [230] = 228,
  [231] = 228,
  [232] = 228,
  [233] = 233,
  [234] = 233,
  [235] = 233,
  [236] = 233,
  [237] = 233,
  [238] = 238,
  [239] = 239,
  [240] = 239,
  [241] = 239,
  [242] = 239,
  [243] = 239,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 245,
  [249] = 246,
  [250] = 250,
  [251] = 245,
  [252] = 246,
  [253] = 247,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 244,
  [259] = 259,
  [260] = 260,
  [261] = 247,
  [262] = 260,
  [263] = 263,
  [264] = 264,
  [265] = 245,
  [266] = 246,
  [267] = 247,
  [268] = 263,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 264,
  [273] = 260,
  [274] = 274,
  [275] = 244,
  [276] = 263,
  [277] = 244,
  [278] = 264,
  [279] = 245,
  [280] = 246,
  [281] = 247,
  [282] = 260,
  [283] = 260,
  [284] = 284,
  [285] = 263,
  [286] = 274,
  [287] = 269,
  [288] = 250,
  [289] = 254,
  [290] = 274,
  [291] = 269,
  [292] = 274,
  [293] = 269,
  [294] = 264,
  [295] = 274,
  [296] = 269,
  [297] = 269,
  [298] = 269,
  [299] = 264,
  [300] = 263,
  [301] = 244,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 306,
  [320] = 307,
  [321] = 317,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 308,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 304,
  [330] = 330,
  [331] = 318,
  [332] = 305,
  [333] = 333,
  [334] = 328,
  [335] = 330,
  [336] = 306,
  [337] = 337,
  [338] = 307,
  [339] = 339,
  [340] = 308,
  [341] = 309,
  [342] = 318,
  [343] = 309,
  [344] = 344,
  [345] = 304,
  [346] = 322,
  [347] = 310,
  [348] = 323,
  [349] = 311,
  [350] = 318,
  [351] = 312,
  [352] = 304,
  [353] = 353,
  [354] = 305,
  [355] = 355,
  [356] = 306,
  [357] = 307,
  [358] = 308,
  [359] = 313,
  [360] = 309,
  [361] = 310,
  [362] = 311,
  [363] = 312,
  [364] = 323,
  [365] = 314,
  [366] = 315,
  [367] = 316,
  [368] = 368,
  [369] = 353,
  [370] = 310,
  [371] = 311,
  [372] = 328,
  [373] = 337,
  [374] = 317,
  [375] = 322,
  [376] = 330,
  [377] = 328,
  [378] = 330,
  [379] = 379,
  [380] = 337,
  [381] = 318,
  [382] = 314,
  [383] = 312,
  [384] = 323,
  [385] = 322,
  [386] = 323,
  [387] = 317,
  [388] = 304,
  [389] = 305,
  [390] = 306,
  [391] = 307,
  [392] = 308,
  [393] = 309,
  [394] = 310,
  [395] = 311,
  [396] = 312,
  [397] = 397,
  [398] = 313,
  [399] = 337,
  [400] = 314,
  [401] = 397,
  [402] = 303,
  [403] = 315,
  [404] = 404,
  [405] = 305,
  [406] = 406,
  [407] = 397,
  [408] = 316,
  [409] = 313,
  [410] = 314,
  [411] = 397,
  [412] = 315,
  [413] = 317,
  [414] = 328,
  [415] = 397,
  [416] = 316,
  [417] = 330,
  [418] = 337,
  [419] = 315,
  [420] = 316,
  [421] = 355,
  [422] = 353,
  [423] = 322,
  [424] = 313,
  [425] = 425,
  [426] = 425,
  [427] = 425,
  [428] = 428,
  [429] = 429,
  [430] = 429,
  [431] = 428,
  [432] = 429,
  [433] = 428,
  [434] = 428,
  [435] = 428,
  [436] = 436,
  [437] = 436,
  [438] = 438,
  [439] = 436,
  [440] = 438,
  [441] = 438,
  [442] = 442,
  [443] = 442,
  [444] = 442,
  [445] = 445,
  [446] = 446,
  [447] = 445,
  [448] = 448,
  [449] = 446,
  [450] = 450,
  [451] = 445,
  [452] = 450,
  [453] = 442,
  [454] = 442,
  [455] = 445,
  [456] = 442,
  [457] = 457,
  [458] = 446,
  [459] = 445,
  [460] = 460,
  [461] = 151,
  [462] = 152,
  [463] = 457,
  [464] = 460,
  [465] = 460,
  [466] = 466,
  [467] = 151,
  [468] = 468,
  [469] = 442,
  [470] = 152,
  [471] = 151,
  [472] = 152,
  [473] = 153,
  [474] = 460,
  [475] = 450,
  [476] = 152,
  [477] = 154,
  [478] = 151,
  [479] = 468,
  [480] = 468,
  [481] = 468,
  [482] = 468,
  [483] = 483,
  [484] = 466,
  [485] = 483,
  [486] = 151,
  [487] = 151,
  [488] = 152,
  [489] = 489,
  [490] = 151,
  [491] = 151,
  [492] = 483,
  [493] = 493,
  [494] = 494,
  [495] = 153,
  [496] = 152,
  [497] = 154,
  [498] = 498,
  [499] = 483,
  [500] = 157,
  [501] = 483,
  [502] = 502,
  [503] = 154,
  [504] = 448,
  [505] = 166,
  [506] = 466,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 152,
  [511] = 153,
  [512] = 152,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 442,
  [519] = 153,
  [520] = 154,
  [521] = 442,
  [522] = 154,
  [523] = 151,
  [524] = 152,
  [525] = 489,
  [526] = 153,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 153,
  [535] = 516,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 152,
  [540] = 502,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 151,
  [545] = 151,
  [546] = 517,
  [547] = 515,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 154,
  [553] = 154,
  [554] = 508,
  [555] = 555,
  [556] = 556,
  [557] = 508,
  [558] = 515,
  [559] = 507,
  [560] = 153,
  [561] = 561,
  [562] = 562,
  [563] = 489,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 507,
  [568] = 152,
  [569] = 569,
  [570] = 151,
  [571] = 571,
  [572] = 572,
  [573] = 154,
  [574] = 166,
  [575] = 575,
  [576] = 509,
  [577] = 152,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 152,
  [584] = 584,
  [585] = 509,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 153,
  [590] = 590,
  [591] = 157,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 527,
  [604] = 604,
  [605] = 605,
  [606] = 152,
  [607] = 154,
  [608] = 608,
  [609] = 489,
  [610] = 610,
  [611] = 498,
  [612] = 153,
  [613] = 613,
  [614] = 516,
  [615] = 615,
  [616] = 153,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 154,
  [628] = 628,
  [629] = 151,
  [630] = 502,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 466,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 527,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 154,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 517,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 151,
  [662] = 494,
  [663] = 157,
  [664] = 166,
  [665] = 494,
  [666] = 513,
  [667] = 667,
  [668] = 498,
  [669] = 153,
  [670] = 513,
  [671] = 671,
  [672] = 514,
  [673] = 673,
  [674] = 674,
  [675] = 514,
  [676] = 676,
  [677] = 677,
  [678] = 602,
  [679] = 507,
  [680] = 508,
  [681] = 509,
  [682] = 513,
  [683] = 514,
  [684] = 515,
  [685] = 516,
  [686] = 517,
  [687] = 687,
  [688] = 649,
  [689] = 549,
  [690] = 551,
  [691] = 604,
  [692] = 610,
  [693] = 617,
  [694] = 618,
  [695] = 652,
  [696] = 619,
  [697] = 620,
  [698] = 626,
  [699] = 631,
  [700] = 637,
  [701] = 655,
  [702] = 656,
  [703] = 638,
  [704] = 639,
  [705] = 645,
  [706] = 647,
  [707] = 651,
  [708] = 653,
  [709] = 657,
  [710] = 660,
  [711] = 667,
  [712] = 671,
  [713] = 673,
  [714] = 674,
  [715] = 676,
  [716] = 608,
  [717] = 529,
  [718] = 530,
  [719] = 531,
  [720] = 532,
  [721] = 533,
  [722] = 536,
  [723] = 537,
  [724] = 538,
  [725] = 541,
  [726] = 542,
  [727] = 543,
  [728] = 548,
  [729] = 550,
  [730] = 555,
  [731] = 556,
  [732] = 561,
  [733] = 562,
  [734] = 564,
  [735] = 565,
  [736] = 566,
  [737] = 569,
  [738] = 571,
  [739] = 572,
  [740] = 575,
  [741] = 658,
  [742] = 659,
  [743] = 578,
  [744] = 579,
  [745] = 580,
  [746] = 581,
  [747] = 582,
  [748] = 584,
  [749] = 586,
  [750] = 587,
  [751] = 588,
  [752] = 590,
  [753] = 528,
  [754] = 592,
  [755] = 593,
  [756] = 594,
  [757] = 595,
  [758] = 596,
  [759] = 597,
  [760] = 598,
  [761] = 599,
  [762] = 600,
  [763] = 601,
  [764] = 602,
  [765] = 605,
  [766] = 677,
  [767] = 613,
  [768] = 615,
  [769] = 621,
  [770] = 622,
  [771] = 623,
  [772] = 624,
  [773] = 625,
  [774] = 628,
  [775] = 632,
  [776] = 633,
  [777] = 634,
  [778] = 636,
  [779] = 640,
  [780] = 642,
  [781] = 643,
  [782] = 644,
  [783] = 646,
  [784] = 648,
  [785] = 549,
  [786] = 551,
  [787] = 604,
  [788] = 610,
  [789] = 617,
  [790] = 618,
  [791] = 791,
  [792] = 619,
  [793] = 620,
  [794] = 626,
  [795] = 631,
  [796] = 637,
  [797] = 638,
  [798] = 639,
  [799] = 645,
  [800] = 647,
  [801] = 651,
  [802] = 791,
  [803] = 657,
  [804] = 660,
  [805] = 667,
  [806] = 671,
  [807] = 673,
  [808] = 674,
  [809] = 676,
  [810] = 608,
  [811] = 529,
  [812] = 530,
  [813] = 531,
  [814] = 532,
  [815] = 533,
  [816] = 536,
  [817] = 537,
  [818] = 538,
  [819] = 541,
  [820] = 542,
  [821] = 543,
  [822] = 548,
  [823] = 550,
  [824] = 157,
  [825] = 555,
  [826] = 556,
  [827] = 561,
  [828] = 562,
  [829] = 564,
  [830] = 565,
  [831] = 566,
  [832] = 569,
  [833] = 571,
  [834] = 572,
  [835] = 575,
  [836] = 578,
  [837] = 579,
  [838] = 580,
  [839] = 581,
  [840] = 582,
  [841] = 584,
  [842] = 586,
  [843] = 587,
  [844] = 588,
  [845] = 590,
  [846] = 528,
  [847] = 592,
  [848] = 593,
  [849] = 594,
  [850] = 595,
  [851] = 596,
  [852] = 597,
  [853] = 598,
  [854] = 599,
  [855] = 600,
  [856] = 601,
  [857] = 605,
  [858] = 677,
  [859] = 166,
  [860] = 613,
  [861] = 615,
  [862] = 621,
  [863] = 622,
  [864] = 623,
  [865] = 624,
  [866] = 625,
  [867] = 628,
  [868] = 632,
  [869] = 633,
  [870] = 634,
  [871] = 636,
  [872] = 640,
  [873] = 642,
  [874] = 643,
  [875] = 644,
  [876] = 646,
  [877] = 648,
  [878] = 649,
  [879] = 652,
  [880] = 153,
  [881] = 655,
  [882] = 656,
  [883] = 151,
  [884] = 494,
  [885] = 154,
  [886] = 658,
  [887] = 659,
  [888] = 152,
  [889] = 153,
  [890] = 154,
  [891] = 152,
  [892] = 153,
  [893] = 154,
  [894] = 153,
  [895] = 154,
  [896] = 791,
  [897] = 151,
  [898] = 498,
  [899] = 791,
  [900] = 791,
  [901] = 502,
  [902] = 527,
  [903] = 653,
  [904] = 556,
  [905] = 646,
  [906] = 625,
  [907] = 648,
  [908] = 626,
  [909] = 628,
  [910] = 153,
  [911] = 604,
  [912] = 610,
  [913] = 617,
  [914] = 619,
  [915] = 620,
  [916] = 618,
  [917] = 551,
  [918] = 632,
  [919] = 631,
  [920] = 637,
  [921] = 649,
  [922] = 655,
  [923] = 656,
  [924] = 638,
  [925] = 633,
  [926] = 634,
  [927] = 687,
  [928] = 928,
  [929] = 639,
  [930] = 645,
  [931] = 647,
  [932] = 651,
  [933] = 653,
  [934] = 657,
  [935] = 660,
  [936] = 667,
  [937] = 671,
  [938] = 673,
  [939] = 674,
  [940] = 676,
  [941] = 608,
  [942] = 529,
  [943] = 530,
  [944] = 531,
  [945] = 532,
  [946] = 533,
  [947] = 536,
  [948] = 537,
  [949] = 538,
  [950] = 541,
  [951] = 542,
  [952] = 543,
  [953] = 548,
  [954] = 550,
  [955] = 615,
  [956] = 621,
  [957] = 652,
  [958] = 622,
  [959] = 623,
  [960] = 549,
  [961] = 928,
  [962] = 640,
  [963] = 555,
  [964] = 613,
  [965] = 561,
  [966] = 562,
  [967] = 642,
  [968] = 564,
  [969] = 565,
  [970] = 566,
  [971] = 569,
  [972] = 928,
  [973] = 154,
  [974] = 643,
  [975] = 644,
  [976] = 571,
  [977] = 572,
  [978] = 575,
  [979] = 658,
  [980] = 659,
  [981] = 578,
  [982] = 579,
  [983] = 580,
  [984] = 581,
  [985] = 582,
  [986] = 584,
  [987] = 586,
  [988] = 587,
  [989] = 588,
  [990] = 590,
  [991] = 528,
  [992] = 592,
  [993] = 593,
  [994] = 594,
  [995] = 595,
  [996] = 596,
  [997] = 597,
  [998] = 598,
  [999] = 599,
  [1000] = 600,
  [1001] = 601,
  [1002] = 602,
  [1003] = 624,
  [1004] = 605,
  [1005] = 677,
  [1006] = 636,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 494,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1019,
  [1024] = 494,
  [1025] = 1025,
  [1026] = 1021,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1019,
  [1031] = 1019,
  [1032] = 1032,
  [1033] = 1021,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1019,
  [1037] = 1010,
  [1038] = 1038,
  [1039] = 1019,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1007,
  [1043] = 494,
  [1044] = 1038,
  [1045] = 1009,
  [1046] = 1011,
  [1047] = 1012,
  [1048] = 1032,
  [1049] = 1034,
  [1050] = 1014,
  [1051] = 1021,
  [1052] = 1032,
  [1053] = 1034,
  [1054] = 1021,
  [1055] = 1032,
  [1056] = 1034,
  [1057] = 1021,
  [1058] = 1032,
  [1059] = 1034,
  [1060] = 1029,
  [1061] = 1014,
  [1062] = 1008,
  [1063] = 1014,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1014,
  [1067] = 1067,
  [1068] = 1028,
  [1069] = 1035,
  [1070] = 1067,
  [1071] = 1019,
  [1072] = 1065,
  [1073] = 1029,
  [1074] = 1038,
  [1075] = 1021,
  [1076] = 1019,
  [1077] = 1019,
  [1078] = 1040,
  [1079] = 1041,
  [1080] = 1021,
  [1081] = 1021,
  [1082] = 1067,
  [1083] = 1064,
  [1084] = 1014,
  [1085] = 652,
  [1086] = 649,
  [1087] = 135,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 655,
  [1094] = 152,
  [1095] = 151,
  [1096] = 658,
  [1097] = 659,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 656,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 154,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 166,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1088,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 153,
  [1169] = 154,
  [1170] = 157,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1089,
  [1174] = 1090,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 153,
  [1182] = 151,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 157,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 152,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 166,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1151,
  [1199] = 1171,
  [1200] = 1115,
  [1201] = 1201,
  [1202] = 1117,
  [1203] = 1118,
  [1204] = 1119,
  [1205] = 1120,
  [1206] = 1121,
  [1207] = 1122,
  [1208] = 1123,
  [1209] = 1124,
  [1210] = 1125,
  [1211] = 1126,
  [1212] = 1131,
  [1213] = 1102,
  [1214] = 1146,
  [1215] = 1092,
  [1216] = 1197,
  [1217] = 1133,
  [1218] = 1201,
  [1219] = 1219,
  [1220] = 1191,
  [1221] = 1099,
  [1222] = 1098,
  [1223] = 1131,
  [1224] = 1133,
  [1225] = 1219,
  [1226] = 1108,
  [1227] = 1103,
  [1228] = 1196,
  [1229] = 1151,
  [1230] = 1103,
  [1231] = 1166,
  [1232] = 1232,
  [1233] = 1110,
  [1234] = 1111,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1115,
  [1238] = 1117,
  [1239] = 1118,
  [1240] = 1146,
  [1241] = 1149,
  [1242] = 1100,
  [1243] = 1201,
  [1244] = 1219,
  [1245] = 1091,
  [1246] = 135,
  [1247] = 1119,
  [1248] = 1166,
  [1249] = 1122,
  [1250] = 1197,
  [1251] = 1251,
  [1252] = 1201,
  [1253] = 1219,
  [1254] = 1177,
  [1255] = 1123,
  [1256] = 1197,
  [1257] = 1126,
  [1258] = 1191,
  [1259] = 1197,
  [1260] = 1201,
  [1261] = 1219,
  [1262] = 1177,
  [1263] = 1124,
  [1264] = 1197,
  [1265] = 1125,
  [1266] = 1266,
  [1267] = 1121,
  [1268] = 1102,
  [1269] = 1100,
  [1270] = 1172,
  [1271] = 1271,
  [1272] = 1091,
  [1273] = 1120,
  [1274] = 1092,
  [1275] = 135,
  [1276] = 1149,
  [1277] = 1108,
  [1278] = 1110,
  [1279] = 1111,
  [1280] = 1171,
  [1281] = 1116,
  [1282] = 1100,
  [1283] = 1147,
  [1284] = 1193,
  [1285] = 1285,
  [1286] = 1194,
  [1287] = 1104,
  [1288] = 1105,
  [1289] = 1106,
  [1290] = 1290,
  [1291] = 1107,
  [1292] = 1192,
  [1293] = 1109,
  [1294] = 1161,
  [1295] = 163,
  [1296] = 1112,
  [1297] = 1297,
  [1298] = 1106,
  [1299] = 1299,
  [1300] = 1167,
  [1301] = 1165,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1102,
  [1305] = 165,
  [1306] = 1154,
  [1307] = 1157,
  [1308] = 149,
  [1309] = 1176,
  [1310] = 1113,
  [1311] = 1114,
  [1312] = 1127,
  [1313] = 1128,
  [1314] = 1314,
  [1315] = 1129,
  [1316] = 1316,
  [1317] = 148,
  [1318] = 162,
  [1319] = 1285,
  [1320] = 1130,
  [1321] = 1321,
  [1322] = 1297,
  [1323] = 1302,
  [1324] = 1314,
  [1325] = 1132,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 150,
  [1329] = 1134,
  [1330] = 1159,
  [1331] = 1150,
  [1332] = 1332,
  [1333] = 1092,
  [1334] = 1135,
  [1335] = 1091,
  [1336] = 1175,
  [1337] = 1180,
  [1338] = 1183,
  [1339] = 1136,
  [1340] = 1100,
  [1341] = 1102,
  [1342] = 1184,
  [1343] = 161,
  [1344] = 1316,
  [1345] = 1345,
  [1346] = 1297,
  [1347] = 1327,
  [1348] = 1186,
  [1349] = 1155,
  [1350] = 1158,
  [1351] = 1316,
  [1352] = 1092,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1297,
  [1356] = 1327,
  [1357] = 1357,
  [1358] = 1162,
  [1359] = 1327,
  [1360] = 1148,
  [1361] = 1251,
  [1362] = 1316,
  [1363] = 1138,
  [1364] = 1297,
  [1365] = 1365,
  [1366] = 1327,
  [1367] = 1190,
  [1368] = 1178,
  [1369] = 1316,
  [1370] = 1187,
  [1371] = 1316,
  [1372] = 1316,
  [1373] = 1316,
  [1374] = 1326,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1152,
  [1378] = 1299,
  [1379] = 1316,
  [1380] = 1179,
  [1381] = 1153,
  [1382] = 1139,
  [1383] = 1091,
  [1384] = 1156,
  [1385] = 1188,
  [1386] = 1140,
  [1387] = 1141,
  [1388] = 1142,
  [1389] = 1143,
  [1390] = 1163,
  [1391] = 1164,
  [1392] = 1145,
  [1393] = 160,
  [1394] = 1111,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1398,
  [1400] = 1397,
  [1401] = 1397,
  [1402] = 1398,
  [1403] = 1354,
  [1404] = 1404,
  [1405] = 1166,
  [1406] = 1171,
  [1407] = 1177,
  [1408] = 1398,
  [1409] = 1397,
  [1410] = 1410,
  [1411] = 1110,
  [1412] = 1398,
  [1413] = 1397,
  [1414] = 1115,
  [1415] = 1117,
  [1416] = 1118,
  [1417] = 1119,
  [1418] = 1120,
  [1419] = 1121,
  [1420] = 1122,
  [1421] = 1123,
  [1422] = 1124,
  [1423] = 1125,
  [1424] = 1126,
  [1425] = 1131,
  [1426] = 1133,
  [1427] = 1146,
  [1428] = 1149,
  [1429] = 1151,
  [1430] = 1103,
  [1431] = 1191,
  [1432] = 1432,
  [1433] = 1108,
  [1434] = 1123,
  [1435] = 1435,
  [1436] = 1151,
  [1437] = 1133,
  [1438] = 1119,
  [1439] = 1120,
  [1440] = 1103,
  [1441] = 1125,
  [1442] = 1146,
  [1443] = 1191,
  [1444] = 1435,
  [1445] = 1126,
  [1446] = 1108,
  [1447] = 1124,
  [1448] = 1111,
  [1449] = 1092,
  [1450] = 1435,
  [1451] = 1149,
  [1452] = 1435,
  [1453] = 1091,
  [1454] = 1100,
  [1455] = 1117,
  [1456] = 1171,
  [1457] = 1121,
  [1458] = 1251,
  [1459] = 1110,
  [1460] = 1460,
  [1461] = 1166,
  [1462] = 1122,
  [1463] = 1435,
  [1464] = 1177,
  [1465] = 1465,
  [1466] = 1460,
  [1467] = 1115,
  [1468] = 1118,
  [1469] = 1131,
  [1470] = 1299,
  [1471] = 1100,
  [1472] = 1091,
  [1473] = 1102,
  [1474] = 1474,
  [1475] = 1106,
  [1476] = 1476,
  [1477] = 1474,
  [1478] = 1474,
  [1479] = 1476,
  [1480] = 1474,
  [1481] = 1474,
  [1482] = 1474,
  [1483] = 1474,
  [1484] = 1345,
  [1485] = 1092,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1487,
  [1489] = 1487,
  [1490] = 1490,
  [1491] = 1490,
  [1492] = 1487,
  [1493] = 1490,
  [1494] = 1490,
  [1495] = 1487,
  [1496] = 1490,
  [1497] = 1487,
  [1498] = 1490,
  [1499] = 1487,
  [1500] = 1490,
  [1501] = 1487,
  [1502] = 1490,
  [1503] = 1487,
  [1504] = 1490,
  [1505] = 1487,
  [1506] = 1490,
  [1507] = 1487,
  [1508] = 1490,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1512,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1515,
  [1518] = 1516,
  [1519] = 1515,
  [1520] = 1516,
  [1521] = 1515,
  [1522] = 1516,
  [1523] = 1516,
  [1524] = 1515,
  [1525] = 1516,
  [1526] = 1515,
  [1527] = 1515,
  [1528] = 1516,
  [1529] = 1529,
  [1530] = 1529,
  [1531] = 1531,
  [1532] = 1529,
  [1533] = 1529,
  [1534] = 1529,
  [1535] = 1529,
  [1536] = 1529,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 152,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 151,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1163,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1164,
  [1581] = 153,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 154,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1128,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1559,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1542,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1547,
  [1609] = 1609,
  [1610] = 1593,
  [1611] = 1567,
  [1612] = 1612,
  [1613] = 1543,
  [1614] = 1543,
  [1615] = 1607,
  [1616] = 1556,
  [1617] = 1560,
  [1618] = 1112,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1561,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1562,
  [1627] = 1154,
  [1628] = 1623,
  [1629] = 1623,
  [1630] = 1623,
  [1631] = 1158,
  [1632] = 1554,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1623,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1562,
  [1641] = 1619,
  [1642] = 1638,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1637,
  [1646] = 1634,
  [1647] = 1639,
  [1648] = 1620,
  [1649] = 1621,
  [1650] = 1624,
  [1651] = 1625,
  [1652] = 1652,
  [1653] = 1644,
  [1654] = 1643,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1158,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1652,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1112,
  [1665] = 1665,
  [1666] = 1656,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1636,
  [1670] = 1633,
  [1671] = 1656,
  [1672] = 1658,
  [1673] = 1665,
  [1674] = 1663,
  [1675] = 1659,
  [1676] = 1656,
  [1677] = 1668,
  [1678] = 1655,
  [1679] = 1667,
  [1680] = 1656,
  [1681] = 1661,
  [1682] = 1662,
  [1683] = 1154,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1684,
  [1688] = 1685,
  [1689] = 1684,
  [1690] = 1686,
  [1691] = 1686,
  [1692] = 1685,
  [1693] = 1686,
  [1694] = 1686,
  [1695] = 1684,
  [1696] = 1685,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1698,
  [1700] = 1698,
  [1701] = 1698,
  [1702] = 1702,
  [1703] = 1702,
  [1704] = 1704,
  [1705] = 1702,
  [1706] = 1702,
  [1707] = 1704,
  [1708] = 1704,
  [1709] = 1704,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1711,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1711,
  [1716] = 1710,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1711,
  [1721] = 1713,
  [1722] = 1722,
  [1723] = 1714,
  [1724] = 1714,
  [1725] = 1717,
  [1726] = 1713,
  [1727] = 1717,
  [1728] = 1713,
  [1729] = 1710,
  [1730] = 1710,
  [1731] = 1714,
  [1732] = 1717,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1735,
  [1739] = 151,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 152,
  [1745] = 1737,
  [1746] = 1735,
  [1747] = 1740,
  [1748] = 1748,
  [1749] = 1735,
  [1750] = 1750,
  [1751] = 1740,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1737,
  [1756] = 1756,
  [1757] = 1737,
  [1758] = 1735,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1740,
  [1764] = 1737,
  [1765] = 1765,
  [1766] = 1737,
  [1767] = 1737,
  [1768] = 1768,
  [1769] = 1740,
  [1770] = 1770,
  [1771] = 1736,
  [1772] = 1179,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1129,
  [1776] = 1130,
  [1777] = 1753,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1140,
  [1784] = 1141,
  [1785] = 1142,
  [1786] = 1143,
  [1787] = 1781,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1155,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1754,
  [1794] = 1748,
  [1795] = 154,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1196,
  [1801] = 1741,
  [1802] = 1172,
  [1803] = 1792,
  [1804] = 1798,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1780,
  [1808] = 1792,
  [1809] = 1798,
  [1810] = 1810,
  [1811] = 460,
  [1812] = 1792,
  [1813] = 1798,
  [1814] = 1798,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1789,
  [1819] = 1819,
  [1820] = 1780,
  [1821] = 1821,
  [1822] = 1165,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1792,
  [1833] = 1770,
  [1834] = 153,
  [1835] = 1780,
  [1836] = 1559,
  [1837] = 1837,
  [1838] = 1780,
  [1839] = 1760,
  [1840] = 1840,
  [1841] = 1567,
  [1842] = 1791,
  [1843] = 1140,
  [1844] = 1141,
  [1845] = 1142,
  [1846] = 1143,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1155,
  [1851] = 1172,
  [1852] = 1196,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1593,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1847,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1858,
  [1864] = 1864,
  [1865] = 1165,
  [1866] = 1854,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1862,
  [1870] = 1858,
  [1871] = 1871,
  [1872] = 1854,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1861,
  [1876] = 1862,
  [1877] = 1858,
  [1878] = 1854,
  [1879] = 1806,
  [1880] = 1880,
  [1881] = 1179,
  [1882] = 1849,
  [1883] = 1862,
  [1884] = 1858,
  [1885] = 1849,
  [1886] = 1854,
  [1887] = 1871,
  [1888] = 1880,
  [1889] = 1129,
  [1890] = 1130,
  [1891] = 1891,
  [1892] = 1862,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1861,
  [1896] = 1864,
  [1897] = 1849,
  [1898] = 1867,
  [1899] = 1899,
  [1900] = 1861,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1810,
  [1908] = 1904,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1905,
  [1914] = 502,
  [1915] = 1915,
  [1916] = 1829,
  [1917] = 1917,
  [1918] = 1903,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1919,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1912,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1904,
  [1939] = 1905,
  [1940] = 1903,
  [1941] = 1919,
  [1942] = 1942,
  [1943] = 1921,
  [1944] = 1925,
  [1945] = 1926,
  [1946] = 1927,
  [1947] = 1947,
  [1948] = 1929,
  [1949] = 1930,
  [1950] = 1932,
  [1951] = 1951,
  [1952] = 1912,
  [1953] = 1934,
  [1954] = 1935,
  [1955] = 1936,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1904,
  [1960] = 1905,
  [1961] = 1961,
  [1962] = 1903,
  [1963] = 1919,
  [1964] = 1921,
  [1965] = 1825,
  [1966] = 1925,
  [1967] = 1926,
  [1968] = 1927,
  [1969] = 1932,
  [1970] = 494,
  [1971] = 1912,
  [1972] = 1934,
  [1973] = 1935,
  [1974] = 1936,
  [1975] = 1921,
  [1976] = 1976,
  [1977] = 1904,
  [1978] = 1905,
  [1979] = 1920,
  [1980] = 1926,
  [1981] = 1927,
  [1982] = 1982,
  [1983] = 1935,
  [1984] = 1936,
  [1985] = 1985,
  [1986] = 1929,
  [1987] = 1930,
  [1988] = 1921,
  [1989] = 1925,
  [1990] = 1932,
  [1991] = 1927,
  [1992] = 1840,
  [1993] = 1993,
  [1994] = 1902,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1906,
  [1998] = 1928,
  [1999] = 1925,
  [2000] = 1957,
  [2001] = 1926,
  [2002] = 1927,
  [2003] = 1910,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 1926,
  [2007] = 1910,
  [2008] = 2008,
  [2009] = 1934,
  [2010] = 1996,
  [2011] = 1901,
  [2012] = 1929,
  [2013] = 1930,
  [2014] = 1910,
  [2015] = 1932,
  [2016] = 2016,
  [2017] = 1819,
  [2018] = 466,
  [2019] = 1912,
  [2020] = 1910,
  [2021] = 1995,
  [2022] = 1993,
  [2023] = 1902,
  [2024] = 1935,
  [2025] = 1936,
  [2026] = 1934,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 1935,
  [2030] = 1936,
  [2031] = 2031,
  [2032] = 1995,
  [2033] = 1993,
  [2034] = 2005,
  [2035] = 1902,
  [2036] = 1996,
  [2037] = 2016,
  [2038] = 1995,
  [2039] = 1993,
  [2040] = 1902,
  [2041] = 1920,
  [2042] = 1995,
  [2043] = 1993,
  [2044] = 1788,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 489,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 153,
  [2058] = 151,
  [2059] = 2059,
  [2060] = 1652,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 1112,
  [2064] = 517,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2049,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1633,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 507,
  [2077] = 508,
  [2078] = 509,
  [2079] = 2065,
  [2080] = 2080,
  [2081] = 157,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 1154,
  [2085] = 2085,
  [2086] = 2066,
  [2087] = 2049,
  [2088] = 2082,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 154,
  [2092] = 2092,
  [2093] = 2061,
  [2094] = 2094,
  [2095] = 166,
  [2096] = 2066,
  [2097] = 2072,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2069,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2049,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2047,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2090,
  [2114] = 2072,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2110,
  [2119] = 2119,
  [2120] = 527,
  [2121] = 2082,
  [2122] = 2122,
  [2123] = 2117,
  [2124] = 2124,
  [2125] = 2072,
  [2126] = 2104,
  [2127] = 2127,
  [2128] = 2065,
  [2129] = 2101,
  [2130] = 2111,
  [2131] = 2131,
  [2132] = 2116,
  [2133] = 2111,
  [2134] = 2089,
  [2135] = 2135,
  [2136] = 2131,
  [2137] = 2090,
  [2138] = 2138,
  [2139] = 513,
  [2140] = 514,
  [2141] = 515,
  [2142] = 2070,
  [2143] = 2122,
  [2144] = 498,
  [2145] = 2116,
  [2146] = 2111,
  [2147] = 2068,
  [2148] = 2117,
  [2149] = 1158,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 1636,
  [2153] = 2151,
  [2154] = 2047,
  [2155] = 2111,
  [2156] = 2098,
  [2157] = 2157,
  [2158] = 2061,
  [2159] = 2068,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2101,
  [2164] = 2100,
  [2165] = 2165,
  [2166] = 2069,
  [2167] = 2167,
  [2168] = 2102,
  [2169] = 2059,
  [2170] = 2065,
  [2171] = 2171,
  [2172] = 2090,
  [2173] = 2065,
  [2174] = 2066,
  [2175] = 516,
  [2176] = 2066,
  [2177] = 2049,
  [2178] = 2108,
  [2179] = 2082,
  [2180] = 2180,
  [2181] = 2171,
  [2182] = 152,
  [2183] = 2102,
  [2184] = 2124,
  [2185] = 2171,
  [2186] = 2094,
  [2187] = 2187,
  [2188] = 2072,
  [2189] = 2116,
  [2190] = 2160,
  [2191] = 2102,
  [2192] = 2171,
  [2193] = 2090,
  [2194] = 2116,
  [2195] = 2117,
  [2196] = 2117,
  [2197] = 2102,
  [2198] = 2171,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 605,
  [2204] = 677,
  [2205] = 1584,
  [2206] = 2206,
  [2207] = 657,
  [2208] = 2208,
  [2209] = 1570,
  [2210] = 1585,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 1572,
  [2214] = 541,
  [2215] = 2215,
  [2216] = 1824,
  [2217] = 542,
  [2218] = 2218,
  [2219] = 543,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 613,
  [2224] = 2224,
  [2225] = 2222,
  [2226] = 656,
  [2227] = 548,
  [2228] = 2228,
  [2229] = 550,
  [2230] = 1579,
  [2231] = 1569,
  [2232] = 1573,
  [2233] = 2233,
  [2234] = 1574,
  [2235] = 1600,
  [2236] = 660,
  [2237] = 1566,
  [2238] = 639,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 1586,
  [2243] = 2243,
  [2244] = 1587,
  [2245] = 1590,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 1591,
  [2249] = 2249,
  [2250] = 1592,
  [2251] = 2251,
  [2252] = 1598,
  [2253] = 1135,
  [2254] = 2254,
  [2255] = 2212,
  [2256] = 2256,
  [2257] = 1136,
  [2258] = 667,
  [2259] = 2259,
  [2260] = 2240,
  [2261] = 615,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2241,
  [2266] = 2243,
  [2267] = 2262,
  [2268] = 671,
  [2269] = 2269,
  [2270] = 1575,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2246,
  [2276] = 2247,
  [2277] = 2277,
  [2278] = 2206,
  [2279] = 2249,
  [2280] = 2218,
  [2281] = 555,
  [2282] = 2282,
  [2283] = 649,
  [2284] = 621,
  [2285] = 622,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 623,
  [2289] = 2251,
  [2290] = 2290,
  [2291] = 624,
  [2292] = 2256,
  [2293] = 2293,
  [2294] = 2273,
  [2295] = 2208,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 673,
  [2300] = 2300,
  [2301] = 2286,
  [2302] = 2221,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2274,
  [2307] = 2282,
  [2308] = 2200,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 625,
  [2313] = 556,
  [2314] = 561,
  [2315] = 628,
  [2316] = 2316,
  [2317] = 2208,
  [2318] = 2200,
  [2319] = 562,
  [2320] = 637,
  [2321] = 2211,
  [2322] = 2212,
  [2323] = 645,
  [2324] = 2324,
  [2325] = 2215,
  [2326] = 549,
  [2327] = 632,
  [2328] = 638,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2240,
  [2334] = 633,
  [2335] = 2222,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2240,
  [2340] = 2241,
  [2341] = 634,
  [2342] = 636,
  [2343] = 2246,
  [2344] = 2247,
  [2345] = 564,
  [2346] = 2249,
  [2347] = 2251,
  [2348] = 2348,
  [2349] = 2269,
  [2350] = 1937,
  [2351] = 2296,
  [2352] = 674,
  [2353] = 676,
  [2354] = 565,
  [2355] = 1951,
  [2356] = 551,
  [2357] = 2263,
  [2358] = 566,
  [2359] = 2359,
  [2360] = 2243,
  [2361] = 2262,
  [2362] = 2263,
  [2363] = 2271,
  [2364] = 569,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 640,
  [2368] = 2243,
  [2369] = 2262,
  [2370] = 2206,
  [2371] = 2371,
  [2372] = 2218,
  [2373] = 608,
  [2374] = 1601,
  [2375] = 642,
  [2376] = 643,
  [2377] = 644,
  [2378] = 2286,
  [2379] = 2287,
  [2380] = 2287,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2256,
  [2384] = 2384,
  [2385] = 2273,
  [2386] = 529,
  [2387] = 2271,
  [2388] = 2297,
  [2389] = 2298,
  [2390] = 2300,
  [2391] = 530,
  [2392] = 2392,
  [2393] = 2221,
  [2394] = 2303,
  [2395] = 1576,
  [2396] = 2396,
  [2397] = 2305,
  [2398] = 2274,
  [2399] = 2282,
  [2400] = 2400,
  [2401] = 2309,
  [2402] = 2310,
  [2403] = 2311,
  [2404] = 2404,
  [2405] = 2208,
  [2406] = 2406,
  [2407] = 647,
  [2408] = 2300,
  [2409] = 2211,
  [2410] = 2212,
  [2411] = 2411,
  [2412] = 1577,
  [2413] = 2215,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2206,
  [2421] = 2222,
  [2422] = 2422,
  [2423] = 2218,
  [2424] = 531,
  [2425] = 2416,
  [2426] = 1578,
  [2427] = 2240,
  [2428] = 2241,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2246,
  [2432] = 2247,
  [2433] = 604,
  [2434] = 2249,
  [2435] = 610,
  [2436] = 2251,
  [2437] = 617,
  [2438] = 2438,
  [2439] = 618,
  [2440] = 1582,
  [2441] = 2263,
  [2442] = 646,
  [2443] = 2443,
  [2444] = 2243,
  [2445] = 2262,
  [2446] = 2286,
  [2447] = 2271,
  [2448] = 2329,
  [2449] = 2371,
  [2450] = 2287,
  [2451] = 2451,
  [2452] = 2303,
  [2453] = 2453,
  [2454] = 2206,
  [2455] = 2455,
  [2456] = 2218,
  [2457] = 648,
  [2458] = 2286,
  [2459] = 2287,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2311,
  [2465] = 2297,
  [2466] = 2298,
  [2467] = 2300,
  [2468] = 2256,
  [2469] = 2241,
  [2470] = 2221,
  [2471] = 2303,
  [2472] = 1568,
  [2473] = 2273,
  [2474] = 2305,
  [2475] = 2274,
  [2476] = 2282,
  [2477] = 2200,
  [2478] = 2478,
  [2479] = 2309,
  [2480] = 2310,
  [2481] = 2311,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2222,
  [2485] = 571,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 532,
  [2489] = 2489,
  [2490] = 2297,
  [2491] = 2298,
  [2492] = 533,
  [2493] = 572,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2337,
  [2497] = 2300,
  [2498] = 655,
  [2499] = 575,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 631,
  [2504] = 2504,
  [2505] = 536,
  [2506] = 652,
  [2507] = 2400,
  [2508] = 2221,
  [2509] = 2303,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2215,
  [2513] = 2246,
  [2514] = 2332,
  [2515] = 2309,
  [2516] = 2247,
  [2517] = 2517,
  [2518] = 2211,
  [2519] = 2519,
  [2520] = 2305,
  [2521] = 2274,
  [2522] = 2249,
  [2523] = 2523,
  [2524] = 2282,
  [2525] = 2200,
  [2526] = 2251,
  [2527] = 2527,
  [2528] = 2483,
  [2529] = 2517,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2338,
  [2533] = 2501,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2504,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2531,
  [2542] = 2382,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2417,
  [2549] = 2418,
  [2550] = 2415,
  [2551] = 2478,
  [2552] = 2495,
  [2553] = 2309,
  [2554] = 2310,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2530,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2365,
  [2562] = 2562,
  [2563] = 2305,
  [2564] = 2429,
  [2565] = 2438,
  [2566] = 2455,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2406,
  [2570] = 2324,
  [2571] = 2366,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2202,
  [2576] = 2233,
  [2577] = 2259,
  [2578] = 2330,
  [2579] = 2331,
  [2580] = 2336,
  [2581] = 2581,
  [2582] = 2535,
  [2583] = 2536,
  [2584] = 2348,
  [2585] = 2264,
  [2586] = 2486,
  [2587] = 2519,
  [2588] = 2523,
  [2589] = 2527,
  [2590] = 2543,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2381,
  [2595] = 2430,
  [2596] = 2443,
  [2597] = 2462,
  [2598] = 2404,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2392,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2422,
  [2607] = 2311,
  [2608] = 2272,
  [2609] = 2544,
  [2610] = 2545,
  [2611] = 2277,
  [2612] = 2293,
  [2613] = 2451,
  [2614] = 2461,
  [2615] = 2415,
  [2616] = 2495,
  [2617] = 2617,
  [2618] = 2530,
  [2619] = 2540,
  [2620] = 2617,
  [2621] = 2562,
  [2622] = 2546,
  [2623] = 2324,
  [2624] = 2366,
  [2625] = 2573,
  [2626] = 2574,
  [2627] = 2348,
  [2628] = 2264,
  [2629] = 658,
  [2630] = 651,
  [2631] = 2489,
  [2632] = 2591,
  [2633] = 2544,
  [2634] = 2545,
  [2635] = 2547,
  [2636] = 1602,
  [2637] = 537,
  [2638] = 2208,
  [2639] = 2415,
  [2640] = 2495,
  [2641] = 2641,
  [2642] = 2530,
  [2643] = 2271,
  [2644] = 659,
  [2645] = 2567,
  [2646] = 2562,
  [2647] = 578,
  [2648] = 2324,
  [2649] = 2366,
  [2650] = 2573,
  [2651] = 2574,
  [2652] = 2348,
  [2653] = 2264,
  [2654] = 619,
  [2655] = 2602,
  [2656] = 579,
  [2657] = 2545,
  [2658] = 653,
  [2659] = 2211,
  [2660] = 2297,
  [2661] = 2263,
  [2662] = 2415,
  [2663] = 2495,
  [2664] = 2530,
  [2665] = 2573,
  [2666] = 2574,
  [2667] = 2562,
  [2668] = 620,
  [2669] = 2324,
  [2670] = 2366,
  [2671] = 2573,
  [2672] = 2574,
  [2673] = 2348,
  [2674] = 2264,
  [2675] = 2298,
  [2676] = 580,
  [2677] = 2544,
  [2678] = 2212,
  [2679] = 581,
  [2680] = 2680,
  [2681] = 2603,
  [2682] = 2680,
  [2683] = 582,
  [2684] = 584,
  [2685] = 586,
  [2686] = 2604,
  [2687] = 2310,
  [2688] = 2688,
  [2689] = 626,
  [2690] = 2592,
  [2691] = 2215,
  [2692] = 2544,
  [2693] = 2568,
  [2694] = 587,
  [2695] = 1175,
  [2696] = 588,
  [2697] = 2545,
  [2698] = 2593,
  [2699] = 2534,
  [2700] = 1564,
  [2701] = 2701,
  [2702] = 2572,
  [2703] = 2555,
  [2704] = 1563,
  [2705] = 2688,
  [2706] = 2556,
  [2707] = 2222,
  [2708] = 2557,
  [2709] = 2709,
  [2710] = 2680,
  [2711] = 2562,
  [2712] = 590,
  [2713] = 528,
  [2714] = 592,
  [2715] = 593,
  [2716] = 2688,
  [2717] = 594,
  [2718] = 595,
  [2719] = 538,
  [2720] = 596,
  [2721] = 2680,
  [2722] = 597,
  [2723] = 2559,
  [2724] = 598,
  [2725] = 599,
  [2726] = 1565,
  [2727] = 2688,
  [2728] = 600,
  [2729] = 601,
  [2730] = 2560,
  [2731] = 602,
  [2732] = 2680,
  [2733] = 1604,
  [2734] = 2599,
  [2735] = 2494,
  [2736] = 2581,
  [2737] = 2600,
  [2738] = 2688,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2744,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2740,
  [2754] = 2752,
  [2755] = 2755,
  [2756] = 2749,
  [2757] = 2757,
  [2758] = 2740,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2757,
  [2764] = 2755,
  [2765] = 2740,
  [2766] = 2759,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2769,
  [2771] = 2759,
  [2772] = 2744,
  [2773] = 2752,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2749,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2752,
  [2780] = 2740,
  [2781] = 2781,
  [2782] = 2755,
  [2783] = 2749,
  [2784] = 2741,
  [2785] = 2747,
  [2786] = 2762,
  [2787] = 2787,
  [2788] = 2740,
  [2789] = 2789,
  [2790] = 2757,
  [2791] = 2791,
  [2792] = 2755,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2740,
  [2796] = 494,
  [2797] = 2741,
  [2798] = 2747,
  [2799] = 2762,
  [2800] = 2791,
  [2801] = 2759,
  [2802] = 2802,
  [2803] = 2746,
  [2804] = 2741,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2757,
  [2810] = 2767,
  [2811] = 2769,
  [2812] = 2812,
  [2813] = 2787,
  [2814] = 2761,
  [2815] = 2744,
  [2816] = 2774,
  [2817] = 2774,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2746,
  [2822] = 2747,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2762,
  [2827] = 2769,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2805,
  [2831] = 2831,
  [2832] = 2742,
  [2833] = 2833,
  [2834] = 2767,
  [2835] = 2744,
  [2836] = 2787,
  [2837] = 2740,
  [2838] = 2805,
  [2839] = 2768,
  [2840] = 2778,
  [2841] = 2749,
  [2842] = 2750,
  [2843] = 2843,
  [2844] = 2774,
  [2845] = 2027,
  [2846] = 1821,
  [2847] = 2755,
  [2848] = 2741,
  [2849] = 2787,
  [2850] = 2742,
  [2851] = 2805,
  [2852] = 2769,
  [2853] = 2778,
  [2854] = 2747,
  [2855] = 2762,
  [2856] = 2740,
  [2857] = 2757,
  [2858] = 2787,
  [2859] = 2859,
  [2860] = 2767,
  [2861] = 2774,
  [2862] = 2833,
  [2863] = 2767,
  [2864] = 2805,
  [2865] = 2742,
  [2866] = 2778,
  [2867] = 2867,
  [2868] = 2843,
  [2869] = 2843,
  [2870] = 2843,
  [2871] = 2843,
  [2872] = 2778,
  [2873] = 2873,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange extras_character_set_2[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x202f, 0x202f}, {0x205f, 0x2060}, {0x3000, 0x3000},
  {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 11,
        '$', 604,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 340,
        '/', 447,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 330,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        '\\', 203,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 575,
        'c', 506,
        'd', 528,
        'e', 549,
        'f', 544,
        'i', 558,
        'l', 529,
        'o', 534,
        's', 594,
        't', 507,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 398,
        '}', 273,
        '~', 423,
        0x2028, 478,
        0x2029, 478,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(249);
      if (lookahead > '@') ADVANCE(615);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(620);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '<') ADVANCE(329);
      if (lookahead == '{') ADVANCE(271);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(321);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '/') ADVANCE(314);
      if (lookahead == '<') ADVANCE(316);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(315);
      if (lookahead != 0) ADVANCE(313);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(63);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '[') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(248);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(448);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        ' ', 6,
        '*', 322,
        '\n', 52,
        '&', 52,
        '<', 52,
        '>', 52,
        '{', 52,
        '}', 52,
      );
      if (lookahead != 0) ADVANCE(323);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 333,
        '=', 104,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        ']', 312,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 499,
        0x2029, 499,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(7);
      if (lookahead > '#') ADVANCE(615);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 104,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        '{', 271,
        '|', 399,
        '~', 423,
        0x2028, 498,
        0x2029, 498,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 491,
        0x2029, 491,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 494,
        0x2029, 494,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(261);
      if (lookahead == '\\') ADVANCE(205);
      if (set_contains(sym_identifier_character_set_1, 13, lookahead)) ADVANCE(616);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        ')', 287,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 55,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        ']', 312,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'l', 529,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 500,
        0x2029, 500,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 55,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        's', 594,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 484,
        0x2029, 484,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'l', 529,
        '{', 271,
        '~', 423,
        0x2028, 500,
        0x2029, 500,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 480,
        0x2029, 480,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(15);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 481,
        0x2029, 481,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(16);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        '{', 271,
        '~', 423,
        0x2028, 486,
        0x2029, 486,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(17);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 490,
        0x2029, 490,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(18);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 492,
        0x2029, 492,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(19);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 493,
        0x2029, 493,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(20);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 495,
        0x2029, 495,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(21);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '#', 107,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 341,
        '/', 405,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        '|', 398,
        '}', 273,
        0x2028, 502,
        0x2029, 502,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(22);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '#', 107,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 341,
        '/', 405,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'i', 558,
        'l', 529,
        '|', 398,
        '}', 273,
        0x2028, 503,
        0x2029, 503,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(23);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        '{', 271,
        '|', 398,
        '}', 273,
        0x2028, 516,
        0x2029, 516,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(24);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'i', 558,
        '{', 271,
        '|', 398,
        '}', 273,
        0x2028, 542,
        0x2029, 542,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(25);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        '|', 398,
        0x2028, 515,
        0x2029, 515,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(26);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 103,
        '%', 407,
        '&', 394,
        '(', 286,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '[', 311,
        '\\', 206,
        '^', 397,
        '`', 445,
        'i', 558,
        'o', 534,
        '{', 271,
        '|', 398,
        0x2028, 541,
        0x2029, 541,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(27);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ':', 300,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        ']', 312,
        '^', 396,
        '`', 445,
        'i', 161,
        '{', 271,
        '|', 399,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(28);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ':', 300,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        ']', 312,
        '^', 396,
        '`', 445,
        'i', 455,
        '{', 271,
        '|', 399,
        '}', 273,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(28);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        ')', 287,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ':', 300,
        ';', 299,
        '<', 332,
        '=', 308,
        '>', 337,
        '?', 58,
        '[', 311,
        ']', 312,
        '^', 396,
        '`', 445,
        'a', 184,
        'e', 151,
        'f', 177,
        'i', 161,
        'o', 137,
        'w', 142,
        '{', 271,
        '|', 399,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(30);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        '^', 396,
        '`', 445,
        'i', 161,
        'o', 137,
        '|', 399,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(31);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 103,
        '%', 406,
        '&', 395,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 339,
        '/', 404,
        ';', 299,
        '<', 332,
        '=', 104,
        '>', 337,
        '?', 58,
        '[', 311,
        '^', 396,
        '`', 445,
        'i', 455,
        'o', 454,
        '|', 399,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(31);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        ',', 272,
        '.', 55,
        '/', 49,
        '0', 461,
        ':', 300,
        ';', 299,
        '=', 310,
        '[', 311,
        '\\', 206,
        'a', 579,
        'e', 600,
        'l', 529,
        '{', 271,
        '}', 273,
        0x2028, 505,
        0x2029, 505,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(33);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        ',', 272,
        '.', 339,
        '/', 49,
        ';', 299,
        '?', 56,
        '[', 311,
        '\\', 206,
        '`', 445,
        '{', 271,
        '}', 273,
        0x2028, 607,
        0x2029, 607,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(34);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        '.', 341,
        '/', 49,
        '0', 461,
        '@', 619,
        '[', 311,
        '\\', 206,
        'a', 579,
        'c', 553,
        'e', 600,
        'l', 529,
        's', 594,
        0x2028, 501,
        0x2029, 501,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(35);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '*', 264,
        '.', 341,
        '/', 49,
        '0', 461,
        '@', 619,
        '[', 311,
        '\\', 206,
        'a', 579,
        'e', 600,
        'l', 529,
        's', 594,
        0x2028, 504,
        0x2029, 504,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(36);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '"', 344,
        '#', 107,
        '\'', 345,
        '*', 264,
        ',', 272,
        '.', 55,
        '/', 49,
        '0', 461,
        ';', 299,
        '<', 189,
        '@', 619,
        '[', 311,
        '\\', 206,
        'a', 579,
        'e', 600,
        'l', 529,
        's', 594,
        '{', 271,
        '}', 273,
        0x2028, 504,
        0x2029, 504,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(37);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(344);
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '/') ADVANCE(348);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(347);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '"', 344,
        '\'', 345,
        '(', 286,
        ')', 287,
        ',', 272,
        '.', 339,
        '/', 49,
        ':', 300,
        ';', 299,
        '<', 328,
        '=', 307,
        '>', 335,
        ']', 312,
        'i', 164,
        'o', 137,
        '{', 271,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(344);
      if (lookahead == '/') ADVANCE(49);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(40);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(344);
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(40);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(429);
      if (lookahead != 0) ADVANCE(430);
      END_STATE();
    case 42:
      if (lookahead == '#') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      if (lookahead != 0) ADVANCE(355);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(42);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '<') ADVANCE(329);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(45);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(321);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 46:
      if (lookahead == '&') ADVANCE(44);
      if (lookahead == '\'') ADVANCE(345);
      if (lookahead == '/') ADVANCE(354);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(353);
      if (lookahead != 0) ADVANCE(355);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(345);
      if (lookahead == '/') ADVANCE(49);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(345);
      if (lookahead == '/') ADVANCE(431);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(47);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(434);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 49:
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      END_STATE();
    case 50:
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      if (lookahead == '>') ADVANCE(343);
      END_STATE();
    case 51:
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(441);
      if (lookahead != 0) ADVANCE(52);
      END_STATE();
    case 52:
      if (lookahead == '*') ADVANCE(51);
      if (lookahead != 0) ADVANCE(52);
      END_STATE();
    case 53:
      if (lookahead == '*') ADVANCE(350);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      if (lookahead != 0) ADVANCE(351);
      END_STATE();
    case 54:
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      if (lookahead != 0) ADVANCE(357);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(367);
      END_STATE();
    case 57:
      if (lookahead == '.') ADVANCE(367);
      if (lookahead == '?') ADVANCE(417);
      END_STATE();
    case 58:
      if (lookahead == '.') ADVANCE(367);
      if (lookahead == '?') ADVANCE(416);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(383);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '.', 339,
        '/', 50,
        ':', 300,
        '=', 307,
        '>', 335,
        '\\', 206,
        '{', 271,
        0x2028, 608,
        0x2029, 608,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(60);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(479);
      if (lookahead > '~') ADVANCE(615);
      END_STATE();
    case 61:
      if (lookahead == '/') ADVANCE(447);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(63);
      END_STATE();
    case 62:
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(601);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(530);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(62);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 63:
      if (lookahead == '/') ADVANCE(49);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(63);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(327);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 80:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(79);
      END_STATE();
    case 81:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 82:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      END_STATE();
    case 83:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 85:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 86:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(85);
      END_STATE();
    case 87:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 88:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 89:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 90:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(89);
      END_STATE();
    case 91:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 92:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 93:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 94:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 95:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 96:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(95);
      END_STATE();
    case 97:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 98:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(97);
      END_STATE();
    case 99:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 100:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 101:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 102:
      if (lookahead == ';') ADVANCE(327);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(101);
      END_STATE();
    case 103:
      if (lookahead == '=') ADVANCE(413);
      END_STATE();
    case 104:
      if (lookahead == '=') ADVANCE(411);
      END_STATE();
    case 105:
      if (lookahead == '>') ADVANCE(317);
      END_STATE();
    case 106:
      if (lookahead == '>') ADVANCE(318);
      END_STATE();
    case 107:
      if (lookahead == '\\') ADVANCE(205);
      if (set_contains(sym_identifier_character_set_1, 13, lookahead)) ADVANCE(616);
      END_STATE();
    case 108:
      if (lookahead == '\\') ADVANCE(247);
      if (lookahead == ']') ADVANCE(449);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(108);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(186);
      if (lookahead == 'l') ADVANCE(113);
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(178);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 113:
      if (lookahead == 'a') ADVANCE(185);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(179);
      END_STATE();
    case 115:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 116:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(183);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(160);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(294);
      END_STATE();
    case 138:
      if (lookahead == 'f') ADVANCE(418);
      END_STATE();
    case 139:
      if (lookahead == 'f') ADVANCE(112);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(140);
      END_STATE();
    case 141:
      if (lookahead == 'g') ADVANCE(135);
      END_STATE();
    case 142:
      if (lookahead == 'h') ADVANCE(146);
      END_STATE();
    case 143:
      if (lookahead == 'h') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(192);
      END_STATE();
    case 144:
      if (lookahead == 'h') ADVANCE(276);
      END_STATE();
    case 145:
      if (lookahead == 'h') ADVANCE(303);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(169);
      if (lookahead == 'r') ADVANCE(170);
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 148:
      if (lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 149:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(187);
      if (lookahead == 'x') ADVANCE(175);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 154:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 155:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 156:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 158:
      if (lookahead == 'm') ADVANCE(174);
      END_STATE();
    case 159:
      if (lookahead == 'm') ADVANCE(274);
      END_STATE();
    case 160:
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 162:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 163:
      if (lookahead == 'n') ADVANCE(364);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 167:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 168:
      if (lookahead == 'n') ADVANCE(122);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 170:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 171:
      if (lookahead == 'o') ADVANCE(138);
      END_STATE();
    case 172:
      if (lookahead == 'o') ADVANCE(180);
      END_STATE();
    case 173:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 174:
      if (lookahead == 'p') ADVANCE(150);
      END_STATE();
    case 175:
      if (lookahead == 'p') ADVANCE(172);
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 176:
      if (lookahead == 'p') ADVANCE(157);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(170);
      END_STATE();
    case 178:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 180:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(209);
      if (lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(358);
      END_STATE();
    case 183:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 184:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 185:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 186:
      if (lookahead == 's') ADVANCE(126);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 187:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 188:
      if (lookahead == 's') ADVANCE(194);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 190:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(617);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(136);
      END_STATE();
    case 203:
      if (lookahead == 'u') ADVANCE(211);
      if (lookahead == 'x') ADVANCE(237);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(440);
      if (lookahead != 0) ADVANCE(436);
      END_STATE();
    case 204:
      if (lookahead == 'u') ADVANCE(156);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(212);
      END_STATE();
    case 206:
      if (lookahead == 'u') ADVANCE(213);
      END_STATE();
    case 207:
      if (lookahead == 'u') ADVANCE(214);
      if (lookahead == 'x') ADVANCE(237);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(440);
      if (lookahead != 0) ADVANCE(436);
      END_STATE();
    case 208:
      if (lookahead == 'y') ADVANCE(305);
      END_STATE();
    case 209:
      if (lookahead == 'y') ADVANCE(167);
      END_STATE();
    case 210:
      if (lookahead == '{') ADVANCE(446);
      END_STATE();
    case 211:
      if (lookahead == '{') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 212:
      if (lookahead == '{') ADVANCE(235);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(243);
      END_STATE();
    case 213:
      if (lookahead == '{') ADVANCE(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(244);
      END_STATE();
    case 214:
      if (lookahead == '{') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(234);
      END_STATE();
    case 215:
      if (lookahead == '}') ADVANCE(615);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(215);
      END_STATE();
    case 216:
      if (lookahead == '}') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(216);
      END_STATE();
    case 217:
      if (lookahead == '}') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(217);
      END_STATE();
    case 218:
      if (lookahead == '}') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(218);
      END_STATE();
    case 219:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      END_STATE();
    case 220:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      END_STATE();
    case 221:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(472);
      END_STATE();
    case 222:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(473);
      END_STATE();
    case 223:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 224:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 225:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(471);
      END_STATE();
    case 226:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      END_STATE();
    case 227:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(615);
      END_STATE();
    case 228:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(616);
      END_STATE();
    case 229:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(436);
      END_STATE();
    case 230:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(474);
      END_STATE();
    case 231:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(218);
      END_STATE();
    case 232:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(437);
      END_STATE();
    case 233:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 234:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 235:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(216);
      END_STATE();
    case 236:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(215);
      END_STATE();
    case 237:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(229);
      END_STATE();
    case 238:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(217);
      END_STATE();
    case 239:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(232);
      END_STATE();
    case 240:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(228);
      END_STATE();
    case 241:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(227);
      END_STATE();
    case 242:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(239);
      END_STATE();
    case 243:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(240);
      END_STATE();
    case 244:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(241);
      END_STATE();
    case 245:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(349);
      END_STATE();
    case 246:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(355);
      END_STATE();
    case 247:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(108);
      END_STATE();
    case 248:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(449);
      END_STATE();
    case 249:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 11,
        '$', 604,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 340,
        '/', 405,
        '0', 461,
        ':', 300,
        ';', 299,
        '<', 330,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        '\\', 206,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 575,
        'c', 506,
        'd', 528,
        'e', 549,
        'f', 544,
        'i', 558,
        'l', 529,
        'o', 534,
        's', 594,
        't', 507,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 398,
        '}', 273,
        '~', 423,
        0x2028, 478,
        0x2029, 478,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(249);
      if (lookahead > '@') ADVANCE(615);
      END_STATE();
    case 250:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 483,
        0x2029, 483,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(250);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 251:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 422,
        '"', 344,
        '#', 107,
        '%', 406,
        '&', 395,
        '\'', 345,
        '(', 286,
        '*', 266,
        '+', 400,
        ',', 272,
        '-', 402,
        '.', 341,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 333,
        '=', 308,
        '>', 337,
        '?', 58,
        '@', 619,
        '[', 311,
        '\\', 206,
        '^', 396,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '|', 399,
        '}', 273,
        '~', 423,
        0x2028, 488,
        0x2029, 488,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(251);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(615);
      END_STATE();
    case 252:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 11,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 485,
        0x2029, 485,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(252);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 253:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 482,
        0x2029, 482,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(253);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 254:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 487,
        0x2029, 487,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(254);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 255:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 489,
        0x2029, 489,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(255);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 256:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 517,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 496,
        0x2029, 496,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(256);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 257:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 421,
        '"', 344,
        '#', 107,
        '\'', 345,
        '(', 286,
        '+', 400,
        '-', 402,
        '.', 224,
        '/', 404,
        '0', 461,
        ';', 299,
        '<', 334,
        '@', 619,
        '[', 311,
        '\\', 206,
        '`', 445,
        'a', 578,
        'c', 517,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        '{', 271,
        '}', 273,
        '~', 423,
        0x2028, 497,
        0x2029, 497,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(257);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(615);
      END_STATE();
    case 258:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '$', 210,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        '\\', 207,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 181,
        'c', 110,
        'd', 131,
        'e', 152,
        'f', 147,
        'i', 161,
        'l', 132,
        'o', 137,
        't', 111,
        'v', 114,
        'w', 143,
        '{', 271,
        '|', 398,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(259);
      END_STATE();
    case 259:
      if (eof) ADVANCE(260);
      ADVANCE_MAP(
        '!', 103,
        '"', 344,
        '$', 210,
        '%', 407,
        '&', 394,
        '\'', 345,
        '(', 286,
        ')', 287,
        '*', 265,
        '+', 401,
        ',', 272,
        '-', 403,
        '.', 339,
        '/', 405,
        ':', 300,
        ';', 299,
        '<', 331,
        '=', 309,
        '>', 336,
        '?', 57,
        '@', 619,
        '[', 311,
        ']', 312,
        '^', 397,
        '`', 445,
        'a', 181,
        'c', 110,
        'd', 131,
        'e', 152,
        'f', 147,
        'i', 161,
        'l', 132,
        'o', 137,
        't', 111,
        'v', 114,
        'w', 143,
        '{', 271,
        '|', 398,
        '}', 273,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(409);
      if (lookahead == '=') ADVANCE(370);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(408);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(458);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(411);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(411);
      if (lookahead == '>') ADVANCE(366);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(366);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(314);
      if (lookahead == '<') ADVANCE(316);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(315);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(313);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(202);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(323);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(319);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(321);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(320);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 322,
        '/', 320,
        '\n', 52,
        '&', 52,
        '<', 52,
        '>', 52,
        '{', 52,
        '}', 52,
      );
      if (lookahead != 0) ADVANCE(323);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 322,
        '\n', 52,
        '&', 52,
        '<', 52,
        '>', 52,
        '{', 52,
        '}', 52,
      );
      if (lookahead != 0) ADVANCE(323);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(325);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(326);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(324);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(325);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(326);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(324);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(326);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(342);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(342);
      if (lookahead == '<') ADVANCE(393);
      if (lookahead == '=') ADVANCE(410);
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(393);
      if (lookahead == '=') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(392);
      if (lookahead == '=') ADVANCE(410);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(392);
      if (lookahead == '=') ADVANCE(410);
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(415);
      if (lookahead == '>') ADVANCE(388);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(415);
      if (lookahead == '>') ADVANCE(389);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(338);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '&') ADVANCE(442);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '/') ADVANCE(348);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(347);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(349);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead == '*') ADVANCE(351);
      if (lookahead == '/') ADVANCE(346);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(349);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(245);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '*') ADVANCE(350);
      if (lookahead == '/') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(351);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '*') ADVANCE(350);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(351);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(355);
      if (lookahead == '&') ADVANCE(443);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(352);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(44);
      if (lookahead == '/') ADVANCE(354);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(355);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(246);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '/') ADVANCE(352);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(355);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(355);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(54);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(357);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(54);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(357);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(380);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(381);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(376);
      if (lookahead == '>') ADVANCE(391);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(390);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(377);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(378);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(385);
      if (lookahead == '=') ADVANCE(374);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(384);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(373);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(375);
      if (lookahead == '|') ADVANCE(387);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(386);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(424);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(424);
      if (lookahead == '=') ADVANCE(368);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(425);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(425);
      if (lookahead == '=') ADVANCE(369);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '/') ADVANCE(444);
      if (lookahead == '=') ADVANCE(371);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(372);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(379);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(412);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(414);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(382);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(413);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(428);
      if (lookahead == '/') ADVANCE(430);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(430);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(427);
      if (lookahead == '/') ADVANCE(430);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(428);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(427);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(428);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(429);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(430);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(430);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(433);
      if (lookahead == '/') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(435);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(432);
      if (lookahead == '/') ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(433);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(432);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(433);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(431);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(434);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(435);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(435);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(436);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(436);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(439);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n') ADVANCE(349);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(444);
      if (lookahead != 0) ADVANCE(346);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n') ADVANCE(355);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(444);
      if (lookahead != 0) ADVANCE(352);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(444);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(63);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '[') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(248);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(448);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(449);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(456);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(452);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(457);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(420);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(296);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(292);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(451);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(453);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(450);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 477,
        '0', 471,
        '_', 225,
        'n', 460,
        'B', 221,
        'b', 221,
        'E', 219,
        'e', 219,
        'O', 222,
        'o', 222,
        'X', 230,
        'x', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 477,
        '0', 465,
        '\\', 206,
        '_', 612,
        'n', 470,
        'B', 606,
        'b', 606,
        'E', 605,
        'e', 605,
        'O', 610,
        'o', 610,
        'X', 614,
        'x', 614,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(477);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(611);
      if (lookahead == 'n') ADVANCE(470);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(605);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(477);
      if (lookahead == '_') ADVANCE(223);
      if (lookahead == 'n') ADVANCE(460);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(612);
      if (lookahead == 'n') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(606);
      if (lookahead == 'n') ADVANCE(470);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(610);
      if (lookahead == 'n') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(467);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(614);
      if (lookahead == 'n') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '_') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(225);
      if (lookahead == 'n') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(471);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(221);
      if (lookahead == 'n') ADVANCE(460);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(472);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(222);
      if (lookahead == 'n') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(473);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(230);
      if (lookahead == 'n') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(474);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(224);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(475);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '$', 604,
        '0', 462,
        '\\', 206,
        'a', 575,
        'c', 506,
        'd', 528,
        'e', 549,
        'f', 544,
        'i', 558,
        'l', 529,
        'o', 534,
        's', 594,
        't', 507,
        'v', 510,
        'w', 538,
        0x2028, 478,
        0x2029, 478,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(338);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(479);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 480,
        0x2029, 480,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 506,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 481,
        0x2029, 481,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 482,
        0x2029, 482,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 483,
        0x2029, 483,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        's', 594,
        'v', 510,
        'w', 538,
        0x2028, 484,
        0x2029, 484,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 485,
        0x2029, 485,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        0x2028, 486,
        0x2029, 486,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 487,
        0x2029, 487,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 488,
        0x2029, 488,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 552,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 489,
        0x2029, 489,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 490,
        0x2029, 490,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 491,
        0x2029, 491,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 600,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 492,
        0x2029, 492,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 493,
        0x2029, 493,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'i', 558,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 494,
        0x2029, 494,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 518,
        'd', 528,
        'e', 550,
        'f', 599,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 495,
        0x2029, 495,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 517,
        'e', 600,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 496,
        0x2029, 496,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 517,
        'e', 550,
        'f', 545,
        'l', 529,
        'v', 510,
        'w', 538,
        0x2028, 497,
        0x2029, 497,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        0x2028, 498,
        0x2029, 498,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        0x2028, 499,
        0x2029, 499,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 578,
        'c', 553,
        'e', 600,
        'f', 599,
        'l', 529,
        0x2028, 500,
        0x2029, 500,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 579,
        'c', 553,
        'e', 600,
        'l', 529,
        's', 594,
        0x2028, 501,
        0x2029, 501,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 462,
        '\\', 206,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        0x2028, 502,
        0x2029, 502,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(462);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(503);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(462);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 's') ADVANCE(594);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(504);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(462);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(505);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(580);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(572);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(573);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(548);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(554);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(593);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(563);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 206,
        'a', 579,
        'e', 600,
        'f', 599,
        'i', 558,
        'l', 529,
        'o', 534,
        0x2028, 515,
        0x2029, 515,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(579);
      if (lookahead == 'e') ADVANCE(600);
      if (lookahead == 'f') ADVANCE(599);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(585);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'a') ADVANCE(581);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(363);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(540);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(531);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'c') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'd') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(302);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(285);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(298);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(536);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(601);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(530);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(559);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'f') ADVANCE(295);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'f') ADVANCE(419);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'f') ADVANCE(508);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'g') ADVANCE(533);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'h') ADVANCE(543);
      if (lookahead == 'i') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'h') ADVANCE(277);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'h') ADVANCE(304);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 'o') ADVANCE(534);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(558);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(542);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(555);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(565);
      if (lookahead == 'r') ADVANCE(566);
      if (lookahead == 'u') ADVANCE(561);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(565);
      if (lookahead == 'u') ADVANCE(561);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(519);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(582);
      if (lookahead == 'x') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(582);
      if (lookahead == 'x') ADVANCE(571);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(509);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(551);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(527);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'm') ADVANCE(275);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(291);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(524);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(365);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(523);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(522);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(520);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'n') ADVANCE(512);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(557);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(535);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(560);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'p') ADVANCE(568);
      if (lookahead == 't') ADVANCE(532);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'p') ADVANCE(568);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(537);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(270);
      if (lookahead == 'w') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(359);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(361);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(603);
      if (lookahead == 'w') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(525);
      if (lookahead == 't') ADVANCE(521);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(525);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(526);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 's') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(521);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(539);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(289);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(283);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(263);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(618);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(268);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(547);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(513);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(546);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(532);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 't') ADVANCE(514);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'u') ADVANCE(556);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'u') ADVANCE(561);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'x') ADVANCE(571);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'x') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'y') ADVANCE(306);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 'y') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '{') ADVANCE(446);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(479);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(140);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(467);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(205);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(616);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(206);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(615);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(620);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'b', 1,
        'c', 2,
        'd', 3,
        'f', 4,
        'g', 5,
        'i', 6,
        'n', 7,
        'r', 8,
        's', 9,
        't', 10,
        'u', 11,
        'v', 12,
        'y', 13,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(14);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'm') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'h') ADVANCE(30);
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'y') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(35);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 16:
      if (lookahead == 'b') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 20:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 23:
      if (lookahead == 'w') ADVANCE(44);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(49);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(53);
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(55);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(56);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(63);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(70);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(75);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(76);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(77);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 61:
      if (lookahead == 'g') ADVANCE(79);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 68:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 69:
      if (lookahead == 'c') ADVANCE(86);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 71:
      if (lookahead == 'w') ADVANCE(87);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 73:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 74:
      if (lookahead == 'f') ADVANCE(89);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(90);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(91);
      END_STATE();
    case 79:
      if (lookahead == 'g') ADVANCE(92);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 82:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 84:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(100);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 105:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 252, .external_lex_state = 2},
  [2] = {.lex_state = 13, .external_lex_state = 2},
  [3] = {.lex_state = 13, .external_lex_state = 2},
  [4] = {.lex_state = 13, .external_lex_state = 2},
  [5] = {.lex_state = 13, .external_lex_state = 2},
  [6] = {.lex_state = 13, .external_lex_state = 2},
  [7] = {.lex_state = 13, .external_lex_state = 2},
  [8] = {.lex_state = 13, .external_lex_state = 2},
  [9] = {.lex_state = 13, .external_lex_state = 2},
  [10] = {.lex_state = 19, .external_lex_state = 2},
  [11] = {.lex_state = 19, .external_lex_state = 2},
  [12] = {.lex_state = 19, .external_lex_state = 2},
  [13] = {.lex_state = 19, .external_lex_state = 2},
  [14] = {.lex_state = 19, .external_lex_state = 2},
  [15] = {.lex_state = 252, .external_lex_state = 2},
  [16] = {.lex_state = 252, .external_lex_state = 2},
  [17] = {.lex_state = 252, .external_lex_state = 2},
  [18] = {.lex_state = 252, .external_lex_state = 2},
  [19] = {.lex_state = 252, .external_lex_state = 2},
  [20] = {.lex_state = 252, .external_lex_state = 2},
  [21] = {.lex_state = 252, .external_lex_state = 2},
  [22] = {.lex_state = 252, .external_lex_state = 2},
  [23] = {.lex_state = 252, .external_lex_state = 2},
  [24] = {.lex_state = 252, .external_lex_state = 2},
  [25] = {.lex_state = 252, .external_lex_state = 2},
  [26] = {.lex_state = 252, .external_lex_state = 2},
  [27] = {.lex_state = 252, .external_lex_state = 2},
  [28] = {.lex_state = 252, .external_lex_state = 2},
  [29] = {.lex_state = 252, .external_lex_state = 2},
  [30] = {.lex_state = 252, .external_lex_state = 2},
  [31] = {.lex_state = 252, .external_lex_state = 2},
  [32] = {.lex_state = 252, .external_lex_state = 2},
  [33] = {.lex_state = 252, .external_lex_state = 2},
  [34] = {.lex_state = 252, .external_lex_state = 2},
  [35] = {.lex_state = 252, .external_lex_state = 2},
  [36] = {.lex_state = 252, .external_lex_state = 2},
  [37] = {.lex_state = 252, .external_lex_state = 2},
  [38] = {.lex_state = 252, .external_lex_state = 2},
  [39] = {.lex_state = 252, .external_lex_state = 2},
  [40] = {.lex_state = 252, .external_lex_state = 2},
  [41] = {.lex_state = 252, .external_lex_state = 2},
  [42] = {.lex_state = 252, .external_lex_state = 2},
  [43] = {.lex_state = 252, .external_lex_state = 2},
  [44] = {.lex_state = 252, .external_lex_state = 2},
  [45] = {.lex_state = 252, .external_lex_state = 2},
  [46] = {.lex_state = 252, .external_lex_state = 2},
  [47] = {.lex_state = 252, .external_lex_state = 2},
  [48] = {.lex_state = 252, .external_lex_state = 2},
  [49] = {.lex_state = 252, .external_lex_state = 2},
  [50] = {.lex_state = 252, .external_lex_state = 2},
  [51] = {.lex_state = 252, .external_lex_state = 2},
  [52] = {.lex_state = 252, .external_lex_state = 2},
  [53] = {.lex_state = 252, .external_lex_state = 2},
  [54] = {.lex_state = 252, .external_lex_state = 2},
  [55] = {.lex_state = 252, .external_lex_state = 2},
  [56] = {.lex_state = 252, .external_lex_state = 2},
  [57] = {.lex_state = 252, .external_lex_state = 2},
  [58] = {.lex_state = 252, .external_lex_state = 2},
  [59] = {.lex_state = 252, .external_lex_state = 2},
  [60] = {.lex_state = 252, .external_lex_state = 2},
  [61] = {.lex_state = 252, .external_lex_state = 2},
  [62] = {.lex_state = 252, .external_lex_state = 2},
  [63] = {.lex_state = 252, .external_lex_state = 2},
  [64] = {.lex_state = 252, .external_lex_state = 2},
  [65] = {.lex_state = 252, .external_lex_state = 2},
  [66] = {.lex_state = 252, .external_lex_state = 2},
  [67] = {.lex_state = 252, .external_lex_state = 2},
  [68] = {.lex_state = 252, .external_lex_state = 2},
  [69] = {.lex_state = 252, .external_lex_state = 2},
  [70] = {.lex_state = 252, .external_lex_state = 2},
  [71] = {.lex_state = 252, .external_lex_state = 2},
  [72] = {.lex_state = 252, .external_lex_state = 2},
  [73] = {.lex_state = 252, .external_lex_state = 2},
  [74] = {.lex_state = 252, .external_lex_state = 2},
  [75] = {.lex_state = 252, .external_lex_state = 2},
  [76] = {.lex_state = 252, .external_lex_state = 2},
  [77] = {.lex_state = 252, .external_lex_state = 2},
  [78] = {.lex_state = 252, .external_lex_state = 2},
  [79] = {.lex_state = 252, .external_lex_state = 2},
  [80] = {.lex_state = 252, .external_lex_state = 2},
  [81] = {.lex_state = 252, .external_lex_state = 2},
  [82] = {.lex_state = 252, .external_lex_state = 2},
  [83] = {.lex_state = 252, .external_lex_state = 2},
  [84] = {.lex_state = 252, .external_lex_state = 2},
  [85] = {.lex_state = 252, .external_lex_state = 2},
  [86] = {.lex_state = 252, .external_lex_state = 2},
  [87] = {.lex_state = 252, .external_lex_state = 2},
  [88] = {.lex_state = 252, .external_lex_state = 2},
  [89] = {.lex_state = 252, .external_lex_state = 2},
  [90] = {.lex_state = 252, .external_lex_state = 2},
  [91] = {.lex_state = 252, .external_lex_state = 2},
  [92] = {.lex_state = 252, .external_lex_state = 2},
  [93] = {.lex_state = 252, .external_lex_state = 2},
  [94] = {.lex_state = 252, .external_lex_state = 2},
  [95] = {.lex_state = 252, .external_lex_state = 2},
  [96] = {.lex_state = 252, .external_lex_state = 2},
  [97] = {.lex_state = 252, .external_lex_state = 2},
  [98] = {.lex_state = 252, .external_lex_state = 2},
  [99] = {.lex_state = 252, .external_lex_state = 2},
  [100] = {.lex_state = 252, .external_lex_state = 2},
  [101] = {.lex_state = 252, .external_lex_state = 2},
  [102] = {.lex_state = 252, .external_lex_state = 2},
  [103] = {.lex_state = 252, .external_lex_state = 2},
  [104] = {.lex_state = 252, .external_lex_state = 2},
  [105] = {.lex_state = 252, .external_lex_state = 2},
  [106] = {.lex_state = 252, .external_lex_state = 2},
  [107] = {.lex_state = 252, .external_lex_state = 2},
  [108] = {.lex_state = 252, .external_lex_state = 2},
  [109] = {.lex_state = 252, .external_lex_state = 2},
  [110] = {.lex_state = 252, .external_lex_state = 2},
  [111] = {.lex_state = 252, .external_lex_state = 2},
  [112] = {.lex_state = 252, .external_lex_state = 2},
  [113] = {.lex_state = 252, .external_lex_state = 2},
  [114] = {.lex_state = 252, .external_lex_state = 2},
  [115] = {.lex_state = 252, .external_lex_state = 2},
  [116] = {.lex_state = 252, .external_lex_state = 2},
  [117] = {.lex_state = 252, .external_lex_state = 2},
  [118] = {.lex_state = 252, .external_lex_state = 2},
  [119] = {.lex_state = 7, .external_lex_state = 3},
  [120] = {.lex_state = 7, .external_lex_state = 4},
  [121] = {.lex_state = 8, .external_lex_state = 4},
  [122] = {.lex_state = 7, .external_lex_state = 3},
  [123] = {.lex_state = 8, .external_lex_state = 3},
  [124] = {.lex_state = 12, .external_lex_state = 2},
  [125] = {.lex_state = 12, .external_lex_state = 2},
  [126] = {.lex_state = 12, .external_lex_state = 2},
  [127] = {.lex_state = 12, .external_lex_state = 2},
  [128] = {.lex_state = 12, .external_lex_state = 2},
  [129] = {.lex_state = 12, .external_lex_state = 2},
  [130] = {.lex_state = 12, .external_lex_state = 2},
  [131] = {.lex_state = 12, .external_lex_state = 2},
  [132] = {.lex_state = 17, .external_lex_state = 2},
  [133] = {.lex_state = 17, .external_lex_state = 2},
  [134] = {.lex_state = 17, .external_lex_state = 2},
  [135] = {.lex_state = 10, .external_lex_state = 4},
  [136] = {.lex_state = 17, .external_lex_state = 2},
  [137] = {.lex_state = 17, .external_lex_state = 2},
  [138] = {.lex_state = 17, .external_lex_state = 2},
  [139] = {.lex_state = 17, .external_lex_state = 2},
  [140] = {.lex_state = 17, .external_lex_state = 2},
  [141] = {.lex_state = 17, .external_lex_state = 2},
  [142] = {.lex_state = 17, .external_lex_state = 2},
  [143] = {.lex_state = 17, .external_lex_state = 2},
  [144] = {.lex_state = 17, .external_lex_state = 2},
  [145] = {.lex_state = 17, .external_lex_state = 2},
  [146] = {.lex_state = 17, .external_lex_state = 2},
  [147] = {.lex_state = 17, .external_lex_state = 2},
  [148] = {.lex_state = 10, .external_lex_state = 4},
  [149] = {.lex_state = 10, .external_lex_state = 4},
  [150] = {.lex_state = 10, .external_lex_state = 4},
  [151] = {.lex_state = 10, .external_lex_state = 4},
  [152] = {.lex_state = 10, .external_lex_state = 4},
  [153] = {.lex_state = 10, .external_lex_state = 4},
  [154] = {.lex_state = 10, .external_lex_state = 4},
  [155] = {.lex_state = 12, .external_lex_state = 2},
  [156] = {.lex_state = 12, .external_lex_state = 2},
  [157] = {.lex_state = 10, .external_lex_state = 4},
  [158] = {.lex_state = 251, .external_lex_state = 4},
  [159] = {.lex_state = 9, .external_lex_state = 4},
  [160] = {.lex_state = 10, .external_lex_state = 4},
  [161] = {.lex_state = 10, .external_lex_state = 4},
  [162] = {.lex_state = 10, .external_lex_state = 4},
  [163] = {.lex_state = 10, .external_lex_state = 4},
  [164] = {.lex_state = 12, .external_lex_state = 2},
  [165] = {.lex_state = 10, .external_lex_state = 4},
  [166] = {.lex_state = 10, .external_lex_state = 4},
  [167] = {.lex_state = 12, .external_lex_state = 2},
  [168] = {.lex_state = 251, .external_lex_state = 4},
  [169] = {.lex_state = 12, .external_lex_state = 2},
  [170] = {.lex_state = 251, .external_lex_state = 4},
  [171] = {.lex_state = 251, .external_lex_state = 4},
  [172] = {.lex_state = 251, .external_lex_state = 4},
  [173] = {.lex_state = 9, .external_lex_state = 4},
  [174] = {.lex_state = 251, .external_lex_state = 4},
  [175] = {.lex_state = 251, .external_lex_state = 4},
  [176] = {.lex_state = 251, .external_lex_state = 4},
  [177] = {.lex_state = 12, .external_lex_state = 2},
  [178] = {.lex_state = 251, .external_lex_state = 4},
  [179] = {.lex_state = 9, .external_lex_state = 4},
  [180] = {.lex_state = 9, .external_lex_state = 4},
  [181] = {.lex_state = 9, .external_lex_state = 4},
  [182] = {.lex_state = 9, .external_lex_state = 4},
  [183] = {.lex_state = 9, .external_lex_state = 4},
  [184] = {.lex_state = 9, .external_lex_state = 4},
  [185] = {.lex_state = 251, .external_lex_state = 4},
  [186] = {.lex_state = 9, .external_lex_state = 4},
  [187] = {.lex_state = 251, .external_lex_state = 4},
  [188] = {.lex_state = 251, .external_lex_state = 4},
  [189] = {.lex_state = 12, .external_lex_state = 2},
  [190] = {.lex_state = 9, .external_lex_state = 4},
  [191] = {.lex_state = 9, .external_lex_state = 4},
  [192] = {.lex_state = 9, .external_lex_state = 4},
  [193] = {.lex_state = 9, .external_lex_state = 4},
  [194] = {.lex_state = 9, .external_lex_state = 4},
  [195] = {.lex_state = 9, .external_lex_state = 4},
  [196] = {.lex_state = 250, .external_lex_state = 4},
  [197] = {.lex_state = 251, .external_lex_state = 4},
  [198] = {.lex_state = 251, .external_lex_state = 4},
  [199] = {.lex_state = 251, .external_lex_state = 4},
  [200] = {.lex_state = 12, .external_lex_state = 2},
  [201] = {.lex_state = 12, .external_lex_state = 2},
  [202] = {.lex_state = 250, .external_lex_state = 4},
  [203] = {.lex_state = 12, .external_lex_state = 2},
  [204] = {.lex_state = 12, .external_lex_state = 2},
  [205] = {.lex_state = 250, .external_lex_state = 4},
  [206] = {.lex_state = 250, .external_lex_state = 4},
  [207] = {.lex_state = 250, .external_lex_state = 4},
  [208] = {.lex_state = 250, .external_lex_state = 4},
  [209] = {.lex_state = 250, .external_lex_state = 4},
  [210] = {.lex_state = 12, .external_lex_state = 2},
  [211] = {.lex_state = 250, .external_lex_state = 4},
  [212] = {.lex_state = 250, .external_lex_state = 4},
  [213] = {.lex_state = 12, .external_lex_state = 2},
  [214] = {.lex_state = 250, .external_lex_state = 4},
  [215] = {.lex_state = 250, .external_lex_state = 4},
  [216] = {.lex_state = 250, .external_lex_state = 4},
  [217] = {.lex_state = 250, .external_lex_state = 4},
  [218] = {.lex_state = 250, .external_lex_state = 4},
  [219] = {.lex_state = 12, .external_lex_state = 2},
  [220] = {.lex_state = 12, .external_lex_state = 2},
  [221] = {.lex_state = 12, .external_lex_state = 2},
  [222] = {.lex_state = 250, .external_lex_state = 4},
  [223] = {.lex_state = 12, .external_lex_state = 2},
  [224] = {.lex_state = 12, .external_lex_state = 2},
  [225] = {.lex_state = 12, .external_lex_state = 2},
  [226] = {.lex_state = 12, .external_lex_state = 2},
  [227] = {.lex_state = 12, .external_lex_state = 2},
  [228] = {.lex_state = 12, .external_lex_state = 2},
  [229] = {.lex_state = 12, .external_lex_state = 2},
  [230] = {.lex_state = 12, .external_lex_state = 2},
  [231] = {.lex_state = 12, .external_lex_state = 2},
  [232] = {.lex_state = 12, .external_lex_state = 2},
  [233] = {.lex_state = 12, .external_lex_state = 5},
  [234] = {.lex_state = 12, .external_lex_state = 5},
  [235] = {.lex_state = 12, .external_lex_state = 5},
  [236] = {.lex_state = 12, .external_lex_state = 5},
  [237] = {.lex_state = 12, .external_lex_state = 5},
  [238] = {.lex_state = 17, .external_lex_state = 2},
  [239] = {.lex_state = 12, .external_lex_state = 2},
  [240] = {.lex_state = 12, .external_lex_state = 2},
  [241] = {.lex_state = 12, .external_lex_state = 2},
  [242] = {.lex_state = 12, .external_lex_state = 2},
  [243] = {.lex_state = 12, .external_lex_state = 2},
  [244] = {.lex_state = 14, .external_lex_state = 2},
  [245] = {.lex_state = 12, .external_lex_state = 2},
  [246] = {.lex_state = 12, .external_lex_state = 2},
  [247] = {.lex_state = 12, .external_lex_state = 2},
  [248] = {.lex_state = 12, .external_lex_state = 2},
  [249] = {.lex_state = 12, .external_lex_state = 2},
  [250] = {.lex_state = 12, .external_lex_state = 2},
  [251] = {.lex_state = 12, .external_lex_state = 2},
  [252] = {.lex_state = 12, .external_lex_state = 2},
  [253] = {.lex_state = 12, .external_lex_state = 2},
  [254] = {.lex_state = 12, .external_lex_state = 2},
  [255] = {.lex_state = 12, .external_lex_state = 2},
  [256] = {.lex_state = 12, .external_lex_state = 2},
  [257] = {.lex_state = 12, .external_lex_state = 2},
  [258] = {.lex_state = 14, .external_lex_state = 2},
  [259] = {.lex_state = 12, .external_lex_state = 2},
  [260] = {.lex_state = 12, .external_lex_state = 2},
  [261] = {.lex_state = 12, .external_lex_state = 2},
  [262] = {.lex_state = 12, .external_lex_state = 2},
  [263] = {.lex_state = 12, .external_lex_state = 2},
  [264] = {.lex_state = 12, .external_lex_state = 2},
  [265] = {.lex_state = 12, .external_lex_state = 2},
  [266] = {.lex_state = 12, .external_lex_state = 2},
  [267] = {.lex_state = 12, .external_lex_state = 2},
  [268] = {.lex_state = 12, .external_lex_state = 2},
  [269] = {.lex_state = 12, .external_lex_state = 2},
  [270] = {.lex_state = 12, .external_lex_state = 2},
  [271] = {.lex_state = 12, .external_lex_state = 2},
  [272] = {.lex_state = 12, .external_lex_state = 2},
  [273] = {.lex_state = 12, .external_lex_state = 2},
  [274] = {.lex_state = 12, .external_lex_state = 2},
  [275] = {.lex_state = 14, .external_lex_state = 2},
  [276] = {.lex_state = 12, .external_lex_state = 2},
  [277] = {.lex_state = 14, .external_lex_state = 2},
  [278] = {.lex_state = 12, .external_lex_state = 2},
  [279] = {.lex_state = 12, .external_lex_state = 2},
  [280] = {.lex_state = 12, .external_lex_state = 2},
  [281] = {.lex_state = 12, .external_lex_state = 2},
  [282] = {.lex_state = 12, .external_lex_state = 2},
  [283] = {.lex_state = 12, .external_lex_state = 2},
  [284] = {.lex_state = 12, .external_lex_state = 2},
  [285] = {.lex_state = 12, .external_lex_state = 2},
  [286] = {.lex_state = 12, .external_lex_state = 2},
  [287] = {.lex_state = 12, .external_lex_state = 2},
  [288] = {.lex_state = 12, .external_lex_state = 2},
  [289] = {.lex_state = 12, .external_lex_state = 2},
  [290] = {.lex_state = 12, .external_lex_state = 2},
  [291] = {.lex_state = 12, .external_lex_state = 2},
  [292] = {.lex_state = 12, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 2},
  [294] = {.lex_state = 12, .external_lex_state = 2},
  [295] = {.lex_state = 12, .external_lex_state = 2},
  [296] = {.lex_state = 12, .external_lex_state = 2},
  [297] = {.lex_state = 12, .external_lex_state = 2},
  [298] = {.lex_state = 12, .external_lex_state = 2},
  [299] = {.lex_state = 12, .external_lex_state = 2},
  [300] = {.lex_state = 12, .external_lex_state = 2},
  [301] = {.lex_state = 14, .external_lex_state = 2},
  [302] = {.lex_state = 12, .external_lex_state = 2},
  [303] = {.lex_state = 12, .external_lex_state = 2},
  [304] = {.lex_state = 12, .external_lex_state = 2},
  [305] = {.lex_state = 12, .external_lex_state = 2},
  [306] = {.lex_state = 12, .external_lex_state = 2},
  [307] = {.lex_state = 12, .external_lex_state = 2},
  [308] = {.lex_state = 12, .external_lex_state = 2},
  [309] = {.lex_state = 12, .external_lex_state = 2},
  [310] = {.lex_state = 12, .external_lex_state = 2},
  [311] = {.lex_state = 12, .external_lex_state = 2},
  [312] = {.lex_state = 12, .external_lex_state = 2},
  [313] = {.lex_state = 12, .external_lex_state = 2},
  [314] = {.lex_state = 12, .external_lex_state = 2},
  [315] = {.lex_state = 12, .external_lex_state = 2},
  [316] = {.lex_state = 12, .external_lex_state = 2},
  [317] = {.lex_state = 12, .external_lex_state = 2},
  [318] = {.lex_state = 12, .external_lex_state = 2},
  [319] = {.lex_state = 12, .external_lex_state = 2},
  [320] = {.lex_state = 12, .external_lex_state = 2},
  [321] = {.lex_state = 12, .external_lex_state = 2},
  [322] = {.lex_state = 12, .external_lex_state = 2},
  [323] = {.lex_state = 12, .external_lex_state = 2},
  [324] = {.lex_state = 12, .external_lex_state = 2},
  [325] = {.lex_state = 12, .external_lex_state = 2},
  [326] = {.lex_state = 12, .external_lex_state = 2},
  [327] = {.lex_state = 12, .external_lex_state = 2},
  [328] = {.lex_state = 12, .external_lex_state = 2},
  [329] = {.lex_state = 12, .external_lex_state = 2},
  [330] = {.lex_state = 12, .external_lex_state = 2},
  [331] = {.lex_state = 12, .external_lex_state = 2},
  [332] = {.lex_state = 12, .external_lex_state = 2},
  [333] = {.lex_state = 12, .external_lex_state = 2},
  [334] = {.lex_state = 12, .external_lex_state = 2},
  [335] = {.lex_state = 12, .external_lex_state = 2},
  [336] = {.lex_state = 12, .external_lex_state = 2},
  [337] = {.lex_state = 12, .external_lex_state = 2},
  [338] = {.lex_state = 12, .external_lex_state = 2},
  [339] = {.lex_state = 12, .external_lex_state = 2},
  [340] = {.lex_state = 12, .external_lex_state = 2},
  [341] = {.lex_state = 12, .external_lex_state = 2},
  [342] = {.lex_state = 12, .external_lex_state = 2},
  [343] = {.lex_state = 12, .external_lex_state = 2},
  [344] = {.lex_state = 12, .external_lex_state = 2},
  [345] = {.lex_state = 12, .external_lex_state = 2},
  [346] = {.lex_state = 12, .external_lex_state = 2},
  [347] = {.lex_state = 12, .external_lex_state = 2},
  [348] = {.lex_state = 12, .external_lex_state = 2},
  [349] = {.lex_state = 12, .external_lex_state = 2},
  [350] = {.lex_state = 12, .external_lex_state = 2},
  [351] = {.lex_state = 12, .external_lex_state = 2},
  [352] = {.lex_state = 12, .external_lex_state = 2},
  [353] = {.lex_state = 12, .external_lex_state = 2},
  [354] = {.lex_state = 12, .external_lex_state = 2},
  [355] = {.lex_state = 12, .external_lex_state = 2},
  [356] = {.lex_state = 12, .external_lex_state = 2},
  [357] = {.lex_state = 12, .external_lex_state = 2},
  [358] = {.lex_state = 12, .external_lex_state = 2},
  [359] = {.lex_state = 12, .external_lex_state = 2},
  [360] = {.lex_state = 12, .external_lex_state = 2},
  [361] = {.lex_state = 12, .external_lex_state = 2},
  [362] = {.lex_state = 12, .external_lex_state = 2},
  [363] = {.lex_state = 12, .external_lex_state = 2},
  [364] = {.lex_state = 12, .external_lex_state = 2},
  [365] = {.lex_state = 12, .external_lex_state = 2},
  [366] = {.lex_state = 12, .external_lex_state = 2},
  [367] = {.lex_state = 12, .external_lex_state = 2},
  [368] = {.lex_state = 12, .external_lex_state = 2},
  [369] = {.lex_state = 12, .external_lex_state = 2},
  [370] = {.lex_state = 12, .external_lex_state = 2},
  [371] = {.lex_state = 12, .external_lex_state = 2},
  [372] = {.lex_state = 12, .external_lex_state = 2},
  [373] = {.lex_state = 12, .external_lex_state = 2},
  [374] = {.lex_state = 12, .external_lex_state = 2},
  [375] = {.lex_state = 12, .external_lex_state = 2},
  [376] = {.lex_state = 12, .external_lex_state = 2},
  [377] = {.lex_state = 12, .external_lex_state = 2},
  [378] = {.lex_state = 12, .external_lex_state = 2},
  [379] = {.lex_state = 12, .external_lex_state = 2},
  [380] = {.lex_state = 12, .external_lex_state = 2},
  [381] = {.lex_state = 12, .external_lex_state = 2},
  [382] = {.lex_state = 12, .external_lex_state = 2},
  [383] = {.lex_state = 12, .external_lex_state = 2},
  [384] = {.lex_state = 12, .external_lex_state = 2},
  [385] = {.lex_state = 12, .external_lex_state = 2},
  [386] = {.lex_state = 12, .external_lex_state = 2},
  [387] = {.lex_state = 12, .external_lex_state = 2},
  [388] = {.lex_state = 12, .external_lex_state = 2},
  [389] = {.lex_state = 12, .external_lex_state = 2},
  [390] = {.lex_state = 12, .external_lex_state = 2},
  [391] = {.lex_state = 12, .external_lex_state = 2},
  [392] = {.lex_state = 12, .external_lex_state = 2},
  [393] = {.lex_state = 12, .external_lex_state = 2},
  [394] = {.lex_state = 12, .external_lex_state = 2},
  [395] = {.lex_state = 12, .external_lex_state = 2},
  [396] = {.lex_state = 12, .external_lex_state = 2},
  [397] = {.lex_state = 12, .external_lex_state = 2},
  [398] = {.lex_state = 12, .external_lex_state = 2},
  [399] = {.lex_state = 12, .external_lex_state = 2},
  [400] = {.lex_state = 12, .external_lex_state = 2},
  [401] = {.lex_state = 12, .external_lex_state = 2},
  [402] = {.lex_state = 12, .external_lex_state = 2},
  [403] = {.lex_state = 12, .external_lex_state = 2},
  [404] = {.lex_state = 12, .external_lex_state = 2},
  [405] = {.lex_state = 12, .external_lex_state = 2},
  [406] = {.lex_state = 12, .external_lex_state = 2},
  [407] = {.lex_state = 12, .external_lex_state = 2},
  [408] = {.lex_state = 12, .external_lex_state = 2},
  [409] = {.lex_state = 12, .external_lex_state = 2},
  [410] = {.lex_state = 12, .external_lex_state = 2},
  [411] = {.lex_state = 12, .external_lex_state = 2},
  [412] = {.lex_state = 12, .external_lex_state = 2},
  [413] = {.lex_state = 12, .external_lex_state = 2},
  [414] = {.lex_state = 12, .external_lex_state = 2},
  [415] = {.lex_state = 12, .external_lex_state = 2},
  [416] = {.lex_state = 12, .external_lex_state = 2},
  [417] = {.lex_state = 12, .external_lex_state = 2},
  [418] = {.lex_state = 12, .external_lex_state = 2},
  [419] = {.lex_state = 12, .external_lex_state = 2},
  [420] = {.lex_state = 12, .external_lex_state = 2},
  [421] = {.lex_state = 12, .external_lex_state = 2},
  [422] = {.lex_state = 12, .external_lex_state = 2},
  [423] = {.lex_state = 12, .external_lex_state = 2},
  [424] = {.lex_state = 12, .external_lex_state = 2},
  [425] = {.lex_state = 258, .external_lex_state = 4},
  [426] = {.lex_state = 258, .external_lex_state = 4},
  [427] = {.lex_state = 258, .external_lex_state = 4},
  [428] = {.lex_state = 258, .external_lex_state = 4},
  [429] = {.lex_state = 22, .external_lex_state = 4},
  [430] = {.lex_state = 22, .external_lex_state = 4},
  [431] = {.lex_state = 258, .external_lex_state = 4},
  [432] = {.lex_state = 22, .external_lex_state = 4},
  [433] = {.lex_state = 258, .external_lex_state = 4},
  [434] = {.lex_state = 258, .external_lex_state = 4},
  [435] = {.lex_state = 258, .external_lex_state = 4},
  [436] = {.lex_state = 23, .external_lex_state = 4},
  [437] = {.lex_state = 23, .external_lex_state = 4},
  [438] = {.lex_state = 23, .external_lex_state = 4},
  [439] = {.lex_state = 23, .external_lex_state = 4},
  [440] = {.lex_state = 23, .external_lex_state = 4},
  [441] = {.lex_state = 23, .external_lex_state = 4},
  [442] = {.lex_state = 24, .external_lex_state = 3},
  [443] = {.lex_state = 24, .external_lex_state = 3},
  [444] = {.lex_state = 24, .external_lex_state = 4},
  [445] = {.lex_state = 24, .external_lex_state = 4},
  [446] = {.lex_state = 25, .external_lex_state = 4},
  [447] = {.lex_state = 24, .external_lex_state = 4},
  [448] = {.lex_state = 26, .external_lex_state = 4},
  [449] = {.lex_state = 25, .external_lex_state = 4},
  [450] = {.lex_state = 24, .external_lex_state = 3},
  [451] = {.lex_state = 24, .external_lex_state = 4},
  [452] = {.lex_state = 24, .external_lex_state = 3},
  [453] = {.lex_state = 26, .external_lex_state = 4},
  [454] = {.lex_state = 26, .external_lex_state = 4},
  [455] = {.lex_state = 24, .external_lex_state = 4},
  [456] = {.lex_state = 24, .external_lex_state = 4},
  [457] = {.lex_state = 24, .external_lex_state = 3},
  [458] = {.lex_state = 25, .external_lex_state = 4},
  [459] = {.lex_state = 24, .external_lex_state = 4},
  [460] = {.lex_state = 16, .external_lex_state = 2},
  [461] = {.lex_state = 16, .external_lex_state = 5},
  [462] = {.lex_state = 16, .external_lex_state = 5},
  [463] = {.lex_state = 24, .external_lex_state = 3},
  [464] = {.lex_state = 15, .external_lex_state = 2},
  [465] = {.lex_state = 257, .external_lex_state = 2},
  [466] = {.lex_state = 20, .external_lex_state = 2},
  [467] = {.lex_state = 15, .external_lex_state = 5},
  [468] = {.lex_state = 24, .external_lex_state = 4},
  [469] = {.lex_state = 24, .external_lex_state = 3},
  [470] = {.lex_state = 20, .external_lex_state = 5},
  [471] = {.lex_state = 20, .external_lex_state = 5},
  [472] = {.lex_state = 257, .external_lex_state = 5},
  [473] = {.lex_state = 16, .external_lex_state = 2},
  [474] = {.lex_state = 256, .external_lex_state = 2},
  [475] = {.lex_state = 24, .external_lex_state = 3},
  [476] = {.lex_state = 15, .external_lex_state = 5},
  [477] = {.lex_state = 16, .external_lex_state = 2},
  [478] = {.lex_state = 257, .external_lex_state = 5},
  [479] = {.lex_state = 24, .external_lex_state = 4},
  [480] = {.lex_state = 24, .external_lex_state = 4},
  [481] = {.lex_state = 24, .external_lex_state = 4},
  [482] = {.lex_state = 24, .external_lex_state = 4},
  [483] = {.lex_state = 25, .external_lex_state = 4},
  [484] = {.lex_state = 254, .external_lex_state = 2},
  [485] = {.lex_state = 25, .external_lex_state = 4},
  [486] = {.lex_state = 254, .external_lex_state = 5},
  [487] = {.lex_state = 21, .external_lex_state = 5},
  [488] = {.lex_state = 254, .external_lex_state = 5},
  [489] = {.lex_state = 21, .external_lex_state = 2},
  [490] = {.lex_state = 18, .external_lex_state = 5},
  [491] = {.lex_state = 21, .external_lex_state = 5},
  [492] = {.lex_state = 25, .external_lex_state = 4},
  [493] = {.lex_state = 27, .external_lex_state = 4},
  [494] = {.lex_state = 21, .external_lex_state = 5},
  [495] = {.lex_state = 15, .external_lex_state = 2},
  [496] = {.lex_state = 18, .external_lex_state = 5},
  [497] = {.lex_state = 15, .external_lex_state = 2},
  [498] = {.lex_state = 21, .external_lex_state = 5},
  [499] = {.lex_state = 25, .external_lex_state = 4},
  [500] = {.lex_state = 21, .external_lex_state = 5},
  [501] = {.lex_state = 25, .external_lex_state = 4},
  [502] = {.lex_state = 21, .external_lex_state = 5},
  [503] = {.lex_state = 21, .external_lex_state = 5},
  [504] = {.lex_state = 26, .external_lex_state = 3},
  [505] = {.lex_state = 21, .external_lex_state = 5},
  [506] = {.lex_state = 18, .external_lex_state = 2},
  [507] = {.lex_state = 21, .external_lex_state = 5},
  [508] = {.lex_state = 21, .external_lex_state = 5},
  [509] = {.lex_state = 21, .external_lex_state = 5},
  [510] = {.lex_state = 21, .external_lex_state = 5},
  [511] = {.lex_state = 20, .external_lex_state = 2},
  [512] = {.lex_state = 256, .external_lex_state = 5},
  [513] = {.lex_state = 21, .external_lex_state = 5},
  [514] = {.lex_state = 21, .external_lex_state = 5},
  [515] = {.lex_state = 21, .external_lex_state = 5},
  [516] = {.lex_state = 21, .external_lex_state = 5},
  [517] = {.lex_state = 20, .external_lex_state = 2},
  [518] = {.lex_state = 26, .external_lex_state = 3},
  [519] = {.lex_state = 257, .external_lex_state = 2},
  [520] = {.lex_state = 257, .external_lex_state = 2},
  [521] = {.lex_state = 26, .external_lex_state = 3},
  [522] = {.lex_state = 20, .external_lex_state = 2},
  [523] = {.lex_state = 256, .external_lex_state = 5},
  [524] = {.lex_state = 21, .external_lex_state = 5},
  [525] = {.lex_state = 21, .external_lex_state = 2},
  [526] = {.lex_state = 21, .external_lex_state = 5},
  [527] = {.lex_state = 20, .external_lex_state = 2},
  [528] = {.lex_state = 21, .external_lex_state = 2},
  [529] = {.lex_state = 21, .external_lex_state = 2},
  [530] = {.lex_state = 21, .external_lex_state = 2},
  [531] = {.lex_state = 21, .external_lex_state = 2},
  [532] = {.lex_state = 21, .external_lex_state = 2},
  [533] = {.lex_state = 21, .external_lex_state = 2},
  [534] = {.lex_state = 255, .external_lex_state = 5},
  [535] = {.lex_state = 19, .external_lex_state = 5},
  [536] = {.lex_state = 21, .external_lex_state = 2},
  [537] = {.lex_state = 21, .external_lex_state = 2},
  [538] = {.lex_state = 21, .external_lex_state = 2},
  [539] = {.lex_state = 253, .external_lex_state = 5},
  [540] = {.lex_state = 19, .external_lex_state = 5},
  [541] = {.lex_state = 21, .external_lex_state = 2},
  [542] = {.lex_state = 21, .external_lex_state = 2},
  [543] = {.lex_state = 21, .external_lex_state = 2},
  [544] = {.lex_state = 255, .external_lex_state = 5},
  [545] = {.lex_state = 19, .external_lex_state = 5},
  [546] = {.lex_state = 18, .external_lex_state = 2},
  [547] = {.lex_state = 255, .external_lex_state = 5},
  [548] = {.lex_state = 21, .external_lex_state = 2},
  [549] = {.lex_state = 21, .external_lex_state = 2},
  [550] = {.lex_state = 21, .external_lex_state = 2},
  [551] = {.lex_state = 21, .external_lex_state = 2},
  [552] = {.lex_state = 254, .external_lex_state = 2},
  [553] = {.lex_state = 255, .external_lex_state = 5},
  [554] = {.lex_state = 255, .external_lex_state = 5},
  [555] = {.lex_state = 21, .external_lex_state = 2},
  [556] = {.lex_state = 21, .external_lex_state = 2},
  [557] = {.lex_state = 19, .external_lex_state = 5},
  [558] = {.lex_state = 19, .external_lex_state = 5},
  [559] = {.lex_state = 19, .external_lex_state = 5},
  [560] = {.lex_state = 21, .external_lex_state = 2},
  [561] = {.lex_state = 21, .external_lex_state = 2},
  [562] = {.lex_state = 21, .external_lex_state = 2},
  [563] = {.lex_state = 255, .external_lex_state = 2},
  [564] = {.lex_state = 21, .external_lex_state = 2},
  [565] = {.lex_state = 21, .external_lex_state = 2},
  [566] = {.lex_state = 21, .external_lex_state = 2},
  [567] = {.lex_state = 255, .external_lex_state = 5},
  [568] = {.lex_state = 19, .external_lex_state = 5},
  [569] = {.lex_state = 21, .external_lex_state = 2},
  [570] = {.lex_state = 19, .external_lex_state = 5},
  [571] = {.lex_state = 21, .external_lex_state = 2},
  [572] = {.lex_state = 21, .external_lex_state = 2},
  [573] = {.lex_state = 21, .external_lex_state = 2},
  [574] = {.lex_state = 19, .external_lex_state = 5},
  [575] = {.lex_state = 21, .external_lex_state = 2},
  [576] = {.lex_state = 19, .external_lex_state = 5},
  [577] = {.lex_state = 255, .external_lex_state = 5},
  [578] = {.lex_state = 21, .external_lex_state = 2},
  [579] = {.lex_state = 21, .external_lex_state = 2},
  [580] = {.lex_state = 21, .external_lex_state = 2},
  [581] = {.lex_state = 21, .external_lex_state = 2},
  [582] = {.lex_state = 21, .external_lex_state = 2},
  [583] = {.lex_state = 255, .external_lex_state = 5},
  [584] = {.lex_state = 21, .external_lex_state = 2},
  [585] = {.lex_state = 255, .external_lex_state = 5},
  [586] = {.lex_state = 21, .external_lex_state = 2},
  [587] = {.lex_state = 21, .external_lex_state = 2},
  [588] = {.lex_state = 21, .external_lex_state = 2},
  [589] = {.lex_state = 18, .external_lex_state = 2},
  [590] = {.lex_state = 21, .external_lex_state = 2},
  [591] = {.lex_state = 19, .external_lex_state = 5},
  [592] = {.lex_state = 21, .external_lex_state = 2},
  [593] = {.lex_state = 21, .external_lex_state = 2},
  [594] = {.lex_state = 21, .external_lex_state = 2},
  [595] = {.lex_state = 21, .external_lex_state = 2},
  [596] = {.lex_state = 21, .external_lex_state = 2},
  [597] = {.lex_state = 21, .external_lex_state = 2},
  [598] = {.lex_state = 21, .external_lex_state = 2},
  [599] = {.lex_state = 21, .external_lex_state = 2},
  [600] = {.lex_state = 21, .external_lex_state = 2},
  [601] = {.lex_state = 21, .external_lex_state = 2},
  [602] = {.lex_state = 21, .external_lex_state = 2},
  [603] = {.lex_state = 18, .external_lex_state = 2},
  [604] = {.lex_state = 21, .external_lex_state = 2},
  [605] = {.lex_state = 21, .external_lex_state = 2},
  [606] = {.lex_state = 19, .external_lex_state = 5},
  [607] = {.lex_state = 18, .external_lex_state = 2},
  [608] = {.lex_state = 21, .external_lex_state = 2},
  [609] = {.lex_state = 255, .external_lex_state = 2},
  [610] = {.lex_state = 21, .external_lex_state = 2},
  [611] = {.lex_state = 255, .external_lex_state = 5},
  [612] = {.lex_state = 254, .external_lex_state = 2},
  [613] = {.lex_state = 21, .external_lex_state = 2},
  [614] = {.lex_state = 255, .external_lex_state = 5},
  [615] = {.lex_state = 21, .external_lex_state = 2},
  [616] = {.lex_state = 19, .external_lex_state = 5},
  [617] = {.lex_state = 21, .external_lex_state = 2},
  [618] = {.lex_state = 21, .external_lex_state = 2},
  [619] = {.lex_state = 21, .external_lex_state = 2},
  [620] = {.lex_state = 21, .external_lex_state = 2},
  [621] = {.lex_state = 21, .external_lex_state = 2},
  [622] = {.lex_state = 21, .external_lex_state = 2},
  [623] = {.lex_state = 21, .external_lex_state = 2},
  [624] = {.lex_state = 21, .external_lex_state = 2},
  [625] = {.lex_state = 21, .external_lex_state = 2},
  [626] = {.lex_state = 21, .external_lex_state = 2},
  [627] = {.lex_state = 19, .external_lex_state = 5},
  [628] = {.lex_state = 21, .external_lex_state = 2},
  [629] = {.lex_state = 255, .external_lex_state = 5},
  [630] = {.lex_state = 255, .external_lex_state = 5},
  [631] = {.lex_state = 21, .external_lex_state = 2},
  [632] = {.lex_state = 21, .external_lex_state = 2},
  [633] = {.lex_state = 21, .external_lex_state = 2},
  [634] = {.lex_state = 21, .external_lex_state = 2},
  [635] = {.lex_state = 253, .external_lex_state = 2},
  [636] = {.lex_state = 21, .external_lex_state = 2},
  [637] = {.lex_state = 21, .external_lex_state = 2},
  [638] = {.lex_state = 21, .external_lex_state = 2},
  [639] = {.lex_state = 21, .external_lex_state = 2},
  [640] = {.lex_state = 21, .external_lex_state = 2},
  [641] = {.lex_state = 254, .external_lex_state = 2},
  [642] = {.lex_state = 21, .external_lex_state = 2},
  [643] = {.lex_state = 21, .external_lex_state = 2},
  [644] = {.lex_state = 21, .external_lex_state = 2},
  [645] = {.lex_state = 21, .external_lex_state = 2},
  [646] = {.lex_state = 21, .external_lex_state = 2},
  [647] = {.lex_state = 21, .external_lex_state = 2},
  [648] = {.lex_state = 21, .external_lex_state = 2},
  [649] = {.lex_state = 21, .external_lex_state = 2},
  [650] = {.lex_state = 256, .external_lex_state = 2},
  [651] = {.lex_state = 21, .external_lex_state = 2},
  [652] = {.lex_state = 21, .external_lex_state = 2},
  [653] = {.lex_state = 21, .external_lex_state = 2},
  [654] = {.lex_state = 254, .external_lex_state = 2},
  [655] = {.lex_state = 21, .external_lex_state = 2},
  [656] = {.lex_state = 21, .external_lex_state = 2},
  [657] = {.lex_state = 21, .external_lex_state = 2},
  [658] = {.lex_state = 21, .external_lex_state = 2},
  [659] = {.lex_state = 21, .external_lex_state = 2},
  [660] = {.lex_state = 21, .external_lex_state = 2},
  [661] = {.lex_state = 253, .external_lex_state = 5},
  [662] = {.lex_state = 255, .external_lex_state = 5},
  [663] = {.lex_state = 255, .external_lex_state = 5},
  [664] = {.lex_state = 255, .external_lex_state = 5},
  [665] = {.lex_state = 19, .external_lex_state = 5},
  [666] = {.lex_state = 255, .external_lex_state = 5},
  [667] = {.lex_state = 21, .external_lex_state = 2},
  [668] = {.lex_state = 19, .external_lex_state = 5},
  [669] = {.lex_state = 256, .external_lex_state = 2},
  [670] = {.lex_state = 19, .external_lex_state = 5},
  [671] = {.lex_state = 21, .external_lex_state = 2},
  [672] = {.lex_state = 255, .external_lex_state = 5},
  [673] = {.lex_state = 21, .external_lex_state = 2},
  [674] = {.lex_state = 21, .external_lex_state = 2},
  [675] = {.lex_state = 19, .external_lex_state = 5},
  [676] = {.lex_state = 21, .external_lex_state = 2},
  [677] = {.lex_state = 21, .external_lex_state = 2},
  [678] = {.lex_state = 19, .external_lex_state = 2},
  [679] = {.lex_state = 252, .external_lex_state = 5},
  [680] = {.lex_state = 252, .external_lex_state = 5},
  [681] = {.lex_state = 252, .external_lex_state = 5},
  [682] = {.lex_state = 252, .external_lex_state = 5},
  [683] = {.lex_state = 252, .external_lex_state = 5},
  [684] = {.lex_state = 252, .external_lex_state = 5},
  [685] = {.lex_state = 252, .external_lex_state = 5},
  [686] = {.lex_state = 253, .external_lex_state = 2},
  [687] = {.lex_state = 19, .external_lex_state = 2},
  [688] = {.lex_state = 255, .external_lex_state = 2},
  [689] = {.lex_state = 255, .external_lex_state = 2},
  [690] = {.lex_state = 255, .external_lex_state = 2},
  [691] = {.lex_state = 255, .external_lex_state = 2},
  [692] = {.lex_state = 255, .external_lex_state = 2},
  [693] = {.lex_state = 255, .external_lex_state = 2},
  [694] = {.lex_state = 255, .external_lex_state = 2},
  [695] = {.lex_state = 255, .external_lex_state = 2},
  [696] = {.lex_state = 255, .external_lex_state = 2},
  [697] = {.lex_state = 255, .external_lex_state = 2},
  [698] = {.lex_state = 255, .external_lex_state = 2},
  [699] = {.lex_state = 255, .external_lex_state = 2},
  [700] = {.lex_state = 255, .external_lex_state = 2},
  [701] = {.lex_state = 255, .external_lex_state = 2},
  [702] = {.lex_state = 255, .external_lex_state = 2},
  [703] = {.lex_state = 255, .external_lex_state = 2},
  [704] = {.lex_state = 255, .external_lex_state = 2},
  [705] = {.lex_state = 255, .external_lex_state = 2},
  [706] = {.lex_state = 255, .external_lex_state = 2},
  [707] = {.lex_state = 255, .external_lex_state = 2},
  [708] = {.lex_state = 255, .external_lex_state = 2},
  [709] = {.lex_state = 255, .external_lex_state = 2},
  [710] = {.lex_state = 255, .external_lex_state = 2},
  [711] = {.lex_state = 255, .external_lex_state = 2},
  [712] = {.lex_state = 255, .external_lex_state = 2},
  [713] = {.lex_state = 255, .external_lex_state = 2},
  [714] = {.lex_state = 255, .external_lex_state = 2},
  [715] = {.lex_state = 255, .external_lex_state = 2},
  [716] = {.lex_state = 255, .external_lex_state = 2},
  [717] = {.lex_state = 255, .external_lex_state = 2},
  [718] = {.lex_state = 255, .external_lex_state = 2},
  [719] = {.lex_state = 255, .external_lex_state = 2},
  [720] = {.lex_state = 255, .external_lex_state = 2},
  [721] = {.lex_state = 255, .external_lex_state = 2},
  [722] = {.lex_state = 255, .external_lex_state = 2},
  [723] = {.lex_state = 255, .external_lex_state = 2},
  [724] = {.lex_state = 255, .external_lex_state = 2},
  [725] = {.lex_state = 255, .external_lex_state = 2},
  [726] = {.lex_state = 255, .external_lex_state = 2},
  [727] = {.lex_state = 255, .external_lex_state = 2},
  [728] = {.lex_state = 255, .external_lex_state = 2},
  [729] = {.lex_state = 255, .external_lex_state = 2},
  [730] = {.lex_state = 255, .external_lex_state = 2},
  [731] = {.lex_state = 255, .external_lex_state = 2},
  [732] = {.lex_state = 255, .external_lex_state = 2},
  [733] = {.lex_state = 255, .external_lex_state = 2},
  [734] = {.lex_state = 255, .external_lex_state = 2},
  [735] = {.lex_state = 255, .external_lex_state = 2},
  [736] = {.lex_state = 255, .external_lex_state = 2},
  [737] = {.lex_state = 255, .external_lex_state = 2},
  [738] = {.lex_state = 255, .external_lex_state = 2},
  [739] = {.lex_state = 255, .external_lex_state = 2},
  [740] = {.lex_state = 255, .external_lex_state = 2},
  [741] = {.lex_state = 255, .external_lex_state = 2},
  [742] = {.lex_state = 255, .external_lex_state = 2},
  [743] = {.lex_state = 255, .external_lex_state = 2},
  [744] = {.lex_state = 255, .external_lex_state = 2},
  [745] = {.lex_state = 255, .external_lex_state = 2},
  [746] = {.lex_state = 255, .external_lex_state = 2},
  [747] = {.lex_state = 255, .external_lex_state = 2},
  [748] = {.lex_state = 255, .external_lex_state = 2},
  [749] = {.lex_state = 255, .external_lex_state = 2},
  [750] = {.lex_state = 255, .external_lex_state = 2},
  [751] = {.lex_state = 255, .external_lex_state = 2},
  [752] = {.lex_state = 255, .external_lex_state = 2},
  [753] = {.lex_state = 255, .external_lex_state = 2},
  [754] = {.lex_state = 255, .external_lex_state = 2},
  [755] = {.lex_state = 255, .external_lex_state = 2},
  [756] = {.lex_state = 255, .external_lex_state = 2},
  [757] = {.lex_state = 255, .external_lex_state = 2},
  [758] = {.lex_state = 255, .external_lex_state = 2},
  [759] = {.lex_state = 255, .external_lex_state = 2},
  [760] = {.lex_state = 255, .external_lex_state = 2},
  [761] = {.lex_state = 255, .external_lex_state = 2},
  [762] = {.lex_state = 255, .external_lex_state = 2},
  [763] = {.lex_state = 255, .external_lex_state = 2},
  [764] = {.lex_state = 255, .external_lex_state = 2},
  [765] = {.lex_state = 255, .external_lex_state = 2},
  [766] = {.lex_state = 255, .external_lex_state = 2},
  [767] = {.lex_state = 255, .external_lex_state = 2},
  [768] = {.lex_state = 255, .external_lex_state = 2},
  [769] = {.lex_state = 255, .external_lex_state = 2},
  [770] = {.lex_state = 255, .external_lex_state = 2},
  [771] = {.lex_state = 255, .external_lex_state = 2},
  [772] = {.lex_state = 255, .external_lex_state = 2},
  [773] = {.lex_state = 255, .external_lex_state = 2},
  [774] = {.lex_state = 255, .external_lex_state = 2},
  [775] = {.lex_state = 255, .external_lex_state = 2},
  [776] = {.lex_state = 255, .external_lex_state = 2},
  [777] = {.lex_state = 255, .external_lex_state = 2},
  [778] = {.lex_state = 255, .external_lex_state = 2},
  [779] = {.lex_state = 255, .external_lex_state = 2},
  [780] = {.lex_state = 255, .external_lex_state = 2},
  [781] = {.lex_state = 255, .external_lex_state = 2},
  [782] = {.lex_state = 255, .external_lex_state = 2},
  [783] = {.lex_state = 255, .external_lex_state = 2},
  [784] = {.lex_state = 255, .external_lex_state = 2},
  [785] = {.lex_state = 19, .external_lex_state = 2},
  [786] = {.lex_state = 19, .external_lex_state = 2},
  [787] = {.lex_state = 19, .external_lex_state = 2},
  [788] = {.lex_state = 19, .external_lex_state = 2},
  [789] = {.lex_state = 19, .external_lex_state = 2},
  [790] = {.lex_state = 19, .external_lex_state = 2},
  [791] = {.lex_state = 25, .external_lex_state = 4},
  [792] = {.lex_state = 19, .external_lex_state = 2},
  [793] = {.lex_state = 19, .external_lex_state = 2},
  [794] = {.lex_state = 19, .external_lex_state = 2},
  [795] = {.lex_state = 19, .external_lex_state = 2},
  [796] = {.lex_state = 19, .external_lex_state = 2},
  [797] = {.lex_state = 19, .external_lex_state = 2},
  [798] = {.lex_state = 19, .external_lex_state = 2},
  [799] = {.lex_state = 19, .external_lex_state = 2},
  [800] = {.lex_state = 19, .external_lex_state = 2},
  [801] = {.lex_state = 19, .external_lex_state = 2},
  [802] = {.lex_state = 25, .external_lex_state = 4},
  [803] = {.lex_state = 19, .external_lex_state = 2},
  [804] = {.lex_state = 19, .external_lex_state = 2},
  [805] = {.lex_state = 19, .external_lex_state = 2},
  [806] = {.lex_state = 19, .external_lex_state = 2},
  [807] = {.lex_state = 19, .external_lex_state = 2},
  [808] = {.lex_state = 19, .external_lex_state = 2},
  [809] = {.lex_state = 19, .external_lex_state = 2},
  [810] = {.lex_state = 19, .external_lex_state = 2},
  [811] = {.lex_state = 19, .external_lex_state = 2},
  [812] = {.lex_state = 19, .external_lex_state = 2},
  [813] = {.lex_state = 19, .external_lex_state = 2},
  [814] = {.lex_state = 19, .external_lex_state = 2},
  [815] = {.lex_state = 19, .external_lex_state = 2},
  [816] = {.lex_state = 19, .external_lex_state = 2},
  [817] = {.lex_state = 19, .external_lex_state = 2},
  [818] = {.lex_state = 19, .external_lex_state = 2},
  [819] = {.lex_state = 19, .external_lex_state = 2},
  [820] = {.lex_state = 19, .external_lex_state = 2},
  [821] = {.lex_state = 19, .external_lex_state = 2},
  [822] = {.lex_state = 19, .external_lex_state = 2},
  [823] = {.lex_state = 19, .external_lex_state = 2},
  [824] = {.lex_state = 252, .external_lex_state = 5},
  [825] = {.lex_state = 19, .external_lex_state = 2},
  [826] = {.lex_state = 19, .external_lex_state = 2},
  [827] = {.lex_state = 19, .external_lex_state = 2},
  [828] = {.lex_state = 19, .external_lex_state = 2},
  [829] = {.lex_state = 19, .external_lex_state = 2},
  [830] = {.lex_state = 19, .external_lex_state = 2},
  [831] = {.lex_state = 19, .external_lex_state = 2},
  [832] = {.lex_state = 19, .external_lex_state = 2},
  [833] = {.lex_state = 19, .external_lex_state = 2},
  [834] = {.lex_state = 19, .external_lex_state = 2},
  [835] = {.lex_state = 19, .external_lex_state = 2},
  [836] = {.lex_state = 19, .external_lex_state = 2},
  [837] = {.lex_state = 19, .external_lex_state = 2},
  [838] = {.lex_state = 19, .external_lex_state = 2},
  [839] = {.lex_state = 19, .external_lex_state = 2},
  [840] = {.lex_state = 19, .external_lex_state = 2},
  [841] = {.lex_state = 19, .external_lex_state = 2},
  [842] = {.lex_state = 19, .external_lex_state = 2},
  [843] = {.lex_state = 19, .external_lex_state = 2},
  [844] = {.lex_state = 19, .external_lex_state = 2},
  [845] = {.lex_state = 19, .external_lex_state = 2},
  [846] = {.lex_state = 19, .external_lex_state = 2},
  [847] = {.lex_state = 19, .external_lex_state = 2},
  [848] = {.lex_state = 19, .external_lex_state = 2},
  [849] = {.lex_state = 19, .external_lex_state = 2},
  [850] = {.lex_state = 19, .external_lex_state = 2},
  [851] = {.lex_state = 19, .external_lex_state = 2},
  [852] = {.lex_state = 19, .external_lex_state = 2},
  [853] = {.lex_state = 19, .external_lex_state = 2},
  [854] = {.lex_state = 19, .external_lex_state = 2},
  [855] = {.lex_state = 19, .external_lex_state = 2},
  [856] = {.lex_state = 19, .external_lex_state = 2},
  [857] = {.lex_state = 19, .external_lex_state = 2},
  [858] = {.lex_state = 19, .external_lex_state = 2},
  [859] = {.lex_state = 252, .external_lex_state = 5},
  [860] = {.lex_state = 19, .external_lex_state = 2},
  [861] = {.lex_state = 19, .external_lex_state = 2},
  [862] = {.lex_state = 19, .external_lex_state = 2},
  [863] = {.lex_state = 19, .external_lex_state = 2},
  [864] = {.lex_state = 19, .external_lex_state = 2},
  [865] = {.lex_state = 19, .external_lex_state = 2},
  [866] = {.lex_state = 19, .external_lex_state = 2},
  [867] = {.lex_state = 19, .external_lex_state = 2},
  [868] = {.lex_state = 19, .external_lex_state = 2},
  [869] = {.lex_state = 19, .external_lex_state = 2},
  [870] = {.lex_state = 19, .external_lex_state = 2},
  [871] = {.lex_state = 19, .external_lex_state = 2},
  [872] = {.lex_state = 19, .external_lex_state = 2},
  [873] = {.lex_state = 19, .external_lex_state = 2},
  [874] = {.lex_state = 19, .external_lex_state = 2},
  [875] = {.lex_state = 19, .external_lex_state = 2},
  [876] = {.lex_state = 19, .external_lex_state = 2},
  [877] = {.lex_state = 19, .external_lex_state = 2},
  [878] = {.lex_state = 19, .external_lex_state = 2},
  [879] = {.lex_state = 19, .external_lex_state = 2},
  [880] = {.lex_state = 255, .external_lex_state = 2},
  [881] = {.lex_state = 19, .external_lex_state = 2},
  [882] = {.lex_state = 19, .external_lex_state = 2},
  [883] = {.lex_state = 252, .external_lex_state = 5},
  [884] = {.lex_state = 252, .external_lex_state = 5},
  [885] = {.lex_state = 255, .external_lex_state = 2},
  [886] = {.lex_state = 19, .external_lex_state = 2},
  [887] = {.lex_state = 19, .external_lex_state = 2},
  [888] = {.lex_state = 252, .external_lex_state = 5},
  [889] = {.lex_state = 253, .external_lex_state = 2},
  [890] = {.lex_state = 253, .external_lex_state = 2},
  [891] = {.lex_state = 252, .external_lex_state = 5},
  [892] = {.lex_state = 252, .external_lex_state = 5},
  [893] = {.lex_state = 252, .external_lex_state = 5},
  [894] = {.lex_state = 19, .external_lex_state = 2},
  [895] = {.lex_state = 19, .external_lex_state = 2},
  [896] = {.lex_state = 25, .external_lex_state = 4},
  [897] = {.lex_state = 252, .external_lex_state = 5},
  [898] = {.lex_state = 252, .external_lex_state = 5},
  [899] = {.lex_state = 25, .external_lex_state = 4},
  [900] = {.lex_state = 25, .external_lex_state = 4},
  [901] = {.lex_state = 252, .external_lex_state = 5},
  [902] = {.lex_state = 253, .external_lex_state = 2},
  [903] = {.lex_state = 19, .external_lex_state = 2},
  [904] = {.lex_state = 252, .external_lex_state = 2},
  [905] = {.lex_state = 252, .external_lex_state = 2},
  [906] = {.lex_state = 252, .external_lex_state = 2},
  [907] = {.lex_state = 252, .external_lex_state = 2},
  [908] = {.lex_state = 252, .external_lex_state = 2},
  [909] = {.lex_state = 252, .external_lex_state = 2},
  [910] = {.lex_state = 252, .external_lex_state = 2},
  [911] = {.lex_state = 252, .external_lex_state = 2},
  [912] = {.lex_state = 252, .external_lex_state = 2},
  [913] = {.lex_state = 252, .external_lex_state = 2},
  [914] = {.lex_state = 252, .external_lex_state = 2},
  [915] = {.lex_state = 252, .external_lex_state = 2},
  [916] = {.lex_state = 252, .external_lex_state = 2},
  [917] = {.lex_state = 252, .external_lex_state = 2},
  [918] = {.lex_state = 252, .external_lex_state = 2},
  [919] = {.lex_state = 252, .external_lex_state = 2},
  [920] = {.lex_state = 252, .external_lex_state = 2},
  [921] = {.lex_state = 252, .external_lex_state = 2},
  [922] = {.lex_state = 252, .external_lex_state = 2},
  [923] = {.lex_state = 252, .external_lex_state = 2},
  [924] = {.lex_state = 252, .external_lex_state = 2},
  [925] = {.lex_state = 252, .external_lex_state = 2},
  [926] = {.lex_state = 252, .external_lex_state = 2},
  [927] = {.lex_state = 252, .external_lex_state = 2},
  [928] = {.lex_state = 258, .external_lex_state = 4},
  [929] = {.lex_state = 252, .external_lex_state = 2},
  [930] = {.lex_state = 252, .external_lex_state = 2},
  [931] = {.lex_state = 252, .external_lex_state = 2},
  [932] = {.lex_state = 252, .external_lex_state = 2},
  [933] = {.lex_state = 252, .external_lex_state = 2},
  [934] = {.lex_state = 252, .external_lex_state = 2},
  [935] = {.lex_state = 252, .external_lex_state = 2},
  [936] = {.lex_state = 252, .external_lex_state = 2},
  [937] = {.lex_state = 252, .external_lex_state = 2},
  [938] = {.lex_state = 252, .external_lex_state = 2},
  [939] = {.lex_state = 252, .external_lex_state = 2},
  [940] = {.lex_state = 252, .external_lex_state = 2},
  [941] = {.lex_state = 252, .external_lex_state = 2},
  [942] = {.lex_state = 252, .external_lex_state = 2},
  [943] = {.lex_state = 252, .external_lex_state = 2},
  [944] = {.lex_state = 252, .external_lex_state = 2},
  [945] = {.lex_state = 252, .external_lex_state = 2},
  [946] = {.lex_state = 252, .external_lex_state = 2},
  [947] = {.lex_state = 252, .external_lex_state = 2},
  [948] = {.lex_state = 252, .external_lex_state = 2},
  [949] = {.lex_state = 252, .external_lex_state = 2},
  [950] = {.lex_state = 252, .external_lex_state = 2},
  [951] = {.lex_state = 252, .external_lex_state = 2},
  [952] = {.lex_state = 252, .external_lex_state = 2},
  [953] = {.lex_state = 252, .external_lex_state = 2},
  [954] = {.lex_state = 252, .external_lex_state = 2},
  [955] = {.lex_state = 252, .external_lex_state = 2},
  [956] = {.lex_state = 252, .external_lex_state = 2},
  [957] = {.lex_state = 252, .external_lex_state = 2},
  [958] = {.lex_state = 252, .external_lex_state = 2},
  [959] = {.lex_state = 252, .external_lex_state = 2},
  [960] = {.lex_state = 252, .external_lex_state = 2},
  [961] = {.lex_state = 258, .external_lex_state = 4},
  [962] = {.lex_state = 252, .external_lex_state = 2},
  [963] = {.lex_state = 252, .external_lex_state = 2},
  [964] = {.lex_state = 252, .external_lex_state = 2},
  [965] = {.lex_state = 252, .external_lex_state = 2},
  [966] = {.lex_state = 252, .external_lex_state = 2},
  [967] = {.lex_state = 252, .external_lex_state = 2},
  [968] = {.lex_state = 252, .external_lex_state = 2},
  [969] = {.lex_state = 252, .external_lex_state = 2},
  [970] = {.lex_state = 252, .external_lex_state = 2},
  [971] = {.lex_state = 252, .external_lex_state = 2},
  [972] = {.lex_state = 258, .external_lex_state = 4},
  [973] = {.lex_state = 252, .external_lex_state = 2},
  [974] = {.lex_state = 252, .external_lex_state = 2},
  [975] = {.lex_state = 252, .external_lex_state = 2},
  [976] = {.lex_state = 252, .external_lex_state = 2},
  [977] = {.lex_state = 252, .external_lex_state = 2},
  [978] = {.lex_state = 252, .external_lex_state = 2},
  [979] = {.lex_state = 252, .external_lex_state = 2},
  [980] = {.lex_state = 252, .external_lex_state = 2},
  [981] = {.lex_state = 252, .external_lex_state = 2},
  [982] = {.lex_state = 252, .external_lex_state = 2},
  [983] = {.lex_state = 252, .external_lex_state = 2},
  [984] = {.lex_state = 252, .external_lex_state = 2},
  [985] = {.lex_state = 252, .external_lex_state = 2},
  [986] = {.lex_state = 252, .external_lex_state = 2},
  [987] = {.lex_state = 252, .external_lex_state = 2},
  [988] = {.lex_state = 252, .external_lex_state = 2},
  [989] = {.lex_state = 252, .external_lex_state = 2},
  [990] = {.lex_state = 252, .external_lex_state = 2},
  [991] = {.lex_state = 252, .external_lex_state = 2},
  [992] = {.lex_state = 252, .external_lex_state = 2},
  [993] = {.lex_state = 252, .external_lex_state = 2},
  [994] = {.lex_state = 252, .external_lex_state = 2},
  [995] = {.lex_state = 252, .external_lex_state = 2},
  [996] = {.lex_state = 252, .external_lex_state = 2},
  [997] = {.lex_state = 252, .external_lex_state = 2},
  [998] = {.lex_state = 252, .external_lex_state = 2},
  [999] = {.lex_state = 252, .external_lex_state = 2},
  [1000] = {.lex_state = 252, .external_lex_state = 2},
  [1001] = {.lex_state = 252, .external_lex_state = 2},
  [1002] = {.lex_state = 252, .external_lex_state = 2},
  [1003] = {.lex_state = 252, .external_lex_state = 2},
  [1004] = {.lex_state = 252, .external_lex_state = 2},
  [1005] = {.lex_state = 252, .external_lex_state = 2},
  [1006] = {.lex_state = 252, .external_lex_state = 2},
  [1007] = {.lex_state = 258, .external_lex_state = 3},
  [1008] = {.lex_state = 258, .external_lex_state = 3},
  [1009] = {.lex_state = 258, .external_lex_state = 3},
  [1010] = {.lex_state = 258, .external_lex_state = 3},
  [1011] = {.lex_state = 258, .external_lex_state = 3},
  [1012] = {.lex_state = 258, .external_lex_state = 3},
  [1013] = {.lex_state = 27, .external_lex_state = 3},
  [1014] = {.lex_state = 258, .external_lex_state = 3},
  [1015] = {.lex_state = 258, .external_lex_state = 3},
  [1016] = {.lex_state = 252, .external_lex_state = 2},
  [1017] = {.lex_state = 252, .external_lex_state = 2},
  [1018] = {.lex_state = 252, .external_lex_state = 2},
  [1019] = {.lex_state = 258, .external_lex_state = 3},
  [1020] = {.lex_state = 252, .external_lex_state = 2},
  [1021] = {.lex_state = 258, .external_lex_state = 3},
  [1022] = {.lex_state = 252, .external_lex_state = 2},
  [1023] = {.lex_state = 258, .external_lex_state = 3},
  [1024] = {.lex_state = 252, .external_lex_state = 2},
  [1025] = {.lex_state = 252, .external_lex_state = 2},
  [1026] = {.lex_state = 258, .external_lex_state = 3},
  [1027] = {.lex_state = 252, .external_lex_state = 2},
  [1028] = {.lex_state = 258, .external_lex_state = 3},
  [1029] = {.lex_state = 258, .external_lex_state = 3},
  [1030] = {.lex_state = 258, .external_lex_state = 4},
  [1031] = {.lex_state = 258, .external_lex_state = 4},
  [1032] = {.lex_state = 258, .external_lex_state = 4},
  [1033] = {.lex_state = 258, .external_lex_state = 4},
  [1034] = {.lex_state = 258, .external_lex_state = 4},
  [1035] = {.lex_state = 258, .external_lex_state = 3},
  [1036] = {.lex_state = 258, .external_lex_state = 4},
  [1037] = {.lex_state = 258, .external_lex_state = 4},
  [1038] = {.lex_state = 258, .external_lex_state = 3},
  [1039] = {.lex_state = 258, .external_lex_state = 4},
  [1040] = {.lex_state = 258, .external_lex_state = 4},
  [1041] = {.lex_state = 258, .external_lex_state = 4},
  [1042] = {.lex_state = 258, .external_lex_state = 4},
  [1043] = {.lex_state = 258, .external_lex_state = 4},
  [1044] = {.lex_state = 258, .external_lex_state = 3},
  [1045] = {.lex_state = 258, .external_lex_state = 4},
  [1046] = {.lex_state = 258, .external_lex_state = 4},
  [1047] = {.lex_state = 258, .external_lex_state = 4},
  [1048] = {.lex_state = 258, .external_lex_state = 4},
  [1049] = {.lex_state = 258, .external_lex_state = 4},
  [1050] = {.lex_state = 258, .external_lex_state = 4},
  [1051] = {.lex_state = 258, .external_lex_state = 4},
  [1052] = {.lex_state = 258, .external_lex_state = 4},
  [1053] = {.lex_state = 258, .external_lex_state = 4},
  [1054] = {.lex_state = 258, .external_lex_state = 4},
  [1055] = {.lex_state = 258, .external_lex_state = 4},
  [1056] = {.lex_state = 258, .external_lex_state = 4},
  [1057] = {.lex_state = 258, .external_lex_state = 4},
  [1058] = {.lex_state = 258, .external_lex_state = 4},
  [1059] = {.lex_state = 258, .external_lex_state = 4},
  [1060] = {.lex_state = 258, .external_lex_state = 3},
  [1061] = {.lex_state = 258, .external_lex_state = 3},
  [1062] = {.lex_state = 258, .external_lex_state = 4},
  [1063] = {.lex_state = 258, .external_lex_state = 4},
  [1064] = {.lex_state = 258, .external_lex_state = 4},
  [1065] = {.lex_state = 258, .external_lex_state = 3},
  [1066] = {.lex_state = 258, .external_lex_state = 4},
  [1067] = {.lex_state = 258, .external_lex_state = 3},
  [1068] = {.lex_state = 258, .external_lex_state = 3},
  [1069] = {.lex_state = 258, .external_lex_state = 3},
  [1070] = {.lex_state = 258, .external_lex_state = 3},
  [1071] = {.lex_state = 258, .external_lex_state = 3},
  [1072] = {.lex_state = 258, .external_lex_state = 3},
  [1073] = {.lex_state = 258, .external_lex_state = 3},
  [1074] = {.lex_state = 258, .external_lex_state = 3},
  [1075] = {.lex_state = 258, .external_lex_state = 3},
  [1076] = {.lex_state = 258, .external_lex_state = 3},
  [1077] = {.lex_state = 258, .external_lex_state = 3},
  [1078] = {.lex_state = 258, .external_lex_state = 3},
  [1079] = {.lex_state = 258, .external_lex_state = 3},
  [1080] = {.lex_state = 258, .external_lex_state = 3},
  [1081] = {.lex_state = 258, .external_lex_state = 3},
  [1082] = {.lex_state = 258, .external_lex_state = 3},
  [1083] = {.lex_state = 258, .external_lex_state = 3},
  [1084] = {.lex_state = 258, .external_lex_state = 3},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 30, .external_lex_state = 4},
  [1088] = {.lex_state = 30, .external_lex_state = 3},
  [1089] = {.lex_state = 30, .external_lex_state = 3},
  [1090] = {.lex_state = 30, .external_lex_state = 3},
  [1091] = {.lex_state = 30, .external_lex_state = 3},
  [1092] = {.lex_state = 30, .external_lex_state = 3},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 30, .external_lex_state = 4},
  [1095] = {.lex_state = 30, .external_lex_state = 4},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 30, .external_lex_state = 3},
  [1099] = {.lex_state = 30, .external_lex_state = 3},
  [1100] = {.lex_state = 30, .external_lex_state = 3},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 30, .external_lex_state = 3},
  [1103] = {.lex_state = 30, .external_lex_state = 3},
  [1104] = {.lex_state = 30, .external_lex_state = 3},
  [1105] = {.lex_state = 30, .external_lex_state = 3},
  [1106] = {.lex_state = 29, .external_lex_state = 3},
  [1107] = {.lex_state = 30, .external_lex_state = 3},
  [1108] = {.lex_state = 30, .external_lex_state = 3},
  [1109] = {.lex_state = 30, .external_lex_state = 3},
  [1110] = {.lex_state = 30, .external_lex_state = 3},
  [1111] = {.lex_state = 30, .external_lex_state = 3},
  [1112] = {.lex_state = 30, .external_lex_state = 3},
  [1113] = {.lex_state = 30, .external_lex_state = 3},
  [1114] = {.lex_state = 30, .external_lex_state = 3},
  [1115] = {.lex_state = 30, .external_lex_state = 3},
  [1116] = {.lex_state = 30, .external_lex_state = 3},
  [1117] = {.lex_state = 30, .external_lex_state = 3},
  [1118] = {.lex_state = 30, .external_lex_state = 3},
  [1119] = {.lex_state = 30, .external_lex_state = 3},
  [1120] = {.lex_state = 30, .external_lex_state = 3},
  [1121] = {.lex_state = 30, .external_lex_state = 3},
  [1122] = {.lex_state = 30, .external_lex_state = 3},
  [1123] = {.lex_state = 30, .external_lex_state = 3},
  [1124] = {.lex_state = 30, .external_lex_state = 3},
  [1125] = {.lex_state = 30, .external_lex_state = 3},
  [1126] = {.lex_state = 30, .external_lex_state = 3},
  [1127] = {.lex_state = 30, .external_lex_state = 3},
  [1128] = {.lex_state = 30, .external_lex_state = 3},
  [1129] = {.lex_state = 30, .external_lex_state = 3},
  [1130] = {.lex_state = 30, .external_lex_state = 3},
  [1131] = {.lex_state = 30, .external_lex_state = 3},
  [1132] = {.lex_state = 30, .external_lex_state = 3},
  [1133] = {.lex_state = 30, .external_lex_state = 3},
  [1134] = {.lex_state = 30, .external_lex_state = 3},
  [1135] = {.lex_state = 30, .external_lex_state = 3},
  [1136] = {.lex_state = 30, .external_lex_state = 3},
  [1137] = {.lex_state = 30, .external_lex_state = 4},
  [1138] = {.lex_state = 30, .external_lex_state = 3},
  [1139] = {.lex_state = 30, .external_lex_state = 3},
  [1140] = {.lex_state = 30, .external_lex_state = 3},
  [1141] = {.lex_state = 30, .external_lex_state = 3},
  [1142] = {.lex_state = 30, .external_lex_state = 3},
  [1143] = {.lex_state = 30, .external_lex_state = 3},
  [1144] = {.lex_state = 30, .external_lex_state = 3},
  [1145] = {.lex_state = 30, .external_lex_state = 3},
  [1146] = {.lex_state = 30, .external_lex_state = 3},
  [1147] = {.lex_state = 30, .external_lex_state = 3},
  [1148] = {.lex_state = 30, .external_lex_state = 3},
  [1149] = {.lex_state = 30, .external_lex_state = 3},
  [1150] = {.lex_state = 30, .external_lex_state = 3},
  [1151] = {.lex_state = 30, .external_lex_state = 3},
  [1152] = {.lex_state = 30, .external_lex_state = 3},
  [1153] = {.lex_state = 30, .external_lex_state = 3},
  [1154] = {.lex_state = 30, .external_lex_state = 3},
  [1155] = {.lex_state = 30, .external_lex_state = 3},
  [1156] = {.lex_state = 30, .external_lex_state = 3},
  [1157] = {.lex_state = 30, .external_lex_state = 3},
  [1158] = {.lex_state = 30, .external_lex_state = 3},
  [1159] = {.lex_state = 30, .external_lex_state = 3},
  [1160] = {.lex_state = 30, .external_lex_state = 4},
  [1161] = {.lex_state = 30, .external_lex_state = 3},
  [1162] = {.lex_state = 30, .external_lex_state = 3},
  [1163] = {.lex_state = 30, .external_lex_state = 3},
  [1164] = {.lex_state = 30, .external_lex_state = 3},
  [1165] = {.lex_state = 30, .external_lex_state = 3},
  [1166] = {.lex_state = 30, .external_lex_state = 3},
  [1167] = {.lex_state = 30, .external_lex_state = 3},
  [1168] = {.lex_state = 30, .external_lex_state = 3},
  [1169] = {.lex_state = 30, .external_lex_state = 3},
  [1170] = {.lex_state = 30, .external_lex_state = 4},
  [1171] = {.lex_state = 30, .external_lex_state = 3},
  [1172] = {.lex_state = 30, .external_lex_state = 3},
  [1173] = {.lex_state = 30, .external_lex_state = 4},
  [1174] = {.lex_state = 30, .external_lex_state = 4},
  [1175] = {.lex_state = 30, .external_lex_state = 3},
  [1176] = {.lex_state = 30, .external_lex_state = 3},
  [1177] = {.lex_state = 30, .external_lex_state = 3},
  [1178] = {.lex_state = 30, .external_lex_state = 3},
  [1179] = {.lex_state = 30, .external_lex_state = 3},
  [1180] = {.lex_state = 30, .external_lex_state = 3},
  [1181] = {.lex_state = 30, .external_lex_state = 4},
  [1182] = {.lex_state = 30, .external_lex_state = 4},
  [1183] = {.lex_state = 30, .external_lex_state = 3},
  [1184] = {.lex_state = 30, .external_lex_state = 3},
  [1185] = {.lex_state = 30, .external_lex_state = 3},
  [1186] = {.lex_state = 30, .external_lex_state = 3},
  [1187] = {.lex_state = 30, .external_lex_state = 3},
  [1188] = {.lex_state = 30, .external_lex_state = 3},
  [1189] = {.lex_state = 30, .external_lex_state = 4},
  [1190] = {.lex_state = 30, .external_lex_state = 3},
  [1191] = {.lex_state = 30, .external_lex_state = 3},
  [1192] = {.lex_state = 30, .external_lex_state = 3},
  [1193] = {.lex_state = 30, .external_lex_state = 3},
  [1194] = {.lex_state = 30, .external_lex_state = 3},
  [1195] = {.lex_state = 30, .external_lex_state = 4},
  [1196] = {.lex_state = 30, .external_lex_state = 3},
  [1197] = {.lex_state = 30, .external_lex_state = 4},
  [1198] = {.lex_state = 30, .external_lex_state = 4},
  [1199] = {.lex_state = 30, .external_lex_state = 4},
  [1200] = {.lex_state = 30, .external_lex_state = 4},
  [1201] = {.lex_state = 30, .external_lex_state = 4},
  [1202] = {.lex_state = 30, .external_lex_state = 4},
  [1203] = {.lex_state = 30, .external_lex_state = 4},
  [1204] = {.lex_state = 30, .external_lex_state = 4},
  [1205] = {.lex_state = 30, .external_lex_state = 4},
  [1206] = {.lex_state = 30, .external_lex_state = 4},
  [1207] = {.lex_state = 30, .external_lex_state = 4},
  [1208] = {.lex_state = 30, .external_lex_state = 4},
  [1209] = {.lex_state = 30, .external_lex_state = 4},
  [1210] = {.lex_state = 30, .external_lex_state = 4},
  [1211] = {.lex_state = 30, .external_lex_state = 4},
  [1212] = {.lex_state = 30, .external_lex_state = 4},
  [1213] = {.lex_state = 30, .external_lex_state = 4},
  [1214] = {.lex_state = 30, .external_lex_state = 4},
  [1215] = {.lex_state = 30, .external_lex_state = 4},
  [1216] = {.lex_state = 30, .external_lex_state = 4},
  [1217] = {.lex_state = 30, .external_lex_state = 4},
  [1218] = {.lex_state = 30, .external_lex_state = 4},
  [1219] = {.lex_state = 30, .external_lex_state = 4},
  [1220] = {.lex_state = 30, .external_lex_state = 4},
  [1221] = {.lex_state = 30, .external_lex_state = 4},
  [1222] = {.lex_state = 30, .external_lex_state = 4},
  [1223] = {.lex_state = 30, .external_lex_state = 4},
  [1224] = {.lex_state = 30, .external_lex_state = 4},
  [1225] = {.lex_state = 30, .external_lex_state = 4},
  [1226] = {.lex_state = 30, .external_lex_state = 4},
  [1227] = {.lex_state = 30, .external_lex_state = 4},
  [1228] = {.lex_state = 30, .external_lex_state = 4},
  [1229] = {.lex_state = 30, .external_lex_state = 4},
  [1230] = {.lex_state = 30, .external_lex_state = 4},
  [1231] = {.lex_state = 30, .external_lex_state = 4},
  [1232] = {.lex_state = 30, .external_lex_state = 4},
  [1233] = {.lex_state = 30, .external_lex_state = 4},
  [1234] = {.lex_state = 30, .external_lex_state = 4},
  [1235] = {.lex_state = 30, .external_lex_state = 4},
  [1236] = {.lex_state = 30, .external_lex_state = 4},
  [1237] = {.lex_state = 30, .external_lex_state = 4},
  [1238] = {.lex_state = 30, .external_lex_state = 4},
  [1239] = {.lex_state = 30, .external_lex_state = 4},
  [1240] = {.lex_state = 30, .external_lex_state = 4},
  [1241] = {.lex_state = 30, .external_lex_state = 4},
  [1242] = {.lex_state = 30, .external_lex_state = 4},
  [1243] = {.lex_state = 30, .external_lex_state = 4},
  [1244] = {.lex_state = 30, .external_lex_state = 4},
  [1245] = {.lex_state = 30, .external_lex_state = 3},
  [1246] = {.lex_state = 30, .external_lex_state = 4},
  [1247] = {.lex_state = 30, .external_lex_state = 4},
  [1248] = {.lex_state = 30, .external_lex_state = 4},
  [1249] = {.lex_state = 30, .external_lex_state = 4},
  [1250] = {.lex_state = 30, .external_lex_state = 4},
  [1251] = {.lex_state = 30, .external_lex_state = 4},
  [1252] = {.lex_state = 30, .external_lex_state = 4},
  [1253] = {.lex_state = 30, .external_lex_state = 4},
  [1254] = {.lex_state = 30, .external_lex_state = 4},
  [1255] = {.lex_state = 30, .external_lex_state = 4},
  [1256] = {.lex_state = 30, .external_lex_state = 4},
  [1257] = {.lex_state = 30, .external_lex_state = 4},
  [1258] = {.lex_state = 30, .external_lex_state = 4},
  [1259] = {.lex_state = 30, .external_lex_state = 4},
  [1260] = {.lex_state = 30, .external_lex_state = 4},
  [1261] = {.lex_state = 30, .external_lex_state = 4},
  [1262] = {.lex_state = 30, .external_lex_state = 4},
  [1263] = {.lex_state = 30, .external_lex_state = 4},
  [1264] = {.lex_state = 30, .external_lex_state = 4},
  [1265] = {.lex_state = 30, .external_lex_state = 4},
  [1266] = {.lex_state = 30, .external_lex_state = 3},
  [1267] = {.lex_state = 30, .external_lex_state = 4},
  [1268] = {.lex_state = 30, .external_lex_state = 3},
  [1269] = {.lex_state = 30, .external_lex_state = 3},
  [1270] = {.lex_state = 30, .external_lex_state = 4},
  [1271] = {.lex_state = 30, .external_lex_state = 3},
  [1272] = {.lex_state = 30, .external_lex_state = 4},
  [1273] = {.lex_state = 30, .external_lex_state = 4},
  [1274] = {.lex_state = 30, .external_lex_state = 3},
  [1275] = {.lex_state = 30, .external_lex_state = 4},
  [1276] = {.lex_state = 30, .external_lex_state = 4},
  [1277] = {.lex_state = 30, .external_lex_state = 4},
  [1278] = {.lex_state = 30, .external_lex_state = 4},
  [1279] = {.lex_state = 30, .external_lex_state = 4},
  [1280] = {.lex_state = 30, .external_lex_state = 4},
  [1281] = {.lex_state = 30, .external_lex_state = 4},
  [1282] = {.lex_state = 30, .external_lex_state = 3},
  [1283] = {.lex_state = 30, .external_lex_state = 4},
  [1284] = {.lex_state = 30, .external_lex_state = 4},
  [1285] = {.lex_state = 30, .external_lex_state = 3},
  [1286] = {.lex_state = 30, .external_lex_state = 4},
  [1287] = {.lex_state = 30, .external_lex_state = 4},
  [1288] = {.lex_state = 30, .external_lex_state = 4},
  [1289] = {.lex_state = 29, .external_lex_state = 4},
  [1290] = {.lex_state = 30, .external_lex_state = 3},
  [1291] = {.lex_state = 30, .external_lex_state = 4},
  [1292] = {.lex_state = 30, .external_lex_state = 4},
  [1293] = {.lex_state = 30, .external_lex_state = 4},
  [1294] = {.lex_state = 30, .external_lex_state = 4},
  [1295] = {.lex_state = 30, .external_lex_state = 4},
  [1296] = {.lex_state = 30, .external_lex_state = 4},
  [1297] = {.lex_state = 30, .external_lex_state = 3},
  [1298] = {.lex_state = 32, .external_lex_state = 4},
  [1299] = {.lex_state = 30, .external_lex_state = 3},
  [1300] = {.lex_state = 30, .external_lex_state = 4},
  [1301] = {.lex_state = 30, .external_lex_state = 4},
  [1302] = {.lex_state = 30, .external_lex_state = 3},
  [1303] = {.lex_state = 30, .external_lex_state = 3},
  [1304] = {.lex_state = 30, .external_lex_state = 4},
  [1305] = {.lex_state = 30, .external_lex_state = 4},
  [1306] = {.lex_state = 30, .external_lex_state = 4},
  [1307] = {.lex_state = 30, .external_lex_state = 4},
  [1308] = {.lex_state = 30, .external_lex_state = 4},
  [1309] = {.lex_state = 30, .external_lex_state = 4},
  [1310] = {.lex_state = 30, .external_lex_state = 4},
  [1311] = {.lex_state = 30, .external_lex_state = 4},
  [1312] = {.lex_state = 30, .external_lex_state = 4},
  [1313] = {.lex_state = 30, .external_lex_state = 4},
  [1314] = {.lex_state = 30, .external_lex_state = 3},
  [1315] = {.lex_state = 30, .external_lex_state = 4},
  [1316] = {.lex_state = 30, .external_lex_state = 3},
  [1317] = {.lex_state = 30, .external_lex_state = 4},
  [1318] = {.lex_state = 30, .external_lex_state = 4},
  [1319] = {.lex_state = 30, .external_lex_state = 3},
  [1320] = {.lex_state = 30, .external_lex_state = 4},
  [1321] = {.lex_state = 30, .external_lex_state = 3},
  [1322] = {.lex_state = 30, .external_lex_state = 3},
  [1323] = {.lex_state = 30, .external_lex_state = 3},
  [1324] = {.lex_state = 30, .external_lex_state = 3},
  [1325] = {.lex_state = 30, .external_lex_state = 4},
  [1326] = {.lex_state = 30, .external_lex_state = 3},
  [1327] = {.lex_state = 30, .external_lex_state = 3},
  [1328] = {.lex_state = 30, .external_lex_state = 4},
  [1329] = {.lex_state = 30, .external_lex_state = 4},
  [1330] = {.lex_state = 30, .external_lex_state = 4},
  [1331] = {.lex_state = 30, .external_lex_state = 4},
  [1332] = {.lex_state = 30, .external_lex_state = 3},
  [1333] = {.lex_state = 30, .external_lex_state = 4},
  [1334] = {.lex_state = 30, .external_lex_state = 4},
  [1335] = {.lex_state = 30, .external_lex_state = 4},
  [1336] = {.lex_state = 30, .external_lex_state = 4},
  [1337] = {.lex_state = 30, .external_lex_state = 4},
  [1338] = {.lex_state = 30, .external_lex_state = 4},
  [1339] = {.lex_state = 30, .external_lex_state = 4},
  [1340] = {.lex_state = 30, .external_lex_state = 4},
  [1341] = {.lex_state = 30, .external_lex_state = 4},
  [1342] = {.lex_state = 30, .external_lex_state = 4},
  [1343] = {.lex_state = 30, .external_lex_state = 4},
  [1344] = {.lex_state = 30, .external_lex_state = 3},
  [1345] = {.lex_state = 30, .external_lex_state = 4},
  [1346] = {.lex_state = 30, .external_lex_state = 3},
  [1347] = {.lex_state = 30, .external_lex_state = 3},
  [1348] = {.lex_state = 30, .external_lex_state = 4},
  [1349] = {.lex_state = 30, .external_lex_state = 4},
  [1350] = {.lex_state = 30, .external_lex_state = 4},
  [1351] = {.lex_state = 30, .external_lex_state = 3},
  [1352] = {.lex_state = 30, .external_lex_state = 3},
  [1353] = {.lex_state = 30, .external_lex_state = 3},
  [1354] = {.lex_state = 30, .external_lex_state = 3},
  [1355] = {.lex_state = 30, .external_lex_state = 3},
  [1356] = {.lex_state = 30, .external_lex_state = 3},
  [1357] = {.lex_state = 30, .external_lex_state = 3},
  [1358] = {.lex_state = 30, .external_lex_state = 4},
  [1359] = {.lex_state = 30, .external_lex_state = 3},
  [1360] = {.lex_state = 30, .external_lex_state = 4},
  [1361] = {.lex_state = 30, .external_lex_state = 4},
  [1362] = {.lex_state = 30, .external_lex_state = 3},
  [1363] = {.lex_state = 30, .external_lex_state = 4},
  [1364] = {.lex_state = 30, .external_lex_state = 3},
  [1365] = {.lex_state = 30, .external_lex_state = 3},
  [1366] = {.lex_state = 30, .external_lex_state = 3},
  [1367] = {.lex_state = 30, .external_lex_state = 4},
  [1368] = {.lex_state = 30, .external_lex_state = 4},
  [1369] = {.lex_state = 30, .external_lex_state = 3},
  [1370] = {.lex_state = 30, .external_lex_state = 4},
  [1371] = {.lex_state = 30, .external_lex_state = 3},
  [1372] = {.lex_state = 30, .external_lex_state = 3},
  [1373] = {.lex_state = 30, .external_lex_state = 3},
  [1374] = {.lex_state = 30, .external_lex_state = 3},
  [1375] = {.lex_state = 30, .external_lex_state = 3},
  [1376] = {.lex_state = 30, .external_lex_state = 3},
  [1377] = {.lex_state = 30, .external_lex_state = 4},
  [1378] = {.lex_state = 30, .external_lex_state = 3},
  [1379] = {.lex_state = 30, .external_lex_state = 3},
  [1380] = {.lex_state = 30, .external_lex_state = 4},
  [1381] = {.lex_state = 30, .external_lex_state = 4},
  [1382] = {.lex_state = 30, .external_lex_state = 4},
  [1383] = {.lex_state = 30, .external_lex_state = 3},
  [1384] = {.lex_state = 30, .external_lex_state = 4},
  [1385] = {.lex_state = 30, .external_lex_state = 4},
  [1386] = {.lex_state = 30, .external_lex_state = 4},
  [1387] = {.lex_state = 30, .external_lex_state = 4},
  [1388] = {.lex_state = 30, .external_lex_state = 4},
  [1389] = {.lex_state = 30, .external_lex_state = 4},
  [1390] = {.lex_state = 30, .external_lex_state = 4},
  [1391] = {.lex_state = 30, .external_lex_state = 4},
  [1392] = {.lex_state = 30, .external_lex_state = 4},
  [1393] = {.lex_state = 30, .external_lex_state = 4},
  [1394] = {.lex_state = 30, .external_lex_state = 3},
  [1395] = {.lex_state = 30, .external_lex_state = 3},
  [1396] = {.lex_state = 30, .external_lex_state = 4},
  [1397] = {.lex_state = 30, .external_lex_state = 4},
  [1398] = {.lex_state = 30, .external_lex_state = 4},
  [1399] = {.lex_state = 30, .external_lex_state = 4},
  [1400] = {.lex_state = 30, .external_lex_state = 4},
  [1401] = {.lex_state = 30, .external_lex_state = 4},
  [1402] = {.lex_state = 30, .external_lex_state = 4},
  [1403] = {.lex_state = 30, .external_lex_state = 3},
  [1404] = {.lex_state = 30, .external_lex_state = 3},
  [1405] = {.lex_state = 30, .external_lex_state = 3},
  [1406] = {.lex_state = 30, .external_lex_state = 3},
  [1407] = {.lex_state = 30, .external_lex_state = 3},
  [1408] = {.lex_state = 30, .external_lex_state = 4},
  [1409] = {.lex_state = 30, .external_lex_state = 4},
  [1410] = {.lex_state = 30, .external_lex_state = 3},
  [1411] = {.lex_state = 30, .external_lex_state = 3},
  [1412] = {.lex_state = 30, .external_lex_state = 4},
  [1413] = {.lex_state = 30, .external_lex_state = 4},
  [1414] = {.lex_state = 30, .external_lex_state = 3},
  [1415] = {.lex_state = 30, .external_lex_state = 3},
  [1416] = {.lex_state = 30, .external_lex_state = 3},
  [1417] = {.lex_state = 30, .external_lex_state = 3},
  [1418] = {.lex_state = 30, .external_lex_state = 3},
  [1419] = {.lex_state = 30, .external_lex_state = 3},
  [1420] = {.lex_state = 30, .external_lex_state = 3},
  [1421] = {.lex_state = 30, .external_lex_state = 3},
  [1422] = {.lex_state = 30, .external_lex_state = 3},
  [1423] = {.lex_state = 30, .external_lex_state = 3},
  [1424] = {.lex_state = 30, .external_lex_state = 3},
  [1425] = {.lex_state = 30, .external_lex_state = 3},
  [1426] = {.lex_state = 30, .external_lex_state = 3},
  [1427] = {.lex_state = 30, .external_lex_state = 3},
  [1428] = {.lex_state = 30, .external_lex_state = 3},
  [1429] = {.lex_state = 30, .external_lex_state = 3},
  [1430] = {.lex_state = 30, .external_lex_state = 3},
  [1431] = {.lex_state = 30, .external_lex_state = 3},
  [1432] = {.lex_state = 30, .external_lex_state = 4},
  [1433] = {.lex_state = 30, .external_lex_state = 3},
  [1434] = {.lex_state = 30, .external_lex_state = 3},
  [1435] = {.lex_state = 30, .external_lex_state = 3},
  [1436] = {.lex_state = 30, .external_lex_state = 3},
  [1437] = {.lex_state = 30, .external_lex_state = 3},
  [1438] = {.lex_state = 30, .external_lex_state = 3},
  [1439] = {.lex_state = 30, .external_lex_state = 3},
  [1440] = {.lex_state = 30, .external_lex_state = 3},
  [1441] = {.lex_state = 30, .external_lex_state = 3},
  [1442] = {.lex_state = 30, .external_lex_state = 3},
  [1443] = {.lex_state = 30, .external_lex_state = 3},
  [1444] = {.lex_state = 30, .external_lex_state = 3},
  [1445] = {.lex_state = 30, .external_lex_state = 3},
  [1446] = {.lex_state = 30, .external_lex_state = 3},
  [1447] = {.lex_state = 30, .external_lex_state = 3},
  [1448] = {.lex_state = 30, .external_lex_state = 3},
  [1449] = {.lex_state = 30, .external_lex_state = 3},
  [1450] = {.lex_state = 30, .external_lex_state = 3},
  [1451] = {.lex_state = 30, .external_lex_state = 3},
  [1452] = {.lex_state = 30, .external_lex_state = 3},
  [1453] = {.lex_state = 30, .external_lex_state = 3},
  [1454] = {.lex_state = 30, .external_lex_state = 3},
  [1455] = {.lex_state = 30, .external_lex_state = 3},
  [1456] = {.lex_state = 30, .external_lex_state = 3},
  [1457] = {.lex_state = 30, .external_lex_state = 3},
  [1458] = {.lex_state = 30, .external_lex_state = 3},
  [1459] = {.lex_state = 30, .external_lex_state = 3},
  [1460] = {.lex_state = 30, .external_lex_state = 3},
  [1461] = {.lex_state = 30, .external_lex_state = 3},
  [1462] = {.lex_state = 30, .external_lex_state = 3},
  [1463] = {.lex_state = 30, .external_lex_state = 3},
  [1464] = {.lex_state = 30, .external_lex_state = 3},
  [1465] = {.lex_state = 30, .external_lex_state = 3},
  [1466] = {.lex_state = 30, .external_lex_state = 3},
  [1467] = {.lex_state = 30, .external_lex_state = 3},
  [1468] = {.lex_state = 30, .external_lex_state = 3},
  [1469] = {.lex_state = 30, .external_lex_state = 3},
  [1470] = {.lex_state = 30, .external_lex_state = 3},
  [1471] = {.lex_state = 30, .external_lex_state = 3},
  [1472] = {.lex_state = 30, .external_lex_state = 3},
  [1473] = {.lex_state = 30, .external_lex_state = 3},
  [1474] = {.lex_state = 37, .external_lex_state = 2},
  [1475] = {.lex_state = 32, .external_lex_state = 3},
  [1476] = {.lex_state = 30, .external_lex_state = 3},
  [1477] = {.lex_state = 37, .external_lex_state = 2},
  [1478] = {.lex_state = 37, .external_lex_state = 2},
  [1479] = {.lex_state = 30, .external_lex_state = 3},
  [1480] = {.lex_state = 37, .external_lex_state = 2},
  [1481] = {.lex_state = 37, .external_lex_state = 2},
  [1482] = {.lex_state = 37, .external_lex_state = 2},
  [1483] = {.lex_state = 37, .external_lex_state = 2},
  [1484] = {.lex_state = 30, .external_lex_state = 3},
  [1485] = {.lex_state = 30, .external_lex_state = 3},
  [1486] = {.lex_state = 37, .external_lex_state = 2},
  [1487] = {.lex_state = 37, .external_lex_state = 2},
  [1488] = {.lex_state = 37, .external_lex_state = 2},
  [1489] = {.lex_state = 37, .external_lex_state = 2},
  [1490] = {.lex_state = 37, .external_lex_state = 2},
  [1491] = {.lex_state = 37, .external_lex_state = 2},
  [1492] = {.lex_state = 37, .external_lex_state = 2},
  [1493] = {.lex_state = 37, .external_lex_state = 2},
  [1494] = {.lex_state = 37, .external_lex_state = 2},
  [1495] = {.lex_state = 37, .external_lex_state = 2},
  [1496] = {.lex_state = 37, .external_lex_state = 2},
  [1497] = {.lex_state = 37, .external_lex_state = 2},
  [1498] = {.lex_state = 37, .external_lex_state = 2},
  [1499] = {.lex_state = 37, .external_lex_state = 2},
  [1500] = {.lex_state = 37, .external_lex_state = 2},
  [1501] = {.lex_state = 37, .external_lex_state = 2},
  [1502] = {.lex_state = 37, .external_lex_state = 2},
  [1503] = {.lex_state = 37, .external_lex_state = 2},
  [1504] = {.lex_state = 37, .external_lex_state = 2},
  [1505] = {.lex_state = 37, .external_lex_state = 2},
  [1506] = {.lex_state = 37, .external_lex_state = 2},
  [1507] = {.lex_state = 37, .external_lex_state = 2},
  [1508] = {.lex_state = 37, .external_lex_state = 2},
  [1509] = {.lex_state = 37, .external_lex_state = 2},
  [1510] = {.lex_state = 37, .external_lex_state = 2},
  [1511] = {.lex_state = 37, .external_lex_state = 2},
  [1512] = {.lex_state = 33, .external_lex_state = 2},
  [1513] = {.lex_state = 33, .external_lex_state = 2},
  [1514] = {.lex_state = 33, .external_lex_state = 2},
  [1515] = {.lex_state = 33, .external_lex_state = 2},
  [1516] = {.lex_state = 33, .external_lex_state = 2},
  [1517] = {.lex_state = 33, .external_lex_state = 2},
  [1518] = {.lex_state = 33, .external_lex_state = 2},
  [1519] = {.lex_state = 33, .external_lex_state = 2},
  [1520] = {.lex_state = 33, .external_lex_state = 2},
  [1521] = {.lex_state = 33, .external_lex_state = 2},
  [1522] = {.lex_state = 33, .external_lex_state = 2},
  [1523] = {.lex_state = 33, .external_lex_state = 2},
  [1524] = {.lex_state = 33, .external_lex_state = 2},
  [1525] = {.lex_state = 33, .external_lex_state = 2},
  [1526] = {.lex_state = 33, .external_lex_state = 2},
  [1527] = {.lex_state = 33, .external_lex_state = 2},
  [1528] = {.lex_state = 33, .external_lex_state = 2},
  [1529] = {.lex_state = 33, .external_lex_state = 2},
  [1530] = {.lex_state = 33, .external_lex_state = 2},
  [1531] = {.lex_state = 33, .external_lex_state = 5},
  [1532] = {.lex_state = 33, .external_lex_state = 2},
  [1533] = {.lex_state = 33, .external_lex_state = 2},
  [1534] = {.lex_state = 33, .external_lex_state = 2},
  [1535] = {.lex_state = 33, .external_lex_state = 2},
  [1536] = {.lex_state = 33, .external_lex_state = 2},
  [1537] = {.lex_state = 33, .external_lex_state = 2},
  [1538] = {.lex_state = 35, .external_lex_state = 2},
  [1539] = {.lex_state = 33, .external_lex_state = 2},
  [1540] = {.lex_state = 33, .external_lex_state = 2},
  [1541] = {.lex_state = 33, .external_lex_state = 2},
  [1542] = {.lex_state = 33, .external_lex_state = 5},
  [1543] = {.lex_state = 33, .external_lex_state = 5},
  [1544] = {.lex_state = 33, .external_lex_state = 2},
  [1545] = {.lex_state = 37, .external_lex_state = 2},
  [1546] = {.lex_state = 33, .external_lex_state = 5},
  [1547] = {.lex_state = 33, .external_lex_state = 5},
  [1548] = {.lex_state = 33, .external_lex_state = 2},
  [1549] = {.lex_state = 33, .external_lex_state = 2},
  [1550] = {.lex_state = 33, .external_lex_state = 5},
  [1551] = {.lex_state = 33, .external_lex_state = 2},
  [1552] = {.lex_state = 37, .external_lex_state = 2},
  [1553] = {.lex_state = 37, .external_lex_state = 5},
  [1554] = {.lex_state = 33, .external_lex_state = 5},
  [1555] = {.lex_state = 33, .external_lex_state = 5},
  [1556] = {.lex_state = 33, .external_lex_state = 5},
  [1557] = {.lex_state = 37, .external_lex_state = 5},
  [1558] = {.lex_state = 33, .external_lex_state = 2},
  [1559] = {.lex_state = 35, .external_lex_state = 2},
  [1560] = {.lex_state = 33, .external_lex_state = 5},
  [1561] = {.lex_state = 33, .external_lex_state = 5},
  [1562] = {.lex_state = 33, .external_lex_state = 5},
  [1563] = {.lex_state = 37, .external_lex_state = 2},
  [1564] = {.lex_state = 37, .external_lex_state = 2},
  [1565] = {.lex_state = 37, .external_lex_state = 2},
  [1566] = {.lex_state = 37, .external_lex_state = 2},
  [1567] = {.lex_state = 35, .external_lex_state = 2},
  [1568] = {.lex_state = 37, .external_lex_state = 2},
  [1569] = {.lex_state = 37, .external_lex_state = 2},
  [1570] = {.lex_state = 37, .external_lex_state = 2},
  [1571] = {.lex_state = 37, .external_lex_state = 2},
  [1572] = {.lex_state = 37, .external_lex_state = 2},
  [1573] = {.lex_state = 37, .external_lex_state = 2},
  [1574] = {.lex_state = 37, .external_lex_state = 2},
  [1575] = {.lex_state = 37, .external_lex_state = 2},
  [1576] = {.lex_state = 37, .external_lex_state = 2},
  [1577] = {.lex_state = 37, .external_lex_state = 2},
  [1578] = {.lex_state = 37, .external_lex_state = 2},
  [1579] = {.lex_state = 37, .external_lex_state = 2},
  [1580] = {.lex_state = 37, .external_lex_state = 2},
  [1581] = {.lex_state = 37, .external_lex_state = 2},
  [1582] = {.lex_state = 37, .external_lex_state = 2},
  [1583] = {.lex_state = 37, .external_lex_state = 2},
  [1584] = {.lex_state = 37, .external_lex_state = 2},
  [1585] = {.lex_state = 37, .external_lex_state = 2},
  [1586] = {.lex_state = 37, .external_lex_state = 2},
  [1587] = {.lex_state = 37, .external_lex_state = 2},
  [1588] = {.lex_state = 37, .external_lex_state = 2},
  [1589] = {.lex_state = 37, .external_lex_state = 2},
  [1590] = {.lex_state = 37, .external_lex_state = 2},
  [1591] = {.lex_state = 37, .external_lex_state = 2},
  [1592] = {.lex_state = 37, .external_lex_state = 2},
  [1593] = {.lex_state = 35, .external_lex_state = 2},
  [1594] = {.lex_state = 37, .external_lex_state = 2},
  [1595] = {.lex_state = 37, .external_lex_state = 2},
  [1596] = {.lex_state = 37, .external_lex_state = 2},
  [1597] = {.lex_state = 37, .external_lex_state = 2},
  [1598] = {.lex_state = 37, .external_lex_state = 2},
  [1599] = {.lex_state = 36, .external_lex_state = 2},
  [1600] = {.lex_state = 37, .external_lex_state = 2},
  [1601] = {.lex_state = 37, .external_lex_state = 2},
  [1602] = {.lex_state = 37, .external_lex_state = 2},
  [1603] = {.lex_state = 37, .external_lex_state = 2},
  [1604] = {.lex_state = 37, .external_lex_state = 2},
  [1605] = {.lex_state = 33, .external_lex_state = 2},
  [1606] = {.lex_state = 258, .external_lex_state = 2},
  [1607] = {.lex_state = 33, .external_lex_state = 2},
  [1608] = {.lex_state = 33, .external_lex_state = 2},
  [1609] = {.lex_state = 33, .external_lex_state = 2},
  [1610] = {.lex_state = 37, .external_lex_state = 2},
  [1611] = {.lex_state = 36, .external_lex_state = 2},
  [1612] = {.lex_state = 33, .external_lex_state = 2},
  [1613] = {.lex_state = 33, .external_lex_state = 2},
  [1614] = {.lex_state = 33, .external_lex_state = 2},
  [1615] = {.lex_state = 33, .external_lex_state = 2},
  [1616] = {.lex_state = 33, .external_lex_state = 2},
  [1617] = {.lex_state = 33, .external_lex_state = 2},
  [1618] = {.lex_state = 35, .external_lex_state = 2},
  [1619] = {.lex_state = 33, .external_lex_state = 2},
  [1620] = {.lex_state = 33, .external_lex_state = 2},
  [1621] = {.lex_state = 33, .external_lex_state = 2},
  [1622] = {.lex_state = 33, .external_lex_state = 2},
  [1623] = {.lex_state = 258, .external_lex_state = 2},
  [1624] = {.lex_state = 33, .external_lex_state = 2},
  [1625] = {.lex_state = 33, .external_lex_state = 2},
  [1626] = {.lex_state = 33, .external_lex_state = 2},
  [1627] = {.lex_state = 35, .external_lex_state = 2},
  [1628] = {.lex_state = 258, .external_lex_state = 2},
  [1629] = {.lex_state = 258, .external_lex_state = 2},
  [1630] = {.lex_state = 258, .external_lex_state = 2},
  [1631] = {.lex_state = 35, .external_lex_state = 2},
  [1632] = {.lex_state = 33, .external_lex_state = 2},
  [1633] = {.lex_state = 35, .external_lex_state = 2},
  [1634] = {.lex_state = 33, .external_lex_state = 2},
  [1635] = {.lex_state = 258, .external_lex_state = 2},
  [1636] = {.lex_state = 35, .external_lex_state = 2},
  [1637] = {.lex_state = 33, .external_lex_state = 2},
  [1638] = {.lex_state = 33, .external_lex_state = 2},
  [1639] = {.lex_state = 33, .external_lex_state = 2},
  [1640] = {.lex_state = 33, .external_lex_state = 2},
  [1641] = {.lex_state = 33, .external_lex_state = 2},
  [1642] = {.lex_state = 33, .external_lex_state = 2},
  [1643] = {.lex_state = 33, .external_lex_state = 2},
  [1644] = {.lex_state = 33, .external_lex_state = 2},
  [1645] = {.lex_state = 33, .external_lex_state = 2},
  [1646] = {.lex_state = 33, .external_lex_state = 2},
  [1647] = {.lex_state = 33, .external_lex_state = 2},
  [1648] = {.lex_state = 33, .external_lex_state = 2},
  [1649] = {.lex_state = 33, .external_lex_state = 2},
  [1650] = {.lex_state = 33, .external_lex_state = 2},
  [1651] = {.lex_state = 33, .external_lex_state = 2},
  [1652] = {.lex_state = 35, .external_lex_state = 2},
  [1653] = {.lex_state = 33, .external_lex_state = 2},
  [1654] = {.lex_state = 33, .external_lex_state = 2},
  [1655] = {.lex_state = 33, .external_lex_state = 2},
  [1656] = {.lex_state = 258, .external_lex_state = 2},
  [1657] = {.lex_state = 37, .external_lex_state = 2},
  [1658] = {.lex_state = 33, .external_lex_state = 2},
  [1659] = {.lex_state = 33, .external_lex_state = 2},
  [1660] = {.lex_state = 37, .external_lex_state = 2},
  [1661] = {.lex_state = 33, .external_lex_state = 2},
  [1662] = {.lex_state = 33, .external_lex_state = 2},
  [1663] = {.lex_state = 33, .external_lex_state = 2},
  [1664] = {.lex_state = 37, .external_lex_state = 2},
  [1665] = {.lex_state = 33, .external_lex_state = 2},
  [1666] = {.lex_state = 258, .external_lex_state = 2},
  [1667] = {.lex_state = 33, .external_lex_state = 2},
  [1668] = {.lex_state = 33, .external_lex_state = 2},
  [1669] = {.lex_state = 37, .external_lex_state = 2},
  [1670] = {.lex_state = 37, .external_lex_state = 2},
  [1671] = {.lex_state = 258, .external_lex_state = 2},
  [1672] = {.lex_state = 33, .external_lex_state = 2},
  [1673] = {.lex_state = 33, .external_lex_state = 2},
  [1674] = {.lex_state = 33, .external_lex_state = 2},
  [1675] = {.lex_state = 33, .external_lex_state = 2},
  [1676] = {.lex_state = 258, .external_lex_state = 2},
  [1677] = {.lex_state = 33, .external_lex_state = 2},
  [1678] = {.lex_state = 33, .external_lex_state = 2},
  [1679] = {.lex_state = 33, .external_lex_state = 2},
  [1680] = {.lex_state = 258, .external_lex_state = 2},
  [1681] = {.lex_state = 33, .external_lex_state = 2},
  [1682] = {.lex_state = 33, .external_lex_state = 2},
  [1683] = {.lex_state = 37, .external_lex_state = 2},
  [1684] = {.lex_state = 45, .external_lex_state = 2},
  [1685] = {.lex_state = 45, .external_lex_state = 2},
  [1686] = {.lex_state = 34, .external_lex_state = 2},
  [1687] = {.lex_state = 45, .external_lex_state = 2},
  [1688] = {.lex_state = 45, .external_lex_state = 2},
  [1689] = {.lex_state = 45, .external_lex_state = 2},
  [1690] = {.lex_state = 34, .external_lex_state = 2},
  [1691] = {.lex_state = 34, .external_lex_state = 2},
  [1692] = {.lex_state = 45, .external_lex_state = 2},
  [1693] = {.lex_state = 34, .external_lex_state = 2},
  [1694] = {.lex_state = 34, .external_lex_state = 2},
  [1695] = {.lex_state = 45, .external_lex_state = 2},
  [1696] = {.lex_state = 45, .external_lex_state = 2},
  [1697] = {.lex_state = 45, .external_lex_state = 2},
  [1698] = {.lex_state = 60, .external_lex_state = 2},
  [1699] = {.lex_state = 60, .external_lex_state = 2},
  [1700] = {.lex_state = 60, .external_lex_state = 2},
  [1701] = {.lex_state = 60, .external_lex_state = 2},
  [1702] = {.lex_state = 60, .external_lex_state = 2},
  [1703] = {.lex_state = 60, .external_lex_state = 2},
  [1704] = {.lex_state = 60, .external_lex_state = 2},
  [1705] = {.lex_state = 60, .external_lex_state = 2},
  [1706] = {.lex_state = 60, .external_lex_state = 2},
  [1707] = {.lex_state = 60, .external_lex_state = 2},
  [1708] = {.lex_state = 60, .external_lex_state = 2},
  [1709] = {.lex_state = 60, .external_lex_state = 2},
  [1710] = {.lex_state = 60, .external_lex_state = 2},
  [1711] = {.lex_state = 60, .external_lex_state = 2},
  [1712] = {.lex_state = 60, .external_lex_state = 2},
  [1713] = {.lex_state = 60, .external_lex_state = 2},
  [1714] = {.lex_state = 60, .external_lex_state = 2},
  [1715] = {.lex_state = 60, .external_lex_state = 2},
  [1716] = {.lex_state = 60, .external_lex_state = 2},
  [1717] = {.lex_state = 60, .external_lex_state = 2},
  [1718] = {.lex_state = 39, .external_lex_state = 2},
  [1719] = {.lex_state = 39, .external_lex_state = 2},
  [1720] = {.lex_state = 60, .external_lex_state = 2},
  [1721] = {.lex_state = 60, .external_lex_state = 2},
  [1722] = {.lex_state = 60, .external_lex_state = 2},
  [1723] = {.lex_state = 60, .external_lex_state = 2},
  [1724] = {.lex_state = 60, .external_lex_state = 2},
  [1725] = {.lex_state = 60, .external_lex_state = 2},
  [1726] = {.lex_state = 60, .external_lex_state = 2},
  [1727] = {.lex_state = 60, .external_lex_state = 2},
  [1728] = {.lex_state = 60, .external_lex_state = 2},
  [1729] = {.lex_state = 60, .external_lex_state = 2},
  [1730] = {.lex_state = 60, .external_lex_state = 2},
  [1731] = {.lex_state = 60, .external_lex_state = 2},
  [1732] = {.lex_state = 60, .external_lex_state = 2},
  [1733] = {.lex_state = 34, .external_lex_state = 2},
  [1734] = {.lex_state = 34, .external_lex_state = 2},
  [1735] = {.lex_state = 34, .external_lex_state = 2},
  [1736] = {.lex_state = 39, .external_lex_state = 2},
  [1737] = {.lex_state = 258, .external_lex_state = 2},
  [1738] = {.lex_state = 34, .external_lex_state = 2},
  [1739] = {.lex_state = 258, .external_lex_state = 5},
  [1740] = {.lex_state = 34, .external_lex_state = 2},
  [1741] = {.lex_state = 39, .external_lex_state = 2},
  [1742] = {.lex_state = 60, .external_lex_state = 2},
  [1743] = {.lex_state = 34, .external_lex_state = 2},
  [1744] = {.lex_state = 258, .external_lex_state = 5},
  [1745] = {.lex_state = 258, .external_lex_state = 2},
  [1746] = {.lex_state = 34, .external_lex_state = 2},
  [1747] = {.lex_state = 34, .external_lex_state = 2},
  [1748] = {.lex_state = 39, .external_lex_state = 2},
  [1749] = {.lex_state = 34, .external_lex_state = 2},
  [1750] = {.lex_state = 34, .external_lex_state = 2},
  [1751] = {.lex_state = 34, .external_lex_state = 2},
  [1752] = {.lex_state = 34, .external_lex_state = 2},
  [1753] = {.lex_state = 39, .external_lex_state = 2},
  [1754] = {.lex_state = 39, .external_lex_state = 2},
  [1755] = {.lex_state = 258, .external_lex_state = 2},
  [1756] = {.lex_state = 34, .external_lex_state = 2},
  [1757] = {.lex_state = 258, .external_lex_state = 2},
  [1758] = {.lex_state = 34, .external_lex_state = 2},
  [1759] = {.lex_state = 34, .external_lex_state = 2},
  [1760] = {.lex_state = 39, .external_lex_state = 2},
  [1761] = {.lex_state = 34, .external_lex_state = 2},
  [1762] = {.lex_state = 39, .external_lex_state = 5},
  [1763] = {.lex_state = 34, .external_lex_state = 2},
  [1764] = {.lex_state = 258, .external_lex_state = 2},
  [1765] = {.lex_state = 39, .external_lex_state = 5},
  [1766] = {.lex_state = 258, .external_lex_state = 2},
  [1767] = {.lex_state = 258, .external_lex_state = 2},
  [1768] = {.lex_state = 34, .external_lex_state = 2},
  [1769] = {.lex_state = 34, .external_lex_state = 2},
  [1770] = {.lex_state = 258, .external_lex_state = 6},
  [1771] = {.lex_state = 39, .external_lex_state = 5},
  [1772] = {.lex_state = 45, .external_lex_state = 2},
  [1773] = {.lex_state = 45, .external_lex_state = 2},
  [1774] = {.lex_state = 60, .external_lex_state = 2},
  [1775] = {.lex_state = 45, .external_lex_state = 2},
  [1776] = {.lex_state = 45, .external_lex_state = 2},
  [1777] = {.lex_state = 39, .external_lex_state = 5},
  [1778] = {.lex_state = 258, .external_lex_state = 5},
  [1779] = {.lex_state = 34, .external_lex_state = 2},
  [1780] = {.lex_state = 34, .external_lex_state = 2},
  [1781] = {.lex_state = 258, .external_lex_state = 6},
  [1782] = {.lex_state = 258, .external_lex_state = 6},
  [1783] = {.lex_state = 45, .external_lex_state = 2},
  [1784] = {.lex_state = 45, .external_lex_state = 2},
  [1785] = {.lex_state = 45, .external_lex_state = 2},
  [1786] = {.lex_state = 45, .external_lex_state = 2},
  [1787] = {.lex_state = 258, .external_lex_state = 6},
  [1788] = {.lex_state = 258, .external_lex_state = 2},
  [1789] = {.lex_state = 258, .external_lex_state = 2},
  [1790] = {.lex_state = 45, .external_lex_state = 2},
  [1791] = {.lex_state = 45, .external_lex_state = 2},
  [1792] = {.lex_state = 258, .external_lex_state = 2},
  [1793] = {.lex_state = 39, .external_lex_state = 5},
  [1794] = {.lex_state = 39, .external_lex_state = 5},
  [1795] = {.lex_state = 258, .external_lex_state = 2},
  [1796] = {.lex_state = 45, .external_lex_state = 2},
  [1797] = {.lex_state = 45, .external_lex_state = 2},
  [1798] = {.lex_state = 258, .external_lex_state = 2},
  [1799] = {.lex_state = 45, .external_lex_state = 2},
  [1800] = {.lex_state = 30, .external_lex_state = 2},
  [1801] = {.lex_state = 39, .external_lex_state = 5},
  [1802] = {.lex_state = 30, .external_lex_state = 2},
  [1803] = {.lex_state = 258, .external_lex_state = 2},
  [1804] = {.lex_state = 258, .external_lex_state = 2},
  [1805] = {.lex_state = 258, .external_lex_state = 2},
  [1806] = {.lex_state = 45, .external_lex_state = 2},
  [1807] = {.lex_state = 34, .external_lex_state = 2},
  [1808] = {.lex_state = 258, .external_lex_state = 2},
  [1809] = {.lex_state = 258, .external_lex_state = 2},
  [1810] = {.lex_state = 39, .external_lex_state = 5},
  [1811] = {.lex_state = 258, .external_lex_state = 2},
  [1812] = {.lex_state = 258, .external_lex_state = 2},
  [1813] = {.lex_state = 258, .external_lex_state = 2},
  [1814] = {.lex_state = 258, .external_lex_state = 2},
  [1815] = {.lex_state = 258, .external_lex_state = 5},
  [1816] = {.lex_state = 34, .external_lex_state = 2},
  [1817] = {.lex_state = 34, .external_lex_state = 2},
  [1818] = {.lex_state = 258, .external_lex_state = 2},
  [1819] = {.lex_state = 258, .external_lex_state = 2},
  [1820] = {.lex_state = 34, .external_lex_state = 2},
  [1821] = {.lex_state = 60, .external_lex_state = 2},
  [1822] = {.lex_state = 45, .external_lex_state = 2},
  [1823] = {.lex_state = 45, .external_lex_state = 2},
  [1824] = {.lex_state = 60, .external_lex_state = 2},
  [1825] = {.lex_state = 39, .external_lex_state = 5},
  [1826] = {.lex_state = 45, .external_lex_state = 2},
  [1827] = {.lex_state = 45, .external_lex_state = 2},
  [1828] = {.lex_state = 45, .external_lex_state = 2},
  [1829] = {.lex_state = 39, .external_lex_state = 5},
  [1830] = {.lex_state = 34, .external_lex_state = 2},
  [1831] = {.lex_state = 258, .external_lex_state = 5},
  [1832] = {.lex_state = 258, .external_lex_state = 2},
  [1833] = {.lex_state = 258, .external_lex_state = 6},
  [1834] = {.lex_state = 258, .external_lex_state = 2},
  [1835] = {.lex_state = 34, .external_lex_state = 2},
  [1836] = {.lex_state = 258, .external_lex_state = 2},
  [1837] = {.lex_state = 258, .external_lex_state = 5},
  [1838] = {.lex_state = 34, .external_lex_state = 2},
  [1839] = {.lex_state = 39, .external_lex_state = 5},
  [1840] = {.lex_state = 258, .external_lex_state = 2},
  [1841] = {.lex_state = 258, .external_lex_state = 2},
  [1842] = {.lex_state = 60, .external_lex_state = 2},
  [1843] = {.lex_state = 60, .external_lex_state = 2},
  [1844] = {.lex_state = 60, .external_lex_state = 2},
  [1845] = {.lex_state = 60, .external_lex_state = 2},
  [1846] = {.lex_state = 60, .external_lex_state = 2},
  [1847] = {.lex_state = 62, .external_lex_state = 2},
  [1848] = {.lex_state = 258, .external_lex_state = 2},
  [1849] = {.lex_state = 60, .external_lex_state = 2},
  [1850] = {.lex_state = 60, .external_lex_state = 2},
  [1851] = {.lex_state = 258, .external_lex_state = 5},
  [1852] = {.lex_state = 258, .external_lex_state = 5},
  [1853] = {.lex_state = 60, .external_lex_state = 2},
  [1854] = {.lex_state = 62, .external_lex_state = 2},
  [1855] = {.lex_state = 60, .external_lex_state = 2},
  [1856] = {.lex_state = 258, .external_lex_state = 2},
  [1857] = {.lex_state = 34, .external_lex_state = 2},
  [1858] = {.lex_state = 258, .external_lex_state = 2},
  [1859] = {.lex_state = 34, .external_lex_state = 2},
  [1860] = {.lex_state = 62, .external_lex_state = 2},
  [1861] = {.lex_state = 60, .external_lex_state = 2},
  [1862] = {.lex_state = 62, .external_lex_state = 2},
  [1863] = {.lex_state = 258, .external_lex_state = 2},
  [1864] = {.lex_state = 258, .external_lex_state = 2},
  [1865] = {.lex_state = 60, .external_lex_state = 2},
  [1866] = {.lex_state = 62, .external_lex_state = 2},
  [1867] = {.lex_state = 62, .external_lex_state = 2},
  [1868] = {.lex_state = 258, .external_lex_state = 5},
  [1869] = {.lex_state = 62, .external_lex_state = 2},
  [1870] = {.lex_state = 258, .external_lex_state = 2},
  [1871] = {.lex_state = 34, .external_lex_state = 2},
  [1872] = {.lex_state = 62, .external_lex_state = 2},
  [1873] = {.lex_state = 258, .external_lex_state = 2},
  [1874] = {.lex_state = 60, .external_lex_state = 2},
  [1875] = {.lex_state = 60, .external_lex_state = 2},
  [1876] = {.lex_state = 62, .external_lex_state = 2},
  [1877] = {.lex_state = 258, .external_lex_state = 2},
  [1878] = {.lex_state = 62, .external_lex_state = 2},
  [1879] = {.lex_state = 60, .external_lex_state = 2},
  [1880] = {.lex_state = 258, .external_lex_state = 2},
  [1881] = {.lex_state = 60, .external_lex_state = 2},
  [1882] = {.lex_state = 60, .external_lex_state = 2},
  [1883] = {.lex_state = 62, .external_lex_state = 2},
  [1884] = {.lex_state = 258, .external_lex_state = 2},
  [1885] = {.lex_state = 60, .external_lex_state = 2},
  [1886] = {.lex_state = 62, .external_lex_state = 2},
  [1887] = {.lex_state = 34, .external_lex_state = 2},
  [1888] = {.lex_state = 258, .external_lex_state = 2},
  [1889] = {.lex_state = 60, .external_lex_state = 2},
  [1890] = {.lex_state = 60, .external_lex_state = 2},
  [1891] = {.lex_state = 60, .external_lex_state = 2},
  [1892] = {.lex_state = 62, .external_lex_state = 2},
  [1893] = {.lex_state = 60, .external_lex_state = 2},
  [1894] = {.lex_state = 39, .external_lex_state = 5},
  [1895] = {.lex_state = 60, .external_lex_state = 2},
  [1896] = {.lex_state = 258, .external_lex_state = 2},
  [1897] = {.lex_state = 60, .external_lex_state = 2},
  [1898] = {.lex_state = 62, .external_lex_state = 2},
  [1899] = {.lex_state = 258, .external_lex_state = 2},
  [1900] = {.lex_state = 60, .external_lex_state = 2},
  [1901] = {.lex_state = 258, .external_lex_state = 2},
  [1902] = {.lex_state = 34, .external_lex_state = 2},
  [1903] = {.lex_state = 41, .external_lex_state = 7},
  [1904] = {.lex_state = 258, .external_lex_state = 2},
  [1905] = {.lex_state = 258, .external_lex_state = 2},
  [1906] = {.lex_state = 258, .external_lex_state = 2},
  [1907] = {.lex_state = 39, .external_lex_state = 2},
  [1908] = {.lex_state = 258, .external_lex_state = 2},
  [1909] = {.lex_state = 258, .external_lex_state = 2},
  [1910] = {.lex_state = 258, .external_lex_state = 2},
  [1911] = {.lex_state = 30, .external_lex_state = 2},
  [1912] = {.lex_state = 258, .external_lex_state = 2},
  [1913] = {.lex_state = 258, .external_lex_state = 2},
  [1914] = {.lex_state = 258, .external_lex_state = 5},
  [1915] = {.lex_state = 258, .external_lex_state = 2},
  [1916] = {.lex_state = 39, .external_lex_state = 2},
  [1917] = {.lex_state = 258, .external_lex_state = 2},
  [1918] = {.lex_state = 41, .external_lex_state = 7},
  [1919] = {.lex_state = 48, .external_lex_state = 7},
  [1920] = {.lex_state = 3, .external_lex_state = 2},
  [1921] = {.lex_state = 258, .external_lex_state = 5},
  [1922] = {.lex_state = 48, .external_lex_state = 7},
  [1923] = {.lex_state = 38, .external_lex_state = 2},
  [1924] = {.lex_state = 46, .external_lex_state = 2},
  [1925] = {.lex_state = 258, .external_lex_state = 5},
  [1926] = {.lex_state = 258, .external_lex_state = 5},
  [1927] = {.lex_state = 258, .external_lex_state = 5},
  [1928] = {.lex_state = 34, .external_lex_state = 2},
  [1929] = {.lex_state = 41, .external_lex_state = 7},
  [1930] = {.lex_state = 48, .external_lex_state = 7},
  [1931] = {.lex_state = 258, .external_lex_state = 6},
  [1932] = {.lex_state = 258, .external_lex_state = 2},
  [1933] = {.lex_state = 258, .external_lex_state = 2},
  [1934] = {.lex_state = 258, .external_lex_state = 5},
  [1935] = {.lex_state = 258, .external_lex_state = 5},
  [1936] = {.lex_state = 258, .external_lex_state = 5},
  [1937] = {.lex_state = 258, .external_lex_state = 5},
  [1938] = {.lex_state = 258, .external_lex_state = 2},
  [1939] = {.lex_state = 258, .external_lex_state = 2},
  [1940] = {.lex_state = 41, .external_lex_state = 7},
  [1941] = {.lex_state = 48, .external_lex_state = 7},
  [1942] = {.lex_state = 38, .external_lex_state = 2},
  [1943] = {.lex_state = 258, .external_lex_state = 5},
  [1944] = {.lex_state = 258, .external_lex_state = 5},
  [1945] = {.lex_state = 258, .external_lex_state = 5},
  [1946] = {.lex_state = 258, .external_lex_state = 5},
  [1947] = {.lex_state = 46, .external_lex_state = 2},
  [1948] = {.lex_state = 41, .external_lex_state = 7},
  [1949] = {.lex_state = 48, .external_lex_state = 7},
  [1950] = {.lex_state = 258, .external_lex_state = 2},
  [1951] = {.lex_state = 258, .external_lex_state = 5},
  [1952] = {.lex_state = 258, .external_lex_state = 2},
  [1953] = {.lex_state = 258, .external_lex_state = 5},
  [1954] = {.lex_state = 258, .external_lex_state = 5},
  [1955] = {.lex_state = 258, .external_lex_state = 5},
  [1956] = {.lex_state = 258, .external_lex_state = 2},
  [1957] = {.lex_state = 258, .external_lex_state = 2},
  [1958] = {.lex_state = 39, .external_lex_state = 2},
  [1959] = {.lex_state = 258, .external_lex_state = 2},
  [1960] = {.lex_state = 258, .external_lex_state = 2},
  [1961] = {.lex_state = 258, .external_lex_state = 2},
  [1962] = {.lex_state = 41, .external_lex_state = 7},
  [1963] = {.lex_state = 48, .external_lex_state = 7},
  [1964] = {.lex_state = 258, .external_lex_state = 5},
  [1965] = {.lex_state = 39, .external_lex_state = 2},
  [1966] = {.lex_state = 258, .external_lex_state = 5},
  [1967] = {.lex_state = 258, .external_lex_state = 5},
  [1968] = {.lex_state = 258, .external_lex_state = 5},
  [1969] = {.lex_state = 258, .external_lex_state = 2},
  [1970] = {.lex_state = 258, .external_lex_state = 5},
  [1971] = {.lex_state = 258, .external_lex_state = 2},
  [1972] = {.lex_state = 258, .external_lex_state = 5},
  [1973] = {.lex_state = 258, .external_lex_state = 5},
  [1974] = {.lex_state = 258, .external_lex_state = 5},
  [1975] = {.lex_state = 258, .external_lex_state = 5},
  [1976] = {.lex_state = 258, .external_lex_state = 5},
  [1977] = {.lex_state = 258, .external_lex_state = 2},
  [1978] = {.lex_state = 258, .external_lex_state = 2},
  [1979] = {.lex_state = 3, .external_lex_state = 2},
  [1980] = {.lex_state = 258, .external_lex_state = 5},
  [1981] = {.lex_state = 258, .external_lex_state = 5},
  [1982] = {.lex_state = 38, .external_lex_state = 2},
  [1983] = {.lex_state = 258, .external_lex_state = 5},
  [1984] = {.lex_state = 258, .external_lex_state = 5},
  [1985] = {.lex_state = 46, .external_lex_state = 2},
  [1986] = {.lex_state = 41, .external_lex_state = 7},
  [1987] = {.lex_state = 48, .external_lex_state = 7},
  [1988] = {.lex_state = 258, .external_lex_state = 5},
  [1989] = {.lex_state = 258, .external_lex_state = 5},
  [1990] = {.lex_state = 258, .external_lex_state = 2},
  [1991] = {.lex_state = 258, .external_lex_state = 5},
  [1992] = {.lex_state = 258, .external_lex_state = 2},
  [1993] = {.lex_state = 258, .external_lex_state = 2},
  [1994] = {.lex_state = 34, .external_lex_state = 2},
  [1995] = {.lex_state = 34, .external_lex_state = 2},
  [1996] = {.lex_state = 3, .external_lex_state = 2},
  [1997] = {.lex_state = 258, .external_lex_state = 2},
  [1998] = {.lex_state = 34, .external_lex_state = 2},
  [1999] = {.lex_state = 258, .external_lex_state = 5},
  [2000] = {.lex_state = 258, .external_lex_state = 2},
  [2001] = {.lex_state = 258, .external_lex_state = 5},
  [2002] = {.lex_state = 258, .external_lex_state = 5},
  [2003] = {.lex_state = 258, .external_lex_state = 2},
  [2004] = {.lex_state = 258, .external_lex_state = 6},
  [2005] = {.lex_state = 34, .external_lex_state = 2},
  [2006] = {.lex_state = 258, .external_lex_state = 5},
  [2007] = {.lex_state = 258, .external_lex_state = 2},
  [2008] = {.lex_state = 258, .external_lex_state = 2},
  [2009] = {.lex_state = 258, .external_lex_state = 5},
  [2010] = {.lex_state = 3, .external_lex_state = 2},
  [2011] = {.lex_state = 258, .external_lex_state = 2},
  [2012] = {.lex_state = 41, .external_lex_state = 7},
  [2013] = {.lex_state = 48, .external_lex_state = 7},
  [2014] = {.lex_state = 258, .external_lex_state = 2},
  [2015] = {.lex_state = 258, .external_lex_state = 2},
  [2016] = {.lex_state = 258, .external_lex_state = 2},
  [2017] = {.lex_state = 258, .external_lex_state = 5},
  [2018] = {.lex_state = 258, .external_lex_state = 2},
  [2019] = {.lex_state = 258, .external_lex_state = 2},
  [2020] = {.lex_state = 258, .external_lex_state = 2},
  [2021] = {.lex_state = 34, .external_lex_state = 2},
  [2022] = {.lex_state = 258, .external_lex_state = 2},
  [2023] = {.lex_state = 34, .external_lex_state = 2},
  [2024] = {.lex_state = 258, .external_lex_state = 5},
  [2025] = {.lex_state = 258, .external_lex_state = 5},
  [2026] = {.lex_state = 258, .external_lex_state = 5},
  [2027] = {.lex_state = 258, .external_lex_state = 5},
  [2028] = {.lex_state = 41, .external_lex_state = 7},
  [2029] = {.lex_state = 258, .external_lex_state = 5},
  [2030] = {.lex_state = 258, .external_lex_state = 5},
  [2031] = {.lex_state = 48, .external_lex_state = 7},
  [2032] = {.lex_state = 34, .external_lex_state = 2},
  [2033] = {.lex_state = 258, .external_lex_state = 2},
  [2034] = {.lex_state = 34, .external_lex_state = 2},
  [2035] = {.lex_state = 34, .external_lex_state = 2},
  [2036] = {.lex_state = 3, .external_lex_state = 2},
  [2037] = {.lex_state = 258, .external_lex_state = 2},
  [2038] = {.lex_state = 34, .external_lex_state = 2},
  [2039] = {.lex_state = 258, .external_lex_state = 2},
  [2040] = {.lex_state = 34, .external_lex_state = 2},
  [2041] = {.lex_state = 3, .external_lex_state = 2},
  [2042] = {.lex_state = 34, .external_lex_state = 2},
  [2043] = {.lex_state = 258, .external_lex_state = 2},
  [2044] = {.lex_state = 258, .external_lex_state = 5},
  [2045] = {.lex_state = 258, .external_lex_state = 2},
  [2046] = {.lex_state = 258, .external_lex_state = 2},
  [2047] = {.lex_state = 258, .external_lex_state = 2},
  [2048] = {.lex_state = 258, .external_lex_state = 5},
  [2049] = {.lex_state = 258, .external_lex_state = 2},
  [2050] = {.lex_state = 258, .external_lex_state = 5},
  [2051] = {.lex_state = 258, .external_lex_state = 5},
  [2052] = {.lex_state = 258, .external_lex_state = 2},
  [2053] = {.lex_state = 258, .external_lex_state = 2},
  [2054] = {.lex_state = 258, .external_lex_state = 5},
  [2055] = {.lex_state = 258, .external_lex_state = 2},
  [2056] = {.lex_state = 258, .external_lex_state = 2},
  [2057] = {.lex_state = 258, .external_lex_state = 5},
  [2058] = {.lex_state = 258, .external_lex_state = 5},
  [2059] = {.lex_state = 258, .external_lex_state = 2},
  [2060] = {.lex_state = 258, .external_lex_state = 2},
  [2061] = {.lex_state = 34, .external_lex_state = 2},
  [2062] = {.lex_state = 258, .external_lex_state = 5},
  [2063] = {.lex_state = 258, .external_lex_state = 2},
  [2064] = {.lex_state = 258, .external_lex_state = 2},
  [2065] = {.lex_state = 258, .external_lex_state = 2},
  [2066] = {.lex_state = 258, .external_lex_state = 2},
  [2067] = {.lex_state = 258, .external_lex_state = 2},
  [2068] = {.lex_state = 258, .external_lex_state = 2},
  [2069] = {.lex_state = 258, .external_lex_state = 2},
  [2070] = {.lex_state = 258, .external_lex_state = 2},
  [2071] = {.lex_state = 258, .external_lex_state = 2},
  [2072] = {.lex_state = 258, .external_lex_state = 2},
  [2073] = {.lex_state = 258, .external_lex_state = 2},
  [2074] = {.lex_state = 30, .external_lex_state = 2},
  [2075] = {.lex_state = 258, .external_lex_state = 2},
  [2076] = {.lex_state = 258, .external_lex_state = 5},
  [2077] = {.lex_state = 258, .external_lex_state = 5},
  [2078] = {.lex_state = 258, .external_lex_state = 5},
  [2079] = {.lex_state = 258, .external_lex_state = 2},
  [2080] = {.lex_state = 41, .external_lex_state = 7},
  [2081] = {.lex_state = 258, .external_lex_state = 5},
  [2082] = {.lex_state = 39, .external_lex_state = 2},
  [2083] = {.lex_state = 258, .external_lex_state = 2},
  [2084] = {.lex_state = 258, .external_lex_state = 2},
  [2085] = {.lex_state = 48, .external_lex_state = 7},
  [2086] = {.lex_state = 258, .external_lex_state = 2},
  [2087] = {.lex_state = 258, .external_lex_state = 2},
  [2088] = {.lex_state = 39, .external_lex_state = 2},
  [2089] = {.lex_state = 258, .external_lex_state = 2},
  [2090] = {.lex_state = 258, .external_lex_state = 2},
  [2091] = {.lex_state = 258, .external_lex_state = 5},
  [2092] = {.lex_state = 3, .external_lex_state = 2},
  [2093] = {.lex_state = 34, .external_lex_state = 2},
  [2094] = {.lex_state = 258, .external_lex_state = 2},
  [2095] = {.lex_state = 258, .external_lex_state = 5},
  [2096] = {.lex_state = 258, .external_lex_state = 2},
  [2097] = {.lex_state = 258, .external_lex_state = 2},
  [2098] = {.lex_state = 258, .external_lex_state = 2},
  [2099] = {.lex_state = 258, .external_lex_state = 2},
  [2100] = {.lex_state = 258, .external_lex_state = 2},
  [2101] = {.lex_state = 258, .external_lex_state = 2},
  [2102] = {.lex_state = 34, .external_lex_state = 2},
  [2103] = {.lex_state = 258, .external_lex_state = 2},
  [2104] = {.lex_state = 34, .external_lex_state = 2},
  [2105] = {.lex_state = 258, .external_lex_state = 2},
  [2106] = {.lex_state = 258, .external_lex_state = 2},
  [2107] = {.lex_state = 258, .external_lex_state = 2},
  [2108] = {.lex_state = 39, .external_lex_state = 2},
  [2109] = {.lex_state = 258, .external_lex_state = 2},
  [2110] = {.lex_state = 258, .external_lex_state = 2},
  [2111] = {.lex_state = 30, .external_lex_state = 2},
  [2112] = {.lex_state = 38, .external_lex_state = 2},
  [2113] = {.lex_state = 258, .external_lex_state = 2},
  [2114] = {.lex_state = 258, .external_lex_state = 2},
  [2115] = {.lex_state = 258, .external_lex_state = 2},
  [2116] = {.lex_state = 34, .external_lex_state = 5},
  [2117] = {.lex_state = 34, .external_lex_state = 5},
  [2118] = {.lex_state = 258, .external_lex_state = 2},
  [2119] = {.lex_state = 39, .external_lex_state = 2},
  [2120] = {.lex_state = 258, .external_lex_state = 2},
  [2121] = {.lex_state = 39, .external_lex_state = 2},
  [2122] = {.lex_state = 258, .external_lex_state = 2},
  [2123] = {.lex_state = 34, .external_lex_state = 5},
  [2124] = {.lex_state = 34, .external_lex_state = 2},
  [2125] = {.lex_state = 258, .external_lex_state = 2},
  [2126] = {.lex_state = 34, .external_lex_state = 2},
  [2127] = {.lex_state = 258, .external_lex_state = 2},
  [2128] = {.lex_state = 258, .external_lex_state = 2},
  [2129] = {.lex_state = 258, .external_lex_state = 2},
  [2130] = {.lex_state = 30, .external_lex_state = 2},
  [2131] = {.lex_state = 258, .external_lex_state = 2},
  [2132] = {.lex_state = 34, .external_lex_state = 5},
  [2133] = {.lex_state = 30, .external_lex_state = 2},
  [2134] = {.lex_state = 258, .external_lex_state = 2},
  [2135] = {.lex_state = 258, .external_lex_state = 2},
  [2136] = {.lex_state = 258, .external_lex_state = 2},
  [2137] = {.lex_state = 258, .external_lex_state = 2},
  [2138] = {.lex_state = 46, .external_lex_state = 2},
  [2139] = {.lex_state = 258, .external_lex_state = 5},
  [2140] = {.lex_state = 258, .external_lex_state = 5},
  [2141] = {.lex_state = 258, .external_lex_state = 5},
  [2142] = {.lex_state = 258, .external_lex_state = 2},
  [2143] = {.lex_state = 258, .external_lex_state = 2},
  [2144] = {.lex_state = 258, .external_lex_state = 5},
  [2145] = {.lex_state = 34, .external_lex_state = 5},
  [2146] = {.lex_state = 30, .external_lex_state = 2},
  [2147] = {.lex_state = 258, .external_lex_state = 2},
  [2148] = {.lex_state = 34, .external_lex_state = 5},
  [2149] = {.lex_state = 258, .external_lex_state = 2},
  [2150] = {.lex_state = 258, .external_lex_state = 2},
  [2151] = {.lex_state = 34, .external_lex_state = 2},
  [2152] = {.lex_state = 258, .external_lex_state = 2},
  [2153] = {.lex_state = 34, .external_lex_state = 2},
  [2154] = {.lex_state = 258, .external_lex_state = 2},
  [2155] = {.lex_state = 30, .external_lex_state = 2},
  [2156] = {.lex_state = 258, .external_lex_state = 2},
  [2157] = {.lex_state = 258, .external_lex_state = 2},
  [2158] = {.lex_state = 34, .external_lex_state = 2},
  [2159] = {.lex_state = 258, .external_lex_state = 2},
  [2160] = {.lex_state = 258, .external_lex_state = 2},
  [2161] = {.lex_state = 258, .external_lex_state = 5},
  [2162] = {.lex_state = 258, .external_lex_state = 2},
  [2163] = {.lex_state = 258, .external_lex_state = 2},
  [2164] = {.lex_state = 258, .external_lex_state = 2},
  [2165] = {.lex_state = 258, .external_lex_state = 5},
  [2166] = {.lex_state = 258, .external_lex_state = 2},
  [2167] = {.lex_state = 258, .external_lex_state = 2},
  [2168] = {.lex_state = 34, .external_lex_state = 2},
  [2169] = {.lex_state = 258, .external_lex_state = 2},
  [2170] = {.lex_state = 258, .external_lex_state = 2},
  [2171] = {.lex_state = 34, .external_lex_state = 2},
  [2172] = {.lex_state = 258, .external_lex_state = 2},
  [2173] = {.lex_state = 258, .external_lex_state = 2},
  [2174] = {.lex_state = 258, .external_lex_state = 2},
  [2175] = {.lex_state = 258, .external_lex_state = 5},
  [2176] = {.lex_state = 258, .external_lex_state = 2},
  [2177] = {.lex_state = 258, .external_lex_state = 2},
  [2178] = {.lex_state = 39, .external_lex_state = 2},
  [2179] = {.lex_state = 39, .external_lex_state = 2},
  [2180] = {.lex_state = 258, .external_lex_state = 2},
  [2181] = {.lex_state = 34, .external_lex_state = 2},
  [2182] = {.lex_state = 258, .external_lex_state = 5},
  [2183] = {.lex_state = 34, .external_lex_state = 2},
  [2184] = {.lex_state = 34, .external_lex_state = 2},
  [2185] = {.lex_state = 34, .external_lex_state = 2},
  [2186] = {.lex_state = 258, .external_lex_state = 2},
  [2187] = {.lex_state = 258, .external_lex_state = 2},
  [2188] = {.lex_state = 258, .external_lex_state = 2},
  [2189] = {.lex_state = 34, .external_lex_state = 5},
  [2190] = {.lex_state = 258, .external_lex_state = 2},
  [2191] = {.lex_state = 34, .external_lex_state = 2},
  [2192] = {.lex_state = 34, .external_lex_state = 2},
  [2193] = {.lex_state = 258, .external_lex_state = 2},
  [2194] = {.lex_state = 34, .external_lex_state = 5},
  [2195] = {.lex_state = 34, .external_lex_state = 5},
  [2196] = {.lex_state = 34, .external_lex_state = 5},
  [2197] = {.lex_state = 34, .external_lex_state = 2},
  [2198] = {.lex_state = 34, .external_lex_state = 2},
  [2199] = {.lex_state = 30, .external_lex_state = 2},
  [2200] = {.lex_state = 258, .external_lex_state = 2},
  [2201] = {.lex_state = 258, .external_lex_state = 2},
  [2202] = {.lex_state = 258, .external_lex_state = 2},
  [2203] = {.lex_state = 258, .external_lex_state = 2},
  [2204] = {.lex_state = 258, .external_lex_state = 2},
  [2205] = {.lex_state = 258, .external_lex_state = 2},
  [2206] = {.lex_state = 258, .external_lex_state = 2},
  [2207] = {.lex_state = 258, .external_lex_state = 2},
  [2208] = {.lex_state = 258, .external_lex_state = 2},
  [2209] = {.lex_state = 258, .external_lex_state = 2},
  [2210] = {.lex_state = 258, .external_lex_state = 2},
  [2211] = {.lex_state = 258, .external_lex_state = 2},
  [2212] = {.lex_state = 258, .external_lex_state = 2},
  [2213] = {.lex_state = 258, .external_lex_state = 2},
  [2214] = {.lex_state = 258, .external_lex_state = 2},
  [2215] = {.lex_state = 258, .external_lex_state = 5},
  [2216] = {.lex_state = 39, .external_lex_state = 2},
  [2217] = {.lex_state = 258, .external_lex_state = 2},
  [2218] = {.lex_state = 258, .external_lex_state = 2},
  [2219] = {.lex_state = 258, .external_lex_state = 2},
  [2220] = {.lex_state = 258, .external_lex_state = 2},
  [2221] = {.lex_state = 258, .external_lex_state = 2},
  [2222] = {.lex_state = 258, .external_lex_state = 5},
  [2223] = {.lex_state = 258, .external_lex_state = 2},
  [2224] = {.lex_state = 258, .external_lex_state = 2},
  [2225] = {.lex_state = 258, .external_lex_state = 5},
  [2226] = {.lex_state = 258, .external_lex_state = 2},
  [2227] = {.lex_state = 258, .external_lex_state = 2},
  [2228] = {.lex_state = 258, .external_lex_state = 2},
  [2229] = {.lex_state = 258, .external_lex_state = 2},
  [2230] = {.lex_state = 258, .external_lex_state = 2},
  [2231] = {.lex_state = 258, .external_lex_state = 2},
  [2232] = {.lex_state = 258, .external_lex_state = 2},
  [2233] = {.lex_state = 258, .external_lex_state = 2},
  [2234] = {.lex_state = 258, .external_lex_state = 2},
  [2235] = {.lex_state = 258, .external_lex_state = 2},
  [2236] = {.lex_state = 258, .external_lex_state = 2},
  [2237] = {.lex_state = 258, .external_lex_state = 2},
  [2238] = {.lex_state = 258, .external_lex_state = 2},
  [2239] = {.lex_state = 258, .external_lex_state = 5},
  [2240] = {.lex_state = 258, .external_lex_state = 2},
  [2241] = {.lex_state = 258, .external_lex_state = 2},
  [2242] = {.lex_state = 258, .external_lex_state = 2},
  [2243] = {.lex_state = 258, .external_lex_state = 5},
  [2244] = {.lex_state = 258, .external_lex_state = 2},
  [2245] = {.lex_state = 258, .external_lex_state = 2},
  [2246] = {.lex_state = 258, .external_lex_state = 5},
  [2247] = {.lex_state = 258, .external_lex_state = 5},
  [2248] = {.lex_state = 258, .external_lex_state = 2},
  [2249] = {.lex_state = 258, .external_lex_state = 5},
  [2250] = {.lex_state = 258, .external_lex_state = 2},
  [2251] = {.lex_state = 258, .external_lex_state = 5},
  [2252] = {.lex_state = 258, .external_lex_state = 2},
  [2253] = {.lex_state = 258, .external_lex_state = 5},
  [2254] = {.lex_state = 258, .external_lex_state = 5},
  [2255] = {.lex_state = 258, .external_lex_state = 2},
  [2256] = {.lex_state = 39, .external_lex_state = 2},
  [2257] = {.lex_state = 258, .external_lex_state = 5},
  [2258] = {.lex_state = 258, .external_lex_state = 2},
  [2259] = {.lex_state = 258, .external_lex_state = 2},
  [2260] = {.lex_state = 258, .external_lex_state = 2},
  [2261] = {.lex_state = 258, .external_lex_state = 2},
  [2262] = {.lex_state = 258, .external_lex_state = 5},
  [2263] = {.lex_state = 258, .external_lex_state = 5},
  [2264] = {.lex_state = 258, .external_lex_state = 2},
  [2265] = {.lex_state = 258, .external_lex_state = 2},
  [2266] = {.lex_state = 258, .external_lex_state = 5},
  [2267] = {.lex_state = 258, .external_lex_state = 5},
  [2268] = {.lex_state = 258, .external_lex_state = 2},
  [2269] = {.lex_state = 34, .external_lex_state = 2},
  [2270] = {.lex_state = 258, .external_lex_state = 2},
  [2271] = {.lex_state = 258, .external_lex_state = 5},
  [2272] = {.lex_state = 258, .external_lex_state = 2},
  [2273] = {.lex_state = 39, .external_lex_state = 2},
  [2274] = {.lex_state = 258, .external_lex_state = 2},
  [2275] = {.lex_state = 258, .external_lex_state = 5},
  [2276] = {.lex_state = 258, .external_lex_state = 5},
  [2277] = {.lex_state = 258, .external_lex_state = 2},
  [2278] = {.lex_state = 258, .external_lex_state = 2},
  [2279] = {.lex_state = 258, .external_lex_state = 5},
  [2280] = {.lex_state = 258, .external_lex_state = 2},
  [2281] = {.lex_state = 258, .external_lex_state = 2},
  [2282] = {.lex_state = 258, .external_lex_state = 2},
  [2283] = {.lex_state = 258, .external_lex_state = 2},
  [2284] = {.lex_state = 258, .external_lex_state = 2},
  [2285] = {.lex_state = 258, .external_lex_state = 2},
  [2286] = {.lex_state = 258, .external_lex_state = 2},
  [2287] = {.lex_state = 258, .external_lex_state = 2},
  [2288] = {.lex_state = 258, .external_lex_state = 2},
  [2289] = {.lex_state = 258, .external_lex_state = 5},
  [2290] = {.lex_state = 258, .external_lex_state = 5},
  [2291] = {.lex_state = 258, .external_lex_state = 2},
  [2292] = {.lex_state = 39, .external_lex_state = 2},
  [2293] = {.lex_state = 258, .external_lex_state = 2},
  [2294] = {.lex_state = 39, .external_lex_state = 2},
  [2295] = {.lex_state = 258, .external_lex_state = 2},
  [2296] = {.lex_state = 34, .external_lex_state = 2},
  [2297] = {.lex_state = 258, .external_lex_state = 2},
  [2298] = {.lex_state = 258, .external_lex_state = 2},
  [2299] = {.lex_state = 258, .external_lex_state = 2},
  [2300] = {.lex_state = 258, .external_lex_state = 5},
  [2301] = {.lex_state = 258, .external_lex_state = 2},
  [2302] = {.lex_state = 258, .external_lex_state = 2},
  [2303] = {.lex_state = 258, .external_lex_state = 2},
  [2304] = {.lex_state = 258, .external_lex_state = 2},
  [2305] = {.lex_state = 258, .external_lex_state = 2},
  [2306] = {.lex_state = 258, .external_lex_state = 2},
  [2307] = {.lex_state = 258, .external_lex_state = 2},
  [2308] = {.lex_state = 258, .external_lex_state = 2},
  [2309] = {.lex_state = 258, .external_lex_state = 2},
  [2310] = {.lex_state = 258, .external_lex_state = 2},
  [2311] = {.lex_state = 258, .external_lex_state = 2},
  [2312] = {.lex_state = 258, .external_lex_state = 2},
  [2313] = {.lex_state = 258, .external_lex_state = 2},
  [2314] = {.lex_state = 258, .external_lex_state = 2},
  [2315] = {.lex_state = 258, .external_lex_state = 2},
  [2316] = {.lex_state = 258, .external_lex_state = 2},
  [2317] = {.lex_state = 258, .external_lex_state = 2},
  [2318] = {.lex_state = 258, .external_lex_state = 2},
  [2319] = {.lex_state = 258, .external_lex_state = 2},
  [2320] = {.lex_state = 258, .external_lex_state = 2},
  [2321] = {.lex_state = 258, .external_lex_state = 2},
  [2322] = {.lex_state = 258, .external_lex_state = 2},
  [2323] = {.lex_state = 258, .external_lex_state = 2},
  [2324] = {.lex_state = 258, .external_lex_state = 2},
  [2325] = {.lex_state = 258, .external_lex_state = 5},
  [2326] = {.lex_state = 258, .external_lex_state = 2},
  [2327] = {.lex_state = 258, .external_lex_state = 2},
  [2328] = {.lex_state = 258, .external_lex_state = 2},
  [2329] = {.lex_state = 258, .external_lex_state = 2},
  [2330] = {.lex_state = 258, .external_lex_state = 2},
  [2331] = {.lex_state = 258, .external_lex_state = 2},
  [2332] = {.lex_state = 258, .external_lex_state = 2},
  [2333] = {.lex_state = 258, .external_lex_state = 2},
  [2334] = {.lex_state = 258, .external_lex_state = 2},
  [2335] = {.lex_state = 258, .external_lex_state = 5},
  [2336] = {.lex_state = 258, .external_lex_state = 2},
  [2337] = {.lex_state = 258, .external_lex_state = 2},
  [2338] = {.lex_state = 258, .external_lex_state = 2},
  [2339] = {.lex_state = 258, .external_lex_state = 2},
  [2340] = {.lex_state = 258, .external_lex_state = 2},
  [2341] = {.lex_state = 258, .external_lex_state = 2},
  [2342] = {.lex_state = 258, .external_lex_state = 2},
  [2343] = {.lex_state = 258, .external_lex_state = 5},
  [2344] = {.lex_state = 258, .external_lex_state = 5},
  [2345] = {.lex_state = 258, .external_lex_state = 2},
  [2346] = {.lex_state = 258, .external_lex_state = 5},
  [2347] = {.lex_state = 258, .external_lex_state = 5},
  [2348] = {.lex_state = 258, .external_lex_state = 2},
  [2349] = {.lex_state = 34, .external_lex_state = 2},
  [2350] = {.lex_state = 258, .external_lex_state = 2},
  [2351] = {.lex_state = 34, .external_lex_state = 2},
  [2352] = {.lex_state = 258, .external_lex_state = 2},
  [2353] = {.lex_state = 258, .external_lex_state = 2},
  [2354] = {.lex_state = 258, .external_lex_state = 2},
  [2355] = {.lex_state = 258, .external_lex_state = 2},
  [2356] = {.lex_state = 258, .external_lex_state = 2},
  [2357] = {.lex_state = 258, .external_lex_state = 5},
  [2358] = {.lex_state = 258, .external_lex_state = 2},
  [2359] = {.lex_state = 258, .external_lex_state = 2},
  [2360] = {.lex_state = 258, .external_lex_state = 5},
  [2361] = {.lex_state = 258, .external_lex_state = 5},
  [2362] = {.lex_state = 258, .external_lex_state = 5},
  [2363] = {.lex_state = 258, .external_lex_state = 5},
  [2364] = {.lex_state = 258, .external_lex_state = 2},
  [2365] = {.lex_state = 258, .external_lex_state = 2},
  [2366] = {.lex_state = 258, .external_lex_state = 2},
  [2367] = {.lex_state = 258, .external_lex_state = 2},
  [2368] = {.lex_state = 258, .external_lex_state = 5},
  [2369] = {.lex_state = 258, .external_lex_state = 5},
  [2370] = {.lex_state = 258, .external_lex_state = 2},
  [2371] = {.lex_state = 258, .external_lex_state = 2},
  [2372] = {.lex_state = 258, .external_lex_state = 2},
  [2373] = {.lex_state = 258, .external_lex_state = 2},
  [2374] = {.lex_state = 258, .external_lex_state = 2},
  [2375] = {.lex_state = 258, .external_lex_state = 2},
  [2376] = {.lex_state = 258, .external_lex_state = 2},
  [2377] = {.lex_state = 258, .external_lex_state = 2},
  [2378] = {.lex_state = 258, .external_lex_state = 2},
  [2379] = {.lex_state = 258, .external_lex_state = 2},
  [2380] = {.lex_state = 258, .external_lex_state = 2},
  [2381] = {.lex_state = 258, .external_lex_state = 2},
  [2382] = {.lex_state = 258, .external_lex_state = 2},
  [2383] = {.lex_state = 39, .external_lex_state = 2},
  [2384] = {.lex_state = 3, .external_lex_state = 2},
  [2385] = {.lex_state = 39, .external_lex_state = 2},
  [2386] = {.lex_state = 258, .external_lex_state = 2},
  [2387] = {.lex_state = 258, .external_lex_state = 5},
  [2388] = {.lex_state = 258, .external_lex_state = 2},
  [2389] = {.lex_state = 258, .external_lex_state = 2},
  [2390] = {.lex_state = 258, .external_lex_state = 5},
  [2391] = {.lex_state = 258, .external_lex_state = 2},
  [2392] = {.lex_state = 258, .external_lex_state = 2},
  [2393] = {.lex_state = 258, .external_lex_state = 2},
  [2394] = {.lex_state = 258, .external_lex_state = 2},
  [2395] = {.lex_state = 258, .external_lex_state = 2},
  [2396] = {.lex_state = 39, .external_lex_state = 2},
  [2397] = {.lex_state = 258, .external_lex_state = 2},
  [2398] = {.lex_state = 258, .external_lex_state = 2},
  [2399] = {.lex_state = 258, .external_lex_state = 2},
  [2400] = {.lex_state = 258, .external_lex_state = 2},
  [2401] = {.lex_state = 258, .external_lex_state = 2},
  [2402] = {.lex_state = 258, .external_lex_state = 2},
  [2403] = {.lex_state = 258, .external_lex_state = 2},
  [2404] = {.lex_state = 258, .external_lex_state = 2},
  [2405] = {.lex_state = 258, .external_lex_state = 2},
  [2406] = {.lex_state = 258, .external_lex_state = 2},
  [2407] = {.lex_state = 258, .external_lex_state = 2},
  [2408] = {.lex_state = 258, .external_lex_state = 5},
  [2409] = {.lex_state = 258, .external_lex_state = 2},
  [2410] = {.lex_state = 258, .external_lex_state = 2},
  [2411] = {.lex_state = 258, .external_lex_state = 2},
  [2412] = {.lex_state = 258, .external_lex_state = 2},
  [2413] = {.lex_state = 258, .external_lex_state = 5},
  [2414] = {.lex_state = 258, .external_lex_state = 5},
  [2415] = {.lex_state = 258, .external_lex_state = 2},
  [2416] = {.lex_state = 60, .external_lex_state = 2},
  [2417] = {.lex_state = 258, .external_lex_state = 2},
  [2418] = {.lex_state = 258, .external_lex_state = 2},
  [2419] = {.lex_state = 39, .external_lex_state = 2},
  [2420] = {.lex_state = 258, .external_lex_state = 2},
  [2421] = {.lex_state = 258, .external_lex_state = 5},
  [2422] = {.lex_state = 258, .external_lex_state = 2},
  [2423] = {.lex_state = 258, .external_lex_state = 2},
  [2424] = {.lex_state = 258, .external_lex_state = 2},
  [2425] = {.lex_state = 60, .external_lex_state = 2},
  [2426] = {.lex_state = 258, .external_lex_state = 2},
  [2427] = {.lex_state = 258, .external_lex_state = 2},
  [2428] = {.lex_state = 258, .external_lex_state = 2},
  [2429] = {.lex_state = 258, .external_lex_state = 2},
  [2430] = {.lex_state = 258, .external_lex_state = 2},
  [2431] = {.lex_state = 258, .external_lex_state = 5},
  [2432] = {.lex_state = 258, .external_lex_state = 5},
  [2433] = {.lex_state = 258, .external_lex_state = 2},
  [2434] = {.lex_state = 258, .external_lex_state = 5},
  [2435] = {.lex_state = 258, .external_lex_state = 2},
  [2436] = {.lex_state = 258, .external_lex_state = 5},
  [2437] = {.lex_state = 258, .external_lex_state = 2},
  [2438] = {.lex_state = 258, .external_lex_state = 2},
  [2439] = {.lex_state = 258, .external_lex_state = 2},
  [2440] = {.lex_state = 258, .external_lex_state = 2},
  [2441] = {.lex_state = 258, .external_lex_state = 5},
  [2442] = {.lex_state = 258, .external_lex_state = 2},
  [2443] = {.lex_state = 258, .external_lex_state = 2},
  [2444] = {.lex_state = 258, .external_lex_state = 5},
  [2445] = {.lex_state = 258, .external_lex_state = 5},
  [2446] = {.lex_state = 258, .external_lex_state = 2},
  [2447] = {.lex_state = 258, .external_lex_state = 5},
  [2448] = {.lex_state = 258, .external_lex_state = 2},
  [2449] = {.lex_state = 258, .external_lex_state = 2},
  [2450] = {.lex_state = 258, .external_lex_state = 2},
  [2451] = {.lex_state = 258, .external_lex_state = 2},
  [2452] = {.lex_state = 258, .external_lex_state = 2},
  [2453] = {.lex_state = 258, .external_lex_state = 2},
  [2454] = {.lex_state = 258, .external_lex_state = 2},
  [2455] = {.lex_state = 258, .external_lex_state = 2},
  [2456] = {.lex_state = 258, .external_lex_state = 2},
  [2457] = {.lex_state = 258, .external_lex_state = 2},
  [2458] = {.lex_state = 258, .external_lex_state = 2},
  [2459] = {.lex_state = 258, .external_lex_state = 2},
  [2460] = {.lex_state = 258, .external_lex_state = 2},
  [2461] = {.lex_state = 258, .external_lex_state = 2},
  [2462] = {.lex_state = 258, .external_lex_state = 2},
  [2463] = {.lex_state = 258, .external_lex_state = 2},
  [2464] = {.lex_state = 258, .external_lex_state = 2},
  [2465] = {.lex_state = 258, .external_lex_state = 2},
  [2466] = {.lex_state = 258, .external_lex_state = 2},
  [2467] = {.lex_state = 258, .external_lex_state = 5},
  [2468] = {.lex_state = 39, .external_lex_state = 2},
  [2469] = {.lex_state = 258, .external_lex_state = 2},
  [2470] = {.lex_state = 258, .external_lex_state = 2},
  [2471] = {.lex_state = 258, .external_lex_state = 2},
  [2472] = {.lex_state = 258, .external_lex_state = 2},
  [2473] = {.lex_state = 39, .external_lex_state = 2},
  [2474] = {.lex_state = 258, .external_lex_state = 2},
  [2475] = {.lex_state = 258, .external_lex_state = 2},
  [2476] = {.lex_state = 258, .external_lex_state = 2},
  [2477] = {.lex_state = 258, .external_lex_state = 2},
  [2478] = {.lex_state = 258, .external_lex_state = 2},
  [2479] = {.lex_state = 258, .external_lex_state = 2},
  [2480] = {.lex_state = 258, .external_lex_state = 2},
  [2481] = {.lex_state = 258, .external_lex_state = 2},
  [2482] = {.lex_state = 258, .external_lex_state = 2},
  [2483] = {.lex_state = 258, .external_lex_state = 2},
  [2484] = {.lex_state = 258, .external_lex_state = 5},
  [2485] = {.lex_state = 258, .external_lex_state = 2},
  [2486] = {.lex_state = 258, .external_lex_state = 2},
  [2487] = {.lex_state = 258, .external_lex_state = 2},
  [2488] = {.lex_state = 258, .external_lex_state = 2},
  [2489] = {.lex_state = 258, .external_lex_state = 2},
  [2490] = {.lex_state = 258, .external_lex_state = 2},
  [2491] = {.lex_state = 258, .external_lex_state = 2},
  [2492] = {.lex_state = 258, .external_lex_state = 2},
  [2493] = {.lex_state = 258, .external_lex_state = 2},
  [2494] = {.lex_state = 258, .external_lex_state = 2},
  [2495] = {.lex_state = 258, .external_lex_state = 2},
  [2496] = {.lex_state = 258, .external_lex_state = 2},
  [2497] = {.lex_state = 258, .external_lex_state = 5},
  [2498] = {.lex_state = 258, .external_lex_state = 2},
  [2499] = {.lex_state = 258, .external_lex_state = 2},
  [2500] = {.lex_state = 258, .external_lex_state = 2},
  [2501] = {.lex_state = 258, .external_lex_state = 2},
  [2502] = {.lex_state = 258, .external_lex_state = 5},
  [2503] = {.lex_state = 258, .external_lex_state = 2},
  [2504] = {.lex_state = 258, .external_lex_state = 2},
  [2505] = {.lex_state = 258, .external_lex_state = 2},
  [2506] = {.lex_state = 258, .external_lex_state = 2},
  [2507] = {.lex_state = 258, .external_lex_state = 2},
  [2508] = {.lex_state = 258, .external_lex_state = 2},
  [2509] = {.lex_state = 258, .external_lex_state = 2},
  [2510] = {.lex_state = 258, .external_lex_state = 5},
  [2511] = {.lex_state = 258, .external_lex_state = 5},
  [2512] = {.lex_state = 258, .external_lex_state = 5},
  [2513] = {.lex_state = 258, .external_lex_state = 5},
  [2514] = {.lex_state = 258, .external_lex_state = 2},
  [2515] = {.lex_state = 258, .external_lex_state = 2},
  [2516] = {.lex_state = 258, .external_lex_state = 5},
  [2517] = {.lex_state = 258, .external_lex_state = 2},
  [2518] = {.lex_state = 258, .external_lex_state = 2},
  [2519] = {.lex_state = 258, .external_lex_state = 2},
  [2520] = {.lex_state = 258, .external_lex_state = 2},
  [2521] = {.lex_state = 258, .external_lex_state = 2},
  [2522] = {.lex_state = 258, .external_lex_state = 5},
  [2523] = {.lex_state = 258, .external_lex_state = 2},
  [2524] = {.lex_state = 258, .external_lex_state = 2},
  [2525] = {.lex_state = 258, .external_lex_state = 2},
  [2526] = {.lex_state = 258, .external_lex_state = 5},
  [2527] = {.lex_state = 258, .external_lex_state = 2},
  [2528] = {.lex_state = 258, .external_lex_state = 2},
  [2529] = {.lex_state = 258, .external_lex_state = 2},
  [2530] = {.lex_state = 258, .external_lex_state = 2},
  [2531] = {.lex_state = 258, .external_lex_state = 2},
  [2532] = {.lex_state = 258, .external_lex_state = 2},
  [2533] = {.lex_state = 258, .external_lex_state = 2},
  [2534] = {.lex_state = 258, .external_lex_state = 2},
  [2535] = {.lex_state = 258, .external_lex_state = 2},
  [2536] = {.lex_state = 258, .external_lex_state = 2},
  [2537] = {.lex_state = 258, .external_lex_state = 2},
  [2538] = {.lex_state = 258, .external_lex_state = 2},
  [2539] = {.lex_state = 258, .external_lex_state = 2},
  [2540] = {.lex_state = 258, .external_lex_state = 2},
  [2541] = {.lex_state = 258, .external_lex_state = 2},
  [2542] = {.lex_state = 258, .external_lex_state = 2},
  [2543] = {.lex_state = 258, .external_lex_state = 2},
  [2544] = {.lex_state = 258, .external_lex_state = 2},
  [2545] = {.lex_state = 258, .external_lex_state = 2},
  [2546] = {.lex_state = 258, .external_lex_state = 2},
  [2547] = {.lex_state = 258, .external_lex_state = 2},
  [2548] = {.lex_state = 258, .external_lex_state = 2},
  [2549] = {.lex_state = 258, .external_lex_state = 2},
  [2550] = {.lex_state = 258, .external_lex_state = 2},
  [2551] = {.lex_state = 258, .external_lex_state = 2},
  [2552] = {.lex_state = 258, .external_lex_state = 2},
  [2553] = {.lex_state = 258, .external_lex_state = 2},
  [2554] = {.lex_state = 258, .external_lex_state = 2},
  [2555] = {.lex_state = 258, .external_lex_state = 2},
  [2556] = {.lex_state = 258, .external_lex_state = 2},
  [2557] = {.lex_state = 258, .external_lex_state = 2},
  [2558] = {.lex_state = 258, .external_lex_state = 2},
  [2559] = {.lex_state = 258, .external_lex_state = 2},
  [2560] = {.lex_state = 258, .external_lex_state = 2},
  [2561] = {.lex_state = 258, .external_lex_state = 2},
  [2562] = {.lex_state = 258, .external_lex_state = 2},
  [2563] = {.lex_state = 258, .external_lex_state = 2},
  [2564] = {.lex_state = 258, .external_lex_state = 2},
  [2565] = {.lex_state = 258, .external_lex_state = 2},
  [2566] = {.lex_state = 258, .external_lex_state = 2},
  [2567] = {.lex_state = 258, .external_lex_state = 2},
  [2568] = {.lex_state = 258, .external_lex_state = 2},
  [2569] = {.lex_state = 258, .external_lex_state = 2},
  [2570] = {.lex_state = 258, .external_lex_state = 2},
  [2571] = {.lex_state = 258, .external_lex_state = 2},
  [2572] = {.lex_state = 258, .external_lex_state = 2},
  [2573] = {.lex_state = 258, .external_lex_state = 2},
  [2574] = {.lex_state = 258, .external_lex_state = 2},
  [2575] = {.lex_state = 258, .external_lex_state = 2},
  [2576] = {.lex_state = 258, .external_lex_state = 2},
  [2577] = {.lex_state = 258, .external_lex_state = 2},
  [2578] = {.lex_state = 258, .external_lex_state = 2},
  [2579] = {.lex_state = 258, .external_lex_state = 2},
  [2580] = {.lex_state = 258, .external_lex_state = 2},
  [2581] = {.lex_state = 258, .external_lex_state = 2},
  [2582] = {.lex_state = 258, .external_lex_state = 2},
  [2583] = {.lex_state = 258, .external_lex_state = 2},
  [2584] = {.lex_state = 258, .external_lex_state = 2},
  [2585] = {.lex_state = 258, .external_lex_state = 2},
  [2586] = {.lex_state = 258, .external_lex_state = 2},
  [2587] = {.lex_state = 258, .external_lex_state = 2},
  [2588] = {.lex_state = 258, .external_lex_state = 2},
  [2589] = {.lex_state = 258, .external_lex_state = 2},
  [2590] = {.lex_state = 258, .external_lex_state = 2},
  [2591] = {.lex_state = 258, .external_lex_state = 2},
  [2592] = {.lex_state = 258, .external_lex_state = 2},
  [2593] = {.lex_state = 258, .external_lex_state = 2},
  [2594] = {.lex_state = 258, .external_lex_state = 2},
  [2595] = {.lex_state = 258, .external_lex_state = 2},
  [2596] = {.lex_state = 258, .external_lex_state = 2},
  [2597] = {.lex_state = 258, .external_lex_state = 2},
  [2598] = {.lex_state = 258, .external_lex_state = 2},
  [2599] = {.lex_state = 258, .external_lex_state = 2},
  [2600] = {.lex_state = 258, .external_lex_state = 2},
  [2601] = {.lex_state = 258, .external_lex_state = 2},
  [2602] = {.lex_state = 258, .external_lex_state = 2},
  [2603] = {.lex_state = 258, .external_lex_state = 2},
  [2604] = {.lex_state = 258, .external_lex_state = 2},
  [2605] = {.lex_state = 258, .external_lex_state = 2},
  [2606] = {.lex_state = 258, .external_lex_state = 2},
  [2607] = {.lex_state = 258, .external_lex_state = 2},
  [2608] = {.lex_state = 258, .external_lex_state = 2},
  [2609] = {.lex_state = 258, .external_lex_state = 2},
  [2610] = {.lex_state = 258, .external_lex_state = 2},
  [2611] = {.lex_state = 258, .external_lex_state = 2},
  [2612] = {.lex_state = 258, .external_lex_state = 2},
  [2613] = {.lex_state = 258, .external_lex_state = 2},
  [2614] = {.lex_state = 258, .external_lex_state = 2},
  [2615] = {.lex_state = 258, .external_lex_state = 2},
  [2616] = {.lex_state = 258, .external_lex_state = 2},
  [2617] = {.lex_state = 258, .external_lex_state = 2},
  [2618] = {.lex_state = 258, .external_lex_state = 2},
  [2619] = {.lex_state = 258, .external_lex_state = 2},
  [2620] = {.lex_state = 258, .external_lex_state = 2},
  [2621] = {.lex_state = 258, .external_lex_state = 2},
  [2622] = {.lex_state = 258, .external_lex_state = 2},
  [2623] = {.lex_state = 258, .external_lex_state = 2},
  [2624] = {.lex_state = 258, .external_lex_state = 2},
  [2625] = {.lex_state = 258, .external_lex_state = 2},
  [2626] = {.lex_state = 258, .external_lex_state = 2},
  [2627] = {.lex_state = 258, .external_lex_state = 2},
  [2628] = {.lex_state = 258, .external_lex_state = 2},
  [2629] = {.lex_state = 258, .external_lex_state = 2},
  [2630] = {.lex_state = 258, .external_lex_state = 2},
  [2631] = {.lex_state = 258, .external_lex_state = 2},
  [2632] = {.lex_state = 258, .external_lex_state = 2},
  [2633] = {.lex_state = 258, .external_lex_state = 2},
  [2634] = {.lex_state = 258, .external_lex_state = 2},
  [2635] = {.lex_state = 258, .external_lex_state = 2},
  [2636] = {.lex_state = 258, .external_lex_state = 2},
  [2637] = {.lex_state = 258, .external_lex_state = 2},
  [2638] = {.lex_state = 258, .external_lex_state = 2},
  [2639] = {.lex_state = 258, .external_lex_state = 2},
  [2640] = {.lex_state = 258, .external_lex_state = 2},
  [2641] = {.lex_state = 258, .external_lex_state = 2},
  [2642] = {.lex_state = 258, .external_lex_state = 2},
  [2643] = {.lex_state = 258, .external_lex_state = 5},
  [2644] = {.lex_state = 258, .external_lex_state = 2},
  [2645] = {.lex_state = 258, .external_lex_state = 2},
  [2646] = {.lex_state = 258, .external_lex_state = 2},
  [2647] = {.lex_state = 258, .external_lex_state = 2},
  [2648] = {.lex_state = 258, .external_lex_state = 2},
  [2649] = {.lex_state = 258, .external_lex_state = 2},
  [2650] = {.lex_state = 258, .external_lex_state = 2},
  [2651] = {.lex_state = 258, .external_lex_state = 2},
  [2652] = {.lex_state = 258, .external_lex_state = 2},
  [2653] = {.lex_state = 258, .external_lex_state = 2},
  [2654] = {.lex_state = 258, .external_lex_state = 2},
  [2655] = {.lex_state = 258, .external_lex_state = 2},
  [2656] = {.lex_state = 258, .external_lex_state = 2},
  [2657] = {.lex_state = 258, .external_lex_state = 2},
  [2658] = {.lex_state = 258, .external_lex_state = 2},
  [2659] = {.lex_state = 258, .external_lex_state = 2},
  [2660] = {.lex_state = 258, .external_lex_state = 2},
  [2661] = {.lex_state = 258, .external_lex_state = 5},
  [2662] = {.lex_state = 258, .external_lex_state = 2},
  [2663] = {.lex_state = 258, .external_lex_state = 2},
  [2664] = {.lex_state = 258, .external_lex_state = 2},
  [2665] = {.lex_state = 258, .external_lex_state = 2},
  [2666] = {.lex_state = 258, .external_lex_state = 2},
  [2667] = {.lex_state = 258, .external_lex_state = 2},
  [2668] = {.lex_state = 258, .external_lex_state = 2},
  [2669] = {.lex_state = 258, .external_lex_state = 2},
  [2670] = {.lex_state = 258, .external_lex_state = 2},
  [2671] = {.lex_state = 258, .external_lex_state = 2},
  [2672] = {.lex_state = 258, .external_lex_state = 2},
  [2673] = {.lex_state = 258, .external_lex_state = 2},
  [2674] = {.lex_state = 258, .external_lex_state = 2},
  [2675] = {.lex_state = 258, .external_lex_state = 2},
  [2676] = {.lex_state = 258, .external_lex_state = 2},
  [2677] = {.lex_state = 258, .external_lex_state = 2},
  [2678] = {.lex_state = 258, .external_lex_state = 2},
  [2679] = {.lex_state = 258, .external_lex_state = 2},
  [2680] = {.lex_state = 34, .external_lex_state = 2},
  [2681] = {.lex_state = 258, .external_lex_state = 2},
  [2682] = {.lex_state = 34, .external_lex_state = 2},
  [2683] = {.lex_state = 258, .external_lex_state = 2},
  [2684] = {.lex_state = 258, .external_lex_state = 2},
  [2685] = {.lex_state = 258, .external_lex_state = 2},
  [2686] = {.lex_state = 258, .external_lex_state = 2},
  [2687] = {.lex_state = 258, .external_lex_state = 2},
  [2688] = {.lex_state = 34, .external_lex_state = 2},
  [2689] = {.lex_state = 258, .external_lex_state = 2},
  [2690] = {.lex_state = 258, .external_lex_state = 2},
  [2691] = {.lex_state = 258, .external_lex_state = 5},
  [2692] = {.lex_state = 258, .external_lex_state = 2},
  [2693] = {.lex_state = 258, .external_lex_state = 2},
  [2694] = {.lex_state = 258, .external_lex_state = 2},
  [2695] = {.lex_state = 258, .external_lex_state = 5},
  [2696] = {.lex_state = 258, .external_lex_state = 2},
  [2697] = {.lex_state = 258, .external_lex_state = 2},
  [2698] = {.lex_state = 258, .external_lex_state = 2},
  [2699] = {.lex_state = 258, .external_lex_state = 2},
  [2700] = {.lex_state = 258, .external_lex_state = 2},
  [2701] = {.lex_state = 3, .external_lex_state = 2},
  [2702] = {.lex_state = 258, .external_lex_state = 2},
  [2703] = {.lex_state = 258, .external_lex_state = 2},
  [2704] = {.lex_state = 258, .external_lex_state = 2},
  [2705] = {.lex_state = 34, .external_lex_state = 2},
  [2706] = {.lex_state = 258, .external_lex_state = 2},
  [2707] = {.lex_state = 258, .external_lex_state = 5},
  [2708] = {.lex_state = 258, .external_lex_state = 2},
  [2709] = {.lex_state = 258, .external_lex_state = 5},
  [2710] = {.lex_state = 34, .external_lex_state = 2},
  [2711] = {.lex_state = 258, .external_lex_state = 2},
  [2712] = {.lex_state = 258, .external_lex_state = 2},
  [2713] = {.lex_state = 258, .external_lex_state = 2},
  [2714] = {.lex_state = 258, .external_lex_state = 2},
  [2715] = {.lex_state = 258, .external_lex_state = 2},
  [2716] = {.lex_state = 34, .external_lex_state = 2},
  [2717] = {.lex_state = 258, .external_lex_state = 2},
  [2718] = {.lex_state = 258, .external_lex_state = 2},
  [2719] = {.lex_state = 258, .external_lex_state = 2},
  [2720] = {.lex_state = 258, .external_lex_state = 2},
  [2721] = {.lex_state = 34, .external_lex_state = 2},
  [2722] = {.lex_state = 258, .external_lex_state = 2},
  [2723] = {.lex_state = 258, .external_lex_state = 2},
  [2724] = {.lex_state = 258, .external_lex_state = 2},
  [2725] = {.lex_state = 258, .external_lex_state = 2},
  [2726] = {.lex_state = 258, .external_lex_state = 2},
  [2727] = {.lex_state = 34, .external_lex_state = 2},
  [2728] = {.lex_state = 258, .external_lex_state = 2},
  [2729] = {.lex_state = 258, .external_lex_state = 2},
  [2730] = {.lex_state = 258, .external_lex_state = 2},
  [2731] = {.lex_state = 258, .external_lex_state = 2},
  [2732] = {.lex_state = 34, .external_lex_state = 2},
  [2733] = {.lex_state = 258, .external_lex_state = 2},
  [2734] = {.lex_state = 258, .external_lex_state = 2},
  [2735] = {.lex_state = 258, .external_lex_state = 2},
  [2736] = {.lex_state = 258, .external_lex_state = 2},
  [2737] = {.lex_state = 258, .external_lex_state = 2},
  [2738] = {.lex_state = 34, .external_lex_state = 2},
  [2739] = {.lex_state = 258, .external_lex_state = 2},
  [2740] = {.lex_state = 258, .external_lex_state = 2},
  [2741] = {.lex_state = 258, .external_lex_state = 2},
  [2742] = {.lex_state = 4, .external_lex_state = 8},
  [2743] = {.lex_state = 258, .external_lex_state = 2},
  [2744] = {.lex_state = 34, .external_lex_state = 2},
  [2745] = {.lex_state = 34, .external_lex_state = 2},
  [2746] = {.lex_state = 34, .external_lex_state = 2},
  [2747] = {.lex_state = 258, .external_lex_state = 2},
  [2748] = {.lex_state = 258, .external_lex_state = 2},
  [2749] = {.lex_state = 258, .external_lex_state = 2},
  [2750] = {.lex_state = 258, .external_lex_state = 2},
  [2751] = {.lex_state = 258, .external_lex_state = 2},
  [2752] = {.lex_state = 39, .external_lex_state = 2},
  [2753] = {.lex_state = 258, .external_lex_state = 2},
  [2754] = {.lex_state = 39, .external_lex_state = 2},
  [2755] = {.lex_state = 34, .external_lex_state = 2},
  [2756] = {.lex_state = 258, .external_lex_state = 2},
  [2757] = {.lex_state = 258, .external_lex_state = 2},
  [2758] = {.lex_state = 258, .external_lex_state = 2},
  [2759] = {.lex_state = 61, .external_lex_state = 2},
  [2760] = {.lex_state = 258, .external_lex_state = 2},
  [2761] = {.lex_state = 34, .external_lex_state = 2},
  [2762] = {.lex_state = 258, .external_lex_state = 2},
  [2763] = {.lex_state = 258, .external_lex_state = 2},
  [2764] = {.lex_state = 34, .external_lex_state = 2},
  [2765] = {.lex_state = 258, .external_lex_state = 2},
  [2766] = {.lex_state = 61, .external_lex_state = 2},
  [2767] = {.lex_state = 258, .external_lex_state = 2},
  [2768] = {.lex_state = 258, .external_lex_state = 2},
  [2769] = {.lex_state = 39, .external_lex_state = 2},
  [2770] = {.lex_state = 39, .external_lex_state = 2},
  [2771] = {.lex_state = 61, .external_lex_state = 2},
  [2772] = {.lex_state = 34, .external_lex_state = 2},
  [2773] = {.lex_state = 39, .external_lex_state = 2},
  [2774] = {.lex_state = 258, .external_lex_state = 2},
  [2775] = {.lex_state = 258, .external_lex_state = 2},
  [2776] = {.lex_state = 258, .external_lex_state = 2},
  [2777] = {.lex_state = 258, .external_lex_state = 2},
  [2778] = {.lex_state = 34, .external_lex_state = 2},
  [2779] = {.lex_state = 39, .external_lex_state = 2},
  [2780] = {.lex_state = 258, .external_lex_state = 2},
  [2781] = {.lex_state = 258, .external_lex_state = 2},
  [2782] = {.lex_state = 34, .external_lex_state = 2},
  [2783] = {.lex_state = 258, .external_lex_state = 2},
  [2784] = {.lex_state = 258, .external_lex_state = 2},
  [2785] = {.lex_state = 258, .external_lex_state = 2},
  [2786] = {.lex_state = 258, .external_lex_state = 2},
  [2787] = {.lex_state = 258, .external_lex_state = 2},
  [2788] = {.lex_state = 258, .external_lex_state = 2},
  [2789] = {.lex_state = 258, .external_lex_state = 2},
  [2790] = {.lex_state = 258, .external_lex_state = 2},
  [2791] = {.lex_state = 258, .external_lex_state = 2},
  [2792] = {.lex_state = 34, .external_lex_state = 2},
  [2793] = {.lex_state = 258, .external_lex_state = 2},
  [2794] = {.lex_state = 258, .external_lex_state = 2},
  [2795] = {.lex_state = 258, .external_lex_state = 2},
  [2796] = {.lex_state = 258, .external_lex_state = 2},
  [2797] = {.lex_state = 258, .external_lex_state = 2},
  [2798] = {.lex_state = 258, .external_lex_state = 2},
  [2799] = {.lex_state = 258, .external_lex_state = 2},
  [2800] = {.lex_state = 258, .external_lex_state = 2},
  [2801] = {.lex_state = 61, .external_lex_state = 2},
  [2802] = {.lex_state = 34, .external_lex_state = 2},
  [2803] = {.lex_state = 34, .external_lex_state = 2},
  [2804] = {.lex_state = 258, .external_lex_state = 2},
  [2805] = {.lex_state = 34, .external_lex_state = 2},
  [2806] = {.lex_state = 258, .external_lex_state = 2},
  [2807] = {.lex_state = 258, .external_lex_state = 2},
  [2808] = {.lex_state = 258, .external_lex_state = 2},
  [2809] = {.lex_state = 258, .external_lex_state = 2},
  [2810] = {.lex_state = 258, .external_lex_state = 2},
  [2811] = {.lex_state = 39, .external_lex_state = 2},
  [2812] = {.lex_state = 258, .external_lex_state = 2},
  [2813] = {.lex_state = 258, .external_lex_state = 2},
  [2814] = {.lex_state = 34, .external_lex_state = 2},
  [2815] = {.lex_state = 34, .external_lex_state = 2},
  [2816] = {.lex_state = 258, .external_lex_state = 2},
  [2817] = {.lex_state = 258, .external_lex_state = 2},
  [2818] = {.lex_state = 258, .external_lex_state = 2},
  [2819] = {.lex_state = 258, .external_lex_state = 2},
  [2820] = {.lex_state = 258, .external_lex_state = 2},
  [2821] = {.lex_state = 34, .external_lex_state = 2},
  [2822] = {.lex_state = 258, .external_lex_state = 2},
  [2823] = {.lex_state = 34, .external_lex_state = 2},
  [2824] = {.lex_state = 258, .external_lex_state = 2},
  [2825] = {.lex_state = 258, .external_lex_state = 2},
  [2826] = {.lex_state = 258, .external_lex_state = 2},
  [2827] = {.lex_state = 39, .external_lex_state = 2},
  [2828] = {.lex_state = 30, .external_lex_state = 2},
  [2829] = {.lex_state = 258, .external_lex_state = 2},
  [2830] = {.lex_state = 34, .external_lex_state = 2},
  [2831] = {.lex_state = 258, .external_lex_state = 2},
  [2832] = {.lex_state = 4, .external_lex_state = 8},
  [2833] = {.lex_state = 258, .external_lex_state = 2},
  [2834] = {.lex_state = 258, .external_lex_state = 2},
  [2835] = {.lex_state = 34, .external_lex_state = 2},
  [2836] = {.lex_state = 258, .external_lex_state = 2},
  [2837] = {.lex_state = 258, .external_lex_state = 2},
  [2838] = {.lex_state = 34, .external_lex_state = 2},
  [2839] = {.lex_state = 258, .external_lex_state = 2},
  [2840] = {.lex_state = 34, .external_lex_state = 2},
  [2841] = {.lex_state = 258, .external_lex_state = 2},
  [2842] = {.lex_state = 258, .external_lex_state = 2},
  [2843] = {.lex_state = 258, .external_lex_state = 2},
  [2844] = {.lex_state = 258, .external_lex_state = 2},
  [2845] = {.lex_state = 258, .external_lex_state = 2},
  [2846] = {.lex_state = 39, .external_lex_state = 2},
  [2847] = {.lex_state = 34, .external_lex_state = 2},
  [2848] = {.lex_state = 258, .external_lex_state = 2},
  [2849] = {.lex_state = 258, .external_lex_state = 2},
  [2850] = {.lex_state = 4, .external_lex_state = 8},
  [2851] = {.lex_state = 34, .external_lex_state = 2},
  [2852] = {.lex_state = 39, .external_lex_state = 2},
  [2853] = {.lex_state = 34, .external_lex_state = 2},
  [2854] = {.lex_state = 258, .external_lex_state = 2},
  [2855] = {.lex_state = 258, .external_lex_state = 2},
  [2856] = {.lex_state = 258, .external_lex_state = 2},
  [2857] = {.lex_state = 258, .external_lex_state = 2},
  [2858] = {.lex_state = 258, .external_lex_state = 2},
  [2859] = {.lex_state = 258, .external_lex_state = 2},
  [2860] = {.lex_state = 258, .external_lex_state = 2},
  [2861] = {.lex_state = 258, .external_lex_state = 2},
  [2862] = {.lex_state = 258, .external_lex_state = 2},
  [2863] = {.lex_state = 258, .external_lex_state = 2},
  [2864] = {.lex_state = 34, .external_lex_state = 2},
  [2865] = {.lex_state = 4, .external_lex_state = 8},
  [2866] = {.lex_state = 34, .external_lex_state = 2},
  [2867] = {.lex_state = 30, .external_lex_state = 2},
  [2868] = {.lex_state = 258, .external_lex_state = 2},
  [2869] = {.lex_state = 258, .external_lex_state = 2},
  [2870] = {.lex_state = 258, .external_lex_state = 2},
  [2871] = {.lex_state = 258, .external_lex_state = 2},
  [2872] = {.lex_state = 34, .external_lex_state = 2},
  [2873] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(2819),
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2163),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2163),
    [sym_pair] = STATE(2163),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2154),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2163),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2163),
    [sym_pair] = STATE(2163),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2154),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2163),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2163),
    [sym_pair] = STATE(2163),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2154),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2101),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2101),
    [sym_pair] = STATE(2101),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2109),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(137),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2163),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2163),
    [sym_pair] = STATE(2163),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2154),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(141),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2101),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2101),
    [sym_pair] = STATE(2101),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2109),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(151),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(153),
    [anon_sym_set] = ACTIONS(153),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2163),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2163),
    [sym_pair] = STATE(2163),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2154),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2156),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2794),
    [sym_spread_element] = STATE(2163),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1396),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(1633),
    [sym_formal_parameters] = STATE(2817),
    [sym_rest_pattern] = STATE(2156),
    [sym_method_definition] = STATE(2163),
    [sym_pair] = STATE(2163),
    [sym_pair_pattern] = STATE(2156),
    [sym__property_name] = STATE(2056),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(1538),
    [aux_sym_object_repeat1] = STATE(2154),
    [aux_sym_object_pattern_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(687),
    [sym_declaration] = STATE(687),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(687),
    [sym_expression_statement] = STATE(687),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(687),
    [sym_if_statement] = STATE(687),
    [sym_switch_statement] = STATE(687),
    [sym_for_statement] = STATE(687),
    [sym_for_in_statement] = STATE(687),
    [sym_while_statement] = STATE(687),
    [sym_do_statement] = STATE(687),
    [sym_try_statement] = STATE(687),
    [sym_with_statement] = STATE(687),
    [sym_break_statement] = STATE(687),
    [sym_continue_statement] = STATE(687),
    [sym_debugger_statement] = STATE(687),
    [sym_return_statement] = STATE(687),
    [sym_throw_statement] = STATE(687),
    [sym_empty_statement] = STATE(687),
    [sym_labeled_statement] = STATE(687),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(687),
    [sym_declaration] = STATE(687),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(687),
    [sym_expression_statement] = STATE(687),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(687),
    [sym_if_statement] = STATE(687),
    [sym_switch_statement] = STATE(687),
    [sym_for_statement] = STATE(687),
    [sym_for_in_statement] = STATE(687),
    [sym_while_statement] = STATE(687),
    [sym_do_statement] = STATE(687),
    [sym_try_statement] = STATE(687),
    [sym_with_statement] = STATE(687),
    [sym_break_statement] = STATE(687),
    [sym_continue_statement] = STATE(687),
    [sym_debugger_statement] = STATE(687),
    [sym_return_statement] = STATE(687),
    [sym_throw_statement] = STATE(687),
    [sym_empty_statement] = STATE(687),
    [sym_labeled_statement] = STATE(687),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(209),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(687),
    [sym_declaration] = STATE(687),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(687),
    [sym_expression_statement] = STATE(687),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(687),
    [sym_if_statement] = STATE(687),
    [sym_switch_statement] = STATE(687),
    [sym_for_statement] = STATE(687),
    [sym_for_in_statement] = STATE(687),
    [sym_while_statement] = STATE(687),
    [sym_do_statement] = STATE(687),
    [sym_try_statement] = STATE(687),
    [sym_with_statement] = STATE(687),
    [sym_break_statement] = STATE(687),
    [sym_continue_statement] = STATE(687),
    [sym_debugger_statement] = STATE(687),
    [sym_return_statement] = STATE(687),
    [sym_throw_statement] = STATE(687),
    [sym_empty_statement] = STATE(687),
    [sym_labeled_statement] = STATE(687),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(687),
    [sym_declaration] = STATE(687),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(687),
    [sym_expression_statement] = STATE(687),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(687),
    [sym_if_statement] = STATE(687),
    [sym_switch_statement] = STATE(687),
    [sym_for_statement] = STATE(687),
    [sym_for_in_statement] = STATE(687),
    [sym_while_statement] = STATE(687),
    [sym_do_statement] = STATE(687),
    [sym_try_statement] = STATE(687),
    [sym_with_statement] = STATE(687),
    [sym_break_statement] = STATE(687),
    [sym_continue_statement] = STATE(687),
    [sym_debugger_statement] = STATE(687),
    [sym_return_statement] = STATE(687),
    [sym_throw_statement] = STATE(687),
    [sym_empty_statement] = STATE(687),
    [sym_labeled_statement] = STATE(687),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(213),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(687),
    [sym_declaration] = STATE(687),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(687),
    [sym_expression_statement] = STATE(687),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(687),
    [sym_if_statement] = STATE(687),
    [sym_switch_statement] = STATE(687),
    [sym_for_statement] = STATE(687),
    [sym_for_in_statement] = STATE(687),
    [sym_while_statement] = STATE(687),
    [sym_do_statement] = STATE(687),
    [sym_try_statement] = STATE(687),
    [sym_with_statement] = STATE(687),
    [sym_break_statement] = STATE(687),
    [sym_continue_statement] = STATE(687),
    [sym_debugger_statement] = STATE(687),
    [sym_return_statement] = STATE(687),
    [sym_throw_statement] = STATE(687),
    [sym_empty_statement] = STATE(687),
    [sym_labeled_statement] = STATE(687),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(215),
    [anon_sym_export] = ACTIONS(218),
    [anon_sym_default] = ACTIONS(221),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_import] = ACTIONS(226),
    [anon_sym_with] = ACTIONS(229),
    [anon_sym_var] = ACTIONS(232),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(238),
    [anon_sym_if] = ACTIONS(241),
    [anon_sym_switch] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_await] = ACTIONS(253),
    [anon_sym_while] = ACTIONS(256),
    [anon_sym_do] = ACTIONS(259),
    [anon_sym_try] = ACTIONS(262),
    [anon_sym_break] = ACTIONS(265),
    [anon_sym_continue] = ACTIONS(268),
    [anon_sym_debugger] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(274),
    [anon_sym_throw] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(280),
    [anon_sym_case] = ACTIONS(221),
    [anon_sym_yield] = ACTIONS(283),
    [anon_sym_LBRACK] = ACTIONS(286),
    [anon_sym_LTtemplate_GT] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(292),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_async] = ACTIONS(304),
    [anon_sym_function] = ACTIONS(307),
    [anon_sym_new] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(313),
    [anon_sym_DASH] = ACTIONS(313),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_BANG] = ACTIONS(313),
    [anon_sym_TILDE] = ACTIONS(313),
    [anon_sym_typeof] = ACTIONS(313),
    [anon_sym_void] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_PLUS_PLUS] = ACTIONS(319),
    [anon_sym_DASH_DASH] = ACTIONS(319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [sym_number] = ACTIONS(325),
    [sym_private_property_identifier] = ACTIONS(328),
    [sym_this] = ACTIONS(325),
    [sym_super] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_undefined] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(334),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [ts_builtin_sym_end] = ACTIONS(340),
    [sym_identifier] = ACTIONS(342),
    [anon_sym_export] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(348),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(354),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_const] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(366),
    [anon_sym_switch] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(372),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_await] = ACTIONS(253),
    [anon_sym_while] = ACTIONS(375),
    [anon_sym_do] = ACTIONS(378),
    [anon_sym_try] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_continue] = ACTIONS(387),
    [anon_sym_debugger] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(393),
    [anon_sym_throw] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(283),
    [anon_sym_LBRACK] = ACTIONS(286),
    [anon_sym_LTtemplate_GT] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(292),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [anon_sym_class] = ACTIONS(402),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(408),
    [anon_sym_new] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(313),
    [anon_sym_DASH] = ACTIONS(313),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_BANG] = ACTIONS(313),
    [anon_sym_TILDE] = ACTIONS(313),
    [anon_sym_typeof] = ACTIONS(313),
    [anon_sym_void] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_PLUS_PLUS] = ACTIONS(319),
    [anon_sym_DASH_DASH] = ACTIONS(319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [sym_number] = ACTIONS(325),
    [sym_private_property_identifier] = ACTIONS(328),
    [sym_this] = ACTIONS(325),
    [sym_super] = ACTIONS(325),
    [sym_true] = ACTIONS(325),
    [sym_false] = ACTIONS(325),
    [sym_null] = ACTIONS(325),
    [sym_undefined] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(334),
    [anon_sym_static] = ACTIONS(411),
    [anon_sym_get] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(411),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [ts_builtin_sym_end] = ACTIONS(418),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [ts_builtin_sym_end] = ACTIONS(420),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [ts_builtin_sym_end] = ACTIONS(418),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(452),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(927),
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_program_repeat1] = STATE(39),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(538),
    [sym_declaration] = STATE(538),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(538),
    [sym_expression_statement] = STATE(538),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(538),
    [sym_if_statement] = STATE(538),
    [sym_switch_statement] = STATE(538),
    [sym_for_statement] = STATE(538),
    [sym_for_in_statement] = STATE(538),
    [sym_while_statement] = STATE(538),
    [sym_do_statement] = STATE(538),
    [sym_try_statement] = STATE(538),
    [sym_with_statement] = STATE(538),
    [sym_break_statement] = STATE(538),
    [sym_continue_statement] = STATE(538),
    [sym_debugger_statement] = STATE(538),
    [sym_return_statement] = STATE(538),
    [sym_throw_statement] = STATE(538),
    [sym_empty_statement] = STATE(538),
    [sym_labeled_statement] = STATE(538),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(872),
    [sym_declaration] = STATE(872),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(872),
    [sym_expression_statement] = STATE(872),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(872),
    [sym_if_statement] = STATE(872),
    [sym_switch_statement] = STATE(872),
    [sym_for_statement] = STATE(872),
    [sym_for_in_statement] = STATE(872),
    [sym_while_statement] = STATE(872),
    [sym_do_statement] = STATE(872),
    [sym_try_statement] = STATE(872),
    [sym_with_statement] = STATE(872),
    [sym_break_statement] = STATE(872),
    [sym_continue_statement] = STATE(872),
    [sym_debugger_statement] = STATE(872),
    [sym_return_statement] = STATE(872),
    [sym_throw_statement] = STATE(872),
    [sym_empty_statement] = STATE(872),
    [sym_labeled_statement] = STATE(872),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(876),
    [sym_declaration] = STATE(876),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(876),
    [sym_expression_statement] = STATE(876),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(876),
    [sym_if_statement] = STATE(876),
    [sym_switch_statement] = STATE(876),
    [sym_for_statement] = STATE(876),
    [sym_for_in_statement] = STATE(876),
    [sym_while_statement] = STATE(876),
    [sym_do_statement] = STATE(876),
    [sym_try_statement] = STATE(876),
    [sym_with_statement] = STATE(876),
    [sym_break_statement] = STATE(876),
    [sym_continue_statement] = STATE(876),
    [sym_debugger_statement] = STATE(876),
    [sym_return_statement] = STATE(876),
    [sym_throw_statement] = STATE(876),
    [sym_empty_statement] = STATE(876),
    [sym_labeled_statement] = STATE(876),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(915),
    [sym_declaration] = STATE(915),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(915),
    [sym_expression_statement] = STATE(915),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(915),
    [sym_if_statement] = STATE(915),
    [sym_switch_statement] = STATE(915),
    [sym_for_statement] = STATE(915),
    [sym_for_in_statement] = STATE(915),
    [sym_while_statement] = STATE(915),
    [sym_do_statement] = STATE(915),
    [sym_try_statement] = STATE(915),
    [sym_with_statement] = STATE(915),
    [sym_break_statement] = STATE(915),
    [sym_continue_statement] = STATE(915),
    [sym_debugger_statement] = STATE(915),
    [sym_return_statement] = STATE(915),
    [sym_throw_statement] = STATE(915),
    [sym_empty_statement] = STATE(915),
    [sym_labeled_statement] = STATE(915),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(2052),
    [sym_declaration] = STATE(2052),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2052),
    [sym_expression_statement] = STATE(2052),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2052),
    [sym_if_statement] = STATE(2052),
    [sym_switch_statement] = STATE(2052),
    [sym_for_statement] = STATE(2052),
    [sym_for_in_statement] = STATE(2052),
    [sym_while_statement] = STATE(2052),
    [sym_do_statement] = STATE(2052),
    [sym_try_statement] = STATE(2052),
    [sym_with_statement] = STATE(2052),
    [sym_break_statement] = STATE(2052),
    [sym_continue_statement] = STATE(2052),
    [sym_debugger_statement] = STATE(2052),
    [sym_return_statement] = STATE(2052),
    [sym_throw_statement] = STATE(2052),
    [sym_empty_statement] = STATE(2052),
    [sym_labeled_statement] = STATE(2052),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(620),
    [sym_declaration] = STATE(620),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(620),
    [sym_expression_statement] = STATE(620),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(620),
    [sym_if_statement] = STATE(620),
    [sym_switch_statement] = STATE(620),
    [sym_for_statement] = STATE(620),
    [sym_for_in_statement] = STATE(620),
    [sym_while_statement] = STATE(620),
    [sym_do_statement] = STATE(620),
    [sym_try_statement] = STATE(620),
    [sym_with_statement] = STATE(620),
    [sym_break_statement] = STATE(620),
    [sym_continue_statement] = STATE(620),
    [sym_debugger_statement] = STATE(620),
    [sym_return_statement] = STATE(620),
    [sym_throw_statement] = STATE(620),
    [sym_empty_statement] = STATE(620),
    [sym_labeled_statement] = STATE(620),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(637),
    [sym_declaration] = STATE(637),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(637),
    [sym_expression_statement] = STATE(637),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(637),
    [sym_if_statement] = STATE(637),
    [sym_switch_statement] = STATE(637),
    [sym_for_statement] = STATE(637),
    [sym_for_in_statement] = STATE(637),
    [sym_while_statement] = STATE(637),
    [sym_do_statement] = STATE(637),
    [sym_try_statement] = STATE(637),
    [sym_with_statement] = STATE(637),
    [sym_break_statement] = STATE(637),
    [sym_continue_statement] = STATE(637),
    [sym_debugger_statement] = STATE(637),
    [sym_return_statement] = STATE(637),
    [sym_throw_statement] = STATE(637),
    [sym_empty_statement] = STATE(637),
    [sym_labeled_statement] = STATE(637),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(639),
    [sym_declaration] = STATE(645),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(647),
    [sym_expression_statement] = STATE(651),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(653),
    [sym_if_statement] = STATE(657),
    [sym_switch_statement] = STATE(660),
    [sym_for_statement] = STATE(667),
    [sym_for_in_statement] = STATE(671),
    [sym_while_statement] = STATE(673),
    [sym_do_statement] = STATE(674),
    [sym_try_statement] = STATE(676),
    [sym_with_statement] = STATE(608),
    [sym_break_statement] = STATE(529),
    [sym_continue_statement] = STATE(530),
    [sym_debugger_statement] = STATE(531),
    [sym_return_statement] = STATE(532),
    [sym_throw_statement] = STATE(533),
    [sym_empty_statement] = STATE(536),
    [sym_labeled_statement] = STATE(537),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(929),
    [sym_declaration] = STATE(930),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(931),
    [sym_expression_statement] = STATE(932),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(933),
    [sym_if_statement] = STATE(934),
    [sym_switch_statement] = STATE(935),
    [sym_for_statement] = STATE(936),
    [sym_for_in_statement] = STATE(937),
    [sym_while_statement] = STATE(938),
    [sym_do_statement] = STATE(939),
    [sym_try_statement] = STATE(940),
    [sym_with_statement] = STATE(941),
    [sym_break_statement] = STATE(942),
    [sym_continue_statement] = STATE(943),
    [sym_debugger_statement] = STATE(944),
    [sym_return_statement] = STATE(945),
    [sym_throw_statement] = STATE(946),
    [sym_empty_statement] = STATE(947),
    [sym_labeled_statement] = STATE(948),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(580),
    [sym_declaration] = STATE(581),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(582),
    [sym_expression_statement] = STATE(584),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(586),
    [sym_if_statement] = STATE(587),
    [sym_switch_statement] = STATE(588),
    [sym_for_statement] = STATE(590),
    [sym_for_in_statement] = STATE(528),
    [sym_while_statement] = STATE(592),
    [sym_do_statement] = STATE(593),
    [sym_try_statement] = STATE(594),
    [sym_with_statement] = STATE(595),
    [sym_break_statement] = STATE(596),
    [sym_continue_statement] = STATE(597),
    [sym_debugger_statement] = STATE(598),
    [sym_return_statement] = STATE(599),
    [sym_throw_statement] = STATE(600),
    [sym_empty_statement] = STATE(601),
    [sym_labeled_statement] = STATE(602),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(623),
    [sym_declaration] = STATE(623),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(623),
    [sym_expression_statement] = STATE(623),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(623),
    [sym_if_statement] = STATE(623),
    [sym_switch_statement] = STATE(623),
    [sym_for_statement] = STATE(623),
    [sym_for_in_statement] = STATE(623),
    [sym_while_statement] = STATE(623),
    [sym_do_statement] = STATE(623),
    [sym_try_statement] = STATE(623),
    [sym_with_statement] = STATE(623),
    [sym_break_statement] = STATE(623),
    [sym_continue_statement] = STATE(623),
    [sym_debugger_statement] = STATE(623),
    [sym_return_statement] = STATE(623),
    [sym_throw_statement] = STATE(623),
    [sym_empty_statement] = STATE(623),
    [sym_labeled_statement] = STATE(623),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(640),
    [sym_declaration] = STATE(640),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(640),
    [sym_expression_statement] = STATE(640),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(640),
    [sym_if_statement] = STATE(640),
    [sym_switch_statement] = STATE(640),
    [sym_for_statement] = STATE(640),
    [sym_for_in_statement] = STATE(640),
    [sym_while_statement] = STATE(640),
    [sym_do_statement] = STATE(640),
    [sym_try_statement] = STATE(640),
    [sym_with_statement] = STATE(640),
    [sym_break_statement] = STATE(640),
    [sym_continue_statement] = STATE(640),
    [sym_debugger_statement] = STATE(640),
    [sym_return_statement] = STATE(640),
    [sym_throw_statement] = STATE(640),
    [sym_empty_statement] = STATE(640),
    [sym_labeled_statement] = STATE(640),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(646),
    [sym_declaration] = STATE(646),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(646),
    [sym_expression_statement] = STATE(646),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(646),
    [sym_if_statement] = STATE(646),
    [sym_switch_statement] = STATE(646),
    [sym_for_statement] = STATE(646),
    [sym_for_in_statement] = STATE(646),
    [sym_while_statement] = STATE(646),
    [sym_do_statement] = STATE(646),
    [sym_try_statement] = STATE(646),
    [sym_with_statement] = STATE(646),
    [sym_break_statement] = STATE(646),
    [sym_continue_statement] = STATE(646),
    [sym_debugger_statement] = STATE(646),
    [sym_return_statement] = STATE(646),
    [sym_throw_statement] = STATE(646),
    [sym_empty_statement] = STATE(646),
    [sym_labeled_statement] = STATE(646),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(983),
    [sym_declaration] = STATE(984),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(985),
    [sym_expression_statement] = STATE(986),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(987),
    [sym_if_statement] = STATE(988),
    [sym_switch_statement] = STATE(989),
    [sym_for_statement] = STATE(990),
    [sym_for_in_statement] = STATE(991),
    [sym_while_statement] = STATE(992),
    [sym_do_statement] = STATE(993),
    [sym_try_statement] = STATE(994),
    [sym_with_statement] = STATE(995),
    [sym_break_statement] = STATE(996),
    [sym_continue_statement] = STATE(997),
    [sym_debugger_statement] = STATE(998),
    [sym_return_statement] = STATE(999),
    [sym_throw_statement] = STATE(1000),
    [sym_empty_statement] = STATE(1001),
    [sym_labeled_statement] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(525),
    [sym_declaration] = STATE(525),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(525),
    [sym_expression_statement] = STATE(525),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(525),
    [sym_if_statement] = STATE(525),
    [sym_switch_statement] = STATE(525),
    [sym_for_statement] = STATE(525),
    [sym_for_in_statement] = STATE(525),
    [sym_while_statement] = STATE(525),
    [sym_do_statement] = STATE(525),
    [sym_try_statement] = STATE(525),
    [sym_with_statement] = STATE(525),
    [sym_break_statement] = STATE(525),
    [sym_continue_statement] = STATE(525),
    [sym_debugger_statement] = STATE(525),
    [sym_return_statement] = STATE(525),
    [sym_throw_statement] = STATE(525),
    [sym_empty_statement] = STATE(525),
    [sym_labeled_statement] = STATE(525),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(959),
    [sym_declaration] = STATE(959),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(959),
    [sym_expression_statement] = STATE(959),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(959),
    [sym_if_statement] = STATE(959),
    [sym_switch_statement] = STATE(959),
    [sym_for_statement] = STATE(959),
    [sym_for_in_statement] = STATE(959),
    [sym_while_statement] = STATE(959),
    [sym_do_statement] = STATE(959),
    [sym_try_statement] = STATE(959),
    [sym_with_statement] = STATE(959),
    [sym_break_statement] = STATE(959),
    [sym_continue_statement] = STATE(959),
    [sym_debugger_statement] = STATE(959),
    [sym_return_statement] = STATE(959),
    [sym_throw_statement] = STATE(959),
    [sym_empty_statement] = STATE(959),
    [sym_labeled_statement] = STATE(959),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(489),
    [sym_declaration] = STATE(489),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(489),
    [sym_expression_statement] = STATE(489),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_statement_block] = STATE(489),
    [sym_if_statement] = STATE(489),
    [sym_switch_statement] = STATE(489),
    [sym_for_statement] = STATE(489),
    [sym_for_in_statement] = STATE(489),
    [sym_while_statement] = STATE(489),
    [sym_do_statement] = STATE(489),
    [sym_try_statement] = STATE(489),
    [sym_with_statement] = STATE(489),
    [sym_break_statement] = STATE(489),
    [sym_continue_statement] = STATE(489),
    [sym_debugger_statement] = STATE(489),
    [sym_return_statement] = STATE(489),
    [sym_throw_statement] = STATE(489),
    [sym_empty_statement] = STATE(489),
    [sym_labeled_statement] = STATE(489),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2484),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1884),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(2783),
    [sym_declaration] = STATE(2783),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2783),
    [sym_expression_statement] = STATE(2783),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2783),
    [sym_if_statement] = STATE(2783),
    [sym_switch_statement] = STATE(2783),
    [sym_for_statement] = STATE(2783),
    [sym_for_in_statement] = STATE(2783),
    [sym_while_statement] = STATE(2783),
    [sym_do_statement] = STATE(2783),
    [sym_try_statement] = STATE(2783),
    [sym_with_statement] = STATE(2783),
    [sym_break_statement] = STATE(2783),
    [sym_continue_statement] = STATE(2783),
    [sym_debugger_statement] = STATE(2783),
    [sym_return_statement] = STATE(2783),
    [sym_throw_statement] = STATE(2783),
    [sym_empty_statement] = STATE(2783),
    [sym_labeled_statement] = STATE(2783),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(962),
    [sym_declaration] = STATE(962),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(962),
    [sym_expression_statement] = STATE(962),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(962),
    [sym_if_statement] = STATE(962),
    [sym_switch_statement] = STATE(962),
    [sym_for_statement] = STATE(962),
    [sym_for_in_statement] = STATE(962),
    [sym_while_statement] = STATE(962),
    [sym_do_statement] = STATE(962),
    [sym_try_statement] = STATE(962),
    [sym_with_statement] = STATE(962),
    [sym_break_statement] = STATE(962),
    [sym_continue_statement] = STATE(962),
    [sym_debugger_statement] = STATE(962),
    [sym_return_statement] = STATE(962),
    [sym_throw_statement] = STATE(962),
    [sym_empty_statement] = STATE(962),
    [sym_labeled_statement] = STATE(962),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(949),
    [sym_declaration] = STATE(949),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(949),
    [sym_expression_statement] = STATE(949),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(949),
    [sym_if_statement] = STATE(949),
    [sym_switch_statement] = STATE(949),
    [sym_for_statement] = STATE(949),
    [sym_for_in_statement] = STATE(949),
    [sym_while_statement] = STATE(949),
    [sym_do_statement] = STATE(949),
    [sym_try_statement] = STATE(949),
    [sym_with_statement] = STATE(949),
    [sym_break_statement] = STATE(949),
    [sym_continue_statement] = STATE(949),
    [sym_debugger_statement] = STATE(949),
    [sym_return_statement] = STATE(949),
    [sym_throw_statement] = STATE(949),
    [sym_empty_statement] = STATE(949),
    [sym_labeled_statement] = STATE(949),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(920),
    [sym_declaration] = STATE(920),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(920),
    [sym_expression_statement] = STATE(920),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(920),
    [sym_if_statement] = STATE(920),
    [sym_switch_statement] = STATE(920),
    [sym_for_statement] = STATE(920),
    [sym_for_in_statement] = STATE(920),
    [sym_while_statement] = STATE(920),
    [sym_do_statement] = STATE(920),
    [sym_try_statement] = STATE(920),
    [sym_with_statement] = STATE(920),
    [sym_break_statement] = STATE(920),
    [sym_continue_statement] = STATE(920),
    [sym_debugger_statement] = STATE(920),
    [sym_return_statement] = STATE(920),
    [sym_throw_statement] = STATE(920),
    [sym_empty_statement] = STATE(920),
    [sym_labeled_statement] = STATE(920),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(905),
    [sym_declaration] = STATE(905),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(905),
    [sym_expression_statement] = STATE(905),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_statement_block] = STATE(905),
    [sym_if_statement] = STATE(905),
    [sym_switch_statement] = STATE(905),
    [sym_for_statement] = STATE(905),
    [sym_for_in_statement] = STATE(905),
    [sym_while_statement] = STATE(905),
    [sym_do_statement] = STATE(905),
    [sym_try_statement] = STATE(905),
    [sym_with_statement] = STATE(905),
    [sym_break_statement] = STATE(905),
    [sym_continue_statement] = STATE(905),
    [sym_debugger_statement] = STATE(905),
    [sym_return_statement] = STATE(905),
    [sym_throw_statement] = STATE(905),
    [sym_empty_statement] = STATE(905),
    [sym_labeled_statement] = STATE(905),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2707),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(2776),
    [sym_declaration] = STATE(2776),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2776),
    [sym_expression_statement] = STATE(2776),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2776),
    [sym_if_statement] = STATE(2776),
    [sym_switch_statement] = STATE(2776),
    [sym_for_statement] = STATE(2776),
    [sym_for_in_statement] = STATE(2776),
    [sym_while_statement] = STATE(2776),
    [sym_do_statement] = STATE(2776),
    [sym_try_statement] = STATE(2776),
    [sym_with_statement] = STATE(2776),
    [sym_break_statement] = STATE(2776),
    [sym_continue_statement] = STATE(2776),
    [sym_debugger_statement] = STATE(2776),
    [sym_return_statement] = STATE(2776),
    [sym_throw_statement] = STATE(2776),
    [sym_empty_statement] = STATE(2776),
    [sym_labeled_statement] = STATE(2776),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(2668),
    [sym_declaration] = STATE(2668),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2668),
    [sym_expression_statement] = STATE(2668),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2668),
    [sym_if_statement] = STATE(2668),
    [sym_switch_statement] = STATE(2668),
    [sym_for_statement] = STATE(2668),
    [sym_for_in_statement] = STATE(2668),
    [sym_while_statement] = STATE(2668),
    [sym_do_statement] = STATE(2668),
    [sym_try_statement] = STATE(2668),
    [sym_with_statement] = STATE(2668),
    [sym_break_statement] = STATE(2668),
    [sym_continue_statement] = STATE(2668),
    [sym_debugger_statement] = STATE(2668),
    [sym_return_statement] = STATE(2668),
    [sym_throw_statement] = STATE(2668),
    [sym_empty_statement] = STATE(2668),
    [sym_labeled_statement] = STATE(2668),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(2320),
    [sym_declaration] = STATE(2320),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2320),
    [sym_expression_statement] = STATE(2320),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2320),
    [sym_if_statement] = STATE(2320),
    [sym_switch_statement] = STATE(2320),
    [sym_for_statement] = STATE(2320),
    [sym_for_in_statement] = STATE(2320),
    [sym_while_statement] = STATE(2320),
    [sym_do_statement] = STATE(2320),
    [sym_try_statement] = STATE(2320),
    [sym_with_statement] = STATE(2320),
    [sym_break_statement] = STATE(2320),
    [sym_continue_statement] = STATE(2320),
    [sym_debugger_statement] = STATE(2320),
    [sym_return_statement] = STATE(2320),
    [sym_throw_statement] = STATE(2320),
    [sym_empty_statement] = STATE(2320),
    [sym_labeled_statement] = STATE(2320),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(2238),
    [sym_declaration] = STATE(2323),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2407),
    [sym_expression_statement] = STATE(2630),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2658),
    [sym_if_statement] = STATE(2207),
    [sym_switch_statement] = STATE(2236),
    [sym_for_statement] = STATE(2258),
    [sym_for_in_statement] = STATE(2268),
    [sym_while_statement] = STATE(2299),
    [sym_do_statement] = STATE(2352),
    [sym_try_statement] = STATE(2353),
    [sym_with_statement] = STATE(2373),
    [sym_break_statement] = STATE(2386),
    [sym_continue_statement] = STATE(2391),
    [sym_debugger_statement] = STATE(2424),
    [sym_return_statement] = STATE(2488),
    [sym_throw_statement] = STATE(2492),
    [sym_empty_statement] = STATE(2505),
    [sym_labeled_statement] = STATE(2637),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(2719),
    [sym_declaration] = STATE(2719),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2719),
    [sym_expression_statement] = STATE(2719),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2719),
    [sym_if_statement] = STATE(2719),
    [sym_switch_statement] = STATE(2719),
    [sym_for_statement] = STATE(2719),
    [sym_for_in_statement] = STATE(2719),
    [sym_while_statement] = STATE(2719),
    [sym_do_statement] = STATE(2719),
    [sym_try_statement] = STATE(2719),
    [sym_with_statement] = STATE(2719),
    [sym_break_statement] = STATE(2719),
    [sym_continue_statement] = STATE(2719),
    [sym_debugger_statement] = STATE(2719),
    [sym_return_statement] = STATE(2719),
    [sym_throw_statement] = STATE(2719),
    [sym_empty_statement] = STATE(2719),
    [sym_labeled_statement] = STATE(2719),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(2676),
    [sym_declaration] = STATE(2679),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2683),
    [sym_expression_statement] = STATE(2684),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2685),
    [sym_if_statement] = STATE(2694),
    [sym_switch_statement] = STATE(2696),
    [sym_for_statement] = STATE(2712),
    [sym_for_in_statement] = STATE(2713),
    [sym_while_statement] = STATE(2714),
    [sym_do_statement] = STATE(2715),
    [sym_try_statement] = STATE(2717),
    [sym_with_statement] = STATE(2718),
    [sym_break_statement] = STATE(2720),
    [sym_continue_statement] = STATE(2722),
    [sym_debugger_statement] = STATE(2724),
    [sym_return_statement] = STATE(2725),
    [sym_throw_statement] = STATE(2728),
    [sym_empty_statement] = STATE(2729),
    [sym_labeled_statement] = STATE(2731),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(2288),
    [sym_declaration] = STATE(2288),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2288),
    [sym_expression_statement] = STATE(2288),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2288),
    [sym_if_statement] = STATE(2288),
    [sym_switch_statement] = STATE(2288),
    [sym_for_statement] = STATE(2288),
    [sym_for_in_statement] = STATE(2288),
    [sym_while_statement] = STATE(2288),
    [sym_do_statement] = STATE(2288),
    [sym_try_statement] = STATE(2288),
    [sym_with_statement] = STATE(2288),
    [sym_break_statement] = STATE(2288),
    [sym_continue_statement] = STATE(2288),
    [sym_debugger_statement] = STATE(2288),
    [sym_return_statement] = STATE(2288),
    [sym_throw_statement] = STATE(2288),
    [sym_empty_statement] = STATE(2288),
    [sym_labeled_statement] = STATE(2288),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(2367),
    [sym_declaration] = STATE(2367),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2367),
    [sym_expression_statement] = STATE(2367),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2367),
    [sym_if_statement] = STATE(2367),
    [sym_switch_statement] = STATE(2367),
    [sym_for_statement] = STATE(2367),
    [sym_for_in_statement] = STATE(2367),
    [sym_while_statement] = STATE(2367),
    [sym_do_statement] = STATE(2367),
    [sym_try_statement] = STATE(2367),
    [sym_with_statement] = STATE(2367),
    [sym_break_statement] = STATE(2367),
    [sym_continue_statement] = STATE(2367),
    [sym_debugger_statement] = STATE(2367),
    [sym_return_statement] = STATE(2367),
    [sym_throw_statement] = STATE(2367),
    [sym_empty_statement] = STATE(2367),
    [sym_labeled_statement] = STATE(2367),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(2442),
    [sym_declaration] = STATE(2442),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2442),
    [sym_expression_statement] = STATE(2442),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2442),
    [sym_if_statement] = STATE(2442),
    [sym_switch_statement] = STATE(2442),
    [sym_for_statement] = STATE(2442),
    [sym_for_in_statement] = STATE(2442),
    [sym_while_statement] = STATE(2442),
    [sym_do_statement] = STATE(2442),
    [sym_try_statement] = STATE(2442),
    [sym_with_statement] = STATE(2442),
    [sym_break_statement] = STATE(2442),
    [sym_continue_statement] = STATE(2442),
    [sym_debugger_statement] = STATE(2442),
    [sym_return_statement] = STATE(2442),
    [sym_throw_statement] = STATE(2442),
    [sym_empty_statement] = STATE(2442),
    [sym_labeled_statement] = STATE(2442),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(697),
    [sym_declaration] = STATE(697),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(697),
    [sym_expression_statement] = STATE(697),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(697),
    [sym_if_statement] = STATE(697),
    [sym_switch_statement] = STATE(697),
    [sym_for_statement] = STATE(697),
    [sym_for_in_statement] = STATE(697),
    [sym_while_statement] = STATE(697),
    [sym_do_statement] = STATE(697),
    [sym_try_statement] = STATE(697),
    [sym_with_statement] = STATE(697),
    [sym_break_statement] = STATE(697),
    [sym_continue_statement] = STATE(697),
    [sym_debugger_statement] = STATE(697),
    [sym_return_statement] = STATE(697),
    [sym_throw_statement] = STATE(697),
    [sym_empty_statement] = STATE(697),
    [sym_labeled_statement] = STATE(697),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(700),
    [sym_declaration] = STATE(700),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(700),
    [sym_expression_statement] = STATE(700),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(700),
    [sym_if_statement] = STATE(700),
    [sym_switch_statement] = STATE(700),
    [sym_for_statement] = STATE(700),
    [sym_for_in_statement] = STATE(700),
    [sym_while_statement] = STATE(700),
    [sym_do_statement] = STATE(700),
    [sym_try_statement] = STATE(700),
    [sym_with_statement] = STATE(700),
    [sym_break_statement] = STATE(700),
    [sym_continue_statement] = STATE(700),
    [sym_debugger_statement] = STATE(700),
    [sym_return_statement] = STATE(700),
    [sym_throw_statement] = STATE(700),
    [sym_empty_statement] = STATE(700),
    [sym_labeled_statement] = STATE(700),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(704),
    [sym_declaration] = STATE(705),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(706),
    [sym_expression_statement] = STATE(707),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(708),
    [sym_if_statement] = STATE(709),
    [sym_switch_statement] = STATE(710),
    [sym_for_statement] = STATE(711),
    [sym_for_in_statement] = STATE(712),
    [sym_while_statement] = STATE(713),
    [sym_do_statement] = STATE(714),
    [sym_try_statement] = STATE(715),
    [sym_with_statement] = STATE(716),
    [sym_break_statement] = STATE(717),
    [sym_continue_statement] = STATE(718),
    [sym_debugger_statement] = STATE(719),
    [sym_return_statement] = STATE(720),
    [sym_throw_statement] = STATE(721),
    [sym_empty_statement] = STATE(722),
    [sym_labeled_statement] = STATE(723),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(724),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(724),
    [sym_expression_statement] = STATE(724),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(724),
    [sym_if_statement] = STATE(724),
    [sym_switch_statement] = STATE(724),
    [sym_for_statement] = STATE(724),
    [sym_for_in_statement] = STATE(724),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(724),
    [sym_try_statement] = STATE(724),
    [sym_with_statement] = STATE(724),
    [sym_break_statement] = STATE(724),
    [sym_continue_statement] = STATE(724),
    [sym_debugger_statement] = STATE(724),
    [sym_return_statement] = STATE(724),
    [sym_throw_statement] = STATE(724),
    [sym_empty_statement] = STATE(724),
    [sym_labeled_statement] = STATE(724),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(745),
    [sym_declaration] = STATE(746),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(747),
    [sym_expression_statement] = STATE(748),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(749),
    [sym_if_statement] = STATE(750),
    [sym_switch_statement] = STATE(751),
    [sym_for_statement] = STATE(752),
    [sym_for_in_statement] = STATE(753),
    [sym_while_statement] = STATE(754),
    [sym_do_statement] = STATE(755),
    [sym_try_statement] = STATE(756),
    [sym_with_statement] = STATE(757),
    [sym_break_statement] = STATE(758),
    [sym_continue_statement] = STATE(759),
    [sym_debugger_statement] = STATE(760),
    [sym_return_statement] = STATE(761),
    [sym_throw_statement] = STATE(762),
    [sym_empty_statement] = STATE(763),
    [sym_labeled_statement] = STATE(764),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(771),
    [sym_declaration] = STATE(771),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(771),
    [sym_expression_statement] = STATE(771),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(771),
    [sym_if_statement] = STATE(771),
    [sym_switch_statement] = STATE(771),
    [sym_for_statement] = STATE(771),
    [sym_for_in_statement] = STATE(771),
    [sym_while_statement] = STATE(771),
    [sym_do_statement] = STATE(771),
    [sym_try_statement] = STATE(771),
    [sym_with_statement] = STATE(771),
    [sym_break_statement] = STATE(771),
    [sym_continue_statement] = STATE(771),
    [sym_debugger_statement] = STATE(771),
    [sym_return_statement] = STATE(771),
    [sym_throw_statement] = STATE(771),
    [sym_empty_statement] = STATE(771),
    [sym_labeled_statement] = STATE(771),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(779),
    [sym_declaration] = STATE(779),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(779),
    [sym_expression_statement] = STATE(779),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(779),
    [sym_if_statement] = STATE(779),
    [sym_switch_statement] = STATE(779),
    [sym_for_statement] = STATE(779),
    [sym_for_in_statement] = STATE(779),
    [sym_while_statement] = STATE(779),
    [sym_do_statement] = STATE(779),
    [sym_try_statement] = STATE(779),
    [sym_with_statement] = STATE(779),
    [sym_break_statement] = STATE(779),
    [sym_continue_statement] = STATE(779),
    [sym_debugger_statement] = STATE(779),
    [sym_return_statement] = STATE(779),
    [sym_throw_statement] = STATE(779),
    [sym_empty_statement] = STATE(779),
    [sym_labeled_statement] = STATE(779),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(783),
    [sym_declaration] = STATE(783),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(783),
    [sym_expression_statement] = STATE(783),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(783),
    [sym_if_statement] = STATE(783),
    [sym_switch_statement] = STATE(783),
    [sym_for_statement] = STATE(783),
    [sym_for_in_statement] = STATE(783),
    [sym_while_statement] = STATE(783),
    [sym_do_statement] = STATE(783),
    [sym_try_statement] = STATE(783),
    [sym_with_statement] = STATE(783),
    [sym_break_statement] = STATE(783),
    [sym_continue_statement] = STATE(783),
    [sym_debugger_statement] = STATE(783),
    [sym_return_statement] = STATE(783),
    [sym_throw_statement] = STATE(783),
    [sym_empty_statement] = STATE(783),
    [sym_labeled_statement] = STATE(783),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(793),
    [sym_declaration] = STATE(793),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(793),
    [sym_expression_statement] = STATE(793),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(793),
    [sym_if_statement] = STATE(793),
    [sym_switch_statement] = STATE(793),
    [sym_for_statement] = STATE(793),
    [sym_for_in_statement] = STATE(793),
    [sym_while_statement] = STATE(793),
    [sym_do_statement] = STATE(793),
    [sym_try_statement] = STATE(793),
    [sym_with_statement] = STATE(793),
    [sym_break_statement] = STATE(793),
    [sym_continue_statement] = STATE(793),
    [sym_debugger_statement] = STATE(793),
    [sym_return_statement] = STATE(793),
    [sym_throw_statement] = STATE(793),
    [sym_empty_statement] = STATE(793),
    [sym_labeled_statement] = STATE(793),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(796),
    [sym_declaration] = STATE(796),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(796),
    [sym_expression_statement] = STATE(796),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(796),
    [sym_if_statement] = STATE(796),
    [sym_switch_statement] = STATE(796),
    [sym_for_statement] = STATE(796),
    [sym_for_in_statement] = STATE(796),
    [sym_while_statement] = STATE(796),
    [sym_do_statement] = STATE(796),
    [sym_try_statement] = STATE(796),
    [sym_with_statement] = STATE(796),
    [sym_break_statement] = STATE(796),
    [sym_continue_statement] = STATE(796),
    [sym_debugger_statement] = STATE(796),
    [sym_return_statement] = STATE(796),
    [sym_throw_statement] = STATE(796),
    [sym_empty_statement] = STATE(796),
    [sym_labeled_statement] = STATE(796),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(798),
    [sym_declaration] = STATE(799),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(800),
    [sym_expression_statement] = STATE(801),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(903),
    [sym_if_statement] = STATE(803),
    [sym_switch_statement] = STATE(804),
    [sym_for_statement] = STATE(805),
    [sym_for_in_statement] = STATE(806),
    [sym_while_statement] = STATE(807),
    [sym_do_statement] = STATE(808),
    [sym_try_statement] = STATE(809),
    [sym_with_statement] = STATE(810),
    [sym_break_statement] = STATE(811),
    [sym_continue_statement] = STATE(812),
    [sym_debugger_statement] = STATE(813),
    [sym_return_statement] = STATE(814),
    [sym_throw_statement] = STATE(815),
    [sym_empty_statement] = STATE(816),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(818),
    [sym_declaration] = STATE(818),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(818),
    [sym_expression_statement] = STATE(818),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(818),
    [sym_if_statement] = STATE(818),
    [sym_switch_statement] = STATE(818),
    [sym_for_statement] = STATE(818),
    [sym_for_in_statement] = STATE(818),
    [sym_while_statement] = STATE(818),
    [sym_do_statement] = STATE(818),
    [sym_try_statement] = STATE(818),
    [sym_with_statement] = STATE(818),
    [sym_break_statement] = STATE(818),
    [sym_continue_statement] = STATE(818),
    [sym_debugger_statement] = STATE(818),
    [sym_return_statement] = STATE(818),
    [sym_throw_statement] = STATE(818),
    [sym_empty_statement] = STATE(818),
    [sym_labeled_statement] = STATE(818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(838),
    [sym_declaration] = STATE(839),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(840),
    [sym_expression_statement] = STATE(841),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(842),
    [sym_if_statement] = STATE(843),
    [sym_switch_statement] = STATE(844),
    [sym_for_statement] = STATE(845),
    [sym_for_in_statement] = STATE(846),
    [sym_while_statement] = STATE(847),
    [sym_do_statement] = STATE(848),
    [sym_try_statement] = STATE(849),
    [sym_with_statement] = STATE(850),
    [sym_break_statement] = STATE(851),
    [sym_continue_statement] = STATE(852),
    [sym_debugger_statement] = STATE(853),
    [sym_return_statement] = STATE(854),
    [sym_throw_statement] = STATE(855),
    [sym_empty_statement] = STATE(856),
    [sym_labeled_statement] = STATE(678),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(864),
    [sym_declaration] = STATE(864),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_statement_block] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_for_in_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_with_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_debugger_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_empty_statement] = STATE(864),
    [sym_labeled_statement] = STATE(864),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1877),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_with] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_switch] = ACTIONS(179),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(185),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(609),
    [sym_declaration] = STATE(609),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(609),
    [sym_expression_statement] = STATE(609),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(609),
    [sym_if_statement] = STATE(609),
    [sym_switch_statement] = STATE(609),
    [sym_for_statement] = STATE(609),
    [sym_for_in_statement] = STATE(609),
    [sym_while_statement] = STATE(609),
    [sym_do_statement] = STATE(609),
    [sym_try_statement] = STATE(609),
    [sym_with_statement] = STATE(609),
    [sym_break_statement] = STATE(609),
    [sym_continue_statement] = STATE(609),
    [sym_debugger_statement] = STATE(609),
    [sym_return_statement] = STATE(609),
    [sym_throw_statement] = STATE(609),
    [sym_empty_statement] = STATE(609),
    [sym_labeled_statement] = STATE(609),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(2756),
    [sym_declaration] = STATE(2756),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2756),
    [sym_expression_statement] = STATE(2756),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2756),
    [sym_if_statement] = STATE(2756),
    [sym_switch_statement] = STATE(2756),
    [sym_for_statement] = STATE(2756),
    [sym_for_in_statement] = STATE(2756),
    [sym_while_statement] = STATE(2756),
    [sym_do_statement] = STATE(2756),
    [sym_try_statement] = STATE(2756),
    [sym_with_statement] = STATE(2756),
    [sym_break_statement] = STATE(2756),
    [sym_continue_statement] = STATE(2756),
    [sym_debugger_statement] = STATE(2756),
    [sym_return_statement] = STATE(2756),
    [sym_throw_statement] = STATE(2756),
    [sym_empty_statement] = STATE(2756),
    [sym_labeled_statement] = STATE(2756),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(2841),
    [sym_declaration] = STATE(2841),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2841),
    [sym_expression_statement] = STATE(2841),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2841),
    [sym_if_statement] = STATE(2841),
    [sym_switch_statement] = STATE(2841),
    [sym_for_statement] = STATE(2841),
    [sym_for_in_statement] = STATE(2841),
    [sym_while_statement] = STATE(2841),
    [sym_do_statement] = STATE(2841),
    [sym_try_statement] = STATE(2841),
    [sym_with_statement] = STATE(2841),
    [sym_break_statement] = STATE(2841),
    [sym_continue_statement] = STATE(2841),
    [sym_debugger_statement] = STATE(2841),
    [sym_return_statement] = STATE(2841),
    [sym_throw_statement] = STATE(2841),
    [sym_empty_statement] = STATE(2841),
    [sym_labeled_statement] = STATE(2841),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(2749),
    [sym_declaration] = STATE(2749),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(2749),
    [sym_expression_statement] = STATE(2749),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_statement_block] = STATE(2749),
    [sym_if_statement] = STATE(2749),
    [sym_switch_statement] = STATE(2749),
    [sym_for_statement] = STATE(2749),
    [sym_for_in_statement] = STATE(2749),
    [sym_while_statement] = STATE(2749),
    [sym_do_statement] = STATE(2749),
    [sym_try_statement] = STATE(2749),
    [sym_with_statement] = STATE(2749),
    [sym_break_statement] = STATE(2749),
    [sym_continue_statement] = STATE(2749),
    [sym_debugger_statement] = STATE(2749),
    [sym_return_statement] = STATE(2749),
    [sym_throw_statement] = STATE(2749),
    [sym_empty_statement] = STATE(2749),
    [sym_labeled_statement] = STATE(2749),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2222),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(563),
    [sym_declaration] = STATE(563),
    [sym_import] = STATE(1818),
    [sym_import_statement] = STATE(563),
    [sym_expression_statement] = STATE(563),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_statement_block] = STATE(563),
    [sym_if_statement] = STATE(563),
    [sym_switch_statement] = STATE(563),
    [sym_for_statement] = STATE(563),
    [sym_for_in_statement] = STATE(563),
    [sym_while_statement] = STATE(563),
    [sym_do_statement] = STATE(563),
    [sym_try_statement] = STATE(563),
    [sym_with_statement] = STATE(563),
    [sym_break_statement] = STATE(563),
    [sym_continue_statement] = STATE(563),
    [sym_debugger_statement] = STATE(563),
    [sym_return_statement] = STATE(563),
    [sym_throw_statement] = STATE(563),
    [sym_empty_statement] = STATE(563),
    [sym_labeled_statement] = STATE(563),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2225),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1191),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(670),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1258),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_STAR] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1220),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1431),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_STAR] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1443),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2131),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2070),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(806),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2136),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2142),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(812),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1321),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2131),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2070),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(806),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2136),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2142),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(814),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2131),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2070),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2136),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2142),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(818),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2136),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2142),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(820),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2136),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2142),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(822),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_declaration] = STATE(955),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1408),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1910),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(826),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(228),
    [sym_variable_declaration] = STATE(228),
    [sym_lexical_declaration] = STATE(228),
    [sym_empty_statement] = STATE(228),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2178),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_let] = ACTIONS(836),
    [anon_sym_const] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(844),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(830),
    [anon_sym_get] = ACTIONS(830),
    [anon_sym_set] = ACTIONS(830),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_declaration] = STATE(861),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1402),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_comment] = STATE(135),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(854),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(854),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(854),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(854),
    [anon_sym_DOT] = ACTIONS(854),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(854),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(854),
    [anon_sym_PIPE_PIPE] = ACTIONS(854),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_GT_GT_GT] = ACTIONS(854),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(854),
    [anon_sym_CARET] = ACTIONS(854),
    [anon_sym_PIPE] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(854),
    [anon_sym_STAR_STAR] = ACTIONS(854),
    [anon_sym_LT_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(854),
    [anon_sym_GT_EQ] = ACTIONS(854),
    [anon_sym_QMARK_QMARK] = ACTIONS(854),
    [anon_sym_instanceof] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(858),
    [sym__ternary_qmark] = ACTIONS(860),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_declaration] = STATE(619),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1409),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2020),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(862),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_declaration] = STATE(615),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(549),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(549),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2020),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(862),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_declaration] = STATE(768),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2007),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(866),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(868),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(229),
    [sym_variable_declaration] = STATE(229),
    [sym_lexical_declaration] = STATE(229),
    [sym_empty_statement] = STATE(229),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2178),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_let] = ACTIONS(836),
    [anon_sym_const] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(844),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(830),
    [anon_sym_get] = ACTIONS(830),
    [anon_sym_set] = ACTIONS(830),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_declaration] = STATE(696),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1397),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(689),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(689),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2007),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(866),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(868),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_declaration] = STATE(2654),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2003),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_declaration] = STATE(2261),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1399),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(2326),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2003),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_declaration] = STATE(914),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(960),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(960),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(1910),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(824),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(826),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2178),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_let] = ACTIONS(836),
    [anon_sym_const] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(844),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(830),
    [anon_sym_get] = ACTIONS(830),
    [anon_sym_set] = ACTIONS(830),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(231),
    [sym_variable_declaration] = STATE(231),
    [sym_lexical_declaration] = STATE(231),
    [sym_empty_statement] = STATE(231),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2178),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_let] = ACTIONS(836),
    [anon_sym_const] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(844),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(830),
    [anon_sym_get] = ACTIONS(830),
    [anon_sym_set] = ACTIONS(830),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(232),
    [sym_variable_declaration] = STATE(232),
    [sym_lexical_declaration] = STATE(232),
    [sym_empty_statement] = STATE(232),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2178),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_let] = ACTIONS(836),
    [anon_sym_const] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(844),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(830),
    [anon_sym_get] = ACTIONS(830),
    [anon_sym_set] = ACTIONS(830),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_declaration] = STATE(792),
    [sym_import] = STATE(1818),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1401),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_class_declaration] = STATE(785),
    [sym_function_expression] = STATE(1370),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function] = STATE(1370),
    [sym_generator_function_declaration] = STATE(785),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_comment] = STATE(148),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(876),
    [anon_sym_PIPE_PIPE] = ACTIONS(876),
    [anon_sym_GT_GT] = ACTIONS(876),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(876),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_QMARK_QMARK] = ACTIONS(876),
    [anon_sym_instanceof] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(878),
    [sym__ternary_qmark] = ACTIONS(880),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_comment] = STATE(149),
    [sym_identifier] = ACTIONS(882),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(884),
    [anon_sym_default] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(882),
    [anon_sym_import] = ACTIONS(882),
    [anon_sym_with] = ACTIONS(882),
    [anon_sym_var] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_const] = ACTIONS(882),
    [anon_sym_else] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(882),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_await] = ACTIONS(882),
    [anon_sym_in] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(882),
    [anon_sym_try] = ACTIONS(882),
    [anon_sym_break] = ACTIONS(882),
    [anon_sym_continue] = ACTIONS(882),
    [anon_sym_debugger] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(882),
    [anon_sym_throw] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_case] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(882),
    [anon_sym_LBRACK] = ACTIONS(882),
    [anon_sym_LTtemplate_GT] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_GT] = ACTIONS(884),
    [anon_sym_DOT] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(882),
    [anon_sym_SQUOTE] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(882),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(882),
    [sym_optional_chain] = ACTIONS(884),
    [anon_sym_new] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(884),
    [anon_sym_GT_GT] = ACTIONS(884),
    [anon_sym_GT_GT_GT] = ACTIONS(884),
    [anon_sym_LT_LT] = ACTIONS(884),
    [anon_sym_AMP] = ACTIONS(884),
    [anon_sym_CARET] = ACTIONS(884),
    [anon_sym_PIPE] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(884),
    [anon_sym_STAR_STAR] = ACTIONS(884),
    [anon_sym_LT_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(884),
    [anon_sym_GT_EQ] = ACTIONS(884),
    [anon_sym_QMARK_QMARK] = ACTIONS(884),
    [anon_sym_instanceof] = ACTIONS(884),
    [anon_sym_BANG] = ACTIONS(882),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_typeof] = ACTIONS(882),
    [anon_sym_void] = ACTIONS(882),
    [anon_sym_delete] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(882),
    [sym_number] = ACTIONS(882),
    [sym_private_property_identifier] = ACTIONS(882),
    [sym_this] = ACTIONS(882),
    [sym_super] = ACTIONS(882),
    [sym_true] = ACTIONS(882),
    [sym_false] = ACTIONS(882),
    [sym_null] = ACTIONS(882),
    [sym_undefined] = ACTIONS(882),
    [anon_sym_AT] = ACTIONS(882),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [sym__automatic_semicolon] = ACTIONS(886),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_comment] = STATE(150),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(892),
    [anon_sym_default] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(890),
    [anon_sym_with] = ACTIONS(890),
    [anon_sym_var] = ACTIONS(890),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_const] = ACTIONS(890),
    [anon_sym_else] = ACTIONS(890),
    [anon_sym_if] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(890),
    [anon_sym_for] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(890),
    [anon_sym_in] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(890),
    [anon_sym_try] = ACTIONS(890),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(890),
    [anon_sym_debugger] = ACTIONS(890),
    [anon_sym_return] = ACTIONS(890),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_case] = ACTIONS(890),
    [anon_sym_yield] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(890),
    [anon_sym_LTtemplate_GT] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(890),
    [anon_sym_GT] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [anon_sym_SQUOTE] = ACTIONS(890),
    [anon_sym_class] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(890),
    [anon_sym_function] = ACTIONS(890),
    [sym_optional_chain] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_AMP_AMP] = ACTIONS(892),
    [anon_sym_PIPE_PIPE] = ACTIONS(892),
    [anon_sym_GT_GT] = ACTIONS(892),
    [anon_sym_GT_GT_GT] = ACTIONS(892),
    [anon_sym_LT_LT] = ACTIONS(892),
    [anon_sym_AMP] = ACTIONS(892),
    [anon_sym_CARET] = ACTIONS(892),
    [anon_sym_PIPE] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_SLASH] = ACTIONS(890),
    [anon_sym_PERCENT] = ACTIONS(892),
    [anon_sym_STAR_STAR] = ACTIONS(892),
    [anon_sym_LT_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(892),
    [anon_sym_GT_EQ] = ACTIONS(892),
    [anon_sym_QMARK_QMARK] = ACTIONS(892),
    [anon_sym_instanceof] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(890),
    [anon_sym_typeof] = ACTIONS(890),
    [anon_sym_void] = ACTIONS(890),
    [anon_sym_delete] = ACTIONS(890),
    [anon_sym_PLUS_PLUS] = ACTIONS(890),
    [anon_sym_DASH_DASH] = ACTIONS(890),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(890),
    [sym_number] = ACTIONS(890),
    [sym_private_property_identifier] = ACTIONS(890),
    [sym_this] = ACTIONS(890),
    [sym_super] = ACTIONS(890),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_null] = ACTIONS(890),
    [sym_undefined] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(890),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__ternary_qmark] = ACTIONS(896),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_comment] = STATE(151),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_else] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(900),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_comment] = STATE(152),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_QMARK_QMARK] = ACTIONS(852),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(904),
    [sym__ternary_qmark] = ACTIONS(906),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_comment] = STATE(153),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_else] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(902),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_comment] = STATE(154),
    [sym_identifier] = ACTIONS(908),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_import] = ACTIONS(908),
    [anon_sym_with] = ACTIONS(908),
    [anon_sym_var] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_else] = ACTIONS(908),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(908),
    [anon_sym_for] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(908),
    [anon_sym_do] = ACTIONS(908),
    [anon_sym_try] = ACTIONS(908),
    [anon_sym_break] = ACTIONS(908),
    [anon_sym_continue] = ACTIONS(908),
    [anon_sym_debugger] = ACTIONS(908),
    [anon_sym_return] = ACTIONS(908),
    [anon_sym_throw] = ACTIONS(908),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_case] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(908),
    [anon_sym_LTtemplate_GT] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(908),
    [anon_sym_GT] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(908),
    [anon_sym_DQUOTE] = ACTIONS(908),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [anon_sym_class] = ACTIONS(908),
    [anon_sym_async] = ACTIONS(908),
    [anon_sym_function] = ACTIONS(908),
    [sym_optional_chain] = ACTIONS(908),
    [anon_sym_new] = ACTIONS(908),
    [anon_sym_AMP_AMP] = ACTIONS(908),
    [anon_sym_PIPE_PIPE] = ACTIONS(908),
    [anon_sym_GT_GT] = ACTIONS(908),
    [anon_sym_GT_GT_GT] = ACTIONS(908),
    [anon_sym_LT_LT] = ACTIONS(908),
    [anon_sym_AMP] = ACTIONS(908),
    [anon_sym_CARET] = ACTIONS(908),
    [anon_sym_PIPE] = ACTIONS(908),
    [anon_sym_PLUS] = ACTIONS(908),
    [anon_sym_DASH] = ACTIONS(908),
    [anon_sym_SLASH] = ACTIONS(908),
    [anon_sym_PERCENT] = ACTIONS(908),
    [anon_sym_STAR_STAR] = ACTIONS(908),
    [anon_sym_LT_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(908),
    [anon_sym_GT_EQ] = ACTIONS(908),
    [anon_sym_QMARK_QMARK] = ACTIONS(908),
    [anon_sym_instanceof] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(908),
    [anon_sym_TILDE] = ACTIONS(908),
    [anon_sym_typeof] = ACTIONS(908),
    [anon_sym_void] = ACTIONS(908),
    [anon_sym_delete] = ACTIONS(908),
    [anon_sym_PLUS_PLUS] = ACTIONS(908),
    [anon_sym_DASH_DASH] = ACTIONS(908),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(908),
    [sym_number] = ACTIONS(908),
    [sym_private_property_identifier] = ACTIONS(908),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(908),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_null] = ACTIONS(908),
    [sym_undefined] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(908),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1466),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1082),
    [sym_subscript_expression] = STATE(1082),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_export] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(916),
    [anon_sym_COMMA] = ACTIONS(918),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_RBRACK] = ACTIONS(922),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2089),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(1901),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_pattern_repeat1] = STATE(2122),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(918),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_RBRACK] = ACTIONS(922),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_comment] = STATE(157),
    [sym_identifier] = ACTIONS(942),
    [anon_sym_export] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_default] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_import] = ACTIONS(942),
    [anon_sym_with] = ACTIONS(942),
    [anon_sym_var] = ACTIONS(942),
    [anon_sym_let] = ACTIONS(942),
    [anon_sym_const] = ACTIONS(942),
    [anon_sym_else] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(942),
    [anon_sym_switch] = ACTIONS(942),
    [anon_sym_for] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(942),
    [anon_sym_do] = ACTIONS(942),
    [anon_sym_try] = ACTIONS(942),
    [anon_sym_break] = ACTIONS(942),
    [anon_sym_continue] = ACTIONS(942),
    [anon_sym_debugger] = ACTIONS(942),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(942),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym_case] = ACTIONS(942),
    [anon_sym_yield] = ACTIONS(942),
    [anon_sym_LBRACK] = ACTIONS(942),
    [anon_sym_LTtemplate_GT] = ACTIONS(942),
    [anon_sym_LT] = ACTIONS(942),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(942),
    [anon_sym_SQUOTE] = ACTIONS(942),
    [anon_sym_class] = ACTIONS(942),
    [anon_sym_async] = ACTIONS(942),
    [anon_sym_function] = ACTIONS(942),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(942),
    [anon_sym_DASH] = ACTIONS(942),
    [anon_sym_SLASH] = ACTIONS(942),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(942),
    [anon_sym_TILDE] = ACTIONS(942),
    [anon_sym_typeof] = ACTIONS(942),
    [anon_sym_void] = ACTIONS(942),
    [anon_sym_delete] = ACTIONS(942),
    [anon_sym_PLUS_PLUS] = ACTIONS(942),
    [anon_sym_DASH_DASH] = ACTIONS(942),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(942),
    [sym_number] = ACTIONS(942),
    [sym_private_property_identifier] = ACTIONS(942),
    [sym_this] = ACTIONS(942),
    [sym_super] = ACTIONS(942),
    [sym_true] = ACTIONS(942),
    [sym_false] = ACTIONS(942),
    [sym_null] = ACTIONS(942),
    [sym_undefined] = ACTIONS(942),
    [anon_sym_AT] = ACTIONS(942),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [sym__automatic_semicolon] = ACTIONS(944),
    [sym__ternary_qmark] = ACTIONS(944),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_comment] = STATE(158),
    [ts_builtin_sym_end] = ACTIONS(906),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(854),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(854),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(854),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(854),
    [anon_sym_DOT] = ACTIONS(854),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(854),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(854),
    [anon_sym_PIPE_PIPE] = ACTIONS(854),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_GT_GT_GT] = ACTIONS(854),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(854),
    [anon_sym_CARET] = ACTIONS(854),
    [anon_sym_PIPE] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(854),
    [anon_sym_STAR_STAR] = ACTIONS(854),
    [anon_sym_LT_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(854),
    [anon_sym_GT_EQ] = ACTIONS(854),
    [anon_sym_QMARK_QMARK] = ACTIONS(854),
    [anon_sym_instanceof] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(946),
    [sym__ternary_qmark] = ACTIONS(860),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_comment] = STATE(159),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(854),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(854),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(854),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(854),
    [anon_sym_DOT] = ACTIONS(854),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(854),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(854),
    [anon_sym_PIPE_PIPE] = ACTIONS(854),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_GT_GT_GT] = ACTIONS(854),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(854),
    [anon_sym_CARET] = ACTIONS(854),
    [anon_sym_PIPE] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(854),
    [anon_sym_STAR_STAR] = ACTIONS(854),
    [anon_sym_LT_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(854),
    [anon_sym_GT_EQ] = ACTIONS(854),
    [anon_sym_QMARK_QMARK] = ACTIONS(854),
    [anon_sym_instanceof] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(948),
    [sym__ternary_qmark] = ACTIONS(860),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_comment] = STATE(160),
    [sym_identifier] = ACTIONS(950),
    [anon_sym_export] = ACTIONS(950),
    [anon_sym_STAR] = ACTIONS(952),
    [anon_sym_default] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(950),
    [anon_sym_COMMA] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_import] = ACTIONS(950),
    [anon_sym_with] = ACTIONS(950),
    [anon_sym_var] = ACTIONS(950),
    [anon_sym_let] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(950),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(950),
    [anon_sym_for] = ACTIONS(950),
    [anon_sym_LPAREN] = ACTIONS(950),
    [anon_sym_await] = ACTIONS(950),
    [anon_sym_in] = ACTIONS(952),
    [anon_sym_while] = ACTIONS(950),
    [anon_sym_do] = ACTIONS(950),
    [anon_sym_try] = ACTIONS(950),
    [anon_sym_break] = ACTIONS(950),
    [anon_sym_continue] = ACTIONS(950),
    [anon_sym_debugger] = ACTIONS(950),
    [anon_sym_return] = ACTIONS(950),
    [anon_sym_throw] = ACTIONS(950),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_case] = ACTIONS(950),
    [anon_sym_yield] = ACTIONS(950),
    [anon_sym_LBRACK] = ACTIONS(950),
    [anon_sym_LTtemplate_GT] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_DOT] = ACTIONS(952),
    [anon_sym_DQUOTE] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(950),
    [anon_sym_class] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(950),
    [sym_optional_chain] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(950),
    [anon_sym_AMP_AMP] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_GT_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_AMP] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_SLASH] = ACTIONS(950),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(952),
    [anon_sym_LT_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(952),
    [anon_sym_QMARK_QMARK] = ACTIONS(952),
    [anon_sym_instanceof] = ACTIONS(952),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_typeof] = ACTIONS(950),
    [anon_sym_void] = ACTIONS(950),
    [anon_sym_delete] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(950),
    [sym_number] = ACTIONS(950),
    [sym_private_property_identifier] = ACTIONS(950),
    [sym_this] = ACTIONS(950),
    [sym_super] = ACTIONS(950),
    [sym_true] = ACTIONS(950),
    [sym_false] = ACTIONS(950),
    [sym_null] = ACTIONS(950),
    [sym_undefined] = ACTIONS(950),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_static] = ACTIONS(950),
    [anon_sym_get] = ACTIONS(950),
    [anon_sym_set] = ACTIONS(950),
    [sym__automatic_semicolon] = ACTIONS(954),
    [sym__ternary_qmark] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_comment] = STATE(161),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(962),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_comment] = STATE(162),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_default] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_else] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_case] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(970),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_comment] = STATE(163),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_else] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_case] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(978),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2134),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(2011),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_pattern_repeat1] = STATE(2143),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(918),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_RBRACK] = ACTIONS(982),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_comment] = STATE(165),
    [sym_identifier] = ACTIONS(984),
    [anon_sym_export] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_default] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(986),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_import] = ACTIONS(984),
    [anon_sym_with] = ACTIONS(984),
    [anon_sym_var] = ACTIONS(984),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(984),
    [anon_sym_else] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_switch] = ACTIONS(984),
    [anon_sym_for] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_await] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(986),
    [anon_sym_while] = ACTIONS(984),
    [anon_sym_do] = ACTIONS(984),
    [anon_sym_try] = ACTIONS(984),
    [anon_sym_break] = ACTIONS(984),
    [anon_sym_continue] = ACTIONS(984),
    [anon_sym_debugger] = ACTIONS(984),
    [anon_sym_return] = ACTIONS(984),
    [anon_sym_throw] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(984),
    [anon_sym_case] = ACTIONS(984),
    [anon_sym_yield] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_LTtemplate_GT] = ACTIONS(984),
    [anon_sym_LT] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_DOT] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(984),
    [anon_sym_SQUOTE] = ACTIONS(984),
    [anon_sym_class] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(984),
    [anon_sym_function] = ACTIONS(984),
    [sym_optional_chain] = ACTIONS(986),
    [anon_sym_new] = ACTIONS(984),
    [anon_sym_AMP_AMP] = ACTIONS(986),
    [anon_sym_PIPE_PIPE] = ACTIONS(986),
    [anon_sym_GT_GT] = ACTIONS(986),
    [anon_sym_GT_GT_GT] = ACTIONS(986),
    [anon_sym_LT_LT] = ACTIONS(986),
    [anon_sym_AMP] = ACTIONS(986),
    [anon_sym_CARET] = ACTIONS(986),
    [anon_sym_PIPE] = ACTIONS(986),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(986),
    [anon_sym_STAR_STAR] = ACTIONS(986),
    [anon_sym_LT_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(986),
    [anon_sym_GT_EQ] = ACTIONS(986),
    [anon_sym_QMARK_QMARK] = ACTIONS(986),
    [anon_sym_instanceof] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_typeof] = ACTIONS(984),
    [anon_sym_void] = ACTIONS(984),
    [anon_sym_delete] = ACTIONS(984),
    [anon_sym_PLUS_PLUS] = ACTIONS(984),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(984),
    [sym_number] = ACTIONS(984),
    [sym_private_property_identifier] = ACTIONS(984),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(984),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_null] = ACTIONS(984),
    [sym_undefined] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_static] = ACTIONS(984),
    [anon_sym_get] = ACTIONS(984),
    [anon_sym_set] = ACTIONS(984),
    [sym__automatic_semicolon] = ACTIONS(988),
    [sym__ternary_qmark] = ACTIONS(990),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_comment] = STATE(166),
    [sym_identifier] = ACTIONS(992),
    [anon_sym_export] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_default] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_with] = ACTIONS(992),
    [anon_sym_var] = ACTIONS(992),
    [anon_sym_let] = ACTIONS(992),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_else] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_await] = ACTIONS(992),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_debugger] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(992),
    [anon_sym_case] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_LTtemplate_GT] = ACTIONS(992),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(992),
    [anon_sym_function] = ACTIONS(992),
    [sym_optional_chain] = ACTIONS(992),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_AMP_AMP] = ACTIONS(992),
    [anon_sym_PIPE_PIPE] = ACTIONS(992),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(992),
    [anon_sym_LT_LT] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(992),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_PERCENT] = ACTIONS(992),
    [anon_sym_STAR_STAR] = ACTIONS(992),
    [anon_sym_LT_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(992),
    [anon_sym_GT_EQ] = ACTIONS(992),
    [anon_sym_QMARK_QMARK] = ACTIONS(992),
    [anon_sym_instanceof] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(992),
    [anon_sym_void] = ACTIONS(992),
    [anon_sym_delete] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(992),
    [sym_number] = ACTIONS(992),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_null] = ACTIONS(992),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_get] = ACTIONS(992),
    [anon_sym_set] = ACTIONS(992),
    [sym__automatic_semicolon] = ACTIONS(994),
    [sym__ternary_qmark] = ACTIONS(994),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1365),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2304),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_spread_element] = STATE(2075),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(2115),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(996),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(996),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_comment] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(994),
    [sym_identifier] = ACTIONS(992),
    [anon_sym_export] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_with] = ACTIONS(992),
    [anon_sym_var] = ACTIONS(992),
    [anon_sym_let] = ACTIONS(992),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_else] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_await] = ACTIONS(992),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_debugger] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_LTtemplate_GT] = ACTIONS(992),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(992),
    [anon_sym_function] = ACTIONS(992),
    [sym_optional_chain] = ACTIONS(992),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_AMP_AMP] = ACTIONS(992),
    [anon_sym_PIPE_PIPE] = ACTIONS(992),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(992),
    [anon_sym_LT_LT] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(992),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_PERCENT] = ACTIONS(992),
    [anon_sym_STAR_STAR] = ACTIONS(992),
    [anon_sym_LT_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(992),
    [anon_sym_GT_EQ] = ACTIONS(992),
    [anon_sym_QMARK_QMARK] = ACTIONS(992),
    [anon_sym_instanceof] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(992),
    [anon_sym_void] = ACTIONS(992),
    [anon_sym_delete] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(992),
    [sym_number] = ACTIONS(992),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_null] = ACTIONS(992),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_get] = ACTIONS(992),
    [anon_sym_set] = ACTIONS(992),
    [sym__automatic_semicolon] = ACTIONS(994),
    [sym__ternary_qmark] = ACTIONS(994),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1379),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2099),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2740),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1956),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(999),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_comment] = STATE(170),
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_else] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(1003),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_comment] = STATE(171),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_identifier] = ACTIONS(984),
    [anon_sym_export] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(986),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_import] = ACTIONS(984),
    [anon_sym_with] = ACTIONS(984),
    [anon_sym_var] = ACTIONS(984),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(984),
    [anon_sym_else] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_switch] = ACTIONS(984),
    [anon_sym_for] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_await] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(986),
    [anon_sym_while] = ACTIONS(984),
    [anon_sym_do] = ACTIONS(984),
    [anon_sym_try] = ACTIONS(984),
    [anon_sym_break] = ACTIONS(984),
    [anon_sym_continue] = ACTIONS(984),
    [anon_sym_debugger] = ACTIONS(984),
    [anon_sym_return] = ACTIONS(984),
    [anon_sym_throw] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(984),
    [anon_sym_yield] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_LTtemplate_GT] = ACTIONS(984),
    [anon_sym_LT] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_DOT] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(984),
    [anon_sym_SQUOTE] = ACTIONS(984),
    [anon_sym_class] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(984),
    [anon_sym_function] = ACTIONS(984),
    [sym_optional_chain] = ACTIONS(986),
    [anon_sym_new] = ACTIONS(984),
    [anon_sym_AMP_AMP] = ACTIONS(986),
    [anon_sym_PIPE_PIPE] = ACTIONS(986),
    [anon_sym_GT_GT] = ACTIONS(986),
    [anon_sym_GT_GT_GT] = ACTIONS(986),
    [anon_sym_LT_LT] = ACTIONS(986),
    [anon_sym_AMP] = ACTIONS(986),
    [anon_sym_CARET] = ACTIONS(986),
    [anon_sym_PIPE] = ACTIONS(986),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(986),
    [anon_sym_STAR_STAR] = ACTIONS(986),
    [anon_sym_LT_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(986),
    [anon_sym_GT_EQ] = ACTIONS(986),
    [anon_sym_QMARK_QMARK] = ACTIONS(986),
    [anon_sym_instanceof] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_typeof] = ACTIONS(984),
    [anon_sym_void] = ACTIONS(984),
    [anon_sym_delete] = ACTIONS(984),
    [anon_sym_PLUS_PLUS] = ACTIONS(984),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(984),
    [sym_number] = ACTIONS(984),
    [sym_private_property_identifier] = ACTIONS(984),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(984),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_null] = ACTIONS(984),
    [sym_undefined] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_static] = ACTIONS(984),
    [anon_sym_get] = ACTIONS(984),
    [anon_sym_set] = ACTIONS(984),
    [sym__automatic_semicolon] = ACTIONS(1007),
    [sym__ternary_qmark] = ACTIONS(990),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_comment] = STATE(172),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym_identifier] = ACTIONS(882),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(884),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(882),
    [anon_sym_import] = ACTIONS(882),
    [anon_sym_with] = ACTIONS(882),
    [anon_sym_var] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_const] = ACTIONS(882),
    [anon_sym_else] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(882),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_await] = ACTIONS(882),
    [anon_sym_in] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(882),
    [anon_sym_try] = ACTIONS(882),
    [anon_sym_break] = ACTIONS(882),
    [anon_sym_continue] = ACTIONS(882),
    [anon_sym_debugger] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(882),
    [anon_sym_throw] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(882),
    [anon_sym_LBRACK] = ACTIONS(882),
    [anon_sym_LTtemplate_GT] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_GT] = ACTIONS(884),
    [anon_sym_DOT] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(882),
    [anon_sym_SQUOTE] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(882),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(882),
    [sym_optional_chain] = ACTIONS(884),
    [anon_sym_new] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(884),
    [anon_sym_GT_GT] = ACTIONS(884),
    [anon_sym_GT_GT_GT] = ACTIONS(884),
    [anon_sym_LT_LT] = ACTIONS(884),
    [anon_sym_AMP] = ACTIONS(884),
    [anon_sym_CARET] = ACTIONS(884),
    [anon_sym_PIPE] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(884),
    [anon_sym_STAR_STAR] = ACTIONS(884),
    [anon_sym_LT_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(884),
    [anon_sym_GT_EQ] = ACTIONS(884),
    [anon_sym_QMARK_QMARK] = ACTIONS(884),
    [anon_sym_instanceof] = ACTIONS(884),
    [anon_sym_BANG] = ACTIONS(882),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_typeof] = ACTIONS(882),
    [anon_sym_void] = ACTIONS(882),
    [anon_sym_delete] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(882),
    [sym_number] = ACTIONS(882),
    [sym_private_property_identifier] = ACTIONS(882),
    [sym_this] = ACTIONS(882),
    [sym_super] = ACTIONS(882),
    [sym_true] = ACTIONS(882),
    [sym_false] = ACTIONS(882),
    [sym_null] = ACTIONS(882),
    [sym_undefined] = ACTIONS(882),
    [anon_sym_AT] = ACTIONS(882),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [sym__automatic_semicolon] = ACTIONS(1011),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_comment] = STATE(173),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_default] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_case] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(1013),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_comment] = STATE(174),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(876),
    [anon_sym_PIPE_PIPE] = ACTIONS(876),
    [anon_sym_GT_GT] = ACTIONS(876),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(876),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_QMARK_QMARK] = ACTIONS(876),
    [anon_sym_instanceof] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(1017),
    [sym__ternary_qmark] = ACTIONS(880),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_comment] = STATE(175),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_else] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(1021),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_comment] = STATE(176),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(890),
    [anon_sym_with] = ACTIONS(890),
    [anon_sym_var] = ACTIONS(890),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_const] = ACTIONS(890),
    [anon_sym_else] = ACTIONS(890),
    [anon_sym_if] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(890),
    [anon_sym_for] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(890),
    [anon_sym_in] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(890),
    [anon_sym_try] = ACTIONS(890),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(890),
    [anon_sym_debugger] = ACTIONS(890),
    [anon_sym_return] = ACTIONS(890),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_yield] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(890),
    [anon_sym_LTtemplate_GT] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(890),
    [anon_sym_GT] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [anon_sym_SQUOTE] = ACTIONS(890),
    [anon_sym_class] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(890),
    [anon_sym_function] = ACTIONS(890),
    [sym_optional_chain] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_AMP_AMP] = ACTIONS(892),
    [anon_sym_PIPE_PIPE] = ACTIONS(892),
    [anon_sym_GT_GT] = ACTIONS(892),
    [anon_sym_GT_GT_GT] = ACTIONS(892),
    [anon_sym_LT_LT] = ACTIONS(892),
    [anon_sym_AMP] = ACTIONS(892),
    [anon_sym_CARET] = ACTIONS(892),
    [anon_sym_PIPE] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_SLASH] = ACTIONS(890),
    [anon_sym_PERCENT] = ACTIONS(892),
    [anon_sym_STAR_STAR] = ACTIONS(892),
    [anon_sym_LT_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(892),
    [anon_sym_GT_EQ] = ACTIONS(892),
    [anon_sym_QMARK_QMARK] = ACTIONS(892),
    [anon_sym_instanceof] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(890),
    [anon_sym_typeof] = ACTIONS(890),
    [anon_sym_void] = ACTIONS(890),
    [anon_sym_delete] = ACTIONS(890),
    [anon_sym_PLUS_PLUS] = ACTIONS(890),
    [anon_sym_DASH_DASH] = ACTIONS(890),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(890),
    [sym_number] = ACTIONS(890),
    [sym_private_property_identifier] = ACTIONS(890),
    [sym_this] = ACTIONS(890),
    [sym_super] = ACTIONS(890),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_null] = ACTIONS(890),
    [sym_undefined] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(890),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [sym__automatic_semicolon] = ACTIONS(1025),
    [sym__ternary_qmark] = ACTIONS(896),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2304),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(2115),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_RBRACK] = ACTIONS(1027),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_comment] = STATE(178),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(1031),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_comment] = STATE(179),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_QMARK_QMARK] = ACTIONS(852),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(1033),
    [sym__ternary_qmark] = ACTIONS(906),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_comment] = STATE(180),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(892),
    [anon_sym_default] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(890),
    [anon_sym_with] = ACTIONS(890),
    [anon_sym_var] = ACTIONS(890),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_const] = ACTIONS(890),
    [anon_sym_if] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(890),
    [anon_sym_for] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(890),
    [anon_sym_in] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(890),
    [anon_sym_try] = ACTIONS(890),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(890),
    [anon_sym_debugger] = ACTIONS(890),
    [anon_sym_return] = ACTIONS(890),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_case] = ACTIONS(890),
    [anon_sym_yield] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(890),
    [anon_sym_LTtemplate_GT] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(890),
    [anon_sym_GT] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [anon_sym_SQUOTE] = ACTIONS(890),
    [anon_sym_class] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(890),
    [anon_sym_function] = ACTIONS(890),
    [sym_optional_chain] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_AMP_AMP] = ACTIONS(892),
    [anon_sym_PIPE_PIPE] = ACTIONS(892),
    [anon_sym_GT_GT] = ACTIONS(892),
    [anon_sym_GT_GT_GT] = ACTIONS(892),
    [anon_sym_LT_LT] = ACTIONS(892),
    [anon_sym_AMP] = ACTIONS(892),
    [anon_sym_CARET] = ACTIONS(892),
    [anon_sym_PIPE] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_SLASH] = ACTIONS(890),
    [anon_sym_PERCENT] = ACTIONS(892),
    [anon_sym_STAR_STAR] = ACTIONS(892),
    [anon_sym_LT_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(892),
    [anon_sym_GT_EQ] = ACTIONS(892),
    [anon_sym_QMARK_QMARK] = ACTIONS(892),
    [anon_sym_instanceof] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(890),
    [anon_sym_typeof] = ACTIONS(890),
    [anon_sym_void] = ACTIONS(890),
    [anon_sym_delete] = ACTIONS(890),
    [anon_sym_PLUS_PLUS] = ACTIONS(890),
    [anon_sym_DASH_DASH] = ACTIONS(890),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(890),
    [sym_number] = ACTIONS(890),
    [sym_private_property_identifier] = ACTIONS(890),
    [sym_this] = ACTIONS(890),
    [sym_super] = ACTIONS(890),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_null] = ACTIONS(890),
    [sym_undefined] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(890),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [sym__automatic_semicolon] = ACTIONS(1035),
    [sym__ternary_qmark] = ACTIONS(896),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_comment] = STATE(181),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(902),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_comment] = STATE(182),
    [sym_identifier] = ACTIONS(882),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(884),
    [anon_sym_default] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(882),
    [anon_sym_import] = ACTIONS(882),
    [anon_sym_with] = ACTIONS(882),
    [anon_sym_var] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_const] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(882),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_await] = ACTIONS(882),
    [anon_sym_in] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(882),
    [anon_sym_try] = ACTIONS(882),
    [anon_sym_break] = ACTIONS(882),
    [anon_sym_continue] = ACTIONS(882),
    [anon_sym_debugger] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(882),
    [anon_sym_throw] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_case] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(882),
    [anon_sym_LBRACK] = ACTIONS(882),
    [anon_sym_LTtemplate_GT] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_GT] = ACTIONS(884),
    [anon_sym_DOT] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(882),
    [anon_sym_SQUOTE] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(882),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(882),
    [sym_optional_chain] = ACTIONS(884),
    [anon_sym_new] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(884),
    [anon_sym_GT_GT] = ACTIONS(884),
    [anon_sym_GT_GT_GT] = ACTIONS(884),
    [anon_sym_LT_LT] = ACTIONS(884),
    [anon_sym_AMP] = ACTIONS(884),
    [anon_sym_CARET] = ACTIONS(884),
    [anon_sym_PIPE] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(884),
    [anon_sym_STAR_STAR] = ACTIONS(884),
    [anon_sym_LT_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(884),
    [anon_sym_GT_EQ] = ACTIONS(884),
    [anon_sym_QMARK_QMARK] = ACTIONS(884),
    [anon_sym_instanceof] = ACTIONS(884),
    [anon_sym_BANG] = ACTIONS(882),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_typeof] = ACTIONS(882),
    [anon_sym_void] = ACTIONS(882),
    [anon_sym_delete] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(882),
    [sym_number] = ACTIONS(882),
    [sym_private_property_identifier] = ACTIONS(882),
    [sym_this] = ACTIONS(882),
    [sym_super] = ACTIONS(882),
    [sym_true] = ACTIONS(882),
    [sym_false] = ACTIONS(882),
    [sym_null] = ACTIONS(882),
    [sym_undefined] = ACTIONS(882),
    [anon_sym_AT] = ACTIONS(882),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [sym__automatic_semicolon] = ACTIONS(1037),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_comment] = STATE(183),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_case] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(1039),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_comment] = STATE(184),
    [sym_identifier] = ACTIONS(908),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_import] = ACTIONS(908),
    [anon_sym_with] = ACTIONS(908),
    [anon_sym_var] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(908),
    [anon_sym_for] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(908),
    [anon_sym_do] = ACTIONS(908),
    [anon_sym_try] = ACTIONS(908),
    [anon_sym_break] = ACTIONS(908),
    [anon_sym_continue] = ACTIONS(908),
    [anon_sym_debugger] = ACTIONS(908),
    [anon_sym_return] = ACTIONS(908),
    [anon_sym_throw] = ACTIONS(908),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_case] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(908),
    [anon_sym_LTtemplate_GT] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(908),
    [anon_sym_GT] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(908),
    [anon_sym_DQUOTE] = ACTIONS(908),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [anon_sym_class] = ACTIONS(908),
    [anon_sym_async] = ACTIONS(908),
    [anon_sym_function] = ACTIONS(908),
    [sym_optional_chain] = ACTIONS(908),
    [anon_sym_new] = ACTIONS(908),
    [anon_sym_AMP_AMP] = ACTIONS(908),
    [anon_sym_PIPE_PIPE] = ACTIONS(908),
    [anon_sym_GT_GT] = ACTIONS(908),
    [anon_sym_GT_GT_GT] = ACTIONS(908),
    [anon_sym_LT_LT] = ACTIONS(908),
    [anon_sym_AMP] = ACTIONS(908),
    [anon_sym_CARET] = ACTIONS(908),
    [anon_sym_PIPE] = ACTIONS(908),
    [anon_sym_PLUS] = ACTIONS(908),
    [anon_sym_DASH] = ACTIONS(908),
    [anon_sym_SLASH] = ACTIONS(908),
    [anon_sym_PERCENT] = ACTIONS(908),
    [anon_sym_STAR_STAR] = ACTIONS(908),
    [anon_sym_LT_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(908),
    [anon_sym_GT_EQ] = ACTIONS(908),
    [anon_sym_QMARK_QMARK] = ACTIONS(908),
    [anon_sym_instanceof] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(908),
    [anon_sym_TILDE] = ACTIONS(908),
    [anon_sym_typeof] = ACTIONS(908),
    [anon_sym_void] = ACTIONS(908),
    [anon_sym_delete] = ACTIONS(908),
    [anon_sym_PLUS_PLUS] = ACTIONS(908),
    [anon_sym_DASH_DASH] = ACTIONS(908),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(908),
    [sym_number] = ACTIONS(908),
    [sym_private_property_identifier] = ACTIONS(908),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(908),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_null] = ACTIONS(908),
    [sym_undefined] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(908),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_comment] = STATE(185),
    [ts_builtin_sym_end] = ACTIONS(944),
    [sym_identifier] = ACTIONS(942),
    [anon_sym_export] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_import] = ACTIONS(942),
    [anon_sym_with] = ACTIONS(942),
    [anon_sym_var] = ACTIONS(942),
    [anon_sym_let] = ACTIONS(942),
    [anon_sym_const] = ACTIONS(942),
    [anon_sym_else] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(942),
    [anon_sym_switch] = ACTIONS(942),
    [anon_sym_for] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(942),
    [anon_sym_do] = ACTIONS(942),
    [anon_sym_try] = ACTIONS(942),
    [anon_sym_break] = ACTIONS(942),
    [anon_sym_continue] = ACTIONS(942),
    [anon_sym_debugger] = ACTIONS(942),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(942),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym_yield] = ACTIONS(942),
    [anon_sym_LBRACK] = ACTIONS(942),
    [anon_sym_LTtemplate_GT] = ACTIONS(942),
    [anon_sym_LT] = ACTIONS(942),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(942),
    [anon_sym_SQUOTE] = ACTIONS(942),
    [anon_sym_class] = ACTIONS(942),
    [anon_sym_async] = ACTIONS(942),
    [anon_sym_function] = ACTIONS(942),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(942),
    [anon_sym_DASH] = ACTIONS(942),
    [anon_sym_SLASH] = ACTIONS(942),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(942),
    [anon_sym_TILDE] = ACTIONS(942),
    [anon_sym_typeof] = ACTIONS(942),
    [anon_sym_void] = ACTIONS(942),
    [anon_sym_delete] = ACTIONS(942),
    [anon_sym_PLUS_PLUS] = ACTIONS(942),
    [anon_sym_DASH_DASH] = ACTIONS(942),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(942),
    [sym_number] = ACTIONS(942),
    [sym_private_property_identifier] = ACTIONS(942),
    [sym_this] = ACTIONS(942),
    [sym_super] = ACTIONS(942),
    [sym_true] = ACTIONS(942),
    [sym_false] = ACTIONS(942),
    [sym_null] = ACTIONS(942),
    [sym_undefined] = ACTIONS(942),
    [anon_sym_AT] = ACTIONS(942),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [sym__automatic_semicolon] = ACTIONS(944),
    [sym__ternary_qmark] = ACTIONS(944),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_comment] = STATE(186),
    [sym_identifier] = ACTIONS(950),
    [anon_sym_export] = ACTIONS(950),
    [anon_sym_STAR] = ACTIONS(952),
    [anon_sym_default] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(950),
    [anon_sym_COMMA] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_import] = ACTIONS(950),
    [anon_sym_with] = ACTIONS(950),
    [anon_sym_var] = ACTIONS(950),
    [anon_sym_let] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(950),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(950),
    [anon_sym_for] = ACTIONS(950),
    [anon_sym_LPAREN] = ACTIONS(950),
    [anon_sym_await] = ACTIONS(950),
    [anon_sym_in] = ACTIONS(952),
    [anon_sym_while] = ACTIONS(950),
    [anon_sym_do] = ACTIONS(950),
    [anon_sym_try] = ACTIONS(950),
    [anon_sym_break] = ACTIONS(950),
    [anon_sym_continue] = ACTIONS(950),
    [anon_sym_debugger] = ACTIONS(950),
    [anon_sym_return] = ACTIONS(950),
    [anon_sym_throw] = ACTIONS(950),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_case] = ACTIONS(950),
    [anon_sym_yield] = ACTIONS(950),
    [anon_sym_LBRACK] = ACTIONS(950),
    [anon_sym_LTtemplate_GT] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_DOT] = ACTIONS(952),
    [anon_sym_DQUOTE] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(950),
    [anon_sym_class] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(950),
    [sym_optional_chain] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(950),
    [anon_sym_AMP_AMP] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_GT_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_AMP] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_SLASH] = ACTIONS(950),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(952),
    [anon_sym_LT_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(952),
    [anon_sym_QMARK_QMARK] = ACTIONS(952),
    [anon_sym_instanceof] = ACTIONS(952),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_typeof] = ACTIONS(950),
    [anon_sym_void] = ACTIONS(950),
    [anon_sym_delete] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(950),
    [sym_number] = ACTIONS(950),
    [sym_private_property_identifier] = ACTIONS(950),
    [sym_this] = ACTIONS(950),
    [sym_super] = ACTIONS(950),
    [sym_true] = ACTIONS(950),
    [sym_false] = ACTIONS(950),
    [sym_null] = ACTIONS(950),
    [sym_undefined] = ACTIONS(950),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_static] = ACTIONS(950),
    [anon_sym_get] = ACTIONS(950),
    [anon_sym_set] = ACTIONS(950),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__ternary_qmark] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_comment] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(906),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_QMARK_QMARK] = ACTIONS(852),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(1043),
    [sym__ternary_qmark] = ACTIONS(906),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_comment] = STATE(188),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym_identifier] = ACTIONS(908),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_import] = ACTIONS(908),
    [anon_sym_with] = ACTIONS(908),
    [anon_sym_var] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_else] = ACTIONS(908),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(908),
    [anon_sym_for] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(908),
    [anon_sym_do] = ACTIONS(908),
    [anon_sym_try] = ACTIONS(908),
    [anon_sym_break] = ACTIONS(908),
    [anon_sym_continue] = ACTIONS(908),
    [anon_sym_debugger] = ACTIONS(908),
    [anon_sym_return] = ACTIONS(908),
    [anon_sym_throw] = ACTIONS(908),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(908),
    [anon_sym_LTtemplate_GT] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(908),
    [anon_sym_GT] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(908),
    [anon_sym_DQUOTE] = ACTIONS(908),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [anon_sym_class] = ACTIONS(908),
    [anon_sym_async] = ACTIONS(908),
    [anon_sym_function] = ACTIONS(908),
    [sym_optional_chain] = ACTIONS(908),
    [anon_sym_new] = ACTIONS(908),
    [anon_sym_AMP_AMP] = ACTIONS(908),
    [anon_sym_PIPE_PIPE] = ACTIONS(908),
    [anon_sym_GT_GT] = ACTIONS(908),
    [anon_sym_GT_GT_GT] = ACTIONS(908),
    [anon_sym_LT_LT] = ACTIONS(908),
    [anon_sym_AMP] = ACTIONS(908),
    [anon_sym_CARET] = ACTIONS(908),
    [anon_sym_PIPE] = ACTIONS(908),
    [anon_sym_PLUS] = ACTIONS(908),
    [anon_sym_DASH] = ACTIONS(908),
    [anon_sym_SLASH] = ACTIONS(908),
    [anon_sym_PERCENT] = ACTIONS(908),
    [anon_sym_STAR_STAR] = ACTIONS(908),
    [anon_sym_LT_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(908),
    [anon_sym_GT_EQ] = ACTIONS(908),
    [anon_sym_QMARK_QMARK] = ACTIONS(908),
    [anon_sym_instanceof] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(908),
    [anon_sym_TILDE] = ACTIONS(908),
    [anon_sym_typeof] = ACTIONS(908),
    [anon_sym_void] = ACTIONS(908),
    [anon_sym_delete] = ACTIONS(908),
    [anon_sym_PLUS_PLUS] = ACTIONS(908),
    [anon_sym_DASH_DASH] = ACTIONS(908),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(908),
    [sym_number] = ACTIONS(908),
    [sym_private_property_identifier] = ACTIONS(908),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(908),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_null] = ACTIONS(908),
    [sym_undefined] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(908),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1351),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2099),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2753),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(1956),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(999),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_comment] = STATE(190),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_case] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(1045),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_comment] = STATE(191),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(1047),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_comment] = STATE(192),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(876),
    [anon_sym_PIPE_PIPE] = ACTIONS(876),
    [anon_sym_GT_GT] = ACTIONS(876),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(876),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_QMARK_QMARK] = ACTIONS(876),
    [anon_sym_instanceof] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(1049),
    [sym__ternary_qmark] = ACTIONS(880),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_comment] = STATE(193),
    [sym_identifier] = ACTIONS(942),
    [anon_sym_export] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_default] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_import] = ACTIONS(942),
    [anon_sym_with] = ACTIONS(942),
    [anon_sym_var] = ACTIONS(942),
    [anon_sym_let] = ACTIONS(942),
    [anon_sym_const] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(942),
    [anon_sym_switch] = ACTIONS(942),
    [anon_sym_for] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(942),
    [anon_sym_do] = ACTIONS(942),
    [anon_sym_try] = ACTIONS(942),
    [anon_sym_break] = ACTIONS(942),
    [anon_sym_continue] = ACTIONS(942),
    [anon_sym_debugger] = ACTIONS(942),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(942),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym_case] = ACTIONS(942),
    [anon_sym_yield] = ACTIONS(942),
    [anon_sym_LBRACK] = ACTIONS(942),
    [anon_sym_LTtemplate_GT] = ACTIONS(942),
    [anon_sym_LT] = ACTIONS(942),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(942),
    [anon_sym_SQUOTE] = ACTIONS(942),
    [anon_sym_class] = ACTIONS(942),
    [anon_sym_async] = ACTIONS(942),
    [anon_sym_function] = ACTIONS(942),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(942),
    [anon_sym_DASH] = ACTIONS(942),
    [anon_sym_SLASH] = ACTIONS(942),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(942),
    [anon_sym_TILDE] = ACTIONS(942),
    [anon_sym_typeof] = ACTIONS(942),
    [anon_sym_void] = ACTIONS(942),
    [anon_sym_delete] = ACTIONS(942),
    [anon_sym_PLUS_PLUS] = ACTIONS(942),
    [anon_sym_DASH_DASH] = ACTIONS(942),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(942),
    [sym_number] = ACTIONS(942),
    [sym_private_property_identifier] = ACTIONS(942),
    [sym_this] = ACTIONS(942),
    [sym_super] = ACTIONS(942),
    [sym_true] = ACTIONS(942),
    [sym_false] = ACTIONS(942),
    [sym_null] = ACTIONS(942),
    [sym_undefined] = ACTIONS(942),
    [anon_sym_AT] = ACTIONS(942),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [sym__automatic_semicolon] = ACTIONS(944),
    [sym__ternary_qmark] = ACTIONS(944),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_comment] = STATE(194),
    [sym_identifier] = ACTIONS(992),
    [anon_sym_export] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_default] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_with] = ACTIONS(992),
    [anon_sym_var] = ACTIONS(992),
    [anon_sym_let] = ACTIONS(992),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_await] = ACTIONS(992),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_debugger] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(992),
    [anon_sym_case] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_LTtemplate_GT] = ACTIONS(992),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(992),
    [anon_sym_function] = ACTIONS(992),
    [sym_optional_chain] = ACTIONS(992),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_AMP_AMP] = ACTIONS(992),
    [anon_sym_PIPE_PIPE] = ACTIONS(992),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(992),
    [anon_sym_LT_LT] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(992),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_PERCENT] = ACTIONS(992),
    [anon_sym_STAR_STAR] = ACTIONS(992),
    [anon_sym_LT_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(992),
    [anon_sym_GT_EQ] = ACTIONS(992),
    [anon_sym_QMARK_QMARK] = ACTIONS(992),
    [anon_sym_instanceof] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(992),
    [anon_sym_void] = ACTIONS(992),
    [anon_sym_delete] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(992),
    [sym_number] = ACTIONS(992),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_null] = ACTIONS(992),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_get] = ACTIONS(992),
    [anon_sym_set] = ACTIONS(992),
    [sym__automatic_semicolon] = ACTIONS(994),
    [sym__ternary_qmark] = ACTIONS(994),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_comment] = STATE(195),
    [sym_identifier] = ACTIONS(984),
    [anon_sym_export] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_default] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(986),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_import] = ACTIONS(984),
    [anon_sym_with] = ACTIONS(984),
    [anon_sym_var] = ACTIONS(984),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_switch] = ACTIONS(984),
    [anon_sym_for] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_await] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(986),
    [anon_sym_while] = ACTIONS(984),
    [anon_sym_do] = ACTIONS(984),
    [anon_sym_try] = ACTIONS(984),
    [anon_sym_break] = ACTIONS(984),
    [anon_sym_continue] = ACTIONS(984),
    [anon_sym_debugger] = ACTIONS(984),
    [anon_sym_return] = ACTIONS(984),
    [anon_sym_throw] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(984),
    [anon_sym_case] = ACTIONS(984),
    [anon_sym_yield] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_LTtemplate_GT] = ACTIONS(984),
    [anon_sym_LT] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_DOT] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(984),
    [anon_sym_SQUOTE] = ACTIONS(984),
    [anon_sym_class] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(984),
    [anon_sym_function] = ACTIONS(984),
    [sym_optional_chain] = ACTIONS(986),
    [anon_sym_new] = ACTIONS(984),
    [anon_sym_AMP_AMP] = ACTIONS(986),
    [anon_sym_PIPE_PIPE] = ACTIONS(986),
    [anon_sym_GT_GT] = ACTIONS(986),
    [anon_sym_GT_GT_GT] = ACTIONS(986),
    [anon_sym_LT_LT] = ACTIONS(986),
    [anon_sym_AMP] = ACTIONS(986),
    [anon_sym_CARET] = ACTIONS(986),
    [anon_sym_PIPE] = ACTIONS(986),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(986),
    [anon_sym_STAR_STAR] = ACTIONS(986),
    [anon_sym_LT_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(986),
    [anon_sym_GT_EQ] = ACTIONS(986),
    [anon_sym_QMARK_QMARK] = ACTIONS(986),
    [anon_sym_instanceof] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_typeof] = ACTIONS(984),
    [anon_sym_void] = ACTIONS(984),
    [anon_sym_delete] = ACTIONS(984),
    [anon_sym_PLUS_PLUS] = ACTIONS(984),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(984),
    [sym_number] = ACTIONS(984),
    [sym_private_property_identifier] = ACTIONS(984),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(984),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_null] = ACTIONS(984),
    [sym_undefined] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_static] = ACTIONS(984),
    [anon_sym_get] = ACTIONS(984),
    [anon_sym_set] = ACTIONS(984),
    [sym__automatic_semicolon] = ACTIONS(1051),
    [sym__ternary_qmark] = ACTIONS(990),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_comment] = STATE(196),
    [ts_builtin_sym_end] = ACTIONS(906),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(854),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(854),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(854),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(854),
    [anon_sym_DOT] = ACTIONS(854),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(854),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(854),
    [anon_sym_PIPE_PIPE] = ACTIONS(854),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_GT_GT_GT] = ACTIONS(854),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(854),
    [anon_sym_CARET] = ACTIONS(854),
    [anon_sym_PIPE] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(854),
    [anon_sym_STAR_STAR] = ACTIONS(854),
    [anon_sym_LT_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ] = ACTIONS(854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(854),
    [anon_sym_GT_EQ] = ACTIONS(854),
    [anon_sym_QMARK_QMARK] = ACTIONS(854),
    [anon_sym_instanceof] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(1053),
    [sym__ternary_qmark] = ACTIONS(860),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_comment] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_else] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(902),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_comment] = STATE(198),
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_identifier] = ACTIONS(950),
    [anon_sym_export] = ACTIONS(950),
    [anon_sym_STAR] = ACTIONS(952),
    [anon_sym_LBRACE] = ACTIONS(950),
    [anon_sym_COMMA] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_import] = ACTIONS(950),
    [anon_sym_with] = ACTIONS(950),
    [anon_sym_var] = ACTIONS(950),
    [anon_sym_let] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(950),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(950),
    [anon_sym_for] = ACTIONS(950),
    [anon_sym_LPAREN] = ACTIONS(950),
    [anon_sym_await] = ACTIONS(950),
    [anon_sym_in] = ACTIONS(952),
    [anon_sym_while] = ACTIONS(950),
    [anon_sym_do] = ACTIONS(950),
    [anon_sym_try] = ACTIONS(950),
    [anon_sym_break] = ACTIONS(950),
    [anon_sym_continue] = ACTIONS(950),
    [anon_sym_debugger] = ACTIONS(950),
    [anon_sym_return] = ACTIONS(950),
    [anon_sym_throw] = ACTIONS(950),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_yield] = ACTIONS(950),
    [anon_sym_LBRACK] = ACTIONS(950),
    [anon_sym_LTtemplate_GT] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_DOT] = ACTIONS(952),
    [anon_sym_DQUOTE] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(950),
    [anon_sym_class] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(950),
    [sym_optional_chain] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(950),
    [anon_sym_AMP_AMP] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_GT_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_AMP] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_SLASH] = ACTIONS(950),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(952),
    [anon_sym_LT_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(952),
    [anon_sym_QMARK_QMARK] = ACTIONS(952),
    [anon_sym_instanceof] = ACTIONS(952),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_typeof] = ACTIONS(950),
    [anon_sym_void] = ACTIONS(950),
    [anon_sym_delete] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(950),
    [sym_number] = ACTIONS(950),
    [sym_private_property_identifier] = ACTIONS(950),
    [sym_this] = ACTIONS(950),
    [sym_super] = ACTIONS(950),
    [sym_true] = ACTIONS(950),
    [sym_false] = ACTIONS(950),
    [sym_null] = ACTIONS(950),
    [sym_undefined] = ACTIONS(950),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_static] = ACTIONS(950),
    [anon_sym_get] = ACTIONS(950),
    [anon_sym_set] = ACTIONS(950),
    [sym__automatic_semicolon] = ACTIONS(1057),
    [sym__ternary_qmark] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_comment] = STATE(199),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_else] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(1059),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1364),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2066),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2067),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1063),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1297),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2096),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1067),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_comment] = STATE(202),
    [ts_builtin_sym_end] = ACTIONS(994),
    [sym_identifier] = ACTIONS(992),
    [anon_sym_export] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_with] = ACTIONS(992),
    [anon_sym_var] = ACTIONS(992),
    [anon_sym_let] = ACTIONS(992),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_await] = ACTIONS(992),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_debugger] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_LTtemplate_GT] = ACTIONS(992),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(992),
    [anon_sym_function] = ACTIONS(992),
    [sym_optional_chain] = ACTIONS(992),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_AMP_AMP] = ACTIONS(992),
    [anon_sym_PIPE_PIPE] = ACTIONS(992),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(992),
    [anon_sym_LT_LT] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(992),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_PERCENT] = ACTIONS(992),
    [anon_sym_STAR_STAR] = ACTIONS(992),
    [anon_sym_LT_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(992),
    [anon_sym_GT_EQ] = ACTIONS(992),
    [anon_sym_QMARK_QMARK] = ACTIONS(992),
    [anon_sym_instanceof] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(992),
    [anon_sym_void] = ACTIONS(992),
    [anon_sym_delete] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(992),
    [sym_number] = ACTIONS(992),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_null] = ACTIONS(992),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_get] = ACTIONS(992),
    [anon_sym_set] = ACTIONS(992),
    [sym__automatic_semicolon] = ACTIONS(994),
    [sym__ternary_qmark] = ACTIONS(994),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2539),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(2105),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1069),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1365),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2075),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1071),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(1071),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_comment] = STATE(205),
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_identifier] = ACTIONS(950),
    [anon_sym_export] = ACTIONS(950),
    [anon_sym_STAR] = ACTIONS(952),
    [anon_sym_LBRACE] = ACTIONS(950),
    [anon_sym_COMMA] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_import] = ACTIONS(950),
    [anon_sym_with] = ACTIONS(950),
    [anon_sym_var] = ACTIONS(950),
    [anon_sym_let] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(950),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(950),
    [anon_sym_for] = ACTIONS(950),
    [anon_sym_LPAREN] = ACTIONS(950),
    [anon_sym_await] = ACTIONS(950),
    [anon_sym_in] = ACTIONS(952),
    [anon_sym_while] = ACTIONS(950),
    [anon_sym_do] = ACTIONS(950),
    [anon_sym_try] = ACTIONS(950),
    [anon_sym_break] = ACTIONS(950),
    [anon_sym_continue] = ACTIONS(950),
    [anon_sym_debugger] = ACTIONS(950),
    [anon_sym_return] = ACTIONS(950),
    [anon_sym_throw] = ACTIONS(950),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_yield] = ACTIONS(950),
    [anon_sym_LBRACK] = ACTIONS(950),
    [anon_sym_LTtemplate_GT] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_DOT] = ACTIONS(952),
    [anon_sym_DQUOTE] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(950),
    [anon_sym_class] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(950),
    [sym_optional_chain] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(950),
    [anon_sym_AMP_AMP] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_GT_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_AMP] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_SLASH] = ACTIONS(950),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(952),
    [anon_sym_LT_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ] = ACTIONS(952),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ] = ACTIONS(952),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(952),
    [anon_sym_QMARK_QMARK] = ACTIONS(952),
    [anon_sym_instanceof] = ACTIONS(952),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_typeof] = ACTIONS(950),
    [anon_sym_void] = ACTIONS(950),
    [anon_sym_delete] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(950),
    [sym_number] = ACTIONS(950),
    [sym_private_property_identifier] = ACTIONS(950),
    [sym_this] = ACTIONS(950),
    [sym_super] = ACTIONS(950),
    [sym_true] = ACTIONS(950),
    [sym_false] = ACTIONS(950),
    [sym_null] = ACTIONS(950),
    [sym_undefined] = ACTIONS(950),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_static] = ACTIONS(950),
    [anon_sym_get] = ACTIONS(950),
    [anon_sym_set] = ACTIONS(950),
    [sym__automatic_semicolon] = ACTIONS(1073),
    [sym__ternary_qmark] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_comment] = STATE(206),
    [ts_builtin_sym_end] = ACTIONS(906),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [sym_optional_chain] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_QMARK_QMARK] = ACTIONS(852),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(1075),
    [sym__ternary_qmark] = ACTIONS(906),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_comment] = STATE(207),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(1077),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_comment] = STATE(208),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(902),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_comment] = STATE(209),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym_identifier] = ACTIONS(908),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_import] = ACTIONS(908),
    [anon_sym_with] = ACTIONS(908),
    [anon_sym_var] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(908),
    [anon_sym_for] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(908),
    [anon_sym_do] = ACTIONS(908),
    [anon_sym_try] = ACTIONS(908),
    [anon_sym_break] = ACTIONS(908),
    [anon_sym_continue] = ACTIONS(908),
    [anon_sym_debugger] = ACTIONS(908),
    [anon_sym_return] = ACTIONS(908),
    [anon_sym_throw] = ACTIONS(908),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(908),
    [anon_sym_LTtemplate_GT] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(908),
    [anon_sym_GT] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(908),
    [anon_sym_DQUOTE] = ACTIONS(908),
    [anon_sym_SQUOTE] = ACTIONS(908),
    [anon_sym_class] = ACTIONS(908),
    [anon_sym_async] = ACTIONS(908),
    [anon_sym_function] = ACTIONS(908),
    [sym_optional_chain] = ACTIONS(908),
    [anon_sym_new] = ACTIONS(908),
    [anon_sym_AMP_AMP] = ACTIONS(908),
    [anon_sym_PIPE_PIPE] = ACTIONS(908),
    [anon_sym_GT_GT] = ACTIONS(908),
    [anon_sym_GT_GT_GT] = ACTIONS(908),
    [anon_sym_LT_LT] = ACTIONS(908),
    [anon_sym_AMP] = ACTIONS(908),
    [anon_sym_CARET] = ACTIONS(908),
    [anon_sym_PIPE] = ACTIONS(908),
    [anon_sym_PLUS] = ACTIONS(908),
    [anon_sym_DASH] = ACTIONS(908),
    [anon_sym_SLASH] = ACTIONS(908),
    [anon_sym_PERCENT] = ACTIONS(908),
    [anon_sym_STAR_STAR] = ACTIONS(908),
    [anon_sym_LT_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ] = ACTIONS(908),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ] = ACTIONS(908),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(908),
    [anon_sym_GT_EQ] = ACTIONS(908),
    [anon_sym_QMARK_QMARK] = ACTIONS(908),
    [anon_sym_instanceof] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(908),
    [anon_sym_TILDE] = ACTIONS(908),
    [anon_sym_typeof] = ACTIONS(908),
    [anon_sym_void] = ACTIONS(908),
    [anon_sym_delete] = ACTIONS(908),
    [anon_sym_PLUS_PLUS] = ACTIONS(908),
    [anon_sym_DASH_DASH] = ACTIONS(908),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(908),
    [sym_number] = ACTIONS(908),
    [sym_private_property_identifier] = ACTIONS(908),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(908),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_null] = ACTIONS(908),
    [sym_undefined] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(908),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2539),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(2105),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1079),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_comment] = STATE(211),
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_identifier] = ACTIONS(974),
    [anon_sym_export] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_COMMA] = ACTIONS(976),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_with] = ACTIONS(974),
    [anon_sym_var] = ACTIONS(974),
    [anon_sym_let] = ACTIONS(974),
    [anon_sym_const] = ACTIONS(974),
    [anon_sym_if] = ACTIONS(974),
    [anon_sym_switch] = ACTIONS(974),
    [anon_sym_for] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_await] = ACTIONS(974),
    [anon_sym_in] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(974),
    [anon_sym_do] = ACTIONS(974),
    [anon_sym_try] = ACTIONS(974),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(974),
    [anon_sym_debugger] = ACTIONS(974),
    [anon_sym_return] = ACTIONS(974),
    [anon_sym_throw] = ACTIONS(974),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_yield] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT] = ACTIONS(976),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [anon_sym_class] = ACTIONS(974),
    [anon_sym_async] = ACTIONS(974),
    [anon_sym_function] = ACTIONS(974),
    [sym_optional_chain] = ACTIONS(976),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP_AMP] = ACTIONS(976),
    [anon_sym_PIPE_PIPE] = ACTIONS(976),
    [anon_sym_GT_GT] = ACTIONS(976),
    [anon_sym_GT_GT_GT] = ACTIONS(976),
    [anon_sym_LT_LT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_CARET] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(976),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_PERCENT] = ACTIONS(976),
    [anon_sym_STAR_STAR] = ACTIONS(976),
    [anon_sym_LT_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ] = ACTIONS(976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ] = ACTIONS(976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(976),
    [anon_sym_GT_EQ] = ACTIONS(976),
    [anon_sym_QMARK_QMARK] = ACTIONS(976),
    [anon_sym_instanceof] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(974),
    [anon_sym_void] = ACTIONS(974),
    [anon_sym_delete] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(974),
    [sym_number] = ACTIONS(974),
    [sym_private_property_identifier] = ACTIONS(974),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym_null] = ACTIONS(974),
    [sym_undefined] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(974),
    [anon_sym_get] = ACTIONS(974),
    [anon_sym_set] = ACTIONS(974),
    [sym__automatic_semicolon] = ACTIONS(1081),
    [sym__ternary_qmark] = ACTIONS(980),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_comment] = STATE(212),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_identifier] = ACTIONS(984),
    [anon_sym_export] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(986),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_import] = ACTIONS(984),
    [anon_sym_with] = ACTIONS(984),
    [anon_sym_var] = ACTIONS(984),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_switch] = ACTIONS(984),
    [anon_sym_for] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_await] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(986),
    [anon_sym_while] = ACTIONS(984),
    [anon_sym_do] = ACTIONS(984),
    [anon_sym_try] = ACTIONS(984),
    [anon_sym_break] = ACTIONS(984),
    [anon_sym_continue] = ACTIONS(984),
    [anon_sym_debugger] = ACTIONS(984),
    [anon_sym_return] = ACTIONS(984),
    [anon_sym_throw] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(984),
    [anon_sym_yield] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_LTtemplate_GT] = ACTIONS(984),
    [anon_sym_LT] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_DOT] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(984),
    [anon_sym_SQUOTE] = ACTIONS(984),
    [anon_sym_class] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(984),
    [anon_sym_function] = ACTIONS(984),
    [sym_optional_chain] = ACTIONS(986),
    [anon_sym_new] = ACTIONS(984),
    [anon_sym_AMP_AMP] = ACTIONS(986),
    [anon_sym_PIPE_PIPE] = ACTIONS(986),
    [anon_sym_GT_GT] = ACTIONS(986),
    [anon_sym_GT_GT_GT] = ACTIONS(986),
    [anon_sym_LT_LT] = ACTIONS(986),
    [anon_sym_AMP] = ACTIONS(986),
    [anon_sym_CARET] = ACTIONS(986),
    [anon_sym_PIPE] = ACTIONS(986),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(986),
    [anon_sym_STAR_STAR] = ACTIONS(986),
    [anon_sym_LT_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ] = ACTIONS(986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ] = ACTIONS(986),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(986),
    [anon_sym_GT_EQ] = ACTIONS(986),
    [anon_sym_QMARK_QMARK] = ACTIONS(986),
    [anon_sym_instanceof] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_typeof] = ACTIONS(984),
    [anon_sym_void] = ACTIONS(984),
    [anon_sym_delete] = ACTIONS(984),
    [anon_sym_PLUS_PLUS] = ACTIONS(984),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(984),
    [sym_number] = ACTIONS(984),
    [sym_private_property_identifier] = ACTIONS(984),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(984),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_null] = ACTIONS(984),
    [sym_undefined] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_static] = ACTIONS(984),
    [anon_sym_get] = ACTIONS(984),
    [anon_sym_set] = ACTIONS(984),
    [sym__automatic_semicolon] = ACTIONS(1083),
    [sym__ternary_qmark] = ACTIONS(990),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2174),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_comment] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(876),
    [anon_sym_PIPE_PIPE] = ACTIONS(876),
    [anon_sym_GT_GT] = ACTIONS(876),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(876),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_QMARK_QMARK] = ACTIONS(876),
    [anon_sym_instanceof] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(1087),
    [sym__ternary_qmark] = ACTIONS(880),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_comment] = STATE(215),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(966),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(966),
    [anon_sym_with] = ACTIONS(966),
    [anon_sym_var] = ACTIONS(966),
    [anon_sym_let] = ACTIONS(966),
    [anon_sym_const] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(966),
    [anon_sym_switch] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_await] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(966),
    [anon_sym_do] = ACTIONS(966),
    [anon_sym_try] = ACTIONS(966),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_debugger] = ACTIONS(966),
    [anon_sym_return] = ACTIONS(966),
    [anon_sym_throw] = ACTIONS(966),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_yield] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_LTtemplate_GT] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_GT] = ACTIONS(968),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [anon_sym_class] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(966),
    [sym_optional_chain] = ACTIONS(968),
    [anon_sym_new] = ACTIONS(966),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(968),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(966),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_STAR_STAR] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_QMARK_QMARK] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(966),
    [sym_number] = ACTIONS(966),
    [sym_private_property_identifier] = ACTIONS(966),
    [sym_this] = ACTIONS(966),
    [sym_super] = ACTIONS(966),
    [sym_true] = ACTIONS(966),
    [sym_false] = ACTIONS(966),
    [sym_null] = ACTIONS(966),
    [sym_undefined] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_static] = ACTIONS(966),
    [anon_sym_get] = ACTIONS(966),
    [anon_sym_set] = ACTIONS(966),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__ternary_qmark] = ACTIONS(972),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_comment] = STATE(216),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(890),
    [anon_sym_with] = ACTIONS(890),
    [anon_sym_var] = ACTIONS(890),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_const] = ACTIONS(890),
    [anon_sym_if] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(890),
    [anon_sym_for] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(890),
    [anon_sym_in] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(890),
    [anon_sym_try] = ACTIONS(890),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(890),
    [anon_sym_debugger] = ACTIONS(890),
    [anon_sym_return] = ACTIONS(890),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_yield] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(890),
    [anon_sym_LTtemplate_GT] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(890),
    [anon_sym_GT] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [anon_sym_SQUOTE] = ACTIONS(890),
    [anon_sym_class] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(890),
    [anon_sym_function] = ACTIONS(890),
    [sym_optional_chain] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_AMP_AMP] = ACTIONS(892),
    [anon_sym_PIPE_PIPE] = ACTIONS(892),
    [anon_sym_GT_GT] = ACTIONS(892),
    [anon_sym_GT_GT_GT] = ACTIONS(892),
    [anon_sym_LT_LT] = ACTIONS(892),
    [anon_sym_AMP] = ACTIONS(892),
    [anon_sym_CARET] = ACTIONS(892),
    [anon_sym_PIPE] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_SLASH] = ACTIONS(890),
    [anon_sym_PERCENT] = ACTIONS(892),
    [anon_sym_STAR_STAR] = ACTIONS(892),
    [anon_sym_LT_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(892),
    [anon_sym_GT_EQ] = ACTIONS(892),
    [anon_sym_QMARK_QMARK] = ACTIONS(892),
    [anon_sym_instanceof] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(890),
    [anon_sym_typeof] = ACTIONS(890),
    [anon_sym_void] = ACTIONS(890),
    [anon_sym_delete] = ACTIONS(890),
    [anon_sym_PLUS_PLUS] = ACTIONS(890),
    [anon_sym_DASH_DASH] = ACTIONS(890),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(890),
    [sym_number] = ACTIONS(890),
    [sym_private_property_identifier] = ACTIONS(890),
    [sym_this] = ACTIONS(890),
    [sym_super] = ACTIONS(890),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_null] = ACTIONS(890),
    [sym_undefined] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(890),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [sym__automatic_semicolon] = ACTIONS(1091),
    [sym__ternary_qmark] = ACTIONS(896),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_comment] = STATE(217),
    [ts_builtin_sym_end] = ACTIONS(944),
    [sym_identifier] = ACTIONS(942),
    [anon_sym_export] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_import] = ACTIONS(942),
    [anon_sym_with] = ACTIONS(942),
    [anon_sym_var] = ACTIONS(942),
    [anon_sym_let] = ACTIONS(942),
    [anon_sym_const] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(942),
    [anon_sym_switch] = ACTIONS(942),
    [anon_sym_for] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_in] = ACTIONS(942),
    [anon_sym_while] = ACTIONS(942),
    [anon_sym_do] = ACTIONS(942),
    [anon_sym_try] = ACTIONS(942),
    [anon_sym_break] = ACTIONS(942),
    [anon_sym_continue] = ACTIONS(942),
    [anon_sym_debugger] = ACTIONS(942),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(942),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym_yield] = ACTIONS(942),
    [anon_sym_LBRACK] = ACTIONS(942),
    [anon_sym_LTtemplate_GT] = ACTIONS(942),
    [anon_sym_LT] = ACTIONS(942),
    [anon_sym_GT] = ACTIONS(942),
    [anon_sym_DOT] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(942),
    [anon_sym_SQUOTE] = ACTIONS(942),
    [anon_sym_class] = ACTIONS(942),
    [anon_sym_async] = ACTIONS(942),
    [anon_sym_function] = ACTIONS(942),
    [sym_optional_chain] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_AMP_AMP] = ACTIONS(942),
    [anon_sym_PIPE_PIPE] = ACTIONS(942),
    [anon_sym_GT_GT] = ACTIONS(942),
    [anon_sym_GT_GT_GT] = ACTIONS(942),
    [anon_sym_LT_LT] = ACTIONS(942),
    [anon_sym_AMP] = ACTIONS(942),
    [anon_sym_CARET] = ACTIONS(942),
    [anon_sym_PIPE] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(942),
    [anon_sym_DASH] = ACTIONS(942),
    [anon_sym_SLASH] = ACTIONS(942),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_STAR_STAR] = ACTIONS(942),
    [anon_sym_LT_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ] = ACTIONS(942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ] = ACTIONS(942),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(942),
    [anon_sym_GT_EQ] = ACTIONS(942),
    [anon_sym_QMARK_QMARK] = ACTIONS(942),
    [anon_sym_instanceof] = ACTIONS(942),
    [anon_sym_BANG] = ACTIONS(942),
    [anon_sym_TILDE] = ACTIONS(942),
    [anon_sym_typeof] = ACTIONS(942),
    [anon_sym_void] = ACTIONS(942),
    [anon_sym_delete] = ACTIONS(942),
    [anon_sym_PLUS_PLUS] = ACTIONS(942),
    [anon_sym_DASH_DASH] = ACTIONS(942),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(942),
    [sym_number] = ACTIONS(942),
    [sym_private_property_identifier] = ACTIONS(942),
    [sym_this] = ACTIONS(942),
    [sym_super] = ACTIONS(942),
    [sym_true] = ACTIONS(942),
    [sym_false] = ACTIONS(942),
    [sym_null] = ACTIONS(942),
    [sym_undefined] = ACTIONS(942),
    [anon_sym_AT] = ACTIONS(942),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [sym__automatic_semicolon] = ACTIONS(944),
    [sym__ternary_qmark] = ACTIONS(944),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_comment] = STATE(218),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(960),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_import] = ACTIONS(958),
    [anon_sym_with] = ACTIONS(958),
    [anon_sym_var] = ACTIONS(958),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_await] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(958),
    [anon_sym_try] = ACTIONS(958),
    [anon_sym_break] = ACTIONS(958),
    [anon_sym_continue] = ACTIONS(958),
    [anon_sym_debugger] = ACTIONS(958),
    [anon_sym_return] = ACTIONS(958),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_yield] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_LTtemplate_GT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [anon_sym_SQUOTE] = ACTIONS(958),
    [anon_sym_class] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
    [anon_sym_function] = ACTIONS(958),
    [sym_optional_chain] = ACTIONS(960),
    [anon_sym_new] = ACTIONS(958),
    [anon_sym_AMP_AMP] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_GT_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(960),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ] = ACTIONS(960),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(960),
    [anon_sym_QMARK_QMARK] = ACTIONS(960),
    [anon_sym_instanceof] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_typeof] = ACTIONS(958),
    [anon_sym_void] = ACTIONS(958),
    [anon_sym_delete] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(958),
    [sym_number] = ACTIONS(958),
    [sym_private_property_identifier] = ACTIONS(958),
    [sym_this] = ACTIONS(958),
    [sym_super] = ACTIONS(958),
    [sym_true] = ACTIONS(958),
    [sym_false] = ACTIONS(958),
    [sym_null] = ACTIONS(958),
    [sym_undefined] = ACTIONS(958),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [sym__automatic_semicolon] = ACTIONS(1093),
    [sym__ternary_qmark] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2086),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2087),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1095),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1355),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2176),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [aux_sym_array_repeat1] = STATE(2177),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1097),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2099),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(1956),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(999),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_comment] = STATE(222),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym_identifier] = ACTIONS(882),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(884),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(882),
    [anon_sym_import] = ACTIONS(882),
    [anon_sym_with] = ACTIONS(882),
    [anon_sym_var] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_const] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(882),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_await] = ACTIONS(882),
    [anon_sym_in] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(882),
    [anon_sym_try] = ACTIONS(882),
    [anon_sym_break] = ACTIONS(882),
    [anon_sym_continue] = ACTIONS(882),
    [anon_sym_debugger] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(882),
    [anon_sym_throw] = ACTIONS(882),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(882),
    [anon_sym_LBRACK] = ACTIONS(882),
    [anon_sym_LTtemplate_GT] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_GT] = ACTIONS(884),
    [anon_sym_DOT] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(882),
    [anon_sym_SQUOTE] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(882),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(882),
    [sym_optional_chain] = ACTIONS(884),
    [anon_sym_new] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(884),
    [anon_sym_GT_GT] = ACTIONS(884),
    [anon_sym_GT_GT_GT] = ACTIONS(884),
    [anon_sym_LT_LT] = ACTIONS(884),
    [anon_sym_AMP] = ACTIONS(884),
    [anon_sym_CARET] = ACTIONS(884),
    [anon_sym_PIPE] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(884),
    [anon_sym_STAR_STAR] = ACTIONS(884),
    [anon_sym_LT_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(884),
    [anon_sym_GT_EQ] = ACTIONS(884),
    [anon_sym_QMARK_QMARK] = ACTIONS(884),
    [anon_sym_instanceof] = ACTIONS(884),
    [anon_sym_BANG] = ACTIONS(882),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_typeof] = ACTIONS(882),
    [anon_sym_void] = ACTIONS(882),
    [anon_sym_delete] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(882),
    [sym_number] = ACTIONS(882),
    [sym_private_property_identifier] = ACTIONS(882),
    [sym_this] = ACTIONS(882),
    [sym_super] = ACTIONS(882),
    [sym_true] = ACTIONS(882),
    [sym_false] = ACTIONS(882),
    [sym_null] = ACTIONS(882),
    [sym_undefined] = ACTIONS(882),
    [anon_sym_AT] = ACTIONS(882),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [sym__automatic_semicolon] = ACTIONS(1099),
    [sym__ternary_qmark] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1324),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2839),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2839),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2539),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(2105),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1314),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_spread_element] = STATE(2768),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2768),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2228),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1067),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1864),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [sym_pattern] = STATE(2180),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1410),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2228),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1896),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [sym_pattern] = STATE(2180),
    [sym_rest_pattern] = STATE(1899),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(240),
    [sym_empty_statement] = STATE(240),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(239),
    [sym_empty_statement] = STATE(239),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(242),
    [sym_empty_statement] = STATE(242),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1818),
    [sym_expression_statement] = STATE(243),
    [sym_empty_statement] = STATE(243),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1243),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2249),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1107),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2522),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1218),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2279),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1115),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1252),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2346),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1260),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2434),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1123),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1083),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1083),
    [sym_subscript_expression] = STATE(1083),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2108),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_export] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1127),
    [anon_sym_get] = ACTIONS(1127),
    [anon_sym_set] = ACTIONS(1127),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1327),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2863),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1359),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2767),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1145),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1366),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2860),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1147),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1347),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2834),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1149),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1356),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2810),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1151),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1476),
    [sym_primary_expression] = STATE(1221),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1222),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(1153),
    [anon_sym_export] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(1159),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1161),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(1155),
    [anon_sym_set] = ACTIONS(1155),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1145),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1442),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1148),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1150),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1436),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1392),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1240),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1360),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1302),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2862),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(250),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1392),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1214),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(251),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1360),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1276),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1331),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1229),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2791),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1303),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2831),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1353),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2829),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1357),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2820),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1099),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1098),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(1167),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1173),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1332),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2789),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1167),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1456),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1331),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1198),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1167),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1406),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1109),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1411),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1132),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1426),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1145),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1427),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1148),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1150),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1429),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1109),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1459),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1316),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2856),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1375),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2777),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1376),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2806),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1325),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1167),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1171),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1225),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2526),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1476),
    [sym_primary_expression] = STATE(1221),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1222),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(1177),
    [anon_sym_export] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(1181),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1161),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_get] = ACTIONS(1179),
    [anon_sym_set] = ACTIONS(1179),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1109),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1110),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1099),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1098),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1132),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1133),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1145),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1146),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1148),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1149),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1150),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1300),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1199),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1300),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2808),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1293),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2289),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1344),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2837),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2833),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1326),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2800),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1244),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2251),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1362),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2765),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1253),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2347),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1369),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2758),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(293),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1789),
    [sym_statement_block] = STATE(1132),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1437),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_sequence_expression] = STATE(2436),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(295),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1371),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2780),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1372),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2788),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1373),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_sequence_expression] = STATE(2795),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1325),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1217),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(1818),
    [sym_statement_block] = STATE(1293),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1278),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1099),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1098),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1840),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(1189),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1466),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(303),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1394),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(304),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1414),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(305),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(306),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(307),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1417),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(308),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1418),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(309),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(310),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1420),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(311),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1421),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(312),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1422),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(313),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1423),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(314),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1424),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(315),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1425),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(316),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1440),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(317),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1160),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(318),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1202),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(320),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(321),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1464),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(322),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1446),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1235),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1204),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(325),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1266),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(326),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1236),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1173),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1448),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(329),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1174),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(331),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1467),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1395),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(333),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1089),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1090),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(335),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1455),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1166),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(337),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1468),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(338),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1404),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1438),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(341),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1160),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(343),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1266),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1072),
    [sym_subscript_expression] = STATE(1072),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(1992),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(1197),
    [anon_sym_export] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_get] = ACTIONS(1199),
    [anon_sym_set] = ACTIONS(1199),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1279),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(346),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1457),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(347),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1108),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(348),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(349),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1434),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1111),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(352),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1361),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(353),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1115),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(354),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1116),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(355),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1117),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1118),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1119),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(358),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1447),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(359),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1120),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(360),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1121),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1122),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(362),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1123),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(363),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1433),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(364),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1125),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(365),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(366),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1131),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(367),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1232),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1251),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(369),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1206),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(370),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1207),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(371),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1089),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(372),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(373),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1103),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(374),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1262),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(375),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1090),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(376),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1173),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(377),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1174),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(379),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1231),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1088),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(381),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1441),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(382),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1208),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1277),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(384),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1254),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1226),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(386),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(387),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(388),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1237),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(389),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(390),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1239),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(391),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(392),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1273),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(393),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1267),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1249),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1255),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(396),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1463),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(397),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1263),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1265),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(400),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1450),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(401),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1460),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(402),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1445),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(403),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1410),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1200),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(405),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1271),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(406),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1452),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1469),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1209),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1210),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1444),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1227),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1089),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1435),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1223),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(416),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1090),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1405),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1257),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_expression] = STATE(1212),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2836),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2844),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(1818),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1281),
    [sym_primary_expression] = STATE(1367),
    [sym_yield_expression] = STATE(1292),
    [sym_object] = STATE(1370),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1370),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1292),
    [sym_glimmer_opening_tag] = STATE(2041),
    [sym_jsx_element] = STATE(1292),
    [sym_jsx_opening_element] = STATE(1684),
    [sym_jsx_self_closing_element] = STATE(1292),
    [sym_class] = STATE(1370),
    [sym_function_expression] = STATE(1370),
    [sym_generator_function] = STATE(1370),
    [sym_arrow_function] = STATE(1370),
    [sym_call_expression] = STATE(1370),
    [sym_new_expression] = STATE(1292),
    [sym_await_expression] = STATE(1292),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1292),
    [sym__augmented_assignment_lhs] = STATE(1676),
    [sym_augmented_assignment_expression] = STATE(1292),
    [sym__destructuring_pattern] = STATE(2813),
    [sym_ternary_expression] = STATE(1292),
    [sym_binary_expression] = STATE(1292),
    [sym_unary_expression] = STATE(1292),
    [sym_update_expression] = STATE(1292),
    [sym_string] = STATE(1370),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(1370),
    [sym_regex] = STATE(1370),
    [sym_meta_property] = STATE(1370),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2817),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_expression] = STATE(1458),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1671),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2858),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(422),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2861),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_export] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(786),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_typeof] = ACTIONS(790),
    [anon_sym_void] = ACTIONS(790),
    [anon_sym_delete] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(778),
    [anon_sym_set] = ACTIONS(778),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1014),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1014),
    [sym_subscript_expression] = STATE(1014),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2787),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(423),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2774),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(772),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(1789),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1190),
    [sym_yield_expression] = STATE(1192),
    [sym_object] = STATE(1187),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1187),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1192),
    [sym_glimmer_opening_tag] = STATE(1979),
    [sym_jsx_element] = STATE(1192),
    [sym_jsx_opening_element] = STATE(1687),
    [sym_jsx_self_closing_element] = STATE(1192),
    [sym_class] = STATE(1187),
    [sym_function_expression] = STATE(1187),
    [sym_generator_function] = STATE(1187),
    [sym_arrow_function] = STATE(1187),
    [sym_call_expression] = STATE(1187),
    [sym_new_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_member_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1192),
    [sym__augmented_assignment_lhs] = STATE(1680),
    [sym_augmented_assignment_expression] = STATE(1192),
    [sym__destructuring_pattern] = STATE(2849),
    [sym_ternary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_update_expression] = STATE(1192),
    [sym_string] = STATE(1187),
    [sym_comment] = STATE(424),
    [sym_template_string] = STATE(1187),
    [sym_regex] = STATE(1187),
    [sym_meta_property] = STATE(1187),
    [sym_decorator] = STATE(2071),
    [sym_formal_parameters] = STATE(2816),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_namespace_export] = STATE(2415),
    [sym_export_clause] = STATE(1975),
    [sym_declaration] = STATE(917),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_class_declaration] = STATE(960),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function_declaration] = STATE(960),
    [sym_comment] = STATE(425),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(1993),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_namespace_export] = STATE(2415),
    [sym_export_clause] = STATE(1975),
    [sym_declaration] = STATE(917),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_class_declaration] = STATE(960),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function_declaration] = STATE(960),
    [sym_comment] = STATE(426),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(1993),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_namespace_export] = STATE(2415),
    [sym_export_clause] = STATE(1975),
    [sym_declaration] = STATE(917),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_class_declaration] = STATE(960),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function_declaration] = STATE(960),
    [sym_comment] = STATE(427),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(1993),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_namespace_export] = STATE(2550),
    [sym_export_clause] = STATE(1988),
    [sym_declaration] = STATE(2356),
    [sym_variable_declaration] = STATE(2326),
    [sym_lexical_declaration] = STATE(2326),
    [sym_class_declaration] = STATE(2326),
    [sym_function_declaration] = STATE(2326),
    [sym_generator_function_declaration] = STATE(2326),
    [sym_comment] = STATE(428),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(2022),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1251),
    [anon_sym_let] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1259),
    [anon_sym_async] = ACTIONS(1261),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(429),
    [sym_formal_parameters] = STATE(2826),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(430),
    [sym_formal_parameters] = STATE(2826),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_namespace_export] = STATE(2615),
    [sym_export_clause] = STATE(1921),
    [sym_declaration] = STATE(690),
    [sym_variable_declaration] = STATE(689),
    [sym_lexical_declaration] = STATE(689),
    [sym_class_declaration] = STATE(689),
    [sym_function_declaration] = STATE(689),
    [sym_generator_function_declaration] = STATE(689),
    [sym_comment] = STATE(431),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(2033),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1304),
    [anon_sym_let] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1308),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1310),
    [anon_sym_async] = ACTIONS(1312),
    [anon_sym_function] = ACTIONS(1314),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(432),
    [sym_formal_parameters] = STATE(2826),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_namespace_export] = STATE(2639),
    [sym_export_clause] = STATE(1943),
    [sym_declaration] = STATE(786),
    [sym_variable_declaration] = STATE(785),
    [sym_lexical_declaration] = STATE(785),
    [sym_class_declaration] = STATE(785),
    [sym_function_declaration] = STATE(785),
    [sym_generator_function_declaration] = STATE(785),
    [sym_comment] = STATE(433),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(2039),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1322),
    [anon_sym_let] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1328),
    [anon_sym_async] = ACTIONS(1330),
    [anon_sym_function] = ACTIONS(1332),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_namespace_export] = STATE(2662),
    [sym_export_clause] = STATE(1964),
    [sym_declaration] = STATE(551),
    [sym_variable_declaration] = STATE(549),
    [sym_lexical_declaration] = STATE(549),
    [sym_class_declaration] = STATE(549),
    [sym_function_declaration] = STATE(549),
    [sym_generator_function_declaration] = STATE(549),
    [sym_comment] = STATE(434),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(2043),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1338),
    [anon_sym_let] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1342),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1344),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(1348),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_namespace_export] = STATE(2415),
    [sym_export_clause] = STATE(1975),
    [sym_declaration] = STATE(917),
    [sym_variable_declaration] = STATE(960),
    [sym_lexical_declaration] = STATE(960),
    [sym_class_declaration] = STATE(960),
    [sym_function_declaration] = STATE(960),
    [sym_generator_function_declaration] = STATE(960),
    [sym_comment] = STATE(435),
    [sym_decorator] = STATE(2071),
    [aux_sym_export_statement_repeat1] = STATE(1993),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(436),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(437),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(438),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(439),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(440),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_string] = STATE(2355),
    [sym_comment] = STATE(441),
    [sym__property_name] = STATE(2429),
    [sym_computed_property_name] = STATE(2355),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1294),
    [sym_private_property_identifier] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_formal_parameters] = STATE(2855),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [sym_formal_parameters] = STATE(2855),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1384),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_variable_declarator] = STATE(1991),
    [sym_object_pattern] = STATE(1839),
    [sym_array_pattern] = STATE(1839),
    [sym__destructuring_pattern] = STATE(1868),
    [sym_comment] = STATE(446),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1394),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_variable_declarator] = STATE(1991),
    [sym_object_pattern] = STATE(1839),
    [sym_array_pattern] = STATE(1839),
    [sym__destructuring_pattern] = STATE(1868),
    [sym_comment] = STATE(449),
    [aux_sym_object_repeat1] = STATE(2159),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_formal_parameters] = STATE(2855),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [sym_formal_parameters] = STATE(2762),
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_export] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1415),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_let] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1415),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1413),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1420),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1413),
    [anon_sym_get] = ACTIONS(1413),
    [anon_sym_set] = ACTIONS(1413),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [sym_formal_parameters] = STATE(2799),
    [sym_identifier] = ACTIONS(1422),
    [anon_sym_export] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1428),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_get] = ACTIONS(1424),
    [anon_sym_set] = ACTIONS(1424),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_formal_parameters] = STATE(2799),
    [sym_identifier] = ACTIONS(1422),
    [anon_sym_export] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1424),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1428),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_get] = ACTIONS(1424),
    [anon_sym_set] = ACTIONS(1424),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_formal_parameters] = STATE(2762),
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_export] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1413),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1420),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1413),
    [anon_sym_get] = ACTIONS(1413),
    [anon_sym_set] = ACTIONS(1413),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_variable_declarator] = STATE(1991),
    [sym_object_pattern] = STATE(1839),
    [sym_array_pattern] = STATE(1839),
    [sym__destructuring_pattern] = STATE(1868),
    [sym_comment] = STATE(458),
    [aux_sym_object_repeat1] = STATE(2147),
    [aux_sym_object_pattern_repeat1] = STATE(2190),
    [sym_identifier] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [sym_formal_parameters] = STATE(2826),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1288),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_catch_clause] = STATE(466),
    [sym_finally_clause] = STATE(541),
    [sym_comment] = STATE(460),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_with] = ACTIONS(1438),
    [anon_sym_var] = ACTIONS(1438),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_await] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_debugger] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_catch] = ACTIONS(1440),
    [anon_sym_finally] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LTtemplate_GT] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_class] = ACTIONS(1438),
    [anon_sym_async] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1438),
    [anon_sym_void] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1438),
    [sym_super] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_comment] = STATE(461),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_else] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_catch] = ACTIONS(898),
    [anon_sym_finally] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_LTtemplate_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(898),
    [sym_number] = ACTIONS(898),
    [sym_private_property_identifier] = ACTIONS(898),
    [sym_this] = ACTIONS(898),
    [sym_super] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [sym__automatic_semicolon] = ACTIONS(1444),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(852),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_debugger] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_catch] = ACTIONS(852),
    [anon_sym_finally] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LTtemplate_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_typeof] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_delete] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(852),
    [sym_number] = ACTIONS(852),
    [sym_private_property_identifier] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_get] = ACTIONS(852),
    [anon_sym_set] = ACTIONS(852),
    [sym__automatic_semicolon] = ACTIONS(1446),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_comment] = STATE(463),
    [sym_formal_parameters] = STATE(2855),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_catch_clause] = STATE(506),
    [sym_finally_clause] = STATE(819),
    [sym_comment] = STATE(464),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_with] = ACTIONS(1438),
    [anon_sym_var] = ACTIONS(1438),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_await] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_debugger] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_catch] = ACTIONS(1451),
    [anon_sym_finally] = ACTIONS(1453),
    [anon_sym_yield] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LTtemplate_GT] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_class] = ACTIONS(1438),
    [anon_sym_async] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1438),
    [anon_sym_void] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1438),
    [sym_super] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_catch_clause] = STATE(484),
    [sym_finally_clause] = STATE(725),
    [sym_comment] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_with] = ACTIONS(1438),
    [anon_sym_var] = ACTIONS(1438),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_await] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_debugger] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_catch] = ACTIONS(1457),
    [anon_sym_finally] = ACTIONS(1459),
    [anon_sym_yield] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LTtemplate_GT] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_class] = ACTIONS(1438),
    [anon_sym_async] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1438),
    [anon_sym_void] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1438),
    [sym_super] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1442), 1,
      anon_sym_finally,
    STATE(466), 1,
      sym_comment,
    STATE(677), 1,
      sym_finally_clause,
    ACTIONS(1461), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1463), 1,
      sym__automatic_semicolon,
    STATE(467), 1,
      sym_comment,
    ACTIONS(898), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [152] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_function,
    STATE(468), 1,
      sym_comment,
    STATE(2826), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [243] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_EQ_GT,
    STATE(469), 1,
      sym_comment,
    STATE(2762), 1,
      sym_formal_parameters,
    ACTIONS(1413), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [334] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1465), 1,
      sym__automatic_semicolon,
    STATE(470), 1,
      sym_comment,
    ACTIONS(852), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [409] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1467), 1,
      sym__automatic_semicolon,
    STATE(471), 1,
      sym_comment,
    ACTIONS(898), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [484] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(1469), 1,
      sym__automatic_semicolon,
    STATE(472), 1,
      sym_comment,
    ACTIONS(852), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [561] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(473), 1,
      sym_comment,
    ACTIONS(898), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [634] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      ts_builtin_sym_end,
    ACTIONS(1471), 1,
      anon_sym_catch,
    ACTIONS(1473), 1,
      anon_sym_finally,
    STATE(474), 1,
      sym_comment,
    STATE(635), 1,
      sym_catch_clause,
    STATE(950), 1,
      sym_finally_clause,
    ACTIONS(1438), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [717] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1361), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1372), 1,
      anon_sym_EQ_GT,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    ACTIONS(1404), 1,
      anon_sym_EQ,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    STATE(475), 1,
      sym_comment,
    STATE(2855), 1,
      sym_formal_parameters,
    ACTIONS(1363), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 31,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [812] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1475), 1,
      sym__automatic_semicolon,
    STATE(476), 1,
      sym_comment,
    ACTIONS(852), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [887] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(477), 1,
      sym_comment,
    ACTIONS(908), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [960] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1477), 1,
      sym__automatic_semicolon,
    STATE(478), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1037] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_function,
    STATE(479), 1,
      sym_comment,
    STATE(2826), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1128] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1394), 1,
      anon_sym_function,
    STATE(480), 1,
      sym_comment,
    STATE(2826), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1219] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1409), 1,
      anon_sym_function,
    STATE(481), 1,
      sym_comment,
    STATE(2826), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1310] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1288), 1,
      anon_sym_function,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    STATE(482), 1,
      sym_comment,
    STATE(2826), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1401] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(1436), 1,
      anon_sym_COLON,
    STATE(483), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1991), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1495] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1459), 1,
      anon_sym_finally,
    ACTIONS(1479), 1,
      ts_builtin_sym_end,
    STATE(484), 1,
      sym_comment,
    STATE(766), 1,
      sym_finally_clause,
    ACTIONS(1461), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1573] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      anon_sym_COLON,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    STATE(485), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(2002), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1667] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1481), 1,
      sym__automatic_semicolon,
    STATE(486), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1743] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1483), 1,
      sym__automatic_semicolon,
    STATE(487), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1817] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(1485), 1,
      sym__automatic_semicolon,
    STATE(488), 1,
      sym_comment,
    ACTIONS(852), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1893] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1489), 1,
      anon_sym_else,
    STATE(489), 1,
      sym_comment,
    STATE(578), 1,
      sym_else_clause,
    ACTIONS(1487), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1969] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1491), 1,
      sym__automatic_semicolon,
    STATE(490), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2043] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1493), 1,
      sym__automatic_semicolon,
    STATE(491), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2117] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    STATE(492), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1927), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2211] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(1396), 1,
      anon_sym_in,
    ACTIONS(1399), 1,
      anon_sym_of,
    ACTIONS(1495), 1,
      sym_identifier,
    STATE(493), 1,
      sym_comment,
    STATE(1765), 1,
      sym__destructuring_pattern,
    STATE(1946), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2307] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1499), 1,
      sym__automatic_semicolon,
    STATE(494), 1,
      sym_comment,
    ACTIONS(1497), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(495), 1,
      sym_comment,
    ACTIONS(898), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2453] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1501), 1,
      sym__automatic_semicolon,
    STATE(496), 1,
      sym_comment,
    ACTIONS(852), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2527] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(497), 1,
      sym_comment,
    ACTIONS(908), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2599] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(954), 1,
      sym__automatic_semicolon,
    STATE(498), 1,
      sym_comment,
    ACTIONS(950), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2673] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_COLON,
    STATE(499), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1968), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2767] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(944), 1,
      sym__automatic_semicolon,
    STATE(500), 1,
      sym_comment,
    ACTIONS(942), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2841] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_COLON,
    STATE(501), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1981), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2935] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1505), 1,
      anon_sym_SEMI,
    ACTIONS(1507), 1,
      sym__automatic_semicolon,
    STATE(502), 1,
      sym_comment,
    ACTIONS(1503), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3011] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      sym__automatic_semicolon,
    STATE(503), 1,
      sym_comment,
    ACTIONS(908), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3085] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1396), 1,
      anon_sym_in,
    ACTIONS(1399), 1,
      anon_sym_of,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_EQ_GT,
    STATE(504), 1,
      sym_comment,
    STATE(2762), 1,
      sym_formal_parameters,
    ACTIONS(1413), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3179] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(994), 1,
      sym__automatic_semicolon,
    STATE(505), 1,
      sym_comment,
    ACTIONS(992), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3253] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1453), 1,
      anon_sym_finally,
    STATE(506), 1,
      sym_comment,
    STATE(858), 1,
      sym_finally_clause,
    ACTIONS(1461), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3329] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(978), 1,
      sym__automatic_semicolon,
    STATE(507), 1,
      sym_comment,
    ACTIONS(974), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3403] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(988), 1,
      sym__automatic_semicolon,
    STATE(508), 1,
      sym_comment,
    ACTIONS(984), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3477] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(886), 1,
      sym__automatic_semicolon,
    STATE(509), 1,
      sym_comment,
    ACTIONS(882), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3551] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(858), 1,
      sym__automatic_semicolon,
    STATE(510), 1,
      sym_comment,
    ACTIONS(852), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3625] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(511), 1,
      sym_comment,
    ACTIONS(898), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3697] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(1509), 1,
      sym__automatic_semicolon,
    STATE(512), 1,
      sym_comment,
    ACTIONS(852), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3773] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(878), 1,
      sym__automatic_semicolon,
    STATE(513), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3847] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(970), 1,
      sym__automatic_semicolon,
    STATE(514), 1,
      sym_comment,
    ACTIONS(966), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3921] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(894), 1,
      sym__automatic_semicolon,
    STATE(515), 1,
      sym_comment,
    ACTIONS(890), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3995] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(962), 1,
      sym__automatic_semicolon,
    STATE(516), 1,
      sym_comment,
    ACTIONS(958), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4069] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(517), 1,
      sym_comment,
    ACTIONS(1511), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4141] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1513), 1,
      sym_identifier,
    ACTIONS(1517), 1,
      anon_sym_EQ,
    ACTIONS(1519), 1,
      anon_sym_EQ_GT,
    STATE(518), 1,
      sym_comment,
    STATE(2786), 1,
      sym_formal_parameters,
    ACTIONS(1515), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4231] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    STATE(519), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4305] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      ts_builtin_sym_end,
    STATE(520), 1,
      sym_comment,
    ACTIONS(908), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4379] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1513), 1,
      sym_identifier,
    ACTIONS(1519), 1,
      anon_sym_EQ_GT,
    STATE(521), 1,
      sym_comment,
    STATE(2786), 1,
      sym_formal_parameters,
    ACTIONS(1515), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4469] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(522), 1,
      sym_comment,
    ACTIONS(908), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4541] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1521), 1,
      sym__automatic_semicolon,
    STATE(523), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4617] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1523), 1,
      sym__automatic_semicolon,
    STATE(524), 1,
      sym_comment,
    ACTIONS(852), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4691] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1525), 1,
      anon_sym_else,
    STATE(525), 1,
      sym_comment,
    STATE(836), 1,
      sym_else_clause,
    ACTIONS(1487), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4767] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      sym__automatic_semicolon,
    STATE(526), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4841] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(527), 1,
      sym_comment,
    ACTIONS(1527), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4913] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(528), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4984] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(529), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5055] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(530), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5126] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(531), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5197] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(532), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5268] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(533), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5339] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(534), 1,
      sym_comment,
    ACTIONS(902), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(898), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5412] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1039), 1,
      sym__automatic_semicolon,
    STATE(535), 1,
      sym_comment,
    ACTIONS(958), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5485] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(536), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5556] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(537), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5627] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(538), 1,
      sym_comment,
    ACTIONS(1533), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5698] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(1535), 1,
      sym__automatic_semicolon,
    STATE(539), 1,
      sym_comment,
    ACTIONS(852), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5773] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1537), 1,
      anon_sym_SEMI,
    ACTIONS(1539), 1,
      sym__automatic_semicolon,
    STATE(540), 1,
      sym_comment,
    ACTIONS(1503), 57,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5848] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(541), 1,
      sym_comment,
    ACTIONS(1541), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5919] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(542), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5990] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(543), 1,
      sym_comment,
    ACTIONS(1545), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6061] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1547), 1,
      sym__automatic_semicolon,
    STATE(544), 1,
      sym_comment,
    ACTIONS(898), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6136] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1549), 1,
      sym__automatic_semicolon,
    STATE(545), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6209] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(546), 1,
      sym_comment,
    ACTIONS(1511), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6280] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1023), 1,
      ts_builtin_sym_end,
    ACTIONS(1025), 1,
      sym__automatic_semicolon,
    STATE(547), 1,
      sym_comment,
    ACTIONS(890), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6355] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(548), 1,
      sym_comment,
    ACTIONS(1551), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6426] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(549), 1,
      sym_comment,
    ACTIONS(1553), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6497] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(550), 1,
      sym_comment,
    ACTIONS(1555), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6568] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(551), 1,
      sym_comment,
    ACTIONS(1557), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6639] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      ts_builtin_sym_end,
    STATE(552), 1,
      sym_comment,
    ACTIONS(908), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6712] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(553), 1,
      sym_comment,
    ACTIONS(910), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(908), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6785] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1005), 1,
      ts_builtin_sym_end,
    ACTIONS(1007), 1,
      sym__automatic_semicolon,
    STATE(554), 1,
      sym_comment,
    ACTIONS(984), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6860] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(555), 1,
      sym_comment,
    ACTIONS(1559), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6931] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(556), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7002] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1051), 1,
      sym__automatic_semicolon,
    STATE(557), 1,
      sym_comment,
    ACTIONS(984), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7075] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      sym__automatic_semicolon,
    STATE(558), 1,
      sym_comment,
    ACTIONS(890), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7148] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1045), 1,
      sym__automatic_semicolon,
    STATE(559), 1,
      sym_comment,
    ACTIONS(974), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7221] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(560), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7292] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(561), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7363] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(562), 1,
      sym_comment,
    ACTIONS(1563), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7434] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1565), 1,
      ts_builtin_sym_end,
    ACTIONS(1567), 1,
      anon_sym_else,
    STATE(563), 1,
      sym_comment,
    STATE(981), 1,
      sym_else_clause,
    ACTIONS(1487), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7511] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(564), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7582] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(565), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7653] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(566), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7724] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1001), 1,
      ts_builtin_sym_end,
    ACTIONS(1003), 1,
      sym__automatic_semicolon,
    STATE(567), 1,
      sym_comment,
    ACTIONS(974), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7799] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(948), 1,
      sym__automatic_semicolon,
    STATE(568), 1,
      sym_comment,
    ACTIONS(852), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7872] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(569), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7943] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1569), 1,
      sym__automatic_semicolon,
    STATE(570), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8016] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(571), 1,
      sym_comment,
    ACTIONS(1571), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(572), 1,
      sym_comment,
    ACTIONS(1571), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8158] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(573), 1,
      sym_comment,
    ACTIONS(908), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8229] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(994), 1,
      sym__automatic_semicolon,
    STATE(574), 1,
      sym_comment,
    ACTIONS(992), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8302] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(575), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8373] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      sym__automatic_semicolon,
    STATE(576), 1,
      sym_comment,
    ACTIONS(882), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8446] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(946), 1,
      sym__automatic_semicolon,
    STATE(577), 1,
      sym_comment,
    ACTIONS(852), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8521] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(578), 1,
      sym_comment,
    ACTIONS(1575), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(579), 1,
      sym_comment,
    ACTIONS(1577), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(580), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8734] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(581), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8805] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(582), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8876] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(1579), 1,
      sym__automatic_semicolon,
    STATE(583), 1,
      sym_comment,
    ACTIONS(852), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8951] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(584), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9022] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1009), 1,
      ts_builtin_sym_end,
    ACTIONS(1011), 1,
      sym__automatic_semicolon,
    STATE(585), 1,
      sym_comment,
    ACTIONS(882), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9097] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(586), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9168] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(587), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9239] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(588), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9310] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(589), 1,
      sym_comment,
    ACTIONS(898), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(590), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9452] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(944), 1,
      sym__automatic_semicolon,
    STATE(591), 1,
      sym_comment,
    ACTIONS(942), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9525] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(592), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9596] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(593), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9667] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(594), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9738] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(595), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9809] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(596), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9880] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(597), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9951] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(598), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10022] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(599), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10093] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(600), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10164] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(601), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10235] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(602), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10306] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(603), 1,
      sym_comment,
    ACTIONS(1527), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10377] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(604), 1,
      sym_comment,
    ACTIONS(1581), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10448] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(605), 1,
      sym_comment,
    ACTIONS(1583), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10519] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1585), 1,
      sym__automatic_semicolon,
    STATE(606), 1,
      sym_comment,
    ACTIONS(852), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(607), 1,
      sym_comment,
    ACTIONS(908), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(608), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10734] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1565), 1,
      ts_builtin_sym_end,
    ACTIONS(1587), 1,
      anon_sym_else,
    STATE(609), 1,
      sym_comment,
    STATE(743), 1,
      sym_else_clause,
    ACTIONS(1487), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10811] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(610), 1,
      sym_comment,
    ACTIONS(1589), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10882] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1055), 1,
      ts_builtin_sym_end,
    ACTIONS(1057), 1,
      sym__automatic_semicolon,
    STATE(611), 1,
      sym_comment,
    ACTIONS(950), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10957] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    STATE(612), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11030] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(613), 1,
      sym_comment,
    ACTIONS(1591), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11101] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      ts_builtin_sym_end,
    ACTIONS(1031), 1,
      sym__automatic_semicolon,
    STATE(614), 1,
      sym_comment,
    ACTIONS(958), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11176] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(615), 1,
      sym_comment,
    ACTIONS(1593), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11247] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      sym__automatic_semicolon,
    STATE(616), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11320] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(617), 1,
      sym_comment,
    ACTIONS(1595), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11391] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(618), 1,
      sym_comment,
    ACTIONS(1597), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11462] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(619), 1,
      sym_comment,
    ACTIONS(1599), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11533] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(620), 1,
      sym_comment,
    ACTIONS(1601), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11604] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(621), 1,
      sym_comment,
    ACTIONS(1603), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11675] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(622), 1,
      sym_comment,
    ACTIONS(1603), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11746] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(623), 1,
      sym_comment,
    ACTIONS(1605), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11817] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(624), 1,
      sym_comment,
    ACTIONS(1607), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11888] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(625), 1,
      sym_comment,
    ACTIONS(1609), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11959] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(626), 1,
      sym_comment,
    ACTIONS(1611), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12030] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      sym__automatic_semicolon,
    STATE(627), 1,
      sym_comment,
    ACTIONS(908), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12103] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(628), 1,
      sym_comment,
    ACTIONS(1613), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12174] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1615), 1,
      sym__automatic_semicolon,
    STATE(629), 1,
      sym_comment,
    ACTIONS(898), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12249] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1617), 1,
      ts_builtin_sym_end,
    ACTIONS(1619), 1,
      anon_sym_SEMI,
    ACTIONS(1621), 1,
      sym__automatic_semicolon,
    STATE(630), 1,
      sym_comment,
    ACTIONS(1503), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12326] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(631), 1,
      sym_comment,
    ACTIONS(1623), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12397] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(632), 1,
      sym_comment,
    ACTIONS(1625), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12468] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(633), 1,
      sym_comment,
    ACTIONS(1627), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12539] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(634), 1,
      sym_comment,
    ACTIONS(1627), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12610] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1473), 1,
      anon_sym_finally,
    ACTIONS(1479), 1,
      ts_builtin_sym_end,
    STATE(635), 1,
      sym_comment,
    STATE(1005), 1,
      sym_finally_clause,
    ACTIONS(1461), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12687] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(636), 1,
      sym_comment,
    ACTIONS(1629), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(637), 1,
      sym_comment,
    ACTIONS(1631), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(638), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12900] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(639), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12971] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(640), 1,
      sym_comment,
    ACTIONS(1635), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13042] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1637), 1,
      ts_builtin_sym_end,
    STATE(641), 1,
      sym_comment,
    ACTIONS(1527), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13115] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(642), 1,
      sym_comment,
    ACTIONS(1639), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13186] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(643), 1,
      sym_comment,
    ACTIONS(1641), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13257] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(644), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13328] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(645), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13399] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(646), 1,
      sym_comment,
    ACTIONS(1645), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13470] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(647), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13541] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(648), 1,
      sym_comment,
    ACTIONS(1647), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13612] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(649), 1,
      sym_comment,
    ACTIONS(1649), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13683] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      ts_builtin_sym_end,
    STATE(650), 1,
      sym_comment,
    ACTIONS(908), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13756] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(651), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13827] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(652), 1,
      sym_comment,
    ACTIONS(1651), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13898] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(653), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13969] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1653), 1,
      ts_builtin_sym_end,
    STATE(654), 1,
      sym_comment,
    ACTIONS(1511), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14042] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(655), 1,
      sym_comment,
    ACTIONS(1655), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14113] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(656), 1,
      sym_comment,
    ACTIONS(1657), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14184] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(657), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14255] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(658), 1,
      sym_comment,
    ACTIONS(1659), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14326] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(659), 1,
      sym_comment,
    ACTIONS(1661), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14397] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(660), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14468] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1663), 1,
      sym__automatic_semicolon,
    STATE(661), 1,
      sym_comment,
    ACTIONS(898), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14543] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(662), 1,
      sym_comment,
    ACTIONS(1499), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1497), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14616] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(663), 1,
      sym_comment,
    ACTIONS(944), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(942), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14689] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(664), 1,
      sym_comment,
    ACTIONS(994), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(992), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14762] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1499), 1,
      sym__automatic_semicolon,
    STATE(665), 1,
      sym_comment,
    ACTIONS(1497), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14835] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      ts_builtin_sym_end,
    ACTIONS(1017), 1,
      sym__automatic_semicolon,
    STATE(666), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14910] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(667), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14981] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1041), 1,
      sym__automatic_semicolon,
    STATE(668), 1,
      sym_comment,
    ACTIONS(950), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15054] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    STATE(669), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15127] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1049), 1,
      sym__automatic_semicolon,
    STATE(670), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15200] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(671), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15271] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1019), 1,
      ts_builtin_sym_end,
    ACTIONS(1021), 1,
      sym__automatic_semicolon,
    STATE(672), 1,
      sym_comment,
    ACTIONS(966), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15346] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(673), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15417] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(674), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15488] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1013), 1,
      sym__automatic_semicolon,
    STATE(675), 1,
      sym_comment,
    ACTIONS(966), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15561] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(676), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15632] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(677), 1,
      sym_comment,
    ACTIONS(1665), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15703] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(678), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15773] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1001), 1,
      ts_builtin_sym_end,
    ACTIONS(1081), 1,
      sym__automatic_semicolon,
    STATE(679), 1,
      sym_comment,
    ACTIONS(974), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15847] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1005), 1,
      ts_builtin_sym_end,
    ACTIONS(1083), 1,
      sym__automatic_semicolon,
    STATE(680), 1,
      sym_comment,
    ACTIONS(984), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15921] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1009), 1,
      ts_builtin_sym_end,
    ACTIONS(1099), 1,
      sym__automatic_semicolon,
    STATE(681), 1,
      sym_comment,
    ACTIONS(882), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15995] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      ts_builtin_sym_end,
    ACTIONS(1087), 1,
      sym__automatic_semicolon,
    STATE(682), 1,
      sym_comment,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16069] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1019), 1,
      ts_builtin_sym_end,
    ACTIONS(1089), 1,
      sym__automatic_semicolon,
    STATE(683), 1,
      sym_comment,
    ACTIONS(966), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16143] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1023), 1,
      ts_builtin_sym_end,
    ACTIONS(1091), 1,
      sym__automatic_semicolon,
    STATE(684), 1,
      sym_comment,
    ACTIONS(890), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16217] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1029), 1,
      ts_builtin_sym_end,
    ACTIONS(1093), 1,
      sym__automatic_semicolon,
    STATE(685), 1,
      sym_comment,
    ACTIONS(958), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16291] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1653), 1,
      ts_builtin_sym_end,
    STATE(686), 1,
      sym_comment,
    ACTIONS(1511), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16363] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(687), 1,
      sym_comment,
    ACTIONS(1667), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16433] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(688), 1,
      sym_comment,
    ACTIONS(1649), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16505] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(689), 1,
      sym_comment,
    ACTIONS(1553), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16577] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(690), 1,
      sym_comment,
    ACTIONS(1557), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16649] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(691), 1,
      sym_comment,
    ACTIONS(1581), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16721] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(692), 1,
      sym_comment,
    ACTIONS(1589), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16793] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(693), 1,
      sym_comment,
    ACTIONS(1595), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16865] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(694), 1,
      sym_comment,
    ACTIONS(1597), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16937] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(695), 1,
      sym_comment,
    ACTIONS(1651), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17009] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(696), 1,
      sym_comment,
    ACTIONS(1599), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17081] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(697), 1,
      sym_comment,
    ACTIONS(1601), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17153] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(698), 1,
      sym_comment,
    ACTIONS(1611), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17225] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(699), 1,
      sym_comment,
    ACTIONS(1623), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17297] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(700), 1,
      sym_comment,
    ACTIONS(1631), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17369] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(701), 1,
      sym_comment,
    ACTIONS(1655), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17441] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(702), 1,
      sym_comment,
    ACTIONS(1657), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17513] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(703), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17585] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(704), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17657] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(705), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17729] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(706), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17801] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(707), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17873] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(708), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17945] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(709), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18017] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(710), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18089] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(711), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18161] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(712), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18233] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(713), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18305] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(714), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18377] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(715), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18449] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(716), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18521] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(717), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18593] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(718), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18665] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(719), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18737] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(720), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18809] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(721), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18881] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(722), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18953] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(723), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19025] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(724), 1,
      sym_comment,
    ACTIONS(1533), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19097] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(725), 1,
      sym_comment,
    ACTIONS(1541), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19169] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(726), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19241] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(727), 1,
      sym_comment,
    ACTIONS(1545), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19313] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(728), 1,
      sym_comment,
    ACTIONS(1551), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19385] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(729), 1,
      sym_comment,
    ACTIONS(1555), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19457] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(730), 1,
      sym_comment,
    ACTIONS(1559), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19529] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(731), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19601] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(732), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19673] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(733), 1,
      sym_comment,
    ACTIONS(1563), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19745] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(734), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19817] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(735), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19889] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(736), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19961] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(737), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20033] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(738), 1,
      sym_comment,
    ACTIONS(1571), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20105] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(739), 1,
      sym_comment,
    ACTIONS(1571), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20177] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1723), 1,
      ts_builtin_sym_end,
    STATE(740), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20249] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1725), 1,
      ts_builtin_sym_end,
    STATE(741), 1,
      sym_comment,
    ACTIONS(1659), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20321] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(742), 1,
      sym_comment,
    ACTIONS(1661), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20393] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(743), 1,
      sym_comment,
    ACTIONS(1575), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20465] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(744), 1,
      sym_comment,
    ACTIONS(1577), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20537] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(745), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20609] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(746), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20681] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(747), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20753] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(748), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20825] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(749), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20897] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(750), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20969] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(751), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21041] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(752), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21113] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(753), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21185] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(754), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21257] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(755), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21329] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(756), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21401] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(757), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21473] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(758), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21545] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(759), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21617] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(760), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21689] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(761), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21761] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(762), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21833] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(763), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21905] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(764), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21977] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(765), 1,
      sym_comment,
    ACTIONS(1583), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22049] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(766), 1,
      sym_comment,
    ACTIONS(1665), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22121] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(767), 1,
      sym_comment,
    ACTIONS(1591), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22193] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(768), 1,
      sym_comment,
    ACTIONS(1593), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22265] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(769), 1,
      sym_comment,
    ACTIONS(1603), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22337] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(770), 1,
      sym_comment,
    ACTIONS(1603), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22409] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1745), 1,
      ts_builtin_sym_end,
    STATE(771), 1,
      sym_comment,
    ACTIONS(1605), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22481] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(772), 1,
      sym_comment,
    ACTIONS(1607), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22553] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(773), 1,
      sym_comment,
    ACTIONS(1609), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22625] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(774), 1,
      sym_comment,
    ACTIONS(1613), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22697] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1753), 1,
      ts_builtin_sym_end,
    STATE(775), 1,
      sym_comment,
    ACTIONS(1625), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22769] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(776), 1,
      sym_comment,
    ACTIONS(1627), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22841] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(777), 1,
      sym_comment,
    ACTIONS(1627), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22913] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(778), 1,
      sym_comment,
    ACTIONS(1629), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22985] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(779), 1,
      sym_comment,
    ACTIONS(1635), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23057] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1761), 1,
      ts_builtin_sym_end,
    STATE(780), 1,
      sym_comment,
    ACTIONS(1639), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23129] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1763), 1,
      ts_builtin_sym_end,
    STATE(781), 1,
      sym_comment,
    ACTIONS(1641), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23201] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(782), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23273] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(783), 1,
      sym_comment,
    ACTIONS(1645), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23345] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1769), 1,
      ts_builtin_sym_end,
    STATE(784), 1,
      sym_comment,
    ACTIONS(1647), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23417] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(785), 1,
      sym_comment,
    ACTIONS(1553), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(786), 1,
      sym_comment,
    ACTIONS(1557), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23557] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(787), 1,
      sym_comment,
    ACTIONS(1581), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23627] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(788), 1,
      sym_comment,
    ACTIONS(1589), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23697] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(789), 1,
      sym_comment,
    ACTIONS(1595), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23767] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(790), 1,
      sym_comment,
    ACTIONS(1597), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23837] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    STATE(791), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1991), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23927] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(792), 1,
      sym_comment,
    ACTIONS(1599), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23997] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(793), 1,
      sym_comment,
    ACTIONS(1601), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24067] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(794), 1,
      sym_comment,
    ACTIONS(1611), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24137] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(795), 1,
      sym_comment,
    ACTIONS(1623), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24207] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(796), 1,
      sym_comment,
    ACTIONS(1631), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(797), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24347] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(798), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24417] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(799), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(800), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24557] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(801), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24627] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1981), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24717] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(803), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24787] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(804), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24857] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(805), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24927] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(806), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24997] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(807), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25067] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(808), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25137] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(809), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25207] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(810), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(811), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25347] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(812), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25417] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(813), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(814), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25557] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(815), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25627] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(816), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25697] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(817), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25767] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(818), 1,
      sym_comment,
    ACTIONS(1533), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25837] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(819), 1,
      sym_comment,
    ACTIONS(1541), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25907] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(820), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25977] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(821), 1,
      sym_comment,
    ACTIONS(1545), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26047] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(822), 1,
      sym_comment,
    ACTIONS(1551), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26117] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(823), 1,
      sym_comment,
    ACTIONS(1555), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26187] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(824), 1,
      sym_comment,
    ACTIONS(944), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(942), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26259] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(825), 1,
      sym_comment,
    ACTIONS(1559), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(826), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26399] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(827), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26469] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(828), 1,
      sym_comment,
    ACTIONS(1563), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26539] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(829), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26609] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(830), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26679] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(831), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26749] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(832), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26819] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(833), 1,
      sym_comment,
    ACTIONS(1571), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26889] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(834), 1,
      sym_comment,
    ACTIONS(1571), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26959] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(835), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27029] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(836), 1,
      sym_comment,
    ACTIONS(1575), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(837), 1,
      sym_comment,
    ACTIONS(1577), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27169] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(838), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27239] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(839), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27309] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(840), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27379] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(841), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27449] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(842), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27519] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(843), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27589] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(844), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27659] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(845), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27729] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(846), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27799] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(847), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27869] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(848), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27939] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(849), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28009] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(850), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28079] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(851), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28149] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(852), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28219] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(853), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28289] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(854), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28359] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(855), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28429] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(856), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28499] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(857), 1,
      sym_comment,
    ACTIONS(1583), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28569] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(858), 1,
      sym_comment,
    ACTIONS(1665), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28639] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(859), 1,
      sym_comment,
    ACTIONS(994), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(992), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28711] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(860), 1,
      sym_comment,
    ACTIONS(1591), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28781] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(861), 1,
      sym_comment,
    ACTIONS(1593), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28851] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(862), 1,
      sym_comment,
    ACTIONS(1603), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28921] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(863), 1,
      sym_comment,
    ACTIONS(1603), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28991] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(864), 1,
      sym_comment,
    ACTIONS(1605), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29061] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(865), 1,
      sym_comment,
    ACTIONS(1607), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29131] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(866), 1,
      sym_comment,
    ACTIONS(1609), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29201] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(867), 1,
      sym_comment,
    ACTIONS(1613), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29271] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(868), 1,
      sym_comment,
    ACTIONS(1625), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29341] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(869), 1,
      sym_comment,
    ACTIONS(1627), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29411] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(870), 1,
      sym_comment,
    ACTIONS(1627), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29481] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(871), 1,
      sym_comment,
    ACTIONS(1629), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29551] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(872), 1,
      sym_comment,
    ACTIONS(1635), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29621] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(873), 1,
      sym_comment,
    ACTIONS(1639), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29691] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(874), 1,
      sym_comment,
    ACTIONS(1641), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29761] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(875), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29831] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(876), 1,
      sym_comment,
    ACTIONS(1645), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29901] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(877), 1,
      sym_comment,
    ACTIONS(1647), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29971] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(878), 1,
      sym_comment,
    ACTIONS(1649), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30041] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(879), 1,
      sym_comment,
    ACTIONS(1651), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30111] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    STATE(880), 1,
      sym_comment,
    ACTIONS(898), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30183] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(881), 1,
      sym_comment,
    ACTIONS(1655), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30253] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(882), 1,
      sym_comment,
    ACTIONS(1657), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30323] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1771), 1,
      sym__automatic_semicolon,
    STATE(883), 1,
      sym_comment,
    ACTIONS(898), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30397] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(884), 1,
      sym_comment,
    ACTIONS(1499), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(1497), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30469] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      ts_builtin_sym_end,
    STATE(885), 1,
      sym_comment,
    ACTIONS(908), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30541] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(886), 1,
      sym_comment,
    ACTIONS(1659), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30611] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(887), 1,
      sym_comment,
    ACTIONS(1661), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30681] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(1053), 1,
      sym__automatic_semicolon,
    STATE(888), 1,
      sym_comment,
    ACTIONS(852), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30755] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    STATE(889), 1,
      sym_comment,
    ACTIONS(898), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30827] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      ts_builtin_sym_end,
    STATE(890), 1,
      sym_comment,
    ACTIONS(908), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30899] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(906), 1,
      ts_builtin_sym_end,
    ACTIONS(1773), 1,
      sym__automatic_semicolon,
    STATE(891), 1,
      sym_comment,
    ACTIONS(852), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30973] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(892), 1,
      sym_comment,
    ACTIONS(902), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(898), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31045] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(893), 1,
      sym_comment,
    ACTIONS(910), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(908), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31117] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(894), 1,
      sym_comment,
    ACTIONS(898), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31187] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(895), 1,
      sym_comment,
    ACTIONS(908), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31257] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    STATE(896), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(2002), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31347] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    ACTIONS(1775), 1,
      sym__automatic_semicolon,
    STATE(897), 1,
      sym_comment,
    ACTIONS(898), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31421] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1055), 1,
      ts_builtin_sym_end,
    ACTIONS(1073), 1,
      sym__automatic_semicolon,
    STATE(898), 1,
      sym_comment,
    ACTIONS(950), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31495] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    STATE(899), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1927), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31585] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1290), 1,
      anon_sym_EQ_GT,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    STATE(900), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1968), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31675] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1617), 1,
      ts_builtin_sym_end,
    ACTIONS(1777), 1,
      anon_sym_SEMI,
    ACTIONS(1779), 1,
      sym__automatic_semicolon,
    STATE(901), 1,
      sym_comment,
    ACTIONS(1503), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31751] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1637), 1,
      ts_builtin_sym_end,
    STATE(902), 1,
      sym_comment,
    ACTIONS(1527), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31823] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(903), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31893] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(904), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31964] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1767), 1,
      ts_builtin_sym_end,
    STATE(905), 1,
      sym_comment,
    ACTIONS(1645), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32035] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(906), 1,
      sym_comment,
    ACTIONS(1609), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32106] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1769), 1,
      ts_builtin_sym_end,
    STATE(907), 1,
      sym_comment,
    ACTIONS(1647), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32177] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(908), 1,
      sym_comment,
    ACTIONS(1611), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32248] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(909), 1,
      sym_comment,
    ACTIONS(1613), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32319] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(902), 1,
      ts_builtin_sym_end,
    STATE(910), 1,
      sym_comment,
    ACTIONS(898), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32390] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(911), 1,
      sym_comment,
    ACTIONS(1581), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32461] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(912), 1,
      sym_comment,
    ACTIONS(1589), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32532] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(913), 1,
      sym_comment,
    ACTIONS(1595), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32603] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(914), 1,
      sym_comment,
    ACTIONS(1599), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32674] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(915), 1,
      sym_comment,
    ACTIONS(1601), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32745] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(916), 1,
      sym_comment,
    ACTIONS(1597), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32816] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(917), 1,
      sym_comment,
    ACTIONS(1557), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32887] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1753), 1,
      ts_builtin_sym_end,
    STATE(918), 1,
      sym_comment,
    ACTIONS(1625), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32958] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(919), 1,
      sym_comment,
    ACTIONS(1623), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33029] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(920), 1,
      sym_comment,
    ACTIONS(1631), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33100] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(921), 1,
      sym_comment,
    ACTIONS(1649), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33171] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(922), 1,
      sym_comment,
    ACTIONS(1655), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33242] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(923), 1,
      sym_comment,
    ACTIONS(1657), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33313] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(924), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33384] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(925), 1,
      sym_comment,
    ACTIONS(1627), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33455] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(926), 1,
      sym_comment,
    ACTIONS(1627), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33526] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1781), 1,
      ts_builtin_sym_end,
    STATE(927), 1,
      sym_comment,
    ACTIONS(1667), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33597] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1787), 1,
      anon_sym_LPAREN,
    ACTIONS(1790), 1,
      anon_sym_EQ,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    STATE(928), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1785), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33684] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(929), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33755] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(930), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33826] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(931), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33897] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(932), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33968] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(933), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34039] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(934), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34110] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(935), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34181] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(936), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34252] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(937), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34323] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(938), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34394] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(939), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34465] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(940), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34536] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(941), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34607] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(942), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34678] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(943), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34749] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(944), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34820] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(945), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34891] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(946), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34962] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(947), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35033] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(948), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35104] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(949), 1,
      sym_comment,
    ACTIONS(1533), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35175] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(950), 1,
      sym_comment,
    ACTIONS(1541), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35246] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(951), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35317] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(952), 1,
      sym_comment,
    ACTIONS(1545), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35388] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(953), 1,
      sym_comment,
    ACTIONS(1551), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35459] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(954), 1,
      sym_comment,
    ACTIONS(1555), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35530] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(955), 1,
      sym_comment,
    ACTIONS(1593), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35601] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(956), 1,
      sym_comment,
    ACTIONS(1603), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35672] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(957), 1,
      sym_comment,
    ACTIONS(1651), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35743] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(958), 1,
      sym_comment,
    ACTIONS(1603), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35814] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1745), 1,
      ts_builtin_sym_end,
    STATE(959), 1,
      sym_comment,
    ACTIONS(1605), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35885] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(960), 1,
      sym_comment,
    ACTIONS(1553), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35956] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(1787), 1,
      anon_sym_LPAREN,
    ACTIONS(1790), 1,
      anon_sym_EQ,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    STATE(961), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1785), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [36043] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(962), 1,
      sym_comment,
    ACTIONS(1635), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36114] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(963), 1,
      sym_comment,
    ACTIONS(1559), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36185] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(964), 1,
      sym_comment,
    ACTIONS(1591), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36256] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(965), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36327] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(966), 1,
      sym_comment,
    ACTIONS(1563), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36398] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1761), 1,
      ts_builtin_sym_end,
    STATE(967), 1,
      sym_comment,
    ACTIONS(1639), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36469] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(968), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36540] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(969), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36611] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(970), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36682] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(971), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36753] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(1787), 1,
      anon_sym_LPAREN,
    ACTIONS(1790), 1,
      anon_sym_EQ,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    STATE(972), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1785), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [36840] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(910), 1,
      ts_builtin_sym_end,
    STATE(973), 1,
      sym_comment,
    ACTIONS(908), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36911] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1763), 1,
      ts_builtin_sym_end,
    STATE(974), 1,
      sym_comment,
    ACTIONS(1641), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36982] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1765), 1,
      ts_builtin_sym_end,
    STATE(975), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37053] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(976), 1,
      sym_comment,
    ACTIONS(1571), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37124] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(977), 1,
      sym_comment,
    ACTIONS(1571), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37195] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1723), 1,
      ts_builtin_sym_end,
    STATE(978), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37266] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1725), 1,
      ts_builtin_sym_end,
    STATE(979), 1,
      sym_comment,
    ACTIONS(1659), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37337] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(980), 1,
      sym_comment,
    ACTIONS(1661), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37408] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(981), 1,
      sym_comment,
    ACTIONS(1575), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37479] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(982), 1,
      sym_comment,
    ACTIONS(1577), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37550] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(983), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37621] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(984), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37692] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(985), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37763] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(986), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37834] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(987), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37905] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(988), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37976] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(989), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38047] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(990), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38118] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(991), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38189] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(992), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38260] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(993), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38331] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(994), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38402] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(995), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38473] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(996), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38544] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(997), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38615] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(998), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38686] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(999), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38757] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(1000), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38828] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(1001), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38899] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(1002), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38970] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(1003), 1,
      sym_comment,
    ACTIONS(1607), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39041] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(1004), 1,
      sym_comment,
    ACTIONS(1583), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39112] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(1005), 1,
      sym_comment,
    ACTIONS(1665), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39183] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(1006), 1,
      sym_comment,
    ACTIONS(1629), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39254] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1007), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1008), 1,
      sym_comment,
    ACTIONS(1800), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1009), 1,
      sym_comment,
    ACTIONS(1804), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1806), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1010), 1,
      sym_comment,
    ACTIONS(1808), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1810), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1011), 1,
      sym_comment,
    ACTIONS(1812), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1814), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1012), 1,
      sym_comment,
    ACTIONS(1816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1818), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39674] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1396), 1,
      anon_sym_in,
    ACTIONS(1399), 1,
      anon_sym_of,
    ACTIONS(1420), 1,
      anon_sym_EQ_GT,
    ACTIONS(1820), 1,
      sym_identifier,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_LBRACK,
    STATE(1013), 1,
      sym_comment,
    STATE(2396), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1292), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39764] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1014), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1785), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39838] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1015), 1,
      sym_comment,
    ACTIONS(1497), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1499), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39908] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1016), 1,
      sym_comment,
    ACTIONS(1829), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1017), 1,
      sym_comment,
    ACTIONS(1831), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40042] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1018), 1,
      sym_comment,
    ACTIONS(1833), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40109] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1835), 1,
      anon_sym_EQ_GT,
    STATE(1019), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40184] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1020), 1,
      sym_comment,
    ACTIONS(1833), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40251] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    ACTIONS(1839), 1,
      anon_sym_EQ_GT,
    STATE(1021), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40326] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1022), 1,
      sym_comment,
    ACTIONS(1833), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40393] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1835), 1,
      anon_sym_EQ_GT,
    STATE(1023), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40468] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1024), 1,
      sym_comment,
    ACTIONS(1497), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40535] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1025), 1,
      sym_comment,
    ACTIONS(1833), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40602] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1839), 1,
      anon_sym_EQ_GT,
    STATE(1026), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40677] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1027), 1,
      sym_comment,
    ACTIONS(1841), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40744] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1845), 1,
      anon_sym_EQ_GT,
    STATE(1028), 1,
      sym_comment,
    ACTIONS(1843), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40820] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    ACTIONS(1852), 1,
      anon_sym_EQ_GT,
    STATE(1029), 1,
      sym_comment,
    ACTIONS(1847), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    STATE(1030), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40970] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1031), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41044] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1032), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41120] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1033), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41194] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    STATE(1034), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41270] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1852), 1,
      anon_sym_EQ_GT,
    STATE(1035), 1,
      sym_comment,
    ACTIONS(1856), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41346] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1426), 1,
      anon_sym_EQ,
    ACTIONS(1858), 1,
      anon_sym_EQ_GT,
    STATE(1036), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1037), 1,
      sym_comment,
    ACTIONS(1808), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1810), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41488] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1404), 1,
      anon_sym_EQ,
    ACTIONS(1835), 1,
      anon_sym_EQ_GT,
    STATE(1038), 1,
      sym_comment,
    ACTIONS(1860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41564] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1858), 1,
      anon_sym_EQ_GT,
    STATE(1039), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41638] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1396), 1,
      anon_sym_in,
    ACTIONS(1863), 1,
      anon_sym_of,
    STATE(1040), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41716] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    ACTIONS(1865), 1,
      anon_sym_in,
    ACTIONS(1868), 1,
      anon_sym_of,
    STATE(1041), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1042), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1043), 1,
      sym_comment,
    ACTIONS(1497), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1499), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41930] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1417), 1,
      anon_sym_EQ,
    ACTIONS(1845), 1,
      anon_sym_EQ_GT,
    STATE(1044), 1,
      sym_comment,
    ACTIONS(1870), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1045), 1,
      sym_comment,
    ACTIONS(1804), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1806), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1046), 1,
      sym_comment,
    ACTIONS(1812), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1814), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1047), 1,
      sym_comment,
    ACTIONS(1816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1818), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42210] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1048), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42286] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1049), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42362] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1050), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42434] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1051), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42508] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1308), 1,
      anon_sym_COLON,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1052), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42584] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1308), 1,
      anon_sym_COLON,
    STATE(1053), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42660] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    ACTIONS(1874), 1,
      anon_sym_EQ_GT,
    STATE(1054), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42734] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1055), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42810] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1326), 1,
      anon_sym_COLON,
    STATE(1056), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42886] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1874), 1,
      anon_sym_EQ_GT,
    STATE(1057), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42960] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1792), 1,
      anon_sym_EQ_GT,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1058), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43036] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1059), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43112] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ_GT,
    ACTIONS(1879), 1,
      anon_sym_EQ,
    STATE(1060), 1,
      sym_comment,
    ACTIONS(1876), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43188] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    STATE(1061), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1062), 1,
      sym_comment,
    ACTIONS(1800), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [43328] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1063), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43399] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    ACTIONS(1865), 1,
      anon_sym_in,
    ACTIONS(1868), 1,
      anon_sym_of,
    STATE(1064), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43474] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1065), 1,
      sym_comment,
    ACTIONS(1856), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43547] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(1066), 1,
      sym_comment,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1785), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43618] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    STATE(1067), 1,
      sym_comment,
    ACTIONS(1847), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43691] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1835), 1,
      anon_sym_EQ_GT,
    STATE(1068), 1,
      sym_comment,
    ACTIONS(1882), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43766] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    ACTIONS(1839), 1,
      anon_sym_EQ_GT,
    STATE(1069), 1,
      sym_comment,
    ACTIONS(1885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43841] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1879), 1,
      anon_sym_EQ,
    STATE(1070), 1,
      sym_comment,
    ACTIONS(1876), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43914] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1845), 1,
      anon_sym_EQ_GT,
    STATE(1071), 1,
      sym_comment,
    ACTIONS(1211), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43986] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    STATE(1072), 1,
      sym_comment,
    ACTIONS(1885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44058] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1839), 1,
      anon_sym_EQ_GT,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    ACTIONS(1876), 1,
      anon_sym_RBRACK,
    ACTIONS(1879), 1,
      anon_sym_EQ,
    STATE(1073), 1,
      sym_comment,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44134] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1404), 1,
      anon_sym_EQ,
    ACTIONS(1835), 1,
      anon_sym_EQ_GT,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    ACTIONS(1870), 1,
      anon_sym_COMMA,
    STATE(1074), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44210] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1852), 1,
      anon_sym_EQ_GT,
    STATE(1075), 1,
      sym_comment,
    ACTIONS(1785), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44282] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1517), 1,
      anon_sym_EQ,
    ACTIONS(1888), 1,
      anon_sym_EQ_GT,
    STATE(1076), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44353] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1888), 1,
      anon_sym_EQ_GT,
    STATE(1077), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44424] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1396), 1,
      anon_sym_in,
    ACTIONS(1845), 1,
      anon_sym_EQ_GT,
    ACTIONS(1863), 1,
      anon_sym_of,
    STATE(1078), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44499] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1852), 1,
      anon_sym_EQ_GT,
    ACTIONS(1865), 1,
      anon_sym_in,
    ACTIONS(1868), 1,
      anon_sym_of,
    STATE(1079), 1,
      sym_comment,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44574] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1890), 1,
      anon_sym_EQ,
    ACTIONS(1892), 1,
      anon_sym_EQ_GT,
    STATE(1080), 1,
      sym_comment,
    ACTIONS(1785), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44645] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1892), 1,
      anon_sym_EQ_GT,
    STATE(1081), 1,
      sym_comment,
    ACTIONS(1785), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44716] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    ACTIONS(1876), 1,
      anon_sym_RBRACK,
    ACTIONS(1879), 1,
      anon_sym_EQ,
    STATE(1082), 1,
      sym_comment,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44789] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1865), 1,
      anon_sym_in,
    ACTIONS(1868), 1,
      anon_sym_of,
    STATE(1083), 1,
      sym_comment,
    ACTIONS(1785), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44861] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1890), 1,
      anon_sym_EQ,
    STATE(1084), 1,
      sym_comment,
    ACTIONS(1785), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1794), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1783), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44929] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1085), 1,
      sym_comment,
    ACTIONS(1651), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44983] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1086), 1,
      sym_comment,
    ACTIONS(1649), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45037] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1894), 1,
      sym__automatic_semicolon,
    STATE(1087), 1,
      sym_comment,
    ACTIONS(852), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(906), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45097] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    STATE(1088), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1896), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1898), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45167] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    STATE(1089), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1912), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1914), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45237] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    STATE(1090), 1,
      sym_comment,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1916), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1918), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [45305] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1091), 1,
      sym_comment,
    ACTIONS(1924), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45364] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1936), 1,
      anon_sym_EQ,
    STATE(1092), 1,
      sym_comment,
    ACTIONS(1933), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45423] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1093), 1,
      sym_comment,
    ACTIONS(1655), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45476] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1894), 1,
      sym__automatic_semicolon,
    STATE(1094), 1,
      sym_comment,
    ACTIONS(852), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(906), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45533] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1938), 1,
      sym__automatic_semicolon,
    STATE(1095), 1,
      sym_comment,
    ACTIONS(898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45590] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1096), 1,
      sym_comment,
    ACTIONS(1659), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45643] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1097), 1,
      sym_comment,
    ACTIONS(1661), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45696] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(1098), 1,
      sym_comment,
    STATE(1105), 1,
      sym_arguments,
    ACTIONS(1940), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1942), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45755] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1944), 1,
      sym_optional_chain,
    STATE(1099), 1,
      sym_comment,
    STATE(1105), 1,
      sym_arguments,
    ACTIONS(1940), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1942), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45820] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1100), 1,
      sym_comment,
    ACTIONS(1946), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(854), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45879] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1101), 1,
      sym_comment,
    ACTIONS(1657), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45932] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1102), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45989] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1103), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1951), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1104), 1,
      sym_comment,
    ACTIONS(1985), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1987), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46143] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1105), 1,
      sym_comment,
    ACTIONS(1989), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1991), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46197] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1997), 1,
      sym_regex_flags,
    STATE(1106), 1,
      sym_comment,
    ACTIONS(1993), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1995), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46253] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1107), 1,
      sym_comment,
    ACTIONS(1999), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2001), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46307] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1108), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2003), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1109), 1,
      sym_comment,
    ACTIONS(2005), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2007), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46461] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1110), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2007), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46561] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1111), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46641] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1112), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46695] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1113), 1,
      sym_comment,
    ACTIONS(986), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(990), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1114), 1,
      sym_comment,
    ACTIONS(884), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(888), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46803] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1115), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46873] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1116), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2017), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46973] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1117), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47065] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1118), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47159] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1119), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47235] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1120), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2011), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47323] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    STATE(1121), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47413] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    STATE(1122), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47505] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1123), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47579] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1124), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47649] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1125), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [47733] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    STATE(1126), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [47829] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1127), 1,
      sym_comment,
    ACTIONS(2019), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2021), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47883] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1128), 1,
      sym_comment,
    ACTIONS(2023), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47937] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1129), 1,
      sym_comment,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2029), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1130), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2033), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48045] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1131), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48145] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1132), 1,
      sym_comment,
    ACTIONS(2037), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2039), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48199] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1133), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2039), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48299] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1134), 1,
      sym_comment,
    ACTIONS(2041), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2043), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48353] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1135), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1136), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2051), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48461] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1137), 1,
      sym_comment,
    ACTIONS(908), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(910), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48515] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1138), 1,
      sym_comment,
    ACTIONS(2053), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2055), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1139), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48623] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1140), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48677] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1141), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48731] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1142), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48785] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1143), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48839] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1144), 1,
      sym_comment,
    ACTIONS(992), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48893] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1145), 1,
      sym_comment,
    ACTIONS(2065), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2067), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48947] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1146), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2067), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49047] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1147), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2071), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49101] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1148), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49155] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1149), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2075), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49255] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1150), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49309] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1151), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2079), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49409] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1152), 1,
      sym_comment,
    ACTIONS(2081), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49463] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1153), 1,
      sym_comment,
    ACTIONS(2085), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49517] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1154), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1155), 1,
      sym_comment,
    ACTIONS(2093), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49625] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1156), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1157), 1,
      sym_comment,
    ACTIONS(2101), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1158), 1,
      sym_comment,
    ACTIONS(2105), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1159), 1,
      sym_comment,
    ACTIONS(2109), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49841] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    STATE(1160), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1896), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1898), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1161), 1,
      sym_comment,
    ACTIONS(2125), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2127), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1162), 1,
      sym_comment,
    ACTIONS(2129), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2131), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1163), 1,
      sym_comment,
    ACTIONS(2133), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2135), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1164), 1,
      sym_comment,
    ACTIONS(2137), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2139), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50125] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1165), 1,
      sym_comment,
    ACTIONS(2141), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50179] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1166), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1167), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50333] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1168), 1,
      sym_comment,
    ACTIONS(898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1169), 1,
      sym_comment,
    ACTIONS(908), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(910), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50441] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1170), 1,
      sym_comment,
    ACTIONS(942), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(944), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50495] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1171), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2149), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50595] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1172), 1,
      sym_comment,
    ACTIONS(2151), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50649] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    STATE(1173), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1912), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1914), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [50717] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    STATE(1174), 1,
      sym_comment,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1916), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1918), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [50783] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1175), 1,
      sym_comment,
    ACTIONS(2155), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50837] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1176), 1,
      sym_comment,
    ACTIONS(976), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(980), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50891] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1177), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1178), 1,
      sym_comment,
    ACTIONS(2161), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2163), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51045] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1179), 1,
      sym_comment,
    ACTIONS(2165), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1180), 1,
      sym_comment,
    ACTIONS(876), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(880), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1181), 1,
      sym_comment,
    ACTIONS(898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51207] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2169), 1,
      sym__automatic_semicolon,
    STATE(1182), 1,
      sym_comment,
    ACTIONS(898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1183), 1,
      sym_comment,
    ACTIONS(968), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(972), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51317] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1184), 1,
      sym_comment,
    ACTIONS(892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(896), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51371] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1185), 1,
      sym_comment,
    ACTIONS(942), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(944), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51425] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1186), 1,
      sym_comment,
    ACTIONS(960), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(964), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1187), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51533] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1188), 1,
      sym_comment,
    ACTIONS(952), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(956), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2171), 1,
      sym__automatic_semicolon,
    STATE(1189), 1,
      sym_comment,
    ACTIONS(852), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(906), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51643] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1944), 1,
      sym_optional_chain,
    STATE(1190), 1,
      sym_comment,
    ACTIONS(2173), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51703] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1191), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2177), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51803] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1192), 1,
      sym_comment,
    ACTIONS(2173), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1193), 1,
      sym_comment,
    ACTIONS(2179), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2181), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1194), 1,
      sym_comment,
    ACTIONS(2183), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1195), 1,
      sym_comment,
    ACTIONS(992), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1196), 1,
      sym_comment,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52073] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1197), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2197), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52176] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1198), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52275] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1199), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2149), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52374] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1200), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52443] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1201), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52546] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1202), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52637] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1203), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52730] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1204), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52805] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 1,
      sym_comment,
    ACTIONS(2011), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52892] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1206), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52981] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1207), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [53072] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1208), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53145] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1209), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53214] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1210), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [53297] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1211), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [53392] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1212), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53491] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1213), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53546] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1214), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2067), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53645] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1936), 1,
      anon_sym_EQ,
    STATE(1215), 1,
      sym_comment,
    ACTIONS(1929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53700] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1216), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53803] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1217), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2039), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53902] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1218), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54005] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1219), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54108] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1220), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2177), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54207] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2271), 1,
      sym_optional_chain,
    STATE(1221), 1,
      sym_comment,
    STATE(1288), 1,
      sym_arguments,
    ACTIONS(1940), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1942), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54270] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    STATE(1222), 1,
      sym_comment,
    STATE(1288), 1,
      sym_arguments,
    ACTIONS(1940), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1942), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54327] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1223), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54426] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1224), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2039), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54525] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1225), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54628] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1226), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2003), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54727] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1227), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1951), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1228), 1,
      sym_comment,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54879] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1229), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54978] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1230), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1951), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55077] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1231), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55176] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2275), 1,
      anon_sym_COMMA,
    ACTIONS(2278), 1,
      anon_sym_RBRACE,
    STATE(1232), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55279] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1233), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2007), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55378] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1234), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55457] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2278), 1,
      anon_sym_RBRACE,
    ACTIONS(2280), 1,
      anon_sym_COMMA,
    STATE(1235), 1,
      sym_comment,
    ACTIONS(2003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55560] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2286), 1,
      anon_sym_RBRACE,
    STATE(1236), 1,
      sym_comment,
    ACTIONS(2003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55663] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1237), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55732] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1238), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [55823] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1239), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [55916] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1240), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2067), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56015] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1241), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2075), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1242), 1,
      sym_comment,
    ACTIONS(854), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56169] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1243), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56272] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1244), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1245), 1,
      sym_comment,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56430] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2171), 1,
      sym__automatic_semicolon,
    STATE(1246), 1,
      sym_comment,
    ACTIONS(852), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(906), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56487] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1247), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [56562] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1248), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56661] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1249), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [56752] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1250), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56855] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    ACTIONS(2296), 1,
      anon_sym_in,
    STATE(1251), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2231), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2294), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56956] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1252), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2299), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57059] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1253), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57162] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1254), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57261] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1255), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57334] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1256), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57437] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1257), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [57532] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1258), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2177), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57631] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1259), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57734] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1260), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57837] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1261), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57940] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1262), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2159), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58039] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1263), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [58108] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1264), 1,
      sym_comment,
    STATE(2017), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58211] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1265), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [58294] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1266), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2313), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [58393] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1267), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [58482] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    STATE(1268), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1269), 1,
      sym_comment,
    ACTIONS(854), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1270), 1,
      sym_comment,
    ACTIONS(2151), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58645] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1271), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2315), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [58744] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1272), 1,
      sym_comment,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58799] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    STATE(1273), 1,
      sym_comment,
    ACTIONS(2011), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [58886] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1936), 1,
      anon_sym_EQ,
    STATE(1274), 1,
      sym_comment,
    ACTIONS(1929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58941] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2317), 1,
      sym__automatic_semicolon,
    STATE(1275), 1,
      sym_comment,
    ACTIONS(906), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(854), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59000] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1276), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2075), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59099] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1277), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2003), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59198] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1278), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2007), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59297] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    STATE(1279), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59376] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2237), 1,
      anon_sym_GT_GT,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_PERCENT,
    ACTIONS(2251), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2259), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2261), 1,
      sym__ternary_qmark,
    STATE(1280), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2229), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2247), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2231), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2253), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2149), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59475] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1281), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2017), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59573] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1282), 1,
      sym_comment,
    ACTIONS(2319), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(854), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59629] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1283), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2071), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59681] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1284), 1,
      sym_comment,
    ACTIONS(2179), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2181), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59733] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2323), 1,
      anon_sym_RBRACK,
    STATE(1285), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59835] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1286), 1,
      sym_comment,
    ACTIONS(2183), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2185), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59887] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1287), 1,
      sym_comment,
    ACTIONS(1985), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1987), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59939] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1288), 1,
      sym_comment,
    ACTIONS(1989), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1991), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59991] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2325), 1,
      sym_regex_flags,
    STATE(1289), 1,
      sym_comment,
    ACTIONS(1993), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1995), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60045] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1291), 1,
      sym_comment,
    ACTIONS(1999), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2001), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60199] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1292), 1,
      sym_comment,
    ACTIONS(2173), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1293), 1,
      sym_comment,
    ACTIONS(2005), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2007), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1294), 1,
      sym_comment,
    ACTIONS(2125), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2127), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60355] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2331), 1,
      sym__automatic_semicolon,
    STATE(1295), 1,
      sym_comment,
    ACTIONS(1001), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(976), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(980), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60411] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1296), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60463] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(1297), 1,
      sym_comment,
    STATE(2114), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60565] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2325), 1,
      sym_regex_flags,
    STATE(1298), 1,
      sym_comment,
    ACTIONS(1993), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1995), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60619] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    STATE(1299), 1,
      sym_comment,
    ACTIONS(1847), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1300), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1301), 1,
      sym_comment,
    ACTIONS(2141), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60779] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_RBRACK,
    STATE(1302), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60881] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2337), 1,
      anon_sym_COLON,
    STATE(1303), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60983] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(1304), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61037] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2339), 1,
      sym__automatic_semicolon,
    STATE(1305), 1,
      sym_comment,
    ACTIONS(1005), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(986), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(990), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61093] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1306), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61145] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1307), 1,
      sym_comment,
    ACTIONS(2101), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61197] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2341), 1,
      sym__automatic_semicolon,
    STATE(1308), 1,
      sym_comment,
    ACTIONS(1009), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(884), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(888), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61253] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1309), 1,
      sym_comment,
    ACTIONS(976), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(980), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61305] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1310), 1,
      sym_comment,
    ACTIONS(986), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(990), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61357] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1311), 1,
      sym_comment,
    ACTIONS(884), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(888), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61409] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1312), 1,
      sym_comment,
    ACTIONS(2019), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2021), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61461] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1313), 1,
      sym_comment,
    ACTIONS(2023), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61513] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2343), 1,
      anon_sym_RBRACE,
    STATE(1314), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1315), 1,
      sym_comment,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2029), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61667] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2345), 1,
      anon_sym_RPAREN,
    STATE(1316), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61769] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2347), 1,
      sym__automatic_semicolon,
    STATE(1317), 1,
      sym_comment,
    ACTIONS(1015), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(876), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(880), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61825] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2349), 1,
      sym__automatic_semicolon,
    STATE(1318), 1,
      sym_comment,
    ACTIONS(1019), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(968), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(972), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61881] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RBRACK,
    STATE(1319), 1,
      sym_comment,
    STATE(2059), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61983] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1320), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2033), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62035] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_RBRACK,
    STATE(1321), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62137] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2355), 1,
      anon_sym_RPAREN,
    STATE(1322), 1,
      sym_comment,
    STATE(2125), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62239] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2357), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62341] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2359), 1,
      anon_sym_RBRACE,
    STATE(1324), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62443] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1325), 1,
      sym_comment,
    ACTIONS(2037), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2039), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62495] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2361), 1,
      anon_sym_RBRACK,
    STATE(1326), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62597] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2363), 1,
      anon_sym_RPAREN,
    STATE(1327), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62699] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2365), 1,
      sym__automatic_semicolon,
    STATE(1328), 1,
      sym_comment,
    ACTIONS(1023), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(896), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62755] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1329), 1,
      sym_comment,
    ACTIONS(2041), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2043), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1330), 1,
      sym_comment,
    ACTIONS(2109), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62859] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1331), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62911] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    STATE(1332), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63013] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1936), 1,
      anon_sym_EQ,
    ACTIONS(2369), 1,
      anon_sym_in,
    ACTIONS(2372), 1,
      anon_sym_of,
    STATE(1333), 1,
      sym_comment,
    ACTIONS(1929), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1334), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63123] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_in,
    ACTIONS(2377), 1,
      anon_sym_of,
    STATE(1335), 1,
      sym_comment,
    ACTIONS(1920), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63181] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1336), 1,
      sym_comment,
    ACTIONS(2155), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63233] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1337), 1,
      sym_comment,
    ACTIONS(876), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(880), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1338), 1,
      sym_comment,
    ACTIONS(968), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(972), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1339), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2051), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63389] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2319), 1,
      anon_sym_of,
    ACTIONS(2379), 1,
      anon_sym_in,
    STATE(1340), 1,
      sym_comment,
    ACTIONS(854), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63447] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    STATE(1341), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63501] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1342), 1,
      sym_comment,
    ACTIONS(892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(896), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63553] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2382), 1,
      sym__automatic_semicolon,
    STATE(1343), 1,
      sym_comment,
    ACTIONS(1029), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(960), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(964), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63609] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(1344), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63711] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    ACTIONS(1865), 1,
      anon_sym_in,
    ACTIONS(1868), 1,
      anon_sym_of,
    STATE(1345), 1,
      sym_comment,
    ACTIONS(1783), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63769] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(1346), 1,
      sym_comment,
    STATE(2097), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63871] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_RPAREN,
    STATE(1347), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63973] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1348), 1,
      sym_comment,
    ACTIONS(960), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(964), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1349), 1,
      sym_comment,
    ACTIONS(2093), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64077] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1350), 1,
      sym_comment,
    ACTIONS(2105), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64129] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(1351), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64231] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1936), 1,
      anon_sym_EQ,
    STATE(1352), 1,
      sym_comment,
    ACTIONS(2372), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64287] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    STATE(1353), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64389] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1354), 1,
      sym_comment,
    ACTIONS(1856), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64445] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(1355), 1,
      sym_comment,
    STATE(2188), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64547] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    STATE(1356), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64649] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    STATE(1357), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1358), 1,
      sym_comment,
    ACTIONS(2129), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2131), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64803] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(1359), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64905] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1360), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64957] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1361), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2294), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [65055] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65157] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1363), 1,
      sym_comment,
    ACTIONS(2053), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2055), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65209] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
    STATE(1364), 1,
      sym_comment,
    STATE(2072), 1,
      aux_sym_array_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65311] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1365), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2406), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [65409] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2408), 1,
      anon_sym_RPAREN,
    STATE(1366), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65511] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2271), 1,
      sym_optional_chain,
    STATE(1367), 1,
      sym_comment,
    ACTIONS(2173), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1368), 1,
      sym_comment,
    ACTIONS(2161), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2163), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65621] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    STATE(1369), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65723] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1370), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65775] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 1,
      anon_sym_RPAREN,
    STATE(1371), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65877] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    STATE(1372), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65979] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    STATE(1373), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66081] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2418), 1,
      anon_sym_RBRACK,
    STATE(1374), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66183] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    STATE(1375), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66285] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(1376), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1377), 1,
      sym_comment,
    ACTIONS(2081), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66439] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1879), 1,
      anon_sym_EQ,
    STATE(1378), 1,
      sym_comment,
    ACTIONS(1876), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66495] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(1379), 1,
      sym_comment,
    STATE(1819), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66597] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1380), 1,
      sym_comment,
    ACTIONS(2165), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66649] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1381), 1,
      sym_comment,
    ACTIONS(2085), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1382), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66753] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1383), 1,
      sym_comment,
    ACTIONS(2377), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1384), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1385), 1,
      sym_comment,
    ACTIONS(952), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(956), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66913] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1386), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1387), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1388), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67069] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1389), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67121] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1390), 1,
      sym_comment,
    ACTIONS(2133), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2135), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67173] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1391), 1,
      sym_comment,
    ACTIONS(2137), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2139), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1392), 1,
      sym_comment,
    ACTIONS(2065), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2067), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67277] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2426), 1,
      sym__automatic_semicolon,
    STATE(1393), 1,
      sym_comment,
    ACTIONS(1055), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(952), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(956), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67333] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    STATE(1394), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67410] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1395), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67507] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_COLON,
    STATE(1396), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67562] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1397), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67659] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2447), 1,
      anon_sym_SEMI,
    ACTIONS(2449), 1,
      sym__automatic_semicolon,
    STATE(1398), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67758] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2451), 1,
      anon_sym_SEMI,
    ACTIONS(2453), 1,
      sym__automatic_semicolon,
    STATE(1399), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67857] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1400), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67954] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1401), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68051] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2459), 1,
      anon_sym_SEMI,
    ACTIONS(2461), 1,
      sym__automatic_semicolon,
    STATE(1402), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68150] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    STATE(1403), 1,
      sym_comment,
    ACTIONS(1885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68205] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1404), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68302] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1405), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2145), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68399] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1406), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2149), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68496] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1407), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2159), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68593] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2485), 1,
      anon_sym_SEMI,
    ACTIONS(2487), 1,
      sym__automatic_semicolon,
    STATE(1408), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68692] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1409), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68789] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    STATE(1410), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2491), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68886] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1411), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2007), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68983] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    ACTIONS(2493), 1,
      anon_sym_SEMI,
    ACTIONS(2495), 1,
      sym__automatic_semicolon,
    STATE(1412), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69082] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2203), 1,
      anon_sym_GT_GT,
    ACTIONS(2207), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_CARET,
    ACTIONS(2211), 1,
      anon_sym_PIPE,
    ACTIONS(2215), 1,
      anon_sym_PERCENT,
    ACTIONS(2217), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2225), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2227), 1,
      sym__ternary_qmark,
    STATE(1413), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2191), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2213), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2221), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2223), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2497), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2195), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69179] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    STATE(1414), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69246] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    STATE(1415), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [69335] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    STATE(1416), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [69426] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    STATE(1417), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69499] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    STATE(1418), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2011), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [69584] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    STATE(1419), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [69671] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    STATE(1420), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [69760] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    STATE(1421), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69831] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    STATE(1422), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69898] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    STATE(1423), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [69979] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    STATE(1424), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [70072] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1425), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2035), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70169] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1426), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2039), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70266] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1427), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2067), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70363] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1428), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2075), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70460] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1429), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2079), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70557] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1430), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1951), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70654] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1431), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2177), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70751] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_COLON,
    STATE(1432), 1,
      sym_comment,
    ACTIONS(2161), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2163), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70806] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1433), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2003), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70903] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    STATE(1434), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70973] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    ACTIONS(2510), 1,
      anon_sym_COLON,
    STATE(1435), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71069] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2079), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1436), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71165] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1437), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71261] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    STATE(1438), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [71333] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    STATE(1439), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2011), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [71417] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1951), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1440), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71513] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    STATE(1441), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [71593] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2067), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1442), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71689] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2177), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1443), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71785] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    ACTIONS(2540), 1,
      anon_sym_COLON,
    STATE(1444), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71881] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    STATE(1445), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2009), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71973] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1446), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72069] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    STATE(1447), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72135] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    STATE(1448), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72211] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1933), 1,
      anon_sym_RBRACK,
    ACTIONS(1936), 1,
      anon_sym_EQ,
    ACTIONS(2372), 1,
      anon_sym_COMMA,
    STATE(1449), 1,
      sym_comment,
    ACTIONS(1929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72267] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    ACTIONS(2542), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72363] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2075), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1451), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72459] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    ACTIONS(2544), 1,
      anon_sym_COLON,
    STATE(1452), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72555] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1924), 1,
      anon_sym_RBRACK,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    ACTIONS(2377), 1,
      anon_sym_COMMA,
    STATE(1453), 1,
      sym_comment,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72611] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1946), 1,
      anon_sym_RBRACK,
    ACTIONS(2319), 1,
      anon_sym_COMMA,
    STATE(1454), 1,
      sym_comment,
    ACTIONS(854), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72667] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    STATE(1455), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [72755] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1456), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72851] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    STATE(1457), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [72937] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2294), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    ACTIONS(2546), 1,
      anon_sym_in,
    STATE(1458), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73035] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1459), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73131] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2549), 1,
      anon_sym_RBRACK,
    STATE(1460), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73227] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1461), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73323] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_PIPE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    STATE(1462), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73411] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    ACTIONS(2551), 1,
      anon_sym_COLON,
    STATE(1463), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73507] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1464), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73603] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    ACTIONS(2553), 1,
      anon_sym_LBRACE,
    STATE(1465), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73699] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1959), 1,
      anon_sym_GT_GT,
    ACTIONS(1963), 1,
      anon_sym_AMP,
    ACTIONS(1965), 1,
      anon_sym_CARET,
    ACTIONS(1967), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 1,
      anon_sym_PERCENT,
    ACTIONS(1973), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1981), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1983), 1,
      sym__ternary_qmark,
    ACTIONS(2555), 1,
      anon_sym_RBRACK,
    STATE(1466), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1949), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1953), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1975), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73795] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    STATE(1467), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2011), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2009), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73861] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    STATE(1468), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2009), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73951] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2035), 1,
      anon_sym_of,
    ACTIONS(2506), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2518), 1,
      anon_sym_GT_GT,
    ACTIONS(2522), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_CARET,
    ACTIONS(2526), 1,
      anon_sym_PIPE,
    ACTIONS(2536), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2538), 1,
      sym__ternary_qmark,
    STATE(1469), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2528), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2532), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2534), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2512), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2530), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74047] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    ACTIONS(1876), 1,
      anon_sym_RBRACK,
    ACTIONS(1879), 1,
      anon_sym_EQ,
    STATE(1470), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74103] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(856), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2319), 1,
      anon_sym_of,
    ACTIONS(2379), 1,
      anon_sym_in,
    STATE(1471), 1,
      sym_comment,
    ACTIONS(854), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(860), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74158] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    ACTIONS(2374), 1,
      anon_sym_in,
    ACTIONS(2377), 1,
      anon_sym_of,
    STATE(1472), 1,
      sym_comment,
    ACTIONS(1920), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1890), 1,
      anon_sym_EQ,
    STATE(1473), 1,
      sym_comment,
    ACTIONS(1783), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74264] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2563), 1,
      anon_sym_async,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2567), 1,
      anon_sym_static,
    STATE(1474), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2109), 1,
      aux_sym_object_repeat1,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2569), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2557), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2101), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74359] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1997), 1,
      sym_regex_flags,
    STATE(1475), 1,
      sym_comment,
    ACTIONS(1993), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1995), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74410] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2115), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      sym_optional_chain,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1476), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74503] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2573), 1,
      anon_sym_RBRACE,
    ACTIONS(2575), 1,
      anon_sym_async,
    ACTIONS(2577), 1,
      anon_sym_static,
    STATE(1477), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2109), 1,
      aux_sym_object_repeat1,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2579), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2571), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2101), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74598] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    ACTIONS(2585), 1,
      anon_sym_async,
    ACTIONS(2587), 1,
      anon_sym_static,
    STATE(1478), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2109), 1,
      aux_sym_object_repeat1,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2589), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2581), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2101), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74693] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1906), 1,
      sym_optional_chain,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(2430), 1,
      anon_sym_GT_GT,
    ACTIONS(2436), 1,
      anon_sym_PERCENT,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_CARET,
    ACTIONS(2473), 1,
      anon_sym_PIPE,
    ACTIONS(2481), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2483), 1,
      sym__ternary_qmark,
    STATE(1479), 1,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2428), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2477), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2479), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2463), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74786] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2595), 1,
      anon_sym_async,
    ACTIONS(2597), 1,
      anon_sym_static,
    STATE(1480), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2154), 1,
      aux_sym_object_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2599), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2591), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2163), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [74881] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2605), 1,
      anon_sym_async,
    ACTIONS(2607), 1,
      anon_sym_static,
    STATE(1481), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2109), 1,
      aux_sym_object_repeat1,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2601), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2101), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74976] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_async,
    ACTIONS(2617), 1,
      anon_sym_static,
    STATE(1482), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2109), 1,
      aux_sym_object_repeat1,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2619), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2611), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2101), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [75071] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(2625), 1,
      anon_sym_async,
    ACTIONS(2627), 1,
      anon_sym_static,
    STATE(1483), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2154), 1,
      aux_sym_object_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2629), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2621), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2163), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [75166] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1865), 1,
      anon_sym_in,
    ACTIONS(1868), 1,
      anon_sym_of,
    STATE(1484), 1,
      sym_comment,
    ACTIONS(1783), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1785), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75221] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1936), 1,
      anon_sym_EQ,
    ACTIONS(2369), 1,
      anon_sym_in,
    ACTIONS(2372), 1,
      anon_sym_of,
    STATE(1485), 1,
      sym_comment,
    ACTIONS(1929), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75276] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2636), 1,
      anon_sym_async,
    ACTIONS(2638), 1,
      anon_sym_static,
    STATE(1486), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2056), 1,
      sym__property_name,
    STATE(2748), 1,
      sym__destructuring_pattern,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2633), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2631), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2463), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2487), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [75363] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    STATE(1487), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75450] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    STATE(1488), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75537] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    STATE(1489), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75624] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    STATE(1490), 1,
      sym_comment,
    STATE(1492), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75711] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1491), 1,
      sym_comment,
    STATE(1495), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75798] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1492), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75885] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1489), 1,
      aux_sym_class_body_repeat1,
    STATE(1493), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75972] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(1488), 1,
      aux_sym_class_body_repeat1,
    STATE(1494), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76059] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1495), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76146] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1496), 1,
      sym_comment,
    STATE(1497), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76233] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    STATE(1497), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76320] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    STATE(1498), 1,
      sym_comment,
    STATE(1499), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76407] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1499), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76494] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1500), 1,
      sym_comment,
    STATE(1501), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76581] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    STATE(1501), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76668] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1502), 1,
      sym_comment,
    STATE(1503), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76755] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    STATE(1503), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76842] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    STATE(1504), 1,
      sym_comment,
    STATE(1505), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76929] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    STATE(1505), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77016] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    STATE(1506), 1,
      sym_comment,
    STATE(1507), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77103] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    STATE(1507), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_class_body_repeat1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77190] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2644), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2660), 1,
      anon_sym_static,
    ACTIONS(2662), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    STATE(1487), 1,
      aux_sym_class_body_repeat1,
    STATE(1508), 1,
      sym_comment,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77277] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2711), 1,
      anon_sym_STAR,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    ACTIONS(2716), 1,
      anon_sym_SEMI,
    ACTIONS(2719), 1,
      anon_sym_LBRACK,
    ACTIONS(2722), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2725), 1,
      anon_sym_DQUOTE,
    ACTIONS(2728), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_async,
    ACTIONS(2737), 1,
      anon_sym_AT,
    ACTIONS(2740), 1,
      anon_sym_static,
    ACTIONS(2743), 1,
      aux_sym_method_definition_token1,
    STATE(1552), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_glimmer_template,
    STATE(1596), 1,
      sym_class_static_block,
    STATE(1597), 1,
      sym_method_definition,
    STATE(1670), 1,
      sym_decorator,
    STATE(1778), 1,
      sym__property_name,
    STATE(1920), 1,
      sym_glimmer_opening_tag,
    STATE(2254), 1,
      sym_field_definition,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2746), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1509), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2708), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77362] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1065), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2757), 1,
      anon_sym_async,
    ACTIONS(2759), 1,
      anon_sym_static,
    STATE(1510), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2047), 1,
      aux_sym_object_repeat1,
    STATE(2157), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2761), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2749), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2129), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [77439] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1065), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_async,
    ACTIONS(2769), 1,
      anon_sym_static,
    STATE(1511), 1,
      sym_comment,
    STATE(1545), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2157), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2765), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2763), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2487), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [77511] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(926), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2775), 1,
      anon_sym_COMMA,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    STATE(1512), 1,
      sym_comment,
    STATE(2110), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    STATE(2775), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2098), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2773), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77577] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(926), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2775), 1,
      anon_sym_COMMA,
    ACTIONS(2781), 1,
      anon_sym_RBRACE,
    STATE(1513), 1,
      sym_comment,
    STATE(2118), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__destructuring_pattern,
    STATE(2775), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2156), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2779), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77643] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(926), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    STATE(1514), 1,
      sym_comment,
    STATE(2748), 1,
      sym__destructuring_pattern,
    STATE(2775), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2785), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2463), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2783), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77704] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1298), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1515), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77767] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2793), 1,
      anon_sym_RBRACE,
    STATE(1516), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77832] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1517), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77895] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1518), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77960] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1519), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78023] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1520), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78088] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78151] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1522), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78216] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1316), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1523), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78281] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1524), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78344] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1525), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78409] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2793), 1,
      anon_sym_RBRACE,
    STATE(1526), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78472] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1316), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1527), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78535] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1298), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1528), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78600] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1529), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78658] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2793), 1,
      anon_sym_RBRACE,
    STATE(1530), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78716] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2801), 1,
      anon_sym_STAR,
    ACTIONS(2803), 1,
      anon_sym_LBRACE,
    ACTIONS(2805), 1,
      anon_sym_async,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1531), 1,
      sym_comment,
    STATE(1603), 1,
      sym_statement_block,
    STATE(1831), 1,
      sym__property_name,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2807), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2642), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78776] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1532), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78834] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1316), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1533), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78892] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1534), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78950] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1298), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1535), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79008] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1272), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1536), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79066] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1537), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79121] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_AT,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2814), 1,
      anon_sym_export,
    ACTIONS(2816), 1,
      anon_sym_STAR,
    ACTIONS(2818), 1,
      anon_sym_class,
    ACTIONS(2820), 1,
      anon_sym_async,
    ACTIONS(2822), 1,
      anon_sym_static,
    ACTIONS(2824), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2826), 1,
      anon_sym_get,
    ACTIONS(2828), 1,
      anon_sym_set,
    STATE(1538), 1,
      sym_comment,
    STATE(1593), 1,
      aux_sym_export_statement_repeat1,
    STATE(1633), 1,
      sym_decorator,
    STATE(2605), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1352), 2,
      anon_sym_let,
      sym_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
  [79188] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
    STATE(1539), 1,
      sym_comment,
    STATE(2068), 1,
      aux_sym_object_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79245] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
    STATE(1540), 1,
      sym_comment,
    STATE(2068), 1,
      aux_sym_object_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79304] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1541), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79361] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2832), 1,
      anon_sym_STAR,
    ACTIONS(2834), 1,
      anon_sym_get,
    ACTIONS(2836), 1,
      anon_sym_set,
    STATE(1542), 1,
      sym_comment,
    STATE(2591), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79415] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2838), 1,
      anon_sym_STAR,
    STATE(1543), 1,
      sym_comment,
    STATE(2575), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2840), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79467] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
    STATE(1544), 1,
      sym_comment,
    STATE(2068), 1,
      aux_sym_object_repeat1,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79519] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2816), 1,
      anon_sym_STAR,
    ACTIONS(2820), 1,
      anon_sym_async,
    ACTIONS(2822), 1,
      anon_sym_static,
    ACTIONS(2824), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2826), 1,
      anon_sym_get,
    ACTIONS(2828), 1,
      anon_sym_set,
    STATE(1545), 1,
      sym_comment,
    STATE(1610), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(2605), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [79581] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2801), 1,
      anon_sym_STAR,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1546), 1,
      sym_comment,
    STATE(2564), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2842), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79633] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2844), 1,
      anon_sym_STAR,
    ACTIONS(2846), 1,
      anon_sym_get,
    ACTIONS(2848), 1,
      anon_sym_set,
    STATE(1547), 1,
      sym_comment,
    STATE(2577), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79687] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    STATE(1548), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79739] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79789] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(2854), 1,
      anon_sym_async,
    ACTIONS(2856), 1,
      anon_sym_get,
    ACTIONS(2858), 1,
      anon_sym_set,
    STATE(1550), 1,
      sym_comment,
    STATE(1815), 1,
      sym__property_name,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2642), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79845] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    STATE(1551), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79899] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2565), 1,
      anon_sym_AT,
    ACTIONS(2650), 1,
      anon_sym_LBRACK,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_STAR,
    ACTIONS(2862), 1,
      anon_sym_async,
    ACTIONS(2864), 1,
      anon_sym_static,
    ACTIONS(2866), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2868), 1,
      anon_sym_get,
    ACTIONS(2870), 1,
      anon_sym_set,
    STATE(1552), 1,
      sym_comment,
    STATE(1610), 1,
      aux_sym_export_statement_repeat1,
    STATE(1670), 1,
      sym_decorator,
    STATE(1837), 1,
      sym__property_name,
    ACTIONS(2658), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1951), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [79961] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2872), 1,
      sym__automatic_semicolon,
    STATE(1553), 1,
      sym_comment,
    ACTIONS(852), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79994] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1554), 1,
      sym_comment,
    STATE(2593), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80041] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1555), 1,
      sym_comment,
    STATE(2564), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80088] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1556), 1,
      sym_comment,
    STATE(2580), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80135] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2874), 1,
      sym__automatic_semicolon,
    STATE(1557), 1,
      sym_comment,
    ACTIONS(898), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80168] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1558), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2789), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80215] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2878), 1,
      anon_sym_LPAREN,
    ACTIONS(2880), 1,
      anon_sym_DOT,
    STATE(1559), 1,
      sym_comment,
    STATE(1652), 1,
      sym_arguments,
    ACTIONS(2876), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80252] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1560), 1,
      sym_comment,
    STATE(2592), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80299] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1561), 1,
      sym_comment,
    STATE(2579), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80346] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2809), 1,
      sym__automatic_semicolon,
    STATE(1562), 1,
      sym_comment,
    STATE(2575), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2789), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80393] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1563), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80423] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1564), 1,
      sym_comment,
    ACTIONS(2884), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80453] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1565), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80483] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1566), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1567), 1,
      sym_comment,
    ACTIONS(2886), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80543] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1568), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80573] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1569), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80603] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1570), 1,
      sym_comment,
    ACTIONS(2888), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80633] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1571), 1,
      sym_comment,
    ACTIONS(2133), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1572), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80693] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1573), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80723] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1574), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80753] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1575), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80783] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1576), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80813] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1577), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80843] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1578), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80873] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1579), 1,
      sym_comment,
    ACTIONS(2892), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80903] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1580), 1,
      sym_comment,
    ACTIONS(2137), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80933] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1581), 1,
      sym_comment,
    ACTIONS(898), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80963] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1582), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80993] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1583), 1,
      sym_comment,
    ACTIONS(2894), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81023] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1584), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81053] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1585), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81083] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1586), 1,
      sym_comment,
    ACTIONS(2896), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81113] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1587), 1,
      sym_comment,
    ACTIONS(2896), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81143] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1588), 1,
      sym_comment,
    ACTIONS(2898), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81173] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1589), 1,
      sym_comment,
    ACTIONS(908), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81203] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1590), 1,
      sym_comment,
    ACTIONS(2896), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81233] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1591), 1,
      sym_comment,
    ACTIONS(2896), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81263] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1592), 1,
      sym_comment,
    ACTIONS(2896), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81293] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2902), 1,
      anon_sym_AT,
    STATE(1633), 1,
      sym_decorator,
    STATE(1593), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2900), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81327] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1594), 1,
      sym_comment,
    ACTIONS(2023), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81357] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1595), 1,
      sym_comment,
    ACTIONS(2905), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1596), 1,
      sym_comment,
    ACTIONS(2907), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81417] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2909), 1,
      anon_sym_SEMI,
    STATE(1597), 1,
      sym_comment,
    ACTIONS(2907), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81449] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1598), 1,
      sym_comment,
    ACTIONS(2896), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81479] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2912), 1,
      anon_sym_LPAREN,
    ACTIONS(2914), 1,
      anon_sym_DOT,
    STATE(1599), 1,
      sym_comment,
    STATE(1660), 1,
      sym_arguments,
    ACTIONS(2876), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81515] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1600), 1,
      sym_comment,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81545] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1601), 1,
      sym_comment,
    ACTIONS(2916), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81575] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1602), 1,
      sym_comment,
    ACTIONS(2918), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81605] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1603), 1,
      sym_comment,
    ACTIONS(2920), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81635] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1604), 1,
      sym_comment,
    ACTIONS(2890), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81665] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2922), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      anon_sym_get,
    ACTIONS(2926), 1,
      anon_sym_set,
    STATE(1605), 1,
      sym_comment,
    STATE(2632), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81714] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(2928), 1,
      anon_sym_default,
    STATE(963), 1,
      sym_declaration,
    STATE(1606), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2071), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(960), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [81765] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2930), 1,
      anon_sym_STAR,
    ACTIONS(2932), 1,
      anon_sym_get,
    ACTIONS(2934), 1,
      anon_sym_set,
    STATE(1607), 1,
      sym_comment,
    STATE(2430), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81814] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2938), 1,
      anon_sym_get,
    ACTIONS(2940), 1,
      anon_sym_set,
    STATE(1608), 1,
      sym_comment,
    STATE(2259), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81863] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2942), 1,
      anon_sym_STAR,
    ACTIONS(2944), 1,
      anon_sym_async,
    ACTIONS(2946), 1,
      anon_sym_get,
    ACTIONS(2948), 1,
      anon_sym_set,
    STATE(1609), 1,
      sym_comment,
    STATE(2316), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [81914] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2950), 1,
      anon_sym_AT,
    STATE(1670), 1,
      sym_decorator,
    STATE(1610), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2900), 14,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81947] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1611), 1,
      sym_comment,
    ACTIONS(2886), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81976] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2953), 1,
      anon_sym_EQ_GT,
    STATE(1612), 1,
      sym_comment,
    STATE(2202), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82021] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(1613), 1,
      sym_comment,
    STATE(2202), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2957), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [82068] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2838), 1,
      anon_sym_STAR,
    STATE(1614), 1,
      sym_comment,
    STATE(2575), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2840), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [82115] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_STAR,
    ACTIONS(2961), 1,
      anon_sym_get,
    ACTIONS(2963), 1,
      anon_sym_set,
    STATE(1615), 1,
      sym_comment,
    STATE(2595), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [82164] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1616), 1,
      sym_comment,
    STATE(2336), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82206] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1617), 1,
      sym_comment,
    STATE(2690), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82248] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1618), 1,
      sym_comment,
    ACTIONS(2013), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82276] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2965), 1,
      anon_sym_STAR,
    ACTIONS(2967), 1,
      anon_sym_async,
    ACTIONS(2969), 1,
      anon_sym_get,
    ACTIONS(2971), 1,
      anon_sym_set,
    STATE(1619), 1,
      sym_comment,
    STATE(2330), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82324] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1620), 1,
      sym_comment,
    STATE(2737), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82366] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_comment,
    STATE(2392), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82408] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1622), 1,
      sym_comment,
    STATE(2331), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82450] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1338), 1,
      anon_sym_var,
    ACTIONS(1344), 1,
      anon_sym_class,
    ACTIONS(1346), 1,
      anon_sym_async,
    ACTIONS(1348), 1,
      anon_sym_function,
    ACTIONS(2973), 1,
      anon_sym_default,
    STATE(555), 1,
      sym_declaration,
    STATE(1623), 1,
      sym_comment,
    STATE(2043), 1,
      aux_sym_export_statement_repeat1,
    STATE(2071), 1,
      sym_decorator,
    ACTIONS(1340), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(549), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82498] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1624), 1,
      sym_comment,
    STATE(2681), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82540] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1625), 1,
      sym_comment,
    STATE(2686), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82582] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1626), 1,
      sym_comment,
    STATE(2202), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82624] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1627), 1,
      sym_comment,
    ACTIONS(2089), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82652] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1251), 1,
      anon_sym_var,
    ACTIONS(1259), 1,
      anon_sym_class,
    ACTIONS(1261), 1,
      anon_sym_async,
    ACTIONS(1263), 1,
      anon_sym_function,
    ACTIONS(2975), 1,
      anon_sym_default,
    STATE(1628), 1,
      sym_comment,
    STATE(2022), 1,
      aux_sym_export_statement_repeat1,
    STATE(2071), 1,
      sym_decorator,
    STATE(2281), 1,
      sym_declaration,
    ACTIONS(1253), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(2326), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82700] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1304), 1,
      anon_sym_var,
    ACTIONS(1310), 1,
      anon_sym_class,
    ACTIONS(1312), 1,
      anon_sym_async,
    ACTIONS(1314), 1,
      anon_sym_function,
    ACTIONS(2977), 1,
      anon_sym_default,
    STATE(730), 1,
      sym_declaration,
    STATE(1629), 1,
      sym_comment,
    STATE(2033), 1,
      aux_sym_export_statement_repeat1,
    STATE(2071), 1,
      sym_decorator,
    ACTIONS(1306), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(689), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82748] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2928), 1,
      anon_sym_default,
    STATE(963), 1,
      sym_declaration,
    STATE(1630), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2071), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(960), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82796] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1631), 1,
      sym_comment,
    ACTIONS(2105), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82824] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1632), 1,
      sym_comment,
    STATE(2698), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82866] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1633), 1,
      sym_comment,
    ACTIONS(2979), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82894] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      sym_comment,
    STATE(2443), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82936] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1322), 1,
      anon_sym_var,
    ACTIONS(1328), 1,
      anon_sym_class,
    ACTIONS(1330), 1,
      anon_sym_async,
    ACTIONS(1332), 1,
      anon_sym_function,
    ACTIONS(2981), 1,
      anon_sym_default,
    STATE(825), 1,
      sym_declaration,
    STATE(1635), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_export_statement_repeat1,
    STATE(2071), 1,
      sym_decorator,
    ACTIONS(1324), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(785), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82984] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1636), 1,
      sym_comment,
    ACTIONS(2876), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83012] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2801), 1,
      anon_sym_STAR,
    ACTIONS(2983), 1,
      anon_sym_async,
    STATE(1637), 1,
      sym_comment,
    STATE(2564), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2842), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [83058] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1638), 1,
      sym_comment,
    STATE(2486), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83100] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1639), 1,
      sym_comment,
    STATE(2462), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83142] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1640), 1,
      sym_comment,
    STATE(2575), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83184] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(2987), 1,
      anon_sym_async,
    ACTIONS(2989), 1,
      anon_sym_get,
    ACTIONS(2991), 1,
      anon_sym_set,
    STATE(1641), 1,
      sym_comment,
    STATE(2578), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [83232] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1642), 1,
      sym_comment,
    STATE(2586), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83274] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym_comment,
    STATE(2588), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83316] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1644), 1,
      sym_comment,
    STATE(2589), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83358] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    STATE(1645), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [83404] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1646), 1,
      sym_comment,
    STATE(2596), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83446] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1647), 1,
      sym_comment,
    STATE(2597), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83488] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1648), 1,
      sym_comment,
    STATE(2600), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83530] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1649), 1,
      sym_comment,
    STATE(2601), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83572] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1650), 1,
      sym_comment,
    STATE(2603), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83614] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1651), 1,
      sym_comment,
    STATE(2604), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83656] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1652), 1,
      sym_comment,
    ACTIONS(2993), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83684] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1653), 1,
      sym_comment,
    STATE(2527), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83726] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    STATE(1654), 1,
      sym_comment,
    STATE(2523), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83768] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1655), 1,
      sym_comment,
    STATE(2543), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1656), 1,
      sym_comment,
    ACTIONS(2995), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [83834] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1657), 1,
      sym_comment,
    ACTIONS(2105), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83861] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1658), 1,
      sym_comment,
    STATE(2429), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83900] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1659), 1,
      sym_comment,
    STATE(2486), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83939] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1660), 1,
      sym_comment,
    ACTIONS(2993), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83966] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1661), 1,
      sym_comment,
    STATE(2734), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84005] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1662), 1,
      sym_comment,
    STATE(2655), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84044] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1663), 1,
      sym_comment,
    STATE(2233), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84083] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1664), 1,
      sym_comment,
    ACTIONS(2013), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84110] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1665), 1,
      sym_comment,
    STATE(2202), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84149] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1666), 1,
      sym_comment,
    ACTIONS(2997), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84176] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1667), 1,
      sym_comment,
    STATE(2381), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84215] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1668), 1,
      sym_comment,
    STATE(2519), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84254] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1669), 1,
      sym_comment,
    ACTIONS(2876), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84281] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1670), 1,
      sym_comment,
    ACTIONS(2979), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1671), 1,
      sym_comment,
    ACTIONS(2999), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84335] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1672), 1,
      sym_comment,
    STATE(2564), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84374] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1673), 1,
      sym_comment,
    STATE(2575), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84413] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1674), 1,
      sym_comment,
    STATE(2576), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84452] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1675), 1,
      sym_comment,
    STATE(2586), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1676), 1,
      sym_comment,
    ACTIONS(3001), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84518] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1677), 1,
      sym_comment,
    STATE(2587), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84557] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1678), 1,
      sym_comment,
    STATE(2590), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84596] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1679), 1,
      sym_comment,
    STATE(2594), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1680), 1,
      sym_comment,
    ACTIONS(3003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84662] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1681), 1,
      sym_comment,
    STATE(2599), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84701] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(2755), 1,
      anon_sym_LBRACK,
    STATE(1682), 1,
      sym_comment,
    STATE(2602), 1,
      sym__property_name,
    ACTIONS(1294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2355), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84740] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1683), 1,
      sym_comment,
    ACTIONS(2089), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84767] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3013), 1,
      anon_sym_LT_SLASH,
    STATE(1301), 1,
      sym_jsx_closing_element,
    STATE(1684), 1,
      sym_comment,
    STATE(1692), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1695), 1,
      sym_jsx_opening_element,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84808] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3015), 1,
      anon_sym_LT_SLASH,
    STATE(1130), 1,
      sym_jsx_closing_element,
    STATE(1685), 1,
      sym_comment,
    STATE(1695), 1,
      sym_jsx_opening_element,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84849] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3017), 1,
      sym_identifier,
    ACTIONS(3019), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    STATE(1686), 1,
      sym_comment,
    STATE(1999), 1,
      sym_string,
    STATE(2552), 1,
      sym_import_clause,
    STATE(2781), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3023), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84890] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3015), 1,
      anon_sym_LT_SLASH,
    STATE(1165), 1,
      sym_jsx_closing_element,
    STATE(1685), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1687), 1,
      sym_comment,
    STATE(1695), 1,
      sym_jsx_opening_element,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84931] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3025), 1,
      anon_sym_LT_SLASH,
    STATE(1688), 1,
      sym_comment,
    STATE(1695), 1,
      sym_jsx_opening_element,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1890), 1,
      sym_jsx_closing_element,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84972] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3025), 1,
      anon_sym_LT_SLASH,
    STATE(1688), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1689), 1,
      sym_comment,
    STATE(1695), 1,
      sym_jsx_opening_element,
    STATE(1865), 1,
      sym_jsx_closing_element,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85013] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3017), 1,
      sym_identifier,
    ACTIONS(3019), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_comment,
    STATE(1989), 1,
      sym_string,
    STATE(2495), 1,
      sym_import_clause,
    STATE(2781), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3023), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [85054] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3017), 1,
      sym_identifier,
    ACTIONS(3019), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    STATE(1691), 1,
      sym_comment,
    STATE(1925), 1,
      sym_string,
    STATE(2616), 1,
      sym_import_clause,
    STATE(2781), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3023), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [85095] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3013), 1,
      anon_sym_LT_SLASH,
    STATE(1320), 1,
      sym_jsx_closing_element,
    STATE(1692), 1,
      sym_comment,
    STATE(1695), 1,
      sym_jsx_opening_element,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85136] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3017), 1,
      sym_identifier,
    ACTIONS(3019), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    STATE(1693), 1,
      sym_comment,
    STATE(1944), 1,
      sym_string,
    STATE(2640), 1,
      sym_import_clause,
    STATE(2781), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3023), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [85177] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 1,
      anon_sym_DQUOTE,
    ACTIONS(2654), 1,
      anon_sym_SQUOTE,
    ACTIONS(3017), 1,
      sym_identifier,
    ACTIONS(3019), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    STATE(1694), 1,
      sym_comment,
    STATE(1966), 1,
      sym_string,
    STATE(2663), 1,
      sym_import_clause,
    STATE(2781), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3023), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [85218] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3027), 1,
      anon_sym_LT_SLASH,
    STATE(1696), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1822), 1,
      sym_jsx_closing_element,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1695), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85257] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3009), 1,
      sym_html_character_reference,
    ACTIONS(3011), 1,
      anon_sym_LT,
    ACTIONS(3027), 1,
      anon_sym_LT_SLASH,
    STATE(1695), 1,
      sym_jsx_opening_element,
    STATE(1696), 1,
      sym_comment,
    STATE(1697), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1776), 1,
      sym_jsx_closing_element,
    ACTIONS(3007), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85298] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3029), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      sym_html_character_reference,
    ACTIONS(3038), 1,
      anon_sym_LT,
    ACTIONS(3041), 1,
      anon_sym_LT_SLASH,
    STATE(1695), 1,
      sym_jsx_opening_element,
    ACTIONS(3032), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1697), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(1797), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [85334] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1698), 1,
      sym_comment,
    STATE(1728), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85373] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1699), 1,
      sym_comment,
    STATE(1713), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85412] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1700), 1,
      sym_comment,
    STATE(1721), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85451] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1701), 1,
      sym_comment,
    STATE(1726), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85490] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1702), 1,
      sym_comment,
    STATE(1711), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85526] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1703), 1,
      sym_comment,
    STATE(1715), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85562] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1704), 1,
      sym_comment,
    STATE(1724), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85598] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1705), 1,
      sym_comment,
    STATE(1720), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85634] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1706), 1,
      sym_comment,
    STATE(1712), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85670] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1707), 1,
      sym_comment,
    STATE(1714), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85706] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1708), 1,
      sym_comment,
    STATE(1723), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85742] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_DOT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      sym_comment,
    STATE(1731), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85778] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1710), 1,
      sym_comment,
    STATE(1732), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85811] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3063), 1,
      anon_sym_SLASH_GT,
    STATE(1711), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85844] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3065), 1,
      anon_sym_SLASH_GT,
    STATE(1712), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85877] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3067), 1,
      anon_sym_GT,
    ACTIONS(3069), 1,
      anon_sym_SLASH_GT,
    STATE(1713), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85910] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3071), 1,
      anon_sym_GT,
    ACTIONS(3073), 1,
      anon_sym_SLASH_GT,
    STATE(1714), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85943] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3075), 1,
      anon_sym_SLASH_GT,
    STATE(1715), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85976] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1716), 1,
      sym_comment,
    STATE(1725), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86009] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3079), 1,
      anon_sym_SLASH_GT,
    STATE(1717), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86042] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3081), 1,
      anon_sym_LBRACE,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(3085), 1,
      anon_sym_DQUOTE,
    ACTIONS(3087), 1,
      anon_sym_SQUOTE,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1718), 1,
      sym_comment,
    STATE(1853), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [86073] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3081), 1,
      anon_sym_LBRACE,
    ACTIONS(3083), 1,
      anon_sym_LT,
    ACTIONS(3085), 1,
      anon_sym_DQUOTE,
    ACTIONS(3087), 1,
      anon_sym_SQUOTE,
    STATE(1689), 1,
      sym_jsx_opening_element,
    STATE(1719), 1,
      sym_comment,
    STATE(1855), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [86104] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3061), 1,
      anon_sym_GT,
    ACTIONS(3089), 1,
      anon_sym_SLASH_GT,
    STATE(1720), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86137] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3067), 1,
      anon_sym_GT,
    ACTIONS(3091), 1,
      anon_sym_SLASH_GT,
    STATE(1721), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86170] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3093), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(3099), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1722), 2,
      sym_comment,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86199] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3071), 1,
      anon_sym_GT,
    ACTIONS(3101), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1723), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86232] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3071), 1,
      anon_sym_GT,
    ACTIONS(3103), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1724), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86265] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3105), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1725), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86298] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3067), 1,
      anon_sym_GT,
    ACTIONS(3107), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1726), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86331] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3109), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1727), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86364] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3067), 1,
      anon_sym_GT,
    ACTIONS(3111), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1728), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86397] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3055), 1,
      anon_sym_SLASH_GT,
    STATE(1717), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1729), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86430] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3059), 1,
      anon_sym_SLASH_GT,
    STATE(1727), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1730), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86463] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3071), 1,
      anon_sym_GT,
    ACTIONS(3113), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1731), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86496] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_GT,
    ACTIONS(3115), 1,
      anon_sym_SLASH_GT,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1732), 1,
      sym_comment,
    STATE(1774), 1,
      sym_jsx_namespace_name,
    ACTIONS(3043), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1891), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [86529] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    ACTIONS(3119), 1,
      anon_sym_COMMA,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    STATE(1733), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2135), 1,
      sym_import_specifier,
    STATE(2828), 1,
      sym__module_export_name,
  [86563] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    ACTIONS(3125), 1,
      anon_sym_COMMA,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    STATE(1734), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2073), 1,
      sym_export_specifier,
    STATE(2074), 1,
      sym__module_export_name,
  [86597] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1735), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1967), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1736), 1,
      sym_comment,
    ACTIONS(3131), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86645] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    STATE(1737), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86674] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1738), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1926), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86703] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3139), 1,
      sym__automatic_semicolon,
    STATE(1739), 1,
      sym_comment,
    ACTIONS(902), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [86724] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1927), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1741), 1,
      sym_comment,
    ACTIONS(3141), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86772] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3047), 1,
      anon_sym_COLON,
    ACTIONS(3145), 1,
      anon_sym_EQ,
    STATE(1742), 1,
      sym_comment,
    ACTIONS(3143), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [86795] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3147), 1,
      sym_identifier,
    STATE(1743), 1,
      sym_comment,
    STATE(1765), 1,
      sym__destructuring_pattern,
    STATE(1946), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2317), 1,
      sym__automatic_semicolon,
    STATE(1744), 1,
      sym_comment,
    ACTIONS(906), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [86845] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    STATE(1745), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86874] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1746), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(2001), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86903] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(2002), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1748), 1,
      sym_comment,
    ACTIONS(3149), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86951] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1749), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1980), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86980] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    STATE(1750), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2220), 1,
      sym_import_specifier,
    STATE(2828), 1,
      sym__module_export_name,
  [87011] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1751), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1981), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87040] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(1752), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2220), 1,
      sym_import_specifier,
    STATE(2828), 1,
      sym__module_export_name,
  [87071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1753), 1,
      sym_comment,
    ACTIONS(3155), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [87090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1754), 1,
      sym_comment,
    ACTIONS(3157), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [87109] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    STATE(1755), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87138] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3161), 1,
      sym_identifier,
    STATE(1756), 1,
      sym_comment,
    STATE(1762), 1,
      sym__destructuring_pattern,
    STATE(1945), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87167] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    ACTIONS(3163), 1,
      anon_sym_RBRACE,
    STATE(1757), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87196] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1758), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(2006), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87225] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(1759), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2074), 1,
      sym__module_export_name,
    STATE(2411), 1,
      sym_export_specifier,
  [87256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1760), 1,
      sym_comment,
    ACTIONS(3167), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [87275] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2074), 1,
      sym__module_export_name,
    STATE(2411), 1,
      sym_export_specifier,
  [87306] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3175), 1,
      anon_sym_EQ,
    STATE(1762), 1,
      sym_comment,
    STATE(1894), 1,
      sym__initializer,
    ACTIONS(3173), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3171), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87331] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1763), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1991), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87360] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    STATE(1764), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87389] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3177), 1,
      anon_sym_EQ,
    STATE(1765), 1,
      sym_comment,
    STATE(2165), 1,
      sym__initializer,
    ACTIONS(3173), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3171), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87414] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    STATE(1766), 1,
      sym_comment,
    STATE(2147), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87443] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(3133), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    STATE(1767), 1,
      sym_comment,
    STATE(2159), 1,
      aux_sym_object_repeat1,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87472] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1768), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(2054), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87501] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1388), 1,
      anon_sym_LBRACE,
    ACTIONS(1390), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      sym_identifier,
    STATE(1769), 1,
      sym_comment,
    STATE(1868), 1,
      sym__destructuring_pattern,
    STATE(1968), 1,
      sym_variable_declarator,
    STATE(1839), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87530] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3183), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1770), 1,
      sym_comment,
    STATE(1782), 1,
      aux_sym_template_string_repeat1,
    STATE(2004), 1,
      sym_template_substitution,
    ACTIONS(3181), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1771), 1,
      sym_comment,
    ACTIONS(3131), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87574] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1772), 1,
      sym_comment,
    ACTIONS(2165), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1773), 1,
      sym_comment,
    ACTIONS(3187), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87610] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3191), 1,
      anon_sym_EQ,
    STATE(1774), 1,
      sym_comment,
    ACTIONS(3189), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87630] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1775), 1,
      sym_comment,
    ACTIONS(2027), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87648] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1776), 1,
      sym_comment,
    ACTIONS(2031), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1777), 1,
      sym_comment,
    ACTIONS(3155), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87684] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3177), 1,
      anon_sym_EQ,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(1778), 1,
      sym_comment,
    STATE(2382), 1,
      sym_formal_parameters,
    STATE(2709), 1,
      sym__initializer,
    ACTIONS(3195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87710] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3117), 1,
      sym_identifier,
    STATE(1779), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2220), 1,
      sym_import_specifier,
    STATE(2828), 1,
      sym__module_export_name,
  [87738] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(3197), 1,
      sym_identifier,
    ACTIONS(3199), 1,
      anon_sym_LBRACK,
    STATE(1780), 1,
      sym_comment,
    STATE(2790), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87764] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3185), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3201), 1,
      anon_sym_BQUOTE,
    STATE(1781), 1,
      sym_comment,
    STATE(1833), 1,
      aux_sym_template_string_repeat1,
    STATE(2004), 1,
      sym_template_substitution,
    ACTIONS(3181), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87790] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3206), 1,
      anon_sym_BQUOTE,
    ACTIONS(3208), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2004), 1,
      sym_template_substitution,
    ACTIONS(3203), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1782), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [87814] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1783), 1,
      sym_comment,
    ACTIONS(2061), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87832] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1784), 1,
      sym_comment,
    ACTIONS(2061), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87850] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1785), 1,
      sym_comment,
    ACTIONS(2061), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1786), 1,
      sym_comment,
    ACTIONS(2061), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87886] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3185), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3211), 1,
      anon_sym_BQUOTE,
    STATE(1770), 1,
      aux_sym_template_string_repeat1,
    STATE(1787), 1,
      sym_comment,
    STATE(2004), 1,
      sym_template_substitution,
    ACTIONS(3181), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_COMMA,
    STATE(1788), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [87932] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_BQUOTE,
    ACTIONS(3216), 1,
      sym_optional_chain,
    STATE(1789), 1,
      sym_comment,
    STATE(1161), 2,
      sym_template_string,
      sym_arguments,
  [87958] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1790), 1,
      sym_comment,
    ACTIONS(2093), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87976] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1791), 1,
      sym_comment,
    ACTIONS(3218), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87994] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3222), 1,
      anon_sym_RBRACE,
    ACTIONS(3224), 1,
      anon_sym_case,
    STATE(1792), 1,
      sym_comment,
    STATE(1798), 1,
      aux_sym_switch_body_repeat1,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1793), 1,
      sym_comment,
    ACTIONS(3157), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1794), 1,
      sym_comment,
    ACTIONS(3149), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1795), 1,
      sym_comment,
    ACTIONS(910), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [88074] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1796), 1,
      sym_comment,
    ACTIONS(3226), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88092] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1797), 1,
      sym_comment,
    ACTIONS(3228), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88110] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3230), 1,
      anon_sym_RBRACE,
    STATE(1798), 1,
      sym_comment,
    STATE(1805), 1,
      aux_sym_switch_body_repeat1,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88136] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1799), 1,
      sym_comment,
    ACTIONS(3232), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1800), 1,
      sym_comment,
    ACTIONS(2189), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [88172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1801), 1,
      sym_comment,
    ACTIONS(3141), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1802), 1,
      sym_comment,
    ACTIONS(2153), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [88208] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3234), 1,
      anon_sym_RBRACE,
    STATE(1803), 1,
      sym_comment,
    STATE(1804), 1,
      aux_sym_switch_body_repeat1,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88234] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3236), 1,
      anon_sym_RBRACE,
    STATE(1804), 1,
      sym_comment,
    STATE(1805), 1,
      aux_sym_switch_body_repeat1,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88260] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3238), 1,
      anon_sym_default,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(3243), 1,
      anon_sym_case,
    STATE(1805), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88284] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1806), 1,
      sym_comment,
    ACTIONS(3246), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88302] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_LBRACK,
    ACTIONS(3248), 1,
      sym_identifier,
    STATE(1807), 1,
      sym_comment,
    STATE(2763), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88328] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3250), 1,
      anon_sym_RBRACE,
    STATE(1808), 1,
      sym_comment,
    STATE(1809), 1,
      aux_sym_switch_body_repeat1,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88354] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3252), 1,
      anon_sym_RBRACE,
    STATE(1805), 1,
      aux_sym_switch_body_repeat1,
    STATE(1809), 1,
      sym_comment,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1810), 1,
      sym_comment,
    ACTIONS(2377), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88398] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3254), 1,
      anon_sym_catch,
    ACTIONS(3256), 1,
      anon_sym_finally,
    STATE(1811), 1,
      sym_comment,
    STATE(2018), 1,
      sym_catch_clause,
    STATE(2214), 1,
      sym_finally_clause,
    ACTIONS(1455), 2,
      anon_sym_else,
      anon_sym_while,
  [88424] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3258), 1,
      anon_sym_RBRACE,
    STATE(1812), 1,
      sym_comment,
    STATE(1813), 1,
      aux_sym_switch_body_repeat1,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88450] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3260), 1,
      anon_sym_RBRACE,
    STATE(1805), 1,
      aux_sym_switch_body_repeat1,
    STATE(1813), 1,
      sym_comment,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88476] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3262), 1,
      anon_sym_RBRACE,
    STATE(1805), 1,
      aux_sym_switch_body_repeat1,
    STATE(1814), 1,
      sym_comment,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88502] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3177), 1,
      anon_sym_EQ,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(1815), 1,
      sym_comment,
    STATE(2511), 1,
      sym__initializer,
    STATE(2534), 1,
      sym_formal_parameters,
    ACTIONS(3264), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88528] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_LBRACK,
    ACTIONS(3266), 1,
      sym_identifier,
    STATE(1816), 1,
      sym_comment,
    STATE(1958), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88554] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      sym_identifier,
    STATE(1817), 1,
      sym_comment,
    STATE(2396), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88580] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2113), 1,
      anon_sym_LPAREN,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(3270), 1,
      sym_optional_chain,
    STATE(1818), 1,
      sym_comment,
    STATE(1294), 2,
      sym_template_string,
      sym_arguments,
  [88606] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(1819), 1,
      sym_comment,
    ACTIONS(3272), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [88628] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_LBRACK,
    ACTIONS(3274), 1,
      sym_identifier,
    STATE(1820), 1,
      sym_comment,
    STATE(2757), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88654] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1821), 1,
      sym_comment,
    ACTIONS(3276), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88672] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1822), 1,
      sym_comment,
    ACTIONS(2141), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88690] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1823), 1,
      sym_comment,
    ACTIONS(3278), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88708] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1824), 1,
      sym_comment,
    ACTIONS(3280), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1825), 1,
      sym_comment,
    ACTIONS(2319), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88744] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1826), 1,
      sym_comment,
    ACTIONS(3278), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88762] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1827), 1,
      sym_comment,
    ACTIONS(3278), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88780] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1828), 1,
      sym_comment,
    ACTIONS(3278), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1829), 1,
      sym_comment,
    ACTIONS(2372), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88816] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    STATE(1830), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2074), 1,
      sym__module_export_name,
    STATE(2411), 1,
      sym_export_specifier,
  [88844] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3177), 1,
      anon_sym_EQ,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(1831), 1,
      sym_comment,
    STATE(2494), 1,
      sym_formal_parameters,
    STATE(2502), 1,
      sym__initializer,
    ACTIONS(3282), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88870] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3220), 1,
      anon_sym_default,
    ACTIONS(3224), 1,
      anon_sym_case,
    ACTIONS(3284), 1,
      anon_sym_RBRACE,
    STATE(1814), 1,
      aux_sym_switch_body_repeat1,
    STATE(1832), 1,
      sym_comment,
    STATE(2083), 2,
      sym_switch_case,
      sym_switch_default,
  [88896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3185), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3286), 1,
      anon_sym_BQUOTE,
    STATE(1782), 1,
      aux_sym_template_string_repeat1,
    STATE(1833), 1,
      sym_comment,
    STATE(2004), 1,
      sym_template_substitution,
    ACTIONS(3181), 2,
      sym__template_chars,
      sym_escape_sequence,
  [88922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1834), 1,
      sym_comment,
    ACTIONS(902), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [88940] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_LBRACK,
    ACTIONS(3288), 1,
      sym_identifier,
    STATE(1835), 1,
      sym_comment,
    STATE(2809), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88966] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3292), 1,
      anon_sym_LPAREN,
    ACTIONS(3294), 1,
      anon_sym_DOT,
    STATE(1836), 1,
      sym_comment,
    STATE(2060), 1,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [88990] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3177), 1,
      anon_sym_EQ,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(1837), 1,
      sym_comment,
    STATE(2496), 1,
      sym_formal_parameters,
    STATE(2510), 1,
      sym__initializer,
    ACTIONS(3296), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89016] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_LBRACK,
    ACTIONS(3298), 1,
      sym_identifier,
    STATE(1838), 1,
      sym_comment,
    STATE(2857), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [89042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1839), 1,
      sym_comment,
    ACTIONS(3167), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [89060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3300), 1,
      anon_sym_EQ,
    STATE(1840), 1,
      sym_comment,
    ACTIONS(1856), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [89079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1841), 1,
      sym_comment,
    ACTIONS(3302), 5,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
  [89096] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1842), 1,
      sym_comment,
    ACTIONS(3218), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89113] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1843), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89130] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1844), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89147] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1845), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89164] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1846), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89181] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3304), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LBRACE,
    ACTIONS(3308), 1,
      anon_sym_extends,
    STATE(1138), 1,
      sym_class_body,
    STATE(1847), 1,
      sym_comment,
    STATE(2332), 1,
      sym_class_heritage,
  [89206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    STATE(1848), 1,
      sym_comment,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3310), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89227] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3313), 1,
      sym_identifier,
    ACTIONS(3315), 1,
      anon_sym_GT,
    ACTIONS(3317), 1,
      sym_jsx_identifier,
    STATE(1849), 1,
      sym_comment,
    STATE(2273), 1,
      sym_nested_identifier,
    STATE(2779), 1,
      sym_jsx_namespace_name,
  [89252] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1850), 1,
      sym_comment,
    ACTIONS(2093), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1851), 1,
      sym_comment,
    ACTIONS(2153), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [89286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1852), 1,
      sym_comment,
    ACTIONS(2189), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [89303] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1853), 1,
      sym_comment,
    ACTIONS(3319), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89320] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3321), 1,
      sym_identifier,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    STATE(1329), 1,
      sym_class_body,
    STATE(1854), 1,
      sym_comment,
    STATE(2631), 1,
      sym_class_heritage,
  [89345] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1855), 1,
      sym_comment,
    ACTIONS(3325), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3329), 1,
      anon_sym_AT,
    STATE(2071), 1,
      sym_decorator,
    ACTIONS(3327), 2,
      anon_sym_export,
      anon_sym_class,
    STATE(1856), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
  [89383] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    STATE(1857), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2743), 1,
      sym__module_export_name,
  [89408] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3332), 1,
      anon_sym_export,
    ACTIONS(3334), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1858), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [89433] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE,
    ACTIONS(1286), 1,
      anon_sym_SQUOTE,
    ACTIONS(3123), 1,
      sym_identifier,
    STATE(1859), 1,
      sym_comment,
    STATE(1911), 1,
      sym_string,
    STATE(2224), 1,
      sym__module_export_name,
  [89458] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3336), 1,
      sym_identifier,
    STATE(1363), 1,
      sym_class_body,
    STATE(1860), 1,
      sym_comment,
    STATE(2514), 1,
      sym_class_heritage,
  [89483] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3338), 1,
      sym_identifier,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3342), 1,
      sym_jsx_identifier,
    STATE(1707), 1,
      sym_nested_identifier,
    STATE(1729), 1,
      sym_jsx_namespace_name,
    STATE(1861), 1,
      sym_comment,
  [89508] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      sym_identifier,
    STATE(1363), 1,
      sym_class_body,
    STATE(1862), 1,
      sym_comment,
    STATE(2514), 1,
      sym_class_heritage,
  [89533] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3346), 1,
      anon_sym_export,
    ACTIONS(3348), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1863), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [89558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3350), 1,
      anon_sym_EQ,
    STATE(1864), 1,
      sym_comment,
    ACTIONS(1847), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [89577] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1865), 1,
      sym_comment,
    ACTIONS(2141), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89594] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      sym_identifier,
    STATE(1329), 1,
      sym_class_body,
    STATE(1866), 1,
      sym_comment,
    STATE(2631), 1,
      sym_class_heritage,
  [89619] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3306), 1,
      anon_sym_LBRACE,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3355), 1,
      sym_identifier,
    STATE(1134), 1,
      sym_class_body,
    STATE(1867), 1,
      sym_comment,
    STATE(2489), 1,
      sym_class_heritage,
  [89644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3177), 1,
      anon_sym_EQ,
    STATE(1868), 1,
      sym_comment,
    STATE(2165), 1,
      sym__initializer,
    ACTIONS(3171), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [89665] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3357), 1,
      sym_identifier,
    STATE(1363), 1,
      sym_class_body,
    STATE(1869), 1,
      sym_comment,
    STATE(2514), 1,
      sym_class_heritage,
  [89690] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_export,
    ACTIONS(3361), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1870), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [89715] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3363), 1,
      sym_identifier,
    ACTIONS(3365), 1,
      anon_sym_LPAREN,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3369), 1,
      sym_private_property_identifier,
    STATE(1127), 1,
      sym_arguments,
    STATE(1871), 1,
      sym_comment,
  [89740] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      sym_identifier,
    STATE(1329), 1,
      sym_class_body,
    STATE(1872), 1,
      sym_comment,
    STATE(2631), 1,
      sym_class_heritage,
  [89765] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    STATE(1873), 1,
      sym_comment,
    STATE(2068), 1,
      aux_sym_object_repeat1,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [89788] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1874), 1,
      sym_comment,
    ACTIONS(3377), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89805] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3379), 1,
      sym_identifier,
    ACTIONS(3381), 1,
      sym_jsx_identifier,
    STATE(1708), 1,
      sym_nested_identifier,
    STATE(1716), 1,
      sym_jsx_namespace_name,
    STATE(1875), 1,
      sym_comment,
  [89830] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3383), 1,
      sym_identifier,
    STATE(1363), 1,
      sym_class_body,
    STATE(1876), 1,
      sym_comment,
    STATE(2514), 1,
      sym_class_heritage,
  [89855] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3385), 1,
      anon_sym_export,
    ACTIONS(3387), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1877), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [89880] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3389), 1,
      sym_identifier,
    STATE(1329), 1,
      sym_class_body,
    STATE(1878), 1,
      sym_comment,
    STATE(2631), 1,
      sym_class_heritage,
  [89905] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1879), 1,
      sym_comment,
    ACTIONS(3246), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89922] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_COLON,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3393), 1,
      anon_sym_RBRACE,
    STATE(1880), 1,
      sym_comment,
    STATE(2160), 1,
      aux_sym_object_pattern_repeat1,
  [89947] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1881), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89964] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3395), 1,
      sym_identifier,
    ACTIONS(3397), 1,
      anon_sym_GT,
    ACTIONS(3399), 1,
      sym_jsx_identifier,
    STATE(1882), 1,
      sym_comment,
    STATE(2473), 1,
      sym_nested_identifier,
    STATE(2752), 1,
      sym_jsx_namespace_name,
  [89989] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1363), 1,
      sym_class_body,
    STATE(1883), 1,
      sym_comment,
    STATE(2514), 1,
      sym_class_heritage,
  [90014] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3403), 1,
      anon_sym_export,
    ACTIONS(3405), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1884), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [90039] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      sym_identifier,
    ACTIONS(3409), 1,
      anon_sym_GT,
    ACTIONS(3411), 1,
      sym_jsx_identifier,
    STATE(1885), 1,
      sym_comment,
    STATE(2294), 1,
      sym_nested_identifier,
    STATE(2754), 1,
      sym_jsx_namespace_name,
  [90064] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3413), 1,
      sym_identifier,
    STATE(1329), 1,
      sym_class_body,
    STATE(1886), 1,
      sym_comment,
    STATE(2631), 1,
      sym_class_heritage,
  [90089] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3415), 1,
      sym_identifier,
    ACTIONS(3417), 1,
      anon_sym_LPAREN,
    ACTIONS(3419), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_private_property_identifier,
    STATE(1312), 1,
      sym_arguments,
    STATE(1887), 1,
      sym_comment,
  [90114] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_COLON,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3423), 1,
      anon_sym_RBRACE,
    STATE(1888), 1,
      sym_comment,
    STATE(2190), 1,
      aux_sym_object_pattern_repeat1,
  [90139] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1889), 1,
      sym_comment,
    ACTIONS(2027), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90156] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1890), 1,
      sym_comment,
    ACTIONS(2031), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90173] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1891), 1,
      sym_comment,
    ACTIONS(3425), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90190] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3427), 1,
      sym_identifier,
    STATE(1363), 1,
      sym_class_body,
    STATE(1892), 1,
      sym_comment,
    STATE(2514), 1,
      sym_class_heritage,
  [90215] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1893), 1,
      sym_comment,
    ACTIONS(3429), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [90232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3433), 1,
      anon_sym_in,
    ACTIONS(3435), 1,
      anon_sym_of,
    STATE(1894), 1,
      sym_comment,
    ACTIONS(3431), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [90253] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3437), 1,
      sym_identifier,
    ACTIONS(3439), 1,
      sym_jsx_identifier,
    STATE(1709), 1,
      sym_nested_identifier,
    STATE(1710), 1,
      sym_jsx_namespace_name,
    STATE(1895), 1,
      sym_comment,
  [90278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3441), 1,
      anon_sym_EQ,
    STATE(1896), 1,
      sym_comment,
    ACTIONS(1847), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [90297] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3446), 1,
      anon_sym_GT,
    ACTIONS(3448), 1,
      sym_jsx_identifier,
    STATE(1897), 1,
      sym_comment,
    STATE(2385), 1,
      sym_nested_identifier,
    STATE(2773), 1,
      sym_jsx_namespace_name,
  [90322] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3308), 1,
      anon_sym_extends,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    ACTIONS(3450), 1,
      sym_identifier,
    STATE(1329), 1,
      sym_class_body,
    STATE(1898), 1,
      sym_comment,
    STATE(2631), 1,
      sym_class_heritage,
  [90347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1899), 1,
      sym_comment,
    ACTIONS(1847), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [90364] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3340), 1,
      anon_sym_GT,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3454), 1,
      sym_jsx_identifier,
    STATE(1704), 1,
      sym_nested_identifier,
    STATE(1730), 1,
      sym_jsx_namespace_name,
    STATE(1900), 1,
      sym_comment,
  [90389] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3458), 1,
      anon_sym_EQ,
    ACTIONS(3460), 1,
      anon_sym_RBRACK,
    STATE(1901), 1,
      sym_comment,
    STATE(2186), 1,
      aux_sym_array_pattern_repeat1,
  [90411] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3462), 1,
      sym_identifier,
    ACTIONS(3464), 1,
      anon_sym_STAR,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    STATE(1902), 1,
      sym_comment,
    STATE(2329), 1,
      sym_formal_parameters,
  [90433] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_DQUOTE,
    STATE(1903), 1,
      sym_comment,
    STATE(1986), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90453] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    ACTIONS(3474), 1,
      anon_sym_extends,
    STATE(1308), 1,
      sym_class_body,
    STATE(1904), 1,
      sym_comment,
    STATE(2520), 1,
      sym_class_heritage,
  [90475] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3476), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym_comment,
    STATE(2078), 1,
      sym_class_body,
    STATE(2525), 1,
      sym_class_heritage,
  [90497] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    ACTIONS(3474), 1,
      anon_sym_extends,
    STATE(1311), 1,
      sym_class_body,
    STATE(1906), 1,
      sym_comment,
    STATE(2551), 1,
      sym_class_heritage,
  [90519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1907), 1,
      sym_comment,
    ACTIONS(2377), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90535] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3478), 1,
      anon_sym_LBRACE,
    STATE(222), 1,
      sym_class_body,
    STATE(1908), 1,
      sym_comment,
    STATE(2563), 1,
      sym_class_heritage,
  [90557] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1909), 1,
      sym_comment,
    ACTIONS(3480), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [90573] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1910), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [90595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1911), 1,
      sym_comment,
    ACTIONS(3482), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [90611] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3484), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_class_body,
    STATE(1912), 1,
      sym_comment,
    STATE(2660), 1,
      sym_class_heritage,
  [90633] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3484), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym_class_body,
    STATE(1913), 1,
      sym_comment,
    STATE(2318), 1,
      sym_class_heritage,
  [90655] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1914), 1,
      sym_comment,
    ACTIONS(1617), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(3486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_COLON,
    ACTIONS(3137), 1,
      anon_sym_EQ,
    STATE(1915), 1,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1916), 1,
      sym_comment,
    ACTIONS(2372), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90709] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1917), 1,
      sym_comment,
    ACTIONS(2809), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90727] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3492), 1,
      anon_sym_DQUOTE,
    STATE(1918), 1,
      sym_comment,
    STATE(1929), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90747] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3492), 1,
      anon_sym_SQUOTE,
    STATE(1919), 1,
      sym_comment,
    STATE(1930), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90767] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3498), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1580), 1,
      sym_glimmer_closing_tag,
    STATE(1920), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_glimmer_template_repeat1,
  [90789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1921), 1,
      sym_comment,
    STATE(2267), 1,
      sym__from_clause,
    ACTIONS(3502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90809] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3468), 1,
      anon_sym_SQUOTE,
    STATE(1922), 1,
      sym_comment,
    STATE(1987), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90829] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3504), 1,
      sym_html_character_reference,
    ACTIONS(3507), 1,
      anon_sym_DQUOTE,
    ACTIONS(3509), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1923), 2,
      sym_comment,
      aux_sym__jsx_string_repeat1,
  [90849] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3512), 1,
      sym_html_character_reference,
    ACTIONS(3515), 1,
      anon_sym_SQUOTE,
    ACTIONS(3517), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1924), 2,
      sym_comment,
      aux_sym__jsx_string_repeat2,
  [90869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    STATE(1925), 1,
      sym_comment,
    STATE(2271), 1,
      sym_import_attribute,
    ACTIONS(3522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90889] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      sym_comment,
    STATE(1935), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3526), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1927), 1,
      sym_comment,
    STATE(1936), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90929] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3530), 1,
      sym_identifier,
    ACTIONS(3532), 1,
      anon_sym_STAR,
    STATE(1928), 1,
      sym_comment,
    STATE(2338), 1,
      sym_formal_parameters,
  [90951] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3534), 1,
      anon_sym_DQUOTE,
    STATE(1929), 1,
      sym_comment,
    STATE(2028), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90971] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3534), 1,
      anon_sym_SQUOTE,
    STATE(1930), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1931), 1,
      sym_comment,
    ACTIONS(3536), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [91007] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_class_body,
    STATE(1932), 1,
      sym_comment,
    STATE(2286), 1,
      sym_class_heritage,
  [91029] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(611), 1,
      sym_class_body,
    STATE(1933), 1,
      sym_comment,
    STATE(2297), 1,
      sym_class_heritage,
  [91051] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    ACTIONS(3542), 1,
      anon_sym_SEMI,
    ACTIONS(3544), 1,
      sym__automatic_semicolon,
    STATE(1934), 1,
      sym_comment,
    STATE(2300), 1,
      sym_import_attribute,
  [91073] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1935), 1,
      sym_comment,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3546), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1936), 1,
      sym_comment,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3548), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91113] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1937), 1,
      sym_comment,
    ACTIONS(2502), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [91129] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(172), 1,
      sym_class_body,
    STATE(1938), 1,
      sym_comment,
    STATE(2305), 1,
      sym_class_heritage,
  [91151] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(585), 1,
      sym_class_body,
    STATE(1939), 1,
      sym_comment,
    STATE(2308), 1,
      sym_class_heritage,
  [91173] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3550), 1,
      anon_sym_DQUOTE,
    STATE(1940), 1,
      sym_comment,
    STATE(1948), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91193] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3550), 1,
      anon_sym_SQUOTE,
    STATE(1941), 1,
      sym_comment,
    STATE(1949), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91213] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3552), 1,
      sym_html_character_reference,
    ACTIONS(3554), 1,
      anon_sym_DQUOTE,
    ACTIONS(3556), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1923), 1,
      aux_sym__jsx_string_repeat1,
    STATE(1942), 1,
      sym_comment,
  [91235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1943), 1,
      sym_comment,
    STATE(2361), 1,
      sym__from_clause,
    ACTIONS(3558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    STATE(1944), 1,
      sym_comment,
    STATE(2363), 1,
      sym_import_attribute,
    ACTIONS(3560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym_comment,
    STATE(1954), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91295] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      sym_comment,
    STATE(1955), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3564), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91315] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3554), 1,
      anon_sym_SQUOTE,
    ACTIONS(3566), 1,
      sym_html_character_reference,
    ACTIONS(3568), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1924), 1,
      aux_sym__jsx_string_repeat2,
    STATE(1947), 1,
      sym_comment,
  [91337] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    STATE(1948), 1,
      sym_comment,
    STATE(2028), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91357] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3570), 1,
      anon_sym_SQUOTE,
    STATE(1949), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91377] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3572), 1,
      anon_sym_LBRACE,
    STATE(186), 1,
      sym_class_body,
    STATE(1950), 1,
      sym_comment,
    STATE(2378), 1,
      sym_class_heritage,
  [91399] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1951), 1,
      sym_comment,
    ACTIONS(2443), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [91415] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3574), 1,
      anon_sym_LBRACE,
    STATE(668), 1,
      sym_class_body,
    STATE(1952), 1,
      sym_comment,
    STATE(2388), 1,
      sym_class_heritage,
  [91437] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    ACTIONS(3576), 1,
      anon_sym_SEMI,
    ACTIONS(3578), 1,
      sym__automatic_semicolon,
    STATE(1953), 1,
      sym_comment,
    STATE(2390), 1,
      sym_import_attribute,
  [91459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1954), 1,
      sym_comment,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3580), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91479] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1955), 1,
      sym_comment,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3582), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91499] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_EQ,
    ACTIONS(3584), 1,
      anon_sym_COMMA,
    ACTIONS(3586), 1,
      anon_sym_RPAREN,
    STATE(1956), 1,
      sym_comment,
    STATE(2150), 1,
      aux_sym_formal_parameters_repeat1,
  [91521] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3588), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1957), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [91543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3590), 1,
      anon_sym_EQ,
    STATE(1958), 1,
      sym_comment,
    STATE(2419), 1,
      sym__initializer,
    ACTIONS(3173), 2,
      anon_sym_in,
      anon_sym_of,
  [91563] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3572), 1,
      anon_sym_LBRACE,
    STATE(182), 1,
      sym_class_body,
    STATE(1959), 1,
      sym_comment,
    STATE(2397), 1,
      sym_class_heritage,
  [91585] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3574), 1,
      anon_sym_LBRACE,
    STATE(576), 1,
      sym_class_body,
    STATE(1960), 1,
      sym_comment,
    STATE(2200), 1,
      sym_class_heritage,
  [91607] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3592), 1,
      anon_sym_COMMA,
    ACTIONS(2406), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(1961), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [91625] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3595), 1,
      anon_sym_DQUOTE,
    STATE(1962), 1,
      sym_comment,
    STATE(2012), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91645] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3595), 1,
      anon_sym_SQUOTE,
    STATE(1963), 1,
      sym_comment,
    STATE(2013), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91665] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1964), 1,
      sym_comment,
    STATE(2445), 1,
      sym__from_clause,
    ACTIONS(3597), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1965), 1,
      sym_comment,
    ACTIONS(2319), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [91701] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    STATE(1966), 1,
      sym_comment,
    STATE(2447), 1,
      sym_import_attribute,
    ACTIONS(3599), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1967), 1,
      sym_comment,
    STATE(1973), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3601), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91741] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1968), 1,
      sym_comment,
    STATE(1974), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3603), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91761] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3605), 1,
      anon_sym_LBRACE,
    STATE(160), 1,
      sym_class_body,
    STATE(1969), 1,
      sym_comment,
    STATE(2458), 1,
      sym_class_heritage,
  [91783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1970), 1,
      sym_comment,
    ACTIONS(1499), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [91799] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_class_body,
    STATE(1971), 1,
      sym_comment,
    STATE(2465), 1,
      sym_class_heritage,
  [91821] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    ACTIONS(3609), 1,
      anon_sym_SEMI,
    ACTIONS(3611), 1,
      sym__automatic_semicolon,
    STATE(1972), 1,
      sym_comment,
    STATE(2467), 1,
      sym_import_attribute,
  [91843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1973), 1,
      sym_comment,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91863] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1974), 1,
      sym_comment,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3615), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1975), 1,
      sym_comment,
    STATE(2262), 1,
      sym__from_clause,
    ACTIONS(3617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    ACTIONS(3622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1976), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [91921] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3605), 1,
      anon_sym_LBRACE,
    STATE(149), 1,
      sym_class_body,
    STATE(1977), 1,
      sym_comment,
    STATE(2474), 1,
      sym_class_heritage,
  [91943] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_class_body,
    STATE(1978), 1,
      sym_comment,
    STATE(2477), 1,
      sym_class_heritage,
  [91965] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3624), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1164), 1,
      sym_glimmer_closing_tag,
    STATE(1979), 1,
      sym_comment,
    STATE(1996), 1,
      aux_sym_glimmer_template_repeat1,
  [91987] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      sym_comment,
    STATE(1983), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92007] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1981), 1,
      sym_comment,
    STATE(1984), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92027] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3552), 1,
      sym_html_character_reference,
    ACTIONS(3556), 1,
      sym_unescaped_double_jsx_string_fragment,
    ACTIONS(3630), 1,
      anon_sym_DQUOTE,
    STATE(1942), 1,
      aux_sym__jsx_string_repeat1,
    STATE(1982), 1,
      sym_comment,
  [92049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1983), 1,
      sym_comment,
    ACTIONS(3632), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1984), 1,
      sym_comment,
    ACTIONS(3634), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92089] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3566), 1,
      sym_html_character_reference,
    ACTIONS(3568), 1,
      sym_unescaped_single_jsx_string_fragment,
    ACTIONS(3630), 1,
      anon_sym_SQUOTE,
    STATE(1947), 1,
      aux_sym__jsx_string_repeat2,
    STATE(1985), 1,
      sym_comment,
  [92111] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3636), 1,
      anon_sym_DQUOTE,
    STATE(1986), 1,
      sym_comment,
    STATE(2028), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [92131] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3636), 1,
      anon_sym_SQUOTE,
    STATE(1987), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [92151] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1988), 1,
      sym_comment,
    STATE(2369), 1,
      sym__from_clause,
    ACTIONS(3638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92171] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    STATE(1989), 1,
      sym_comment,
    STATE(2643), 1,
      sym_import_attribute,
    ACTIONS(3640), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92191] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3478), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_class_body,
    STATE(1990), 1,
      sym_comment,
    STATE(2301), 1,
      sym_class_heritage,
  [92213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1991), 1,
      sym_comment,
    STATE(2025), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3642), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92233] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    STATE(1992), 1,
      sym_comment,
    ACTIONS(1856), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [92251] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3646), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(1993), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [92273] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3648), 1,
      sym_identifier,
    ACTIONS(3650), 1,
      anon_sym_STAR,
    STATE(1994), 1,
      sym_comment,
    STATE(2329), 1,
      sym_formal_parameters,
  [92295] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3652), 1,
      sym_identifier,
    ACTIONS(3654), 1,
      anon_sym_STAR,
    STATE(1995), 1,
      sym_comment,
    STATE(2532), 1,
      sym_formal_parameters,
  [92317] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3624), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1128), 1,
      sym_glimmer_closing_tag,
    STATE(1996), 1,
      sym_comment,
    STATE(2092), 1,
      aux_sym_glimmer_template_repeat1,
  [92339] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1114), 1,
      sym_class_body,
    STATE(1997), 1,
      sym_comment,
    STATE(2478), 1,
      sym_class_heritage,
  [92361] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3658), 1,
      sym_identifier,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    STATE(1998), 1,
      sym_comment,
    STATE(2532), 1,
      sym_formal_parameters,
  [92383] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    STATE(1999), 1,
      sym_comment,
    STATE(2387), 1,
      sym_import_attribute,
    ACTIONS(3662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92403] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3664), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2000), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [92425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(2001), 1,
      sym_comment,
    STATE(2029), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92445] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92465] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3348), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2003), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [92487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2004), 1,
      sym_comment,
    ACTIONS(3670), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [92503] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3672), 1,
      sym_identifier,
    ACTIONS(3674), 1,
      anon_sym_STAR,
    STATE(2005), 1,
      sym_comment,
    STATE(2329), 1,
      sym_formal_parameters,
  [92525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(2006), 1,
      sym_comment,
    STATE(2024), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3676), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92545] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3361), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2007), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [92567] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3678), 1,
      anon_sym_STAR,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(2008), 1,
      sym_comment,
    STATE(2818), 2,
      sym_namespace_import,
      sym_named_imports,
  [92587] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    ACTIONS(3682), 1,
      anon_sym_SEMI,
    ACTIONS(3684), 1,
      sym__automatic_semicolon,
    STATE(2009), 1,
      sym_comment,
    STATE(2408), 1,
      sym_import_attribute,
  [92609] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3498), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1594), 1,
      sym_glimmer_closing_tag,
    STATE(2010), 1,
      sym_comment,
    STATE(2092), 1,
      aux_sym_glimmer_template_repeat1,
  [92631] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3458), 1,
      anon_sym_EQ,
    ACTIONS(3686), 1,
      anon_sym_RBRACK,
    STATE(2011), 1,
      sym_comment,
    STATE(2094), 1,
      aux_sym_array_pattern_repeat1,
  [92653] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3688), 1,
      anon_sym_DQUOTE,
    STATE(2012), 1,
      sym_comment,
    STATE(2028), 1,
      aux_sym_string_repeat1,
    ACTIONS(3470), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [92673] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3688), 1,
      anon_sym_SQUOTE,
    STATE(2013), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_string_repeat2,
    ACTIONS(3494), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [92693] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3387), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2014), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [92715] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    ACTIONS(3474), 1,
      anon_sym_extends,
    STATE(1393), 1,
      sym_class_body,
    STATE(2015), 1,
      sym_comment,
    STATE(2446), 1,
      sym_class_heritage,
  [92737] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1188), 1,
      sym_class_body,
    STATE(2016), 1,
      sym_comment,
    STATE(2533), 1,
      sym_class_heritage,
  [92759] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2193), 1,
      anon_sym_COMMA,
    STATE(2017), 1,
      sym_comment,
    STATE(2044), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(3272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92779] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3256), 1,
      anon_sym_finally,
    STATE(2018), 1,
      sym_comment,
    STATE(2204), 1,
      sym_finally_clause,
    ACTIONS(1479), 2,
      anon_sym_else,
      anon_sym_while,
  [92799] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3474), 1,
      anon_sym_extends,
    ACTIONS(3476), 1,
      anon_sym_LBRACE,
    STATE(2019), 1,
      sym_comment,
    STATE(2144), 1,
      sym_class_body,
    STATE(2490), 1,
      sym_class_heritage,
  [92821] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3405), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2020), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [92843] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3690), 1,
      sym_identifier,
    ACTIONS(3692), 1,
      anon_sym_STAR,
    STATE(2021), 1,
      sym_comment,
    STATE(2532), 1,
      sym_formal_parameters,
  [92865] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3694), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2022), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [92887] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      sym_identifier,
    ACTIONS(3698), 1,
      anon_sym_STAR,
    STATE(2023), 1,
      sym_comment,
    STATE(2329), 1,
      sym_formal_parameters,
  [92909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2024), 1,
      sym_comment,
    ACTIONS(3700), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92929] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2025), 1,
      sym_comment,
    ACTIONS(3702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92949] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_with,
    ACTIONS(3704), 1,
      anon_sym_SEMI,
    ACTIONS(3706), 1,
      sym__automatic_semicolon,
    STATE(2026), 1,
      sym_comment,
    STATE(2497), 1,
      sym_import_attribute,
  [92971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2027), 1,
      sym_comment,
    ACTIONS(2809), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [92987] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3708), 1,
      anon_sym_DQUOTE,
    ACTIONS(3710), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(2028), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [93005] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2029), 1,
      sym_comment,
    ACTIONS(3713), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2030), 1,
      sym_comment,
    ACTIONS(3715), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [93045] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3717), 1,
      anon_sym_SQUOTE,
    ACTIONS(3719), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(2031), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [93063] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3722), 1,
      sym_identifier,
    ACTIONS(3724), 1,
      anon_sym_STAR,
    STATE(2032), 1,
      sym_comment,
    STATE(2532), 1,
      sym_formal_parameters,
  [93085] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3726), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2033), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [93107] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3730), 1,
      anon_sym_STAR,
    STATE(2034), 1,
      sym_comment,
    STATE(2448), 1,
      sym_formal_parameters,
  [93129] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym_identifier,
    ACTIONS(3734), 1,
      anon_sym_STAR,
    STATE(2035), 1,
      sym_comment,
    STATE(2329), 1,
      sym_formal_parameters,
  [93151] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3736), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1313), 1,
      sym_glimmer_closing_tag,
    STATE(2036), 1,
      sym_comment,
    STATE(2092), 1,
      aux_sym_glimmer_template_repeat1,
  [93173] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    ACTIONS(3474), 1,
      anon_sym_extends,
    STATE(1385), 1,
      sym_class_body,
    STATE(2037), 1,
      sym_comment,
    STATE(2501), 1,
      sym_class_heritage,
  [93195] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3738), 1,
      sym_identifier,
    ACTIONS(3740), 1,
      anon_sym_STAR,
    STATE(2038), 1,
      sym_comment,
    STATE(2532), 1,
      sym_formal_parameters,
  [93217] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3742), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2039), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [93239] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3744), 1,
      sym_identifier,
    ACTIONS(3746), 1,
      anon_sym_STAR,
    STATE(2040), 1,
      sym_comment,
    STATE(2329), 1,
      sym_formal_parameters,
  [93261] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3496), 1,
      sym__glimmer_template_content,
    ACTIONS(3736), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1391), 1,
      sym_glimmer_closing_tag,
    STATE(2036), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(2041), 1,
      sym_comment,
  [93283] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3748), 1,
      sym_identifier,
    ACTIONS(3750), 1,
      anon_sym_STAR,
    STATE(2042), 1,
      sym_comment,
    STATE(2532), 1,
      sym_formal_parameters,
  [93305] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3752), 1,
      anon_sym_class,
    STATE(1856), 1,
      aux_sym_export_statement_repeat1,
    STATE(2043), 1,
      sym_comment,
    STATE(2071), 1,
      sym_decorator,
  [93327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3754), 1,
      anon_sym_COMMA,
    ACTIONS(2017), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2044), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [93345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    STATE(2045), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [93362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3762), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      anon_sym_SQUOTE,
    STATE(2046), 1,
      sym_comment,
    STATE(2048), 1,
      sym_string,
  [93381] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    STATE(2047), 1,
      sym_comment,
    STATE(2127), 1,
      aux_sym_object_repeat1,
  [93400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2048), 1,
      sym_comment,
    ACTIONS(3768), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [93415] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2355), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2049), 1,
      sym_comment,
  [93434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2050), 1,
      sym_comment,
    ACTIONS(3770), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [93449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2051), 1,
      sym_comment,
    ACTIONS(3772), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [93464] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1565), 1,
      anon_sym_while,
    ACTIONS(3774), 1,
      anon_sym_else,
    STATE(2052), 1,
      sym_comment,
    STATE(2647), 1,
      sym_else_clause,
  [93483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3776), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_RBRACK,
    STATE(2053), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [93500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2054), 1,
      sym_comment,
    ACTIONS(3622), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [93515] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3781), 1,
      anon_sym_COMMA,
    ACTIONS(3783), 1,
      anon_sym_RBRACE,
    STATE(2055), 1,
      sym_comment,
    STATE(2167), 1,
      aux_sym_export_clause_repeat1,
  [93534] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    ACTIONS(3785), 1,
      anon_sym_COLON,
    STATE(2056), 1,
      sym_comment,
    STATE(2542), 1,
      sym_formal_parameters,
  [93553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2057), 1,
      sym_comment,
    ACTIONS(902), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3787), 1,
      sym__automatic_semicolon,
    STATE(2058), 1,
      sym_comment,
    ACTIONS(902), 2,
      anon_sym_else,
      anon_sym_while,
  [93585] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(3789), 1,
      anon_sym_RBRACK,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2059), 1,
      sym_comment,
  [93604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(3791), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93619] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3793), 1,
      sym_identifier,
    STATE(1559), 1,
      sym_decorator_member_expression,
    STATE(1636), 1,
      sym_decorator_call_expression,
    STATE(2061), 1,
      sym_comment,
  [93638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(3795), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [93653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2063), 1,
      sym_comment,
    ACTIONS(2015), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2064), 1,
      sym_comment,
    ACTIONS(1653), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [93683] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3797), 1,
      anon_sym_LBRACE,
    ACTIONS(3799), 1,
      anon_sym_LPAREN,
    STATE(527), 1,
      sym_statement_block,
    STATE(2065), 1,
      sym_comment,
  [93702] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
    STATE(2066), 1,
      sym_comment,
    STATE(2072), 1,
      aux_sym_array_repeat1,
  [93721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2067), 1,
      sym_comment,
  [93740] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3801), 1,
      anon_sym_RBRACE,
    STATE(2068), 1,
      sym_comment,
    STATE(2127), 1,
      aux_sym_object_repeat1,
  [93759] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3803), 1,
      anon_sym_RBRACE,
    STATE(2069), 1,
      sym_comment,
    STATE(2127), 1,
      aux_sym_object_repeat1,
  [93778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2323), 1,
      anon_sym_RBRACK,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2070), 1,
      sym_comment,
  [93797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2071), 1,
      sym_comment,
    ACTIONS(3805), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2072), 1,
      sym_comment,
  [93831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3809), 1,
      anon_sym_COMMA,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    STATE(2055), 1,
      aux_sym_export_clause_repeat1,
    STATE(2073), 1,
      sym_comment,
  [93850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3813), 1,
      anon_sym_as,
    STATE(2074), 1,
      sym_comment,
    ACTIONS(3815), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [93867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2075), 1,
      sym_comment,
    ACTIONS(2406), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [93882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2331), 1,
      sym__automatic_semicolon,
    STATE(2076), 1,
      sym_comment,
    ACTIONS(1001), 2,
      anon_sym_else,
      anon_sym_while,
  [93899] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2339), 1,
      sym__automatic_semicolon,
    STATE(2077), 1,
      sym_comment,
    ACTIONS(1005), 2,
      anon_sym_else,
      anon_sym_while,
  [93916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2341), 1,
      sym__automatic_semicolon,
    STATE(2078), 1,
      sym_comment,
    ACTIONS(1009), 2,
      anon_sym_else,
      anon_sym_while,
  [93933] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3817), 1,
      anon_sym_LBRACE,
    ACTIONS(3819), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_statement_block,
    STATE(2079), 1,
      sym_comment,
  [93952] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3821), 1,
      anon_sym_DQUOTE,
    STATE(2080), 1,
      sym_comment,
    ACTIONS(3823), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [93969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2081), 1,
      sym_comment,
    ACTIONS(944), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93984] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(3827), 1,
      anon_sym_GT,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    STATE(2082), 1,
      sym_comment,
  [94003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2083), 1,
      sym_comment,
    ACTIONS(3831), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [94018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2084), 1,
      sym_comment,
    ACTIONS(2091), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [94033] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3833), 1,
      anon_sym_SQUOTE,
    STATE(2085), 1,
      sym_comment,
    ACTIONS(3835), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [94050] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(2086), 1,
      sym_comment,
    STATE(2097), 1,
      aux_sym_array_repeat1,
  [94069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2087), 1,
      sym_comment,
  [94088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    ACTIONS(3837), 1,
      anon_sym_GT,
    STATE(2088), 1,
      sym_comment,
  [94107] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3460), 1,
      anon_sym_RBRACK,
    STATE(2089), 1,
      sym_comment,
    STATE(2186), 1,
      aux_sym_array_pattern_repeat1,
  [94126] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3841), 1,
      anon_sym_await,
    STATE(77), 1,
      sym__for_header,
    STATE(2090), 1,
      sym_comment,
  [94145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2091), 1,
      sym_comment,
    ACTIONS(910), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [94160] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3843), 1,
      sym__glimmer_template_content,
    ACTIONS(3846), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2092), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [94177] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3848), 1,
      sym_identifier,
    STATE(1836), 1,
      sym_decorator_member_expression,
    STATE(2093), 1,
      sym_comment,
    STATE(2152), 1,
      sym_decorator_call_expression,
  [94196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACK,
    STATE(2053), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2094), 1,
      sym_comment,
  [94215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(994), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [94230] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(2096), 1,
      sym_comment,
    STATE(2114), 1,
      aux_sym_array_repeat1,
  [94249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(3852), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2097), 1,
      sym_comment,
  [94268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3854), 1,
      anon_sym_RBRACE,
    STATE(2098), 1,
      sym_comment,
    STATE(2164), 1,
      aux_sym_object_pattern_repeat1,
  [94287] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3584), 1,
      anon_sym_COMMA,
    ACTIONS(3586), 1,
      anon_sym_RPAREN,
    STATE(2099), 1,
      sym_comment,
    STATE(2150), 1,
      aux_sym_formal_parameters_repeat1,
  [94306] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3856), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2100), 1,
      sym_comment,
  [94325] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3858), 1,
      anon_sym_RBRACE,
    STATE(2101), 1,
      sym_comment,
    STATE(2166), 1,
      aux_sym_object_repeat1,
  [94344] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3860), 1,
      sym_identifier,
    STATE(2102), 1,
      sym_comment,
    STATE(2371), 1,
      sym_formal_parameters,
  [94363] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3862), 1,
      anon_sym_RBRACE,
    STATE(2103), 1,
      sym_comment,
    STATE(2127), 1,
      aux_sym_object_repeat1,
  [94382] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3864), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_comment,
    STATE(2507), 1,
      sym_formal_parameters,
  [94401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_EQ,
    STATE(2105), 1,
      sym_comment,
    ACTIONS(3866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [94418] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2106), 1,
      sym_comment,
  [94437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3866), 1,
      anon_sym_RPAREN,
    ACTIONS(3868), 1,
      anon_sym_COMMA,
    STATE(2107), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [94454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3300), 1,
      anon_sym_EQ,
    STATE(2108), 1,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_in,
      anon_sym_of,
  [94471] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3858), 1,
      anon_sym_RBRACE,
    STATE(2109), 1,
      sym_comment,
    STATE(2127), 1,
      aux_sym_object_repeat1,
  [94490] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3854), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2110), 1,
      sym_comment,
  [94509] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    ACTIONS(3871), 1,
      anon_sym_as,
    STATE(2111), 1,
      sym_comment,
    STATE(2362), 1,
      sym__from_clause,
  [94528] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3875), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(2112), 1,
      sym_comment,
    ACTIONS(3873), 2,
      sym_html_character_reference,
      anon_sym_DQUOTE,
  [94545] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3877), 1,
      anon_sym_LPAREN,
    ACTIONS(3879), 1,
      anon_sym_await,
    STATE(110), 1,
      sym__for_header,
    STATE(2113), 1,
      sym_comment,
  [94564] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(3881), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2114), 1,
      sym_comment,
  [94583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_EQ,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(3779), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [94600] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3883), 1,
      sym_identifier,
    ACTIONS(3885), 1,
      anon_sym_SEMI,
    ACTIONS(3887), 1,
      sym__automatic_semicolon,
    STATE(2116), 1,
      sym_comment,
  [94619] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3889), 1,
      sym_identifier,
    ACTIONS(3891), 1,
      anon_sym_SEMI,
    ACTIONS(3893), 1,
      sym__automatic_semicolon,
    STATE(2117), 1,
      sym_comment,
  [94638] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2118), 1,
      sym_comment,
  [94657] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2219), 1,
      anon_sym_in,
    STATE(2119), 1,
      sym_comment,
    ACTIONS(2443), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [94674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2120), 1,
      sym_comment,
    ACTIONS(1637), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [94689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    ACTIONS(3897), 1,
      anon_sym_GT,
    STATE(2121), 1,
      sym_comment,
  [94708] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3460), 1,
      anon_sym_RBRACK,
    STATE(2053), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2122), 1,
      sym_comment,
  [94727] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3899), 1,
      sym_identifier,
    ACTIONS(3901), 1,
      anon_sym_SEMI,
    ACTIONS(3903), 1,
      sym__automatic_semicolon,
    STATE(2123), 1,
      sym_comment,
  [94746] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3905), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_comment,
    STATE(2371), 1,
      sym_formal_parameters,
  [94765] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(3907), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2125), 1,
      sym_comment,
  [94784] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3909), 1,
      sym_identifier,
    STATE(2126), 1,
      sym_comment,
    STATE(2400), 1,
      sym_formal_parameters,
  [94803] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3911), 1,
      anon_sym_COMMA,
    ACTIONS(3914), 1,
      anon_sym_RBRACE,
    STATE(2127), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [94820] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    ACTIONS(3918), 1,
      anon_sym_LPAREN,
    STATE(2120), 1,
      sym_statement_block,
    STATE(2128), 1,
      sym_comment,
  [94839] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    STATE(2069), 1,
      aux_sym_object_repeat1,
    STATE(2129), 1,
      sym_comment,
  [94858] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    ACTIONS(3871), 1,
      anon_sym_as,
    STATE(2130), 1,
      sym_comment,
    STATE(2661), 1,
      sym__from_clause,
  [94877] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2323), 1,
      anon_sym_RBRACK,
    STATE(2131), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_array_repeat1,
  [94896] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3920), 1,
      sym_identifier,
    ACTIONS(3922), 1,
      anon_sym_SEMI,
    ACTIONS(3924), 1,
      sym__automatic_semicolon,
    STATE(2132), 1,
      sym_comment,
  [94915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    ACTIONS(3871), 1,
      anon_sym_as,
    STATE(2133), 1,
      sym_comment,
    STATE(2263), 1,
      sym__from_clause,
  [94934] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3686), 1,
      anon_sym_RBRACK,
    STATE(2094), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2134), 1,
      sym_comment,
  [94953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3926), 1,
      anon_sym_COMMA,
    ACTIONS(3928), 1,
      anon_sym_RBRACE,
    STATE(2135), 1,
      sym_comment,
    STATE(2187), 1,
      aux_sym_named_imports_repeat1,
  [94972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RBRACK,
    STATE(2059), 1,
      aux_sym_array_repeat1,
    STATE(2136), 1,
      sym_comment,
  [94991] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3930), 1,
      anon_sym_LPAREN,
    ACTIONS(3932), 1,
      anon_sym_await,
    STATE(102), 1,
      sym__for_header,
    STATE(2137), 1,
      sym_comment,
  [95010] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3936), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(2138), 1,
      sym_comment,
    ACTIONS(3934), 2,
      sym_html_character_reference,
      anon_sym_SQUOTE,
  [95027] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2347), 1,
      sym__automatic_semicolon,
    STATE(2139), 1,
      sym_comment,
    ACTIONS(1015), 2,
      anon_sym_else,
      anon_sym_while,
  [95044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2349), 1,
      sym__automatic_semicolon,
    STATE(2140), 1,
      sym_comment,
    ACTIONS(1019), 2,
      anon_sym_else,
      anon_sym_while,
  [95061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2365), 1,
      sym__automatic_semicolon,
    STATE(2141), 1,
      sym_comment,
    ACTIONS(1023), 2,
      anon_sym_else,
      anon_sym_while,
  [95078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RBRACK,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2142), 1,
      sym_comment,
  [95097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3686), 1,
      anon_sym_RBRACK,
    STATE(2053), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2143), 1,
      sym_comment,
  [95116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2426), 1,
      sym__automatic_semicolon,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(1055), 2,
      anon_sym_else,
      anon_sym_while,
  [95133] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3938), 1,
      sym_identifier,
    ACTIONS(3940), 1,
      anon_sym_SEMI,
    ACTIONS(3942), 1,
      sym__automatic_semicolon,
    STATE(2145), 1,
      sym_comment,
  [95152] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    ACTIONS(3871), 1,
      anon_sym_as,
    STATE(2146), 1,
      sym_comment,
    STATE(2357), 1,
      sym__from_clause,
  [95171] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3944), 1,
      anon_sym_RBRACE,
    STATE(2127), 1,
      aux_sym_object_repeat1,
    STATE(2147), 1,
      sym_comment,
  [95190] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3946), 1,
      sym_identifier,
    ACTIONS(3948), 1,
      anon_sym_SEMI,
    ACTIONS(3950), 1,
      sym__automatic_semicolon,
    STATE(2148), 1,
      sym_comment,
  [95209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2149), 1,
      sym_comment,
    ACTIONS(2107), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [95224] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    ACTIONS(3954), 1,
      anon_sym_RPAREN,
    STATE(2107), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2150), 1,
      sym_comment,
  [95243] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3363), 1,
      sym_identifier,
    ACTIONS(3367), 1,
      anon_sym_LBRACK,
    ACTIONS(3369), 1,
      sym_private_property_identifier,
    STATE(2151), 1,
      sym_comment,
  [95262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2152), 1,
      sym_comment,
    ACTIONS(3290), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [95277] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3415), 1,
      sym_identifier,
    ACTIONS(3419), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_private_property_identifier,
    STATE(2153), 1,
      sym_comment,
  [95296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3956), 1,
      anon_sym_RBRACE,
    STATE(2127), 1,
      aux_sym_object_repeat1,
    STATE(2154), 1,
      sym_comment,
  [95315] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    ACTIONS(3871), 1,
      anon_sym_as,
    STATE(2155), 1,
      sym_comment,
    STATE(2441), 1,
      sym__from_clause,
  [95334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    STATE(2100), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2156), 1,
      sym_comment,
  [95353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    ACTIONS(3958), 1,
      anon_sym_COLON,
    STATE(2157), 1,
      sym_comment,
    STATE(2542), 1,
      sym_formal_parameters,
  [95372] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3960), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_decorator_member_expression,
    STATE(1669), 1,
      sym_decorator_call_expression,
    STATE(2158), 1,
      sym_comment,
  [95391] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3962), 1,
      anon_sym_RBRACE,
    STATE(2127), 1,
      aux_sym_object_repeat1,
    STATE(2159), 1,
      sym_comment,
  [95410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3964), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2160), 1,
      sym_comment,
  [95429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2161), 1,
      sym_comment,
    ACTIONS(3966), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [95444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3968), 1,
      anon_sym_COMMA,
    ACTIONS(3971), 1,
      anon_sym_RBRACE,
    STATE(2162), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [95461] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3956), 1,
      anon_sym_RBRACE,
    STATE(2103), 1,
      aux_sym_object_repeat1,
    STATE(2163), 1,
      sym_comment,
  [95480] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3973), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2164), 1,
      sym_comment,
  [95499] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(3431), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95514] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3975), 1,
      anon_sym_RBRACE,
    STATE(2127), 1,
      aux_sym_object_repeat1,
    STATE(2166), 1,
      sym_comment,
  [95533] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3977), 1,
      anon_sym_COMMA,
    ACTIONS(3980), 1,
      anon_sym_RBRACE,
    STATE(2167), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [95550] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3982), 1,
      sym_identifier,
    STATE(2168), 1,
      sym_comment,
    STATE(2371), 1,
      sym_formal_parameters,
  [95569] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(3984), 1,
      anon_sym_RBRACK,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2169), 1,
      sym_comment,
  [95588] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3986), 1,
      anon_sym_LBRACE,
    ACTIONS(3988), 1,
      anon_sym_LPAREN,
    STATE(902), 1,
      sym_statement_block,
    STATE(2170), 1,
      sym_comment,
  [95607] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(3990), 1,
      sym_identifier,
    STATE(2171), 1,
      sym_comment,
    STATE(2400), 1,
      sym_formal_parameters,
  [95626] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3992), 1,
      anon_sym_LPAREN,
    ACTIONS(3994), 1,
      anon_sym_await,
    STATE(94), 1,
      sym__for_header,
    STATE(2172), 1,
      sym_comment,
  [95645] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3996), 1,
      anon_sym_LBRACE,
    ACTIONS(3998), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_statement_block,
    STATE(2173), 1,
      sym_comment,
  [95664] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2355), 1,
      anon_sym_RPAREN,
    STATE(2125), 1,
      aux_sym_array_repeat1,
    STATE(2174), 1,
      sym_comment,
  [95683] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2382), 1,
      sym__automatic_semicolon,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(1029), 2,
      anon_sym_else,
      anon_sym_while,
  [95700] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(2176), 1,
      sym_comment,
    STATE(2188), 1,
      aux_sym_array_repeat1,
  [95719] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2177), 1,
      sym_comment,
  [95738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4000), 1,
      anon_sym_EQ,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_in,
      anon_sym_of,
  [95755] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    ACTIONS(4002), 1,
      anon_sym_GT,
    STATE(2179), 1,
      sym_comment,
  [95774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3458), 1,
      anon_sym_EQ,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(4004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95791] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4006), 1,
      sym_identifier,
    STATE(2181), 1,
      sym_comment,
    STATE(2400), 1,
      sym_formal_parameters,
  [95810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4008), 1,
      sym__automatic_semicolon,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(906), 2,
      anon_sym_else,
      anon_sym_while,
  [95827] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4010), 1,
      sym_identifier,
    STATE(2183), 1,
      sym_comment,
    STATE(2371), 1,
      sym_formal_parameters,
  [95846] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4012), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_comment,
    STATE(2449), 1,
      sym_formal_parameters,
  [95865] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_comment,
    STATE(2400), 1,
      sym_formal_parameters,
  [95884] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(4016), 1,
      anon_sym_RBRACK,
    STATE(2053), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2186), 1,
      sym_comment,
  [95903] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4018), 1,
      anon_sym_COMMA,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
    STATE(2162), 1,
      aux_sym_named_imports_repeat1,
    STATE(2187), 1,
      sym_comment,
  [95922] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      aux_sym_array_repeat1,
    STATE(2188), 1,
      sym_comment,
  [95941] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4024), 1,
      sym_identifier,
    ACTIONS(4026), 1,
      anon_sym_SEMI,
    ACTIONS(4028), 1,
      sym__automatic_semicolon,
    STATE(2189), 1,
      sym_comment,
  [95960] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(4030), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2190), 1,
      sym_comment,
  [95979] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      sym_identifier,
    STATE(2191), 1,
      sym_comment,
    STATE(2371), 1,
      sym_formal_parameters,
  [95998] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_comment,
    STATE(2400), 1,
      sym_formal_parameters,
  [96017] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4036), 1,
      anon_sym_LPAREN,
    ACTIONS(4038), 1,
      anon_sym_await,
    STATE(76), 1,
      sym__for_header,
    STATE(2193), 1,
      sym_comment,
  [96036] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4040), 1,
      sym_identifier,
    ACTIONS(4042), 1,
      anon_sym_SEMI,
    ACTIONS(4044), 1,
      sym__automatic_semicolon,
    STATE(2194), 1,
      sym_comment,
  [96055] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4046), 1,
      sym_identifier,
    ACTIONS(4048), 1,
      anon_sym_SEMI,
    ACTIONS(4050), 1,
      sym__automatic_semicolon,
    STATE(2195), 1,
      sym_comment,
  [96074] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4052), 1,
      sym_identifier,
    ACTIONS(4054), 1,
      anon_sym_SEMI,
    ACTIONS(4056), 1,
      sym__automatic_semicolon,
    STATE(2196), 1,
      sym_comment,
  [96093] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4058), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_comment,
    STATE(2371), 1,
      sym_formal_parameters,
  [96112] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
    ACTIONS(4060), 1,
      sym_identifier,
    STATE(2198), 1,
      sym_comment,
    STATE(2400), 1,
      sym_formal_parameters,
  [96131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3482), 1,
      anon_sym_as,
    STATE(2199), 1,
      sym_comment,
    ACTIONS(4062), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3574), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_class_body,
    STATE(2200), 1,
      sym_comment,
  [96164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(4064), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2202), 1,
      sym_comment,
    STATE(2483), 1,
      sym_formal_parameters,
  [96194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(1735), 2,
      anon_sym_else,
      anon_sym_while,
  [96208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(1737), 2,
      anon_sym_else,
      anon_sym_while,
  [96222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2205), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4068), 1,
      anon_sym_LPAREN,
    STATE(901), 1,
      sym_parenthesized_expression,
    STATE(2206), 1,
      sym_comment,
  [96252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2207), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [96266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(101), 1,
      sym_parenthesized_expression,
    STATE(2208), 1,
      sym_comment,
  [96282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2209), 1,
      sym_comment,
    ACTIONS(4072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parenthesized_expression,
    STATE(2211), 1,
      sym_comment,
  [96326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4074), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_statement_block,
    STATE(2212), 1,
      sym_comment,
  [96342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(1705), 2,
      anon_sym_else,
      anon_sym_while,
  [96370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(4076), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(4078), 2,
      anon_sym_GT,
      anon_sym_DOT,
  [96398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2217), 1,
      sym_comment,
    ACTIONS(1707), 2,
      anon_sym_else,
      anon_sym_while,
  [96412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4080), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_statement_block,
    STATE(2218), 1,
      sym_comment,
  [96428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [96442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2220), 1,
      sym_comment,
    ACTIONS(3971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(214), 1,
      sym_statement_block,
    STATE(2221), 1,
      sym_comment,
  [96472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2222), 1,
      sym_comment,
    ACTIONS(2265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(1739), 2,
      anon_sym_else,
      anon_sym_while,
  [96500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2224), 1,
      sym_comment,
    ACTIONS(4084), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2225), 1,
      sym_comment,
    ACTIONS(2197), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2226), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [96542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2227), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2228), 1,
      sym_comment,
    ACTIONS(4004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(1713), 2,
      anon_sym_else,
      anon_sym_while,
  [96584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2230), 1,
      sym_comment,
    ACTIONS(4086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2233), 1,
      sym_comment,
    STATE(2517), 1,
      sym_formal_parameters,
  [96642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2234), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [96684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2238), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [96712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2239), 1,
      sym_comment,
    ACTIONS(860), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4090), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_switch_body,
    STATE(2240), 1,
      sym_comment,
  [96742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4092), 1,
      anon_sym_LPAREN,
    STATE(104), 1,
      sym__for_header,
    STATE(2241), 1,
      sym_comment,
  [96758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(4094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_SEMI,
    ACTIONS(4098), 1,
      sym__automatic_semicolon,
    STATE(2243), 1,
      sym_comment,
  [96788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(4094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2245), 1,
      sym_comment,
    ACTIONS(4094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96816] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(4100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(4102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2248), 1,
      sym_comment,
    ACTIONS(4094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(2288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(4094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(2290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(4094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(2047), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(4104), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4106), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_statement_block,
    STATE(2255), 1,
      sym_comment,
  [96958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(3897), 1,
      anon_sym_GT,
    STATE(2256), 1,
      sym_comment,
  [96974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2257), 1,
      sym_comment,
    ACTIONS(2051), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2258), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [97002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2259), 1,
      sym_comment,
    STATE(2541), 1,
      sym_formal_parameters,
  [97018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4108), 1,
      anon_sym_LBRACE,
    STATE(2260), 1,
      sym_comment,
    STATE(2328), 1,
      sym_switch_body,
  [97034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2261), 1,
      sym_comment,
    ACTIONS(1741), 2,
      anon_sym_else,
      anon_sym_while,
  [97048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4110), 1,
      anon_sym_SEMI,
    ACTIONS(4112), 1,
      sym__automatic_semicolon,
    STATE(2262), 1,
      sym_comment,
  [97064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4114), 1,
      anon_sym_SEMI,
    ACTIONS(4116), 1,
      sym__automatic_semicolon,
    STATE(2263), 1,
      sym_comment,
  [97080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2264), 1,
      sym_comment,
    STATE(2687), 1,
      sym_formal_parameters,
  [97096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4092), 1,
      anon_sym_LPAREN,
    STATE(96), 1,
      sym__for_header,
    STATE(2265), 1,
      sym_comment,
  [97112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4118), 1,
      anon_sym_SEMI,
    ACTIONS(4120), 1,
      sym__automatic_semicolon,
    STATE(2266), 1,
      sym_comment,
  [97128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4122), 1,
      anon_sym_SEMI,
    ACTIONS(4124), 1,
      sym__automatic_semicolon,
    STATE(2267), 1,
      sym_comment,
  [97144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2268), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [97158] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4126), 1,
      sym_identifier,
    ACTIONS(4128), 1,
      sym_private_property_identifier,
    STATE(2269), 1,
      sym_comment,
  [97174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2271), 1,
      sym_comment,
    ACTIONS(4130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2242), 1,
      sym_statement_block,
    STATE(2272), 1,
      sym_comment,
  [97218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    ACTIONS(3897), 1,
      anon_sym_GT,
    STATE(2273), 1,
      sym_comment,
  [97234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4132), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_statement_block,
    STATE(2274), 1,
      sym_comment,
  [97250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2275), 1,
      sym_comment,
    ACTIONS(4134), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(4136), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2244), 1,
      sym_statement_block,
    STATE(2277), 1,
      sym_comment,
  [97294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4138), 1,
      anon_sym_LPAREN,
    STATE(630), 1,
      sym_parenthesized_expression,
    STATE(2278), 1,
      sym_comment,
  [97310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4140), 1,
      anon_sym_LBRACE,
    STATE(765), 1,
      sym_statement_block,
    STATE(2280), 1,
      sym_comment,
  [97340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2281), 1,
      sym_comment,
    ACTIONS(1715), 2,
      anon_sym_else,
      anon_sym_while,
  [97354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4132), 1,
      anon_sym_LBRACE,
    STATE(683), 1,
      sym_statement_block,
    STATE(2282), 1,
      sym_comment,
  [97370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2283), 1,
      sym_comment,
    ACTIONS(1669), 2,
      anon_sym_else,
      anon_sym_while,
  [97384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [97398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2285), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [97412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_class_body,
    STATE(2286), 1,
      sym_comment,
  [97428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_statement_block,
    STATE(2287), 1,
      sym_comment,
  [97444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2288), 1,
      sym_comment,
    ACTIONS(1745), 2,
      anon_sym_else,
      anon_sym_while,
  [97458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2289), 1,
      sym_comment,
    ACTIONS(2269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2290), 1,
      sym_comment,
    ACTIONS(1922), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(1747), 2,
      anon_sym_else,
      anon_sym_while,
  [97500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(3837), 1,
      anon_sym_GT,
    STATE(2292), 1,
      sym_comment,
  [97516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2245), 1,
      sym_statement_block,
    STATE(2293), 1,
      sym_comment,
  [97532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    ACTIONS(3837), 1,
      anon_sym_GT,
    STATE(2294), 1,
      sym_comment,
  [97548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym_parenthesized_expression,
    STATE(2295), 1,
      sym_comment,
  [97564] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3415), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_private_property_identifier,
    STATE(2296), 1,
      sym_comment,
  [97580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_class_body,
    STATE(2297), 1,
      sym_comment,
  [97596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4144), 1,
      anon_sym_LBRACE,
    STATE(554), 1,
      sym_statement_block,
    STATE(2298), 1,
      sym_comment,
  [97612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2299), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [97626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4146), 1,
      anon_sym_SEMI,
    ACTIONS(4148), 1,
      sym__automatic_semicolon,
    STATE(2300), 1,
      sym_comment,
  [97642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_class_body,
    STATE(2301), 1,
      sym_comment,
  [97658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(174), 1,
      sym_statement_block,
    STATE(2302), 1,
      sym_comment,
  [97674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_statement_block,
    STATE(2303), 1,
      sym_comment,
  [97690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2304), 1,
      sym_comment,
    ACTIONS(3779), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [97704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(176), 1,
      sym_class_body,
    STATE(2305), 1,
      sym_comment,
  [97720] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4144), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym_statement_block,
    STATE(2306), 1,
      sym_comment,
  [97736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4144), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym_statement_block,
    STATE(2307), 1,
      sym_comment,
  [97752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_class_body,
    STATE(2308), 1,
      sym_comment,
  [97768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(178), 1,
      sym_statement_block,
    STATE(2309), 1,
      sym_comment,
  [97784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4144), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym_statement_block,
    STATE(2310), 1,
      sym_comment,
  [97800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3817), 1,
      anon_sym_LBRACE,
    STATE(654), 1,
      sym_statement_block,
    STATE(2311), 1,
      sym_comment,
  [97816] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2312), 1,
      sym_comment,
    ACTIONS(1749), 2,
      anon_sym_else,
      anon_sym_while,
  [97830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2313), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [97844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2314), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [97858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2315), 1,
      sym_comment,
    ACTIONS(1751), 2,
      anon_sym_else,
      anon_sym_while,
  [97872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2316), 1,
      sym_comment,
    STATE(2699), 1,
      sym_formal_parameters,
  [97888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
    STATE(2317), 1,
      sym_comment,
  [97904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3484), 1,
      anon_sym_LBRACE,
    STATE(684), 1,
      sym_class_body,
    STATE(2318), 1,
      sym_comment,
  [97920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2319), 1,
      sym_comment,
    ACTIONS(1719), 2,
      anon_sym_else,
      anon_sym_while,
  [97934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2320), 1,
      sym_comment,
    ACTIONS(1693), 2,
      anon_sym_else,
      anon_sym_while,
  [97948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym_parenthesized_expression,
    STATE(2321), 1,
      sym_comment,
  [97964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4150), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_statement_block,
    STATE(2322), 1,
      sym_comment,
  [97980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2323), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [97994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2221), 1,
      sym_formal_parameters,
    STATE(2324), 1,
      sym_comment,
  [98010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2325), 1,
      sym_comment,
    ACTIONS(4152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2326), 1,
      sym_comment,
    ACTIONS(1671), 2,
      anon_sym_else,
      anon_sym_while,
  [98038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2327), 1,
      sym_comment,
    ACTIONS(1753), 2,
      anon_sym_else,
      anon_sym_while,
  [98052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2328), 1,
      sym_comment,
    ACTIONS(1699), 2,
      anon_sym_else,
      anon_sym_while,
  [98066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1283), 1,
      sym_statement_block,
    STATE(2329), 1,
      sym_comment,
  [98082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2330), 1,
      sym_comment,
    STATE(2619), 1,
      sym_formal_parameters,
  [98098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2331), 1,
      sym_comment,
    STATE(2622), 1,
      sym_formal_parameters,
  [98114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1193), 1,
      sym_class_body,
    STATE(2332), 1,
      sym_comment,
  [98130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4156), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_switch_body,
    STATE(2333), 1,
      sym_comment,
  [98146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2334), 1,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_else,
      anon_sym_while,
  [98160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(2292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2336), 1,
      sym_comment,
    STATE(2635), 1,
      sym_formal_parameters,
  [98190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2337), 1,
      sym_comment,
    STATE(2636), 1,
      sym_statement_block,
  [98206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1194), 1,
      sym_statement_block,
    STATE(2338), 1,
      sym_comment,
  [98222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4160), 1,
      anon_sym_LBRACE,
    STATE(797), 1,
      sym_switch_body,
    STATE(2339), 1,
      sym_comment,
  [98238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4092), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym__for_header,
    STATE(2340), 1,
      sym_comment,
  [98254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2341), 1,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_else,
      anon_sym_while,
  [98268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2342), 1,
      sym_comment,
    ACTIONS(1757), 2,
      anon_sym_else,
      anon_sym_while,
  [98282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2343), 1,
      sym_comment,
    ACTIONS(4162), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2344), 1,
      sym_comment,
    ACTIONS(4164), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2345), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [98324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2346), 1,
      sym_comment,
    ACTIONS(2299), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2347), 1,
      sym_comment,
    ACTIONS(2301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2348), 1,
      sym_comment,
    STATE(2515), 1,
      sym_formal_parameters,
  [98368] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4166), 1,
      sym_identifier,
    ACTIONS(4168), 1,
      sym_private_property_identifier,
    STATE(2349), 1,
      sym_comment,
  [98384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2350), 1,
      sym_comment,
    ACTIONS(2502), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [98398] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3363), 1,
      sym_identifier,
    ACTIONS(3369), 1,
      sym_private_property_identifier,
    STATE(2351), 1,
      sym_comment,
  [98414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2352), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [98428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2353), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [98442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2354), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [98456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2355), 1,
      sym_comment,
    ACTIONS(2443), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [98470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2356), 1,
      sym_comment,
    ACTIONS(1673), 2,
      anon_sym_else,
      anon_sym_while,
  [98484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4170), 1,
      anon_sym_SEMI,
    ACTIONS(4172), 1,
      sym__automatic_semicolon,
    STATE(2357), 1,
      sym_comment,
  [98500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2358), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [98514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2359), 1,
      sym_comment,
    ACTIONS(4174), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [98528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4176), 1,
      anon_sym_SEMI,
    ACTIONS(4178), 1,
      sym__automatic_semicolon,
    STATE(2360), 1,
      sym_comment,
  [98544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4180), 1,
      anon_sym_SEMI,
    ACTIONS(4182), 1,
      sym__automatic_semicolon,
    STATE(2361), 1,
      sym_comment,
  [98560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4184), 1,
      anon_sym_SEMI,
    ACTIONS(4186), 1,
      sym__automatic_semicolon,
    STATE(2362), 1,
      sym_comment,
  [98576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(4188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [98604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2365), 1,
      sym_comment,
    STATE(2395), 1,
      sym_statement_block,
  [98620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2366), 1,
      sym_comment,
    STATE(2452), 1,
      sym_formal_parameters,
  [98636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [98650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4190), 1,
      anon_sym_SEMI,
    ACTIONS(4192), 1,
      sym__automatic_semicolon,
    STATE(2368), 1,
      sym_comment,
  [98666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_SEMI,
    ACTIONS(4196), 1,
      sym__automatic_semicolon,
    STATE(2369), 1,
      sym_comment,
  [98682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    STATE(540), 1,
      sym_parenthesized_expression,
    STATE(2370), 1,
      sym_comment,
  [98698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1377), 1,
      sym_statement_block,
    STATE(2371), 1,
      sym_comment,
  [98714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_LBRACE,
    STATE(857), 1,
      sym_statement_block,
    STATE(2372), 1,
      sym_comment,
  [98730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2373), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [98744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2374), 1,
      sym_comment,
    ACTIONS(4202), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2375), 1,
      sym_comment,
    ACTIONS(1761), 2,
      anon_sym_else,
      anon_sym_while,
  [98772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2376), 1,
      sym_comment,
    ACTIONS(1763), 2,
      anon_sym_else,
      anon_sym_while,
  [98786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(1765), 2,
      anon_sym_else,
      anon_sym_while,
  [98800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3572), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_class_body,
    STATE(2378), 1,
      sym_comment,
  [98816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    STATE(195), 1,
      sym_statement_block,
    STATE(2379), 1,
      sym_comment,
  [98832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      sym_statement_block,
    STATE(2380), 1,
      sym_comment,
  [98848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2381), 1,
      sym_comment,
    STATE(2645), 1,
      sym_formal_parameters,
  [98864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1579), 1,
      sym_statement_block,
    STATE(2382), 1,
      sym_comment,
  [98880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(4002), 1,
      anon_sym_GT,
    STATE(2383), 1,
      sym_comment,
  [98896] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2384), 1,
      sym_comment,
    ACTIONS(4208), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [98910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    ACTIONS(4002), 1,
      anon_sym_GT,
    STATE(2385), 1,
      sym_comment,
  [98926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2386), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [98940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2387), 1,
      sym_comment,
    ACTIONS(4210), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3574), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_class_body,
    STATE(2388), 1,
      sym_comment,
  [98970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_statement_block,
    STATE(2389), 1,
      sym_comment,
  [98986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4214), 1,
      anon_sym_SEMI,
    ACTIONS(4216), 1,
      sym__automatic_semicolon,
    STATE(2390), 1,
      sym_comment,
  [99002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [99016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_formal_parameters,
    STATE(2392), 1,
      sym_comment,
  [99032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    STATE(192), 1,
      sym_statement_block,
    STATE(2393), 1,
      sym_comment,
  [99048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    STATE(173), 1,
      sym_statement_block,
    STATE(2394), 1,
      sym_comment,
  [99064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2395), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2396), 1,
      sym_comment,
    ACTIONS(3173), 2,
      anon_sym_in,
      anon_sym_of,
  [99092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3572), 1,
      anon_sym_LBRACE,
    STATE(180), 1,
      sym_class_body,
    STATE(2397), 1,
      sym_comment,
  [99108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(670), 1,
      sym_statement_block,
    STATE(2398), 1,
      sym_comment,
  [99124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(675), 1,
      sym_statement_block,
    STATE(2399), 1,
      sym_comment,
  [99140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1307), 1,
      sym_statement_block,
    STATE(2400), 1,
      sym_comment,
  [99156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
    STATE(183), 1,
      sym_statement_block,
    STATE(2401), 1,
      sym_comment,
  [99172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_statement_block,
    STATE(2402), 1,
      sym_comment,
  [99188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3996), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_statement_block,
    STATE(2403), 1,
      sym_comment,
  [99204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2404), 1,
      sym_comment,
    STATE(2422), 1,
      sym_formal_parameters,
  [99220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym_parenthesized_expression,
    STATE(2405), 1,
      sym_comment,
  [99236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2406), 1,
      sym_comment,
    STATE(2537), 1,
      sym_formal_parameters,
  [99252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2407), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [99266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_SEMI,
    ACTIONS(4220), 1,
      sym__automatic_semicolon,
    STATE(2408), 1,
      sym_comment,
  [99282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_parenthesized_expression,
    STATE(2409), 1,
      sym_comment,
  [99298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4222), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_statement_block,
    STATE(2410), 1,
      sym_comment,
  [99314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(3980), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2412), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2413), 1,
      sym_comment,
    ACTIONS(4224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2414), 1,
      sym_comment,
    ACTIONS(4226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(2243), 1,
      sym__from_clause,
    STATE(2415), 1,
      sym_comment,
  [99386] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(4228), 2,
      sym_jsx_identifier,
      sym_identifier,
  [99400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1180), 1,
      sym_statement_block,
    STATE(2417), 1,
      sym_comment,
  [99416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_statement_block,
    STATE(2418), 1,
      sym_comment,
  [99432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3433), 1,
      anon_sym_in,
    ACTIONS(3435), 1,
      anon_sym_of,
    STATE(2419), 1,
      sym_comment,
  [99448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4230), 1,
      anon_sym_LPAREN,
    STATE(1914), 1,
      sym_parenthesized_expression,
    STATE(2420), 1,
      sym_comment,
  [99464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2421), 1,
      sym_comment,
    ACTIONS(2305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_statement_block,
    STATE(2422), 1,
      sym_comment,
  [99494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2203), 1,
      sym_statement_block,
    STATE(2423), 1,
      sym_comment,
  [99510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [99524] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2425), 1,
      sym_comment,
    ACTIONS(4232), 2,
      sym_jsx_identifier,
      sym_identifier,
  [99538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2426), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4234), 1,
      anon_sym_LBRACE,
    STATE(638), 1,
      sym_switch_body,
    STATE(2427), 1,
      sym_comment,
  [99568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4092), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym__for_header,
    STATE(2428), 1,
      sym_comment,
  [99584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2429), 1,
      sym_comment,
    STATE(2735), 1,
      sym_formal_parameters,
  [99600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_comment,
    STATE(2693), 1,
      sym_formal_parameters,
  [99616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2431), 1,
      sym_comment,
    ACTIONS(4236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2432), 1,
      sym_comment,
    ACTIONS(4238), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2433), 1,
      sym_comment,
    ACTIONS(1675), 2,
      anon_sym_else,
      anon_sym_while,
  [99658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2434), 1,
      sym_comment,
    ACTIONS(2307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2435), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [99686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2436), 1,
      sym_comment,
    ACTIONS(2309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2437), 1,
      sym_comment,
    ACTIONS(1679), 2,
      anon_sym_else,
      anon_sym_while,
  [99714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2412), 1,
      sym_statement_block,
    STATE(2438), 1,
      sym_comment,
  [99730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(1681), 2,
      anon_sym_else,
      anon_sym_while,
  [99744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2440), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4240), 1,
      anon_sym_SEMI,
    ACTIONS(4242), 1,
      sym__automatic_semicolon,
    STATE(2441), 1,
      sym_comment,
  [99774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(1767), 2,
      anon_sym_else,
      anon_sym_while,
  [99788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2443), 1,
      sym_comment,
    STATE(2702), 1,
      sym_formal_parameters,
  [99804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4244), 1,
      anon_sym_SEMI,
    ACTIONS(4246), 1,
      sym__automatic_semicolon,
    STATE(2444), 1,
      sym_comment,
  [99820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_SEMI,
    ACTIONS(4250), 1,
      sym__automatic_semicolon,
    STATE(2445), 1,
      sym_comment,
  [99836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    STATE(1295), 1,
      sym_class_body,
    STATE(2446), 1,
      sym_comment,
  [99852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2447), 1,
      sym_comment,
    ACTIONS(4252), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1147), 1,
      sym_statement_block,
    STATE(2448), 1,
      sym_comment,
  [99882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1152), 1,
      sym_statement_block,
    STATE(2449), 1,
      sym_comment,
  [99898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1305), 1,
      sym_statement_block,
    STATE(2450), 1,
      sym_comment,
  [99914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2248), 1,
      sym_statement_block,
    STATE(2451), 1,
      sym_comment,
  [99930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(215), 1,
      sym_statement_block,
    STATE(2452), 1,
      sym_comment,
  [99946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(4254), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [99960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4256), 1,
      anon_sym_LPAREN,
    STATE(502), 1,
      sym_parenthesized_expression,
    STATE(2454), 1,
      sym_comment,
  [99976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2426), 1,
      sym_statement_block,
    STATE(2455), 1,
      sym_comment,
  [99992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym_statement_block,
    STATE(2456), 1,
      sym_comment,
  [100008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2457), 1,
      sym_comment,
    ACTIONS(1769), 2,
      anon_sym_else,
      anon_sym_while,
  [100022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3605), 1,
      anon_sym_LBRACE,
    STATE(163), 1,
      sym_class_body,
    STATE(2458), 1,
      sym_comment,
  [100038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4260), 1,
      anon_sym_LBRACE,
    STATE(165), 1,
      sym_statement_block,
    STATE(2459), 1,
      sym_comment,
  [100054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(4262), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [100068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2250), 1,
      sym_statement_block,
    STATE(2461), 1,
      sym_comment,
  [100084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2462), 1,
      sym_comment,
    STATE(2736), 1,
      sym_formal_parameters,
  [100100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(3760), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3986), 1,
      anon_sym_LBRACE,
    STATE(686), 1,
      sym_statement_block,
    STATE(2464), 1,
      sym_comment,
  [100130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_class_body,
    STATE(2465), 1,
      sym_comment,
  [100146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_statement_block,
    STATE(2466), 1,
      sym_comment,
  [100162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_SEMI,
    ACTIONS(4268), 1,
      sym__automatic_semicolon,
    STATE(2467), 1,
      sym_comment,
  [100178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3825), 1,
      anon_sym_COLON,
    ACTIONS(3827), 1,
      anon_sym_GT,
    STATE(2468), 1,
      sym_comment,
  [100194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4092), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym__for_header,
    STATE(2469), 1,
      sym_comment,
  [100210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4260), 1,
      anon_sym_LBRACE,
    STATE(148), 1,
      sym_statement_block,
    STATE(2470), 1,
      sym_comment,
  [100226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4260), 1,
      anon_sym_LBRACE,
    STATE(162), 1,
      sym_statement_block,
    STATE(2471), 1,
      sym_comment,
  [100242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2472), 1,
      sym_comment,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3827), 1,
      anon_sym_GT,
    ACTIONS(3829), 1,
      anon_sym_DOT,
    STATE(2473), 1,
      sym_comment,
  [100272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3605), 1,
      anon_sym_LBRACE,
    STATE(150), 1,
      sym_class_body,
    STATE(2474), 1,
      sym_comment,
  [100288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_statement_block,
    STATE(2475), 1,
      sym_comment,
  [100304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_statement_block,
    STATE(2476), 1,
      sym_comment,
  [100320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_class_body,
    STATE(2477), 1,
      sym_comment,
  [100336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_class_body,
    STATE(2478), 1,
      sym_comment,
  [100352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4260), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_statement_block,
    STATE(2479), 1,
      sym_comment,
  [100368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_statement_block,
    STATE(2480), 1,
      sym_comment,
  [100384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3797), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
    STATE(2481), 1,
      sym_comment,
  [100400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4270), 1,
      anon_sym_COMMA,
    ACTIONS(4272), 1,
      anon_sym_from,
    STATE(2482), 1,
      sym_comment,
  [100416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2483), 1,
      sym_comment,
    STATE(2700), 1,
      sym_statement_block,
  [100432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(2311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2485), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [100460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2486), 1,
      sym_comment,
    STATE(2703), 1,
      sym_formal_parameters,
  [100476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2487), 1,
      sym_comment,
    ACTIONS(3914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2488), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [100504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_class_body,
    STATE(2489), 1,
      sym_comment,
  [100520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3476), 1,
      anon_sym_LBRACE,
    STATE(2076), 1,
      sym_class_body,
    STATE(2490), 1,
      sym_comment,
  [100536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_LBRACE,
    STATE(2077), 1,
      sym_statement_block,
    STATE(2491), 1,
      sym_comment,
  [100552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [100566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [100580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1601), 1,
      sym_statement_block,
    STATE(2494), 1,
      sym_comment,
  [100596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(2009), 1,
      sym__from_clause,
    STATE(2495), 1,
      sym_comment,
  [100612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1602), 1,
      sym_statement_block,
    STATE(2496), 1,
      sym_comment,
  [100628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4276), 1,
      anon_sym_SEMI,
    ACTIONS(4278), 1,
      sym__automatic_semicolon,
    STATE(2497), 1,
      sym_comment,
  [100644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2498), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [100658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_else,
      anon_sym_while,
  [100672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    STATE(2500), 1,
      sym_comment,
  [100688] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    STATE(1309), 1,
      sym_class_body,
    STATE(2501), 1,
      sym_comment,
  [100704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(4282), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(1691), 2,
      anon_sym_else,
      anon_sym_while,
  [100732] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1310), 1,
      sym_statement_block,
    STATE(2504), 1,
      sym_comment,
  [100748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [100762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(1683), 2,
      anon_sym_else,
      anon_sym_while,
  [100776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1157), 1,
      sym_statement_block,
    STATE(2507), 1,
      sym_comment,
  [100792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1317), 1,
      sym_statement_block,
    STATE(2508), 1,
      sym_comment,
  [100808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1318), 1,
      sym_statement_block,
    STATE(2509), 1,
      sym_comment,
  [100824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2510), 1,
      sym_comment,
    ACTIONS(4284), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(4286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(4288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2513), 1,
      sym_comment,
    ACTIONS(4290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    STATE(1284), 1,
      sym_class_body,
    STATE(2514), 1,
      sym_comment,
  [100896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4082), 1,
      anon_sym_LBRACE,
    STATE(218), 1,
      sym_statement_block,
    STATE(2515), 1,
      sym_comment,
  [100912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(4292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2517), 1,
      sym_comment,
    STATE(2704), 1,
      sym_statement_block,
  [100942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parenthesized_expression,
    STATE(2518), 1,
      sym_comment,
  [100958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2519), 1,
      sym_comment,
    STATE(2706), 1,
      sym_formal_parameters,
  [100974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    STATE(1328), 1,
      sym_class_body,
    STATE(2520), 1,
      sym_comment,
  [100990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_LBRACE,
    STATE(2139), 1,
      sym_statement_block,
    STATE(2521), 1,
      sym_comment,
  [101006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2522), 1,
      sym_comment,
    ACTIONS(2263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2523), 1,
      sym_comment,
    STATE(2708), 1,
      sym_formal_parameters,
  [101036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_LBRACE,
    STATE(2140), 1,
      sym_statement_block,
    STATE(2524), 1,
      sym_comment,
  [101052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3476), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_class_body,
    STATE(2525), 1,
      sym_comment,
  [101068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(2273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2527), 1,
      sym_comment,
    STATE(2723), 1,
      sym_formal_parameters,
  [101098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_statement_block,
    STATE(2528), 1,
      sym_comment,
  [101114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_statement_block,
    STATE(2529), 1,
      sym_comment,
  [101130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2380), 1,
      sym_formal_parameters,
    STATE(2530), 1,
      sym_comment,
  [101146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_statement_block,
    STATE(2531), 1,
      sym_comment,
  [101162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1286), 1,
      sym_statement_block,
    STATE(2532), 1,
      sym_comment,
  [101178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1176), 1,
      sym_class_body,
    STATE(2533), 1,
      sym_comment,
  [101194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_statement_block,
    STATE(2534), 1,
      sym_comment,
  [101210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2417), 1,
      sym_formal_parameters,
    STATE(2535), 1,
      sym_comment,
  [101226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2418), 1,
      sym_formal_parameters,
    STATE(2536), 1,
      sym_comment,
  [101242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(1113), 1,
      sym_statement_block,
    STATE(2537), 1,
      sym_comment,
  [101258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2538), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [101272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(3866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [101286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_statement_block,
    STATE(2540), 1,
      sym_comment,
  [101302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2541), 1,
      sym_comment,
    STATE(2726), 1,
      sym_statement_block,
  [101318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym_statement_block,
    STATE(2542), 1,
      sym_comment,
  [101334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2543), 1,
      sym_comment,
    STATE(2730), 1,
      sym_formal_parameters,
  [101350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_parenthesized_expression,
    STATE(2544), 1,
      sym_comment,
  [101366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    STATE(2260), 1,
      sym_parenthesized_expression,
    STATE(2545), 1,
      sym_comment,
  [101382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1600), 1,
      sym_statement_block,
    STATE(2546), 1,
      sym_comment,
  [101398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_statement_block,
    STATE(2547), 1,
      sym_comment,
  [101414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1337), 1,
      sym_statement_block,
    STATE(2548), 1,
      sym_comment,
  [101430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1338), 1,
      sym_statement_block,
    STATE(2549), 1,
      sym_comment,
  [101446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(2368), 1,
      sym__from_clause,
    STATE(2550), 1,
      sym_comment,
  [101462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    STATE(1342), 1,
      sym_class_body,
    STATE(2551), 1,
      sym_comment,
  [101478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(2026), 1,
      sym__from_clause,
    STATE(2552), 1,
      sym_comment,
  [101494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1343), 1,
      sym_statement_block,
    STATE(2553), 1,
      sym_comment,
  [101510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4274), 1,
      anon_sym_LBRACE,
    STATE(2175), 1,
      sym_statement_block,
    STATE(2554), 1,
      sym_comment,
  [101526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1570), 1,
      sym_statement_block,
    STATE(2555), 1,
      sym_comment,
  [101542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_statement_block,
    STATE(2556), 1,
      sym_comment,
  [101558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_statement_block,
    STATE(2557), 1,
      sym_comment,
  [101574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2450), 1,
      sym_formal_parameters,
    STATE(2558), 1,
      sym_comment,
  [101590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym_statement_block,
    STATE(2559), 1,
      sym_comment,
  [101606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1575), 1,
      sym_statement_block,
    STATE(2560), 1,
      sym_comment,
  [101622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_statement_block,
    STATE(2561), 1,
      sym_comment,
  [101638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2491), 1,
      sym_formal_parameters,
    STATE(2562), 1,
      sym_comment,
  [101654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_LBRACE,
    STATE(216), 1,
      sym_class_body,
    STATE(2563), 1,
      sym_comment,
  [101670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2494), 1,
      sym_formal_parameters,
    STATE(2564), 1,
      sym_comment,
  [101686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_statement_block,
    STATE(2565), 1,
      sym_comment,
  [101702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1578), 1,
      sym_statement_block,
    STATE(2566), 1,
      sym_comment,
  [101718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1582), 1,
      sym_statement_block,
    STATE(2567), 1,
      sym_comment,
  [101734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_statement_block,
    STATE(2568), 1,
      sym_comment,
  [101750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_formal_parameters,
    STATE(2569), 1,
      sym_comment,
  [101766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2508), 1,
      sym_formal_parameters,
    STATE(2570), 1,
      sym_comment,
  [101782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_formal_parameters,
    STATE(2571), 1,
      sym_comment,
  [101798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_statement_block,
    STATE(2572), 1,
      sym_comment,
  [101814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2521), 1,
      sym_formal_parameters,
    STATE(2573), 1,
      sym_comment,
  [101830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2524), 1,
      sym_formal_parameters,
    STATE(2574), 1,
      sym_comment,
  [101846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2528), 1,
      sym_formal_parameters,
    STATE(2575), 1,
      sym_comment,
  [101862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2529), 1,
      sym_formal_parameters,
    STATE(2576), 1,
      sym_comment,
  [101878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2531), 1,
      sym_formal_parameters,
    STATE(2577), 1,
      sym_comment,
  [101894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2540), 1,
      sym_formal_parameters,
    STATE(2578), 1,
      sym_comment,
  [101910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2546), 1,
      sym_formal_parameters,
    STATE(2579), 1,
      sym_comment,
  [101926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2547), 1,
      sym_formal_parameters,
    STATE(2580), 1,
      sym_comment,
  [101942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_statement_block,
    STATE(2581), 1,
      sym_comment,
  [101958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2548), 1,
      sym_formal_parameters,
    STATE(2582), 1,
      sym_comment,
  [101974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2549), 1,
      sym_formal_parameters,
    STATE(2583), 1,
      sym_comment,
  [101990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2553), 1,
      sym_formal_parameters,
    STATE(2584), 1,
      sym_comment,
  [102006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2554), 1,
      sym_formal_parameters,
    STATE(2585), 1,
      sym_comment,
  [102022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2555), 1,
      sym_formal_parameters,
    STATE(2586), 1,
      sym_comment,
  [102038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2556), 1,
      sym_formal_parameters,
    STATE(2587), 1,
      sym_comment,
  [102054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2557), 1,
      sym_formal_parameters,
    STATE(2588), 1,
      sym_comment,
  [102070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2559), 1,
      sym_formal_parameters,
    STATE(2589), 1,
      sym_comment,
  [102086] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2560), 1,
      sym_formal_parameters,
    STATE(2590), 1,
      sym_comment,
  [102102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2561), 1,
      sym_formal_parameters,
    STATE(2591), 1,
      sym_comment,
  [102118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2565), 1,
      sym_formal_parameters,
    STATE(2592), 1,
      sym_comment,
  [102134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2566), 1,
      sym_formal_parameters,
    STATE(2593), 1,
      sym_comment,
  [102150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_formal_parameters,
    STATE(2594), 1,
      sym_comment,
  [102166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_formal_parameters,
    STATE(2595), 1,
      sym_comment,
  [102182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2572), 1,
      sym_formal_parameters,
    STATE(2596), 1,
      sym_comment,
  [102198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2581), 1,
      sym_formal_parameters,
    STATE(2597), 1,
      sym_comment,
  [102214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2598), 1,
      sym_comment,
    STATE(2606), 1,
      sym_formal_parameters,
  [102230] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2599), 1,
      sym_comment,
    STATE(2608), 1,
      sym_formal_parameters,
  [102246] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2600), 1,
      sym_comment,
    STATE(2611), 1,
      sym_formal_parameters,
  [102262] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2601), 1,
      sym_comment,
    STATE(2612), 1,
      sym_formal_parameters,
  [102278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2602), 1,
      sym_comment,
    STATE(2613), 1,
      sym_formal_parameters,
  [102294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2603), 1,
      sym_comment,
    STATE(2614), 1,
      sym_formal_parameters,
  [102310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2604), 1,
      sym_comment,
    STATE(2617), 1,
      sym_formal_parameters,
  [102326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2337), 1,
      sym_formal_parameters,
    STATE(2605), 1,
      sym_comment,
  [102342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    STATE(1348), 1,
      sym_statement_block,
    STATE(2606), 1,
      sym_comment,
  [102358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_statement_block,
    STATE(2607), 1,
      sym_comment,
  [102374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_statement_block,
    STATE(2608), 1,
      sym_comment,
  [102390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_parenthesized_expression,
    STATE(2609), 1,
      sym_comment,
  [102406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    STATE(2240), 1,
      sym_parenthesized_expression,
    STATE(2610), 1,
      sym_comment,
  [102422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_statement_block,
    STATE(2611), 1,
      sym_comment,
  [102438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1590), 1,
      sym_statement_block,
    STATE(2612), 1,
      sym_comment,
  [102454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1591), 1,
      sym_statement_block,
    STATE(2613), 1,
      sym_comment,
  [102470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1592), 1,
      sym_statement_block,
    STATE(2614), 1,
      sym_comment,
  [102486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(2266), 1,
      sym__from_clause,
    STATE(2615), 1,
      sym_comment,
  [102502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1934), 1,
      sym__from_clause,
    STATE(2616), 1,
      sym_comment,
  [102518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LBRACE,
    STATE(1598), 1,
      sym_statement_block,
    STATE(2617), 1,
      sym_comment,
  [102534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2287), 1,
      sym_formal_parameters,
    STATE(2618), 1,
      sym_comment,
  [102550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2231), 1,
      sym_statement_block,
    STATE(2619), 1,
      sym_comment,
  [102566] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2252), 1,
      sym_statement_block,
    STATE(2620), 1,
      sym_comment,
  [102582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2298), 1,
      sym_formal_parameters,
    STATE(2621), 1,
      sym_comment,
  [102598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2235), 1,
      sym_statement_block,
    STATE(2622), 1,
      sym_comment,
  [102614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2302), 1,
      sym_formal_parameters,
    STATE(2623), 1,
      sym_comment,
  [102630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2303), 1,
      sym_formal_parameters,
    STATE(2624), 1,
      sym_comment,
  [102646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2306), 1,
      sym_formal_parameters,
    STATE(2625), 1,
      sym_comment,
  [102662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2307), 1,
      sym_formal_parameters,
    STATE(2626), 1,
      sym_comment,
  [102678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2309), 1,
      sym_formal_parameters,
    STATE(2627), 1,
      sym_comment,
  [102694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2310), 1,
      sym_formal_parameters,
    STATE(2628), 1,
      sym_comment,
  [102710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2629), 1,
      sym_comment,
    ACTIONS(1725), 2,
      anon_sym_else,
      anon_sym_while,
  [102724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2630), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [102738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3472), 1,
      anon_sym_LBRACE,
    STATE(1384), 1,
      sym_class_body,
    STATE(2631), 1,
      sym_comment,
  [102754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2365), 1,
      sym_formal_parameters,
    STATE(2632), 1,
      sym_comment,
  [102770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(85), 1,
      sym_parenthesized_expression,
    STATE(2633), 1,
      sym_comment,
  [102786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    STATE(2339), 1,
      sym_parenthesized_expression,
    STATE(2634), 1,
      sym_comment,
  [102802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2237), 1,
      sym_statement_block,
    STATE(2635), 1,
      sym_comment,
  [102818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2637), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [102846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(93), 1,
      sym_parenthesized_expression,
    STATE(2638), 1,
      sym_comment,
  [102862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(2360), 1,
      sym__from_clause,
    STATE(2639), 1,
      sym_comment,
  [102878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1953), 1,
      sym__from_clause,
    STATE(2640), 1,
      sym_comment,
  [102894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    STATE(2414), 1,
      sym_object,
    STATE(2641), 1,
      sym_comment,
  [102910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2379), 1,
      sym_formal_parameters,
    STATE(2642), 1,
      sym_comment,
  [102926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2643), 1,
      sym_comment,
    ACTIONS(4302), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [102940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2644), 1,
      sym_comment,
    ACTIONS(1727), 2,
      anon_sym_else,
      anon_sym_while,
  [102954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2440), 1,
      sym_statement_block,
    STATE(2645), 1,
      sym_comment,
  [102970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2389), 1,
      sym_formal_parameters,
    STATE(2646), 1,
      sym_comment,
  [102986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(1729), 2,
      anon_sym_else,
      anon_sym_while,
  [103000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2393), 1,
      sym_formal_parameters,
    STATE(2648), 1,
      sym_comment,
  [103016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2394), 1,
      sym_formal_parameters,
    STATE(2649), 1,
      sym_comment,
  [103032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2398), 1,
      sym_formal_parameters,
    STATE(2650), 1,
      sym_comment,
  [103048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2399), 1,
      sym_formal_parameters,
    STATE(2651), 1,
      sym_comment,
  [103064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2401), 1,
      sym_formal_parameters,
    STATE(2652), 1,
      sym_comment,
  [103080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_formal_parameters,
    STATE(2653), 1,
      sym_comment,
  [103096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2654), 1,
      sym_comment,
    ACTIONS(1685), 2,
      anon_sym_else,
      anon_sym_while,
  [103110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2451), 1,
      sym_formal_parameters,
    STATE(2655), 1,
      sym_comment,
  [103126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2656), 1,
      sym_comment,
    ACTIONS(1731), 2,
      anon_sym_else,
      anon_sym_while,
  [103140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    STATE(2427), 1,
      sym_parenthesized_expression,
    STATE(2657), 1,
      sym_comment,
  [103156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2658), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [103170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_parenthesized_expression,
    STATE(2659), 1,
      sym_comment,
  [103186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3484), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_class_body,
    STATE(2660), 1,
      sym_comment,
  [103202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_SEMI,
    ACTIONS(4306), 1,
      sym__automatic_semicolon,
    STATE(2661), 1,
      sym_comment,
  [103218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(2444), 1,
      sym__from_clause,
    STATE(2662), 1,
      sym_comment,
  [103234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3500), 1,
      anon_sym_from,
    STATE(1972), 1,
      sym__from_clause,
    STATE(2663), 1,
      sym_comment,
  [103250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2459), 1,
      sym_formal_parameters,
    STATE(2664), 1,
      sym_comment,
  [103266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2274), 1,
      sym_formal_parameters,
    STATE(2665), 1,
      sym_comment,
  [103282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2282), 1,
      sym_formal_parameters,
    STATE(2666), 1,
      sym_comment,
  [103298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2466), 1,
      sym_formal_parameters,
    STATE(2667), 1,
      sym_comment,
  [103314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2668), 1,
      sym_comment,
    ACTIONS(1687), 2,
      anon_sym_else,
      anon_sym_while,
  [103328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2470), 1,
      sym_formal_parameters,
    STATE(2669), 1,
      sym_comment,
  [103344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2471), 1,
      sym_formal_parameters,
    STATE(2670), 1,
      sym_comment,
  [103360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2475), 1,
      sym_formal_parameters,
    STATE(2671), 1,
      sym_comment,
  [103376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2476), 1,
      sym_formal_parameters,
    STATE(2672), 1,
      sym_comment,
  [103392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2479), 1,
      sym_formal_parameters,
    STATE(2673), 1,
      sym_comment,
  [103408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2480), 1,
      sym_formal_parameters,
    STATE(2674), 1,
      sym_comment,
  [103424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4132), 1,
      anon_sym_LBRACE,
    STATE(680), 1,
      sym_statement_block,
    STATE(2675), 1,
      sym_comment,
  [103440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2676), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [103454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2677), 1,
      sym_comment,
  [103470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(1811), 1,
      sym_statement_block,
    STATE(2678), 1,
      sym_comment,
  [103486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2679), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [103500] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4308), 1,
      sym_identifier,
    ACTIONS(4310), 1,
      anon_sym_STAR,
    STATE(2680), 1,
      sym_comment,
  [103516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2461), 1,
      sym_formal_parameters,
    STATE(2681), 1,
      sym_comment,
  [103532] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4312), 1,
      sym_identifier,
    ACTIONS(4314), 1,
      anon_sym_STAR,
    STATE(2682), 1,
      sym_comment,
  [103548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2683), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [103562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2684), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [103576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2685), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [103590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2620), 1,
      sym_formal_parameters,
    STATE(2686), 1,
      sym_comment,
  [103606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4132), 1,
      anon_sym_LBRACE,
    STATE(685), 1,
      sym_statement_block,
    STATE(2687), 1,
      sym_comment,
  [103622] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4316), 1,
      sym_identifier,
    ACTIONS(4318), 1,
      anon_sym_STAR,
    STATE(2688), 1,
      sym_comment,
  [103638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2689), 1,
      sym_comment,
    ACTIONS(1689), 2,
      anon_sym_else,
      anon_sym_while,
  [103652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2438), 1,
      sym_formal_parameters,
    STATE(2690), 1,
      sym_comment,
  [103668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2691), 1,
      sym_comment,
    ACTIONS(4320), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
    STATE(118), 1,
      sym_parenthesized_expression,
    STATE(2692), 1,
      sym_comment,
  [103698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_comment,
    STATE(2733), 1,
      sym_statement_block,
  [103714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2694), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [103728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2695), 1,
      sym_comment,
    ACTIONS(2157), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2696), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [103756] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    STATE(2333), 1,
      sym_parenthesized_expression,
    STATE(2697), 1,
      sym_comment,
  [103772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2455), 1,
      sym_formal_parameters,
    STATE(2698), 1,
      sym_comment,
  [103788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2472), 1,
      sym_statement_block,
    STATE(2699), 1,
      sym_comment,
  [103804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2700), 1,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [103818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2701), 1,
      sym_comment,
    ACTIONS(4324), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [103832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2205), 1,
      sym_statement_block,
    STATE(2702), 1,
      sym_comment,
  [103848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_statement_block,
    STATE(2703), 1,
      sym_comment,
  [103864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2704), 1,
      sym_comment,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [103878] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4326), 1,
      sym_identifier,
    ACTIONS(4328), 1,
      anon_sym_STAR,
    STATE(2705), 1,
      sym_comment,
  [103894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2213), 1,
      sym_statement_block,
    STATE(2706), 1,
      sym_comment,
  [103910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2707), 1,
      sym_comment,
    ACTIONS(2303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103924] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2232), 1,
      sym_statement_block,
    STATE(2708), 1,
      sym_comment,
  [103940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2709), 1,
      sym_comment,
    ACTIONS(4330), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103954] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4332), 1,
      sym_identifier,
    ACTIONS(4334), 1,
      anon_sym_STAR,
    STATE(2710), 1,
      sym_comment,
  [103970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2675), 1,
      sym_formal_parameters,
    STATE(2711), 1,
      sym_comment,
  [103986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2712), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2713), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2714), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2715), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104042] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4336), 1,
      sym_identifier,
    ACTIONS(4338), 1,
      anon_sym_STAR,
    STATE(2716), 1,
      sym_comment,
  [104058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2717), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2718), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2719), 1,
      sym_comment,
    ACTIONS(1703), 2,
      anon_sym_else,
      anon_sym_while,
  [104100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2720), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104114] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4340), 1,
      sym_identifier,
    ACTIONS(4342), 1,
      anon_sym_STAR,
    STATE(2721), 1,
      sym_comment,
  [104130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2722), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2234), 1,
      sym_statement_block,
    STATE(2723), 1,
      sym_comment,
  [104160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2724), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2725), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2726), 1,
      sym_comment,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [104202] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4344), 1,
      sym_identifier,
    ACTIONS(4346), 1,
      anon_sym_STAR,
    STATE(2727), 1,
      sym_comment,
  [104218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2728), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2729), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104246] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2270), 1,
      sym_statement_block,
    STATE(2730), 1,
      sym_comment,
  [104262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2731), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [104276] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4348), 1,
      sym_identifier,
    ACTIONS(4350), 1,
      anon_sym_STAR,
    STATE(2732), 1,
      sym_comment,
  [104292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2733), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [104306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2272), 1,
      sym_formal_parameters,
    STATE(2734), 1,
      sym_comment,
  [104322] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2374), 1,
      sym_statement_block,
    STATE(2735), 1,
      sym_comment,
  [104338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3916), 1,
      anon_sym_LBRACE,
    STATE(2210), 1,
      sym_statement_block,
    STATE(2736), 1,
      sym_comment,
  [104354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(2277), 1,
      sym_formal_parameters,
    STATE(2737), 1,
      sym_comment,
  [104370] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4352), 1,
      sym_identifier,
    ACTIONS(4354), 1,
      anon_sym_STAR,
    STATE(2738), 1,
      sym_comment,
  [104386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(4356), 1,
      anon_sym_EQ_GT,
    STATE(2739), 1,
      sym_comment,
  [104402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(2740), 1,
      sym_comment,
  [104415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4358), 1,
      anon_sym_EQ_GT,
    STATE(2741), 1,
      sym_comment,
  [104428] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4360), 1,
      sym_regex_pattern,
    STATE(2742), 1,
      sym_comment,
  [104441] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4362), 1,
      anon_sym_from,
    STATE(2743), 1,
      sym_comment,
  [104454] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4364), 1,
      sym_identifier,
    STATE(2744), 1,
      sym_comment,
  [104467] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4366), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_comment,
  [104480] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4368), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_comment,
  [104493] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    STATE(2747), 1,
      sym_comment,
  [104506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4372), 1,
      anon_sym_EQ,
    STATE(2748), 1,
      sym_comment,
  [104519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4374), 1,
      anon_sym_while,
    STATE(2749), 1,
      sym_comment,
  [104532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4376), 1,
      anon_sym_target,
    STATE(2750), 1,
      sym_comment,
  [104545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4378), 1,
      anon_sym_COLON,
    STATE(2751), 1,
      sym_comment,
  [104558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3827), 1,
      anon_sym_GT,
    STATE(2752), 1,
      sym_comment,
  [104571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(2753), 1,
      sym_comment,
  [104584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3837), 1,
      anon_sym_GT,
    STATE(2754), 1,
      sym_comment,
  [104597] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4380), 1,
      sym_identifier,
    STATE(2755), 1,
      sym_comment,
  [104610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_while,
    STATE(2756), 1,
      sym_comment,
  [104623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4384), 1,
      anon_sym_RPAREN,
    STATE(2757), 1,
      sym_comment,
  [104636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    STATE(2758), 1,
      sym_comment,
  [104649] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4386), 1,
      anon_sym_SLASH2,
    STATE(2759), 1,
      sym_comment,
  [104662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4388), 1,
      anon_sym_from,
    STATE(2760), 1,
      sym_comment,
  [104675] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4390), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_comment,
  [104688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4392), 1,
      anon_sym_EQ_GT,
    STATE(2762), 1,
      sym_comment,
  [104701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_RPAREN,
    STATE(2763), 1,
      sym_comment,
  [104714] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4396), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_comment,
  [104727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2402), 1,
      anon_sym_RPAREN,
    STATE(2765), 1,
      sym_comment,
  [104740] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4398), 1,
      anon_sym_SLASH2,
    STATE(2766), 1,
      sym_comment,
  [104753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(2767), 1,
      sym_comment,
  [104766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2343), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      sym_comment,
  [104779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2219), 1,
      anon_sym_in,
    STATE(2769), 1,
      sym_comment,
  [104792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2475), 1,
      anon_sym_in,
    STATE(2770), 1,
      sym_comment,
  [104805] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4400), 1,
      anon_sym_SLASH2,
    STATE(2771), 1,
      sym_comment,
  [104818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4402), 1,
      sym_identifier,
    STATE(2772), 1,
      sym_comment,
  [104831] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4002), 1,
      anon_sym_GT,
    STATE(2773), 1,
      sym_comment,
  [104844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4404), 1,
      anon_sym_EQ_GT,
    STATE(2774), 1,
      sym_comment,
  [104857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4406), 1,
      anon_sym_COLON,
    STATE(2775), 1,
      sym_comment,
  [104870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_while,
    STATE(2776), 1,
      sym_comment,
  [104883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4410), 1,
      anon_sym_RPAREN,
    STATE(2777), 1,
      sym_comment,
  [104896] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    STATE(2778), 1,
      sym_comment,
  [104909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3897), 1,
      anon_sym_GT,
    STATE(2779), 1,
      sym_comment,
  [104922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2412), 1,
      anon_sym_RPAREN,
    STATE(2780), 1,
      sym_comment,
  [104935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4272), 1,
      anon_sym_from,
    STATE(2781), 1,
      sym_comment,
  [104948] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4414), 1,
      sym_identifier,
    STATE(2782), 1,
      sym_comment,
  [104961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4416), 1,
      anon_sym_while,
    STATE(2783), 1,
      sym_comment,
  [104974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4418), 1,
      anon_sym_EQ_GT,
    STATE(2784), 1,
      sym_comment,
  [104987] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4420), 1,
      anon_sym_EQ_GT,
    STATE(2785), 1,
      sym_comment,
  [105000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ_GT,
    STATE(2786), 1,
      sym_comment,
  [105013] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3300), 1,
      anon_sym_EQ,
    STATE(2787), 1,
      sym_comment,
  [105026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    STATE(2788), 1,
      sym_comment,
  [105039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    STATE(2789), 1,
      sym_comment,
  [105052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_RPAREN,
    STATE(2790), 1,
      sym_comment,
  [105065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2418), 1,
      anon_sym_RBRACK,
    STATE(2791), 1,
      sym_comment,
  [105078] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4426), 1,
      sym_identifier,
    STATE(2792), 1,
      sym_comment,
  [105091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4428), 1,
      anon_sym_from,
    STATE(2793), 1,
      sym_comment,
  [105104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    STATE(2794), 1,
      sym_comment,
  [105117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    STATE(2795), 1,
      sym_comment,
  [105130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1499), 1,
      anon_sym_LBRACE,
    STATE(2796), 1,
      sym_comment,
  [105143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4432), 1,
      anon_sym_EQ_GT,
    STATE(2797), 1,
      sym_comment,
  [105156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4434), 1,
      anon_sym_EQ_GT,
    STATE(2798), 1,
      sym_comment,
  [105169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4436), 1,
      anon_sym_EQ_GT,
    STATE(2799), 1,
      sym_comment,
  [105182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2361), 1,
      anon_sym_RBRACK,
    STATE(2800), 1,
      sym_comment,
  [105195] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4438), 1,
      anon_sym_SLASH2,
    STATE(2801), 1,
      sym_comment,
  [105208] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4440), 1,
      sym_identifier,
    STATE(2802), 1,
      sym_comment,
  [105221] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4442), 1,
      sym_identifier,
    STATE(2803), 1,
      sym_comment,
  [105234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_EQ_GT,
    STATE(2804), 1,
      sym_comment,
  [105247] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4444), 1,
      sym_identifier,
    STATE(2805), 1,
      sym_comment,
  [105260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_RPAREN,
    STATE(2806), 1,
      sym_comment,
  [105273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    STATE(2807), 1,
      sym_comment,
  [105286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    STATE(2808), 1,
      sym_comment,
  [105299] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_RPAREN,
    STATE(2809), 1,
      sym_comment,
  [105312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2396), 1,
      anon_sym_RPAREN,
    STATE(2810), 1,
      sym_comment,
  [105325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1975), 1,
      anon_sym_in,
    STATE(2811), 1,
      sym_comment,
  [105338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_from,
    STATE(2812), 1,
      sym_comment,
  [105351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4000), 1,
      anon_sym_EQ,
    STATE(2813), 1,
      sym_comment,
  [105364] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4452), 1,
      sym_identifier,
    STATE(2814), 1,
      sym_comment,
  [105377] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4454), 1,
      sym_identifier,
    STATE(2815), 1,
      sym_comment,
  [105390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_EQ_GT,
    STATE(2816), 1,
      sym_comment,
  [105403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_EQ_GT,
    STATE(2817), 1,
      sym_comment,
  [105416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4460), 1,
      anon_sym_from,
    STATE(2818), 1,
      sym_comment,
  [105429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4462), 1,
      ts_builtin_sym_end,
    STATE(2819), 1,
      sym_comment,
  [105442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    STATE(2820), 1,
      sym_comment,
  [105455] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4464), 1,
      sym_identifier,
    STATE(2821), 1,
      sym_comment,
  [105468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4356), 1,
      anon_sym_EQ_GT,
    STATE(2822), 1,
      sym_comment,
  [105481] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4466), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_comment,
  [105494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3928), 1,
      anon_sym_RBRACE,
    STATE(2824), 1,
      sym_comment,
  [105507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_from,
    STATE(2825), 1,
      sym_comment,
  [105520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4470), 1,
      anon_sym_EQ_GT,
    STATE(2826), 1,
      sym_comment,
  [105533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2253), 1,
      anon_sym_in,
    STATE(2827), 1,
      sym_comment,
  [105546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4472), 1,
      anon_sym_as,
    STATE(2828), 1,
      sym_comment,
  [105559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    STATE(2829), 1,
      sym_comment,
  [105572] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym_identifier,
    STATE(2830), 1,
      sym_comment,
  [105585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2337), 1,
      anon_sym_COLON,
    STATE(2831), 1,
      sym_comment,
  [105598] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4476), 1,
      sym_regex_pattern,
    STATE(2832), 1,
      sym_comment,
  [105611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2357), 1,
      anon_sym_RBRACK,
    STATE(2833), 1,
      sym_comment,
  [105624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2388), 1,
      anon_sym_RPAREN,
    STATE(2834), 1,
      sym_comment,
  [105637] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4478), 1,
      sym_identifier,
    STATE(2835), 1,
      sym_comment,
  [105650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4480), 1,
      anon_sym_EQ,
    STATE(2836), 1,
      sym_comment,
  [105663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_comment,
  [105676] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4482), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_comment,
  [105689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      anon_sym_RBRACE,
    STATE(2839), 1,
      sym_comment,
  [105702] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4484), 1,
      sym_identifier,
    STATE(2840), 1,
      sym_comment,
  [105715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4486), 1,
      anon_sym_while,
    STATE(2841), 1,
      sym_comment,
  [105728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_target,
    STATE(2842), 1,
      sym_comment,
  [105741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4490), 1,
      anon_sym_function,
    STATE(2843), 1,
      sym_comment,
  [105754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4492), 1,
      anon_sym_EQ_GT,
    STATE(2844), 1,
      sym_comment,
  [105767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    STATE(2845), 1,
      sym_comment,
  [105780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4494), 1,
      anon_sym_GT,
    STATE(2846), 1,
      sym_comment,
  [105793] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4496), 1,
      sym_identifier,
    STATE(2847), 1,
      sym_comment,
  [105806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4498), 1,
      anon_sym_EQ_GT,
    STATE(2848), 1,
      sym_comment,
  [105819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    STATE(2849), 1,
      sym_comment,
  [105832] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4500), 1,
      sym_regex_pattern,
    STATE(2850), 1,
      sym_comment,
  [105845] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4502), 1,
      sym_identifier,
    STATE(2851), 1,
      sym_comment,
  [105858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2530), 1,
      anon_sym_in,
    STATE(2852), 1,
      sym_comment,
  [105871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4504), 1,
      sym_identifier,
    STATE(2853), 1,
      sym_comment,
  [105884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4506), 1,
      anon_sym_EQ_GT,
    STATE(2854), 1,
      sym_comment,
  [105897] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_EQ_GT,
    STATE(2855), 1,
      sym_comment,
  [105910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2345), 1,
      anon_sym_RPAREN,
    STATE(2856), 1,
      sym_comment,
  [105923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4510), 1,
      anon_sym_RPAREN,
    STATE(2857), 1,
      sym_comment,
  [105936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4512), 1,
      anon_sym_EQ,
    STATE(2858), 1,
      sym_comment,
  [105949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4514), 1,
      anon_sym_from,
    STATE(2859), 1,
      sym_comment,
  [105962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2408), 1,
      anon_sym_RPAREN,
    STATE(2860), 1,
      sym_comment,
  [105975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4516), 1,
      anon_sym_EQ_GT,
    STATE(2861), 1,
      sym_comment,
  [105988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2335), 1,
      anon_sym_RBRACK,
    STATE(2862), 1,
      sym_comment,
  [106001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_RPAREN,
    STATE(2863), 1,
      sym_comment,
  [106014] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4518), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_comment,
  [106027] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4520), 1,
      sym_regex_pattern,
    STATE(2865), 1,
      sym_comment,
  [106040] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4522), 1,
      sym_identifier,
    STATE(2866), 1,
      sym_comment,
  [106053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4524), 1,
      anon_sym_as,
    STATE(2867), 1,
      sym_comment,
  [106066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4526), 1,
      anon_sym_function,
    STATE(2868), 1,
      sym_comment,
  [106079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4528), 1,
      anon_sym_function,
    STATE(2869), 1,
      sym_comment,
  [106092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4530), 1,
      anon_sym_function,
    STATE(2870), 1,
      sym_comment,
  [106105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4532), 1,
      anon_sym_function,
    STATE(2871), 1,
      sym_comment,
  [106118] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4534), 1,
      sym_identifier,
    STATE(2872), 1,
      sym_comment,
  [106131] = 1,
    ACTIONS(4536), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(466)] = 0,
  [SMALL_STATE(467)] = 77,
  [SMALL_STATE(468)] = 152,
  [SMALL_STATE(469)] = 243,
  [SMALL_STATE(470)] = 334,
  [SMALL_STATE(471)] = 409,
  [SMALL_STATE(472)] = 484,
  [SMALL_STATE(473)] = 561,
  [SMALL_STATE(474)] = 634,
  [SMALL_STATE(475)] = 717,
  [SMALL_STATE(476)] = 812,
  [SMALL_STATE(477)] = 887,
  [SMALL_STATE(478)] = 960,
  [SMALL_STATE(479)] = 1037,
  [SMALL_STATE(480)] = 1128,
  [SMALL_STATE(481)] = 1219,
  [SMALL_STATE(482)] = 1310,
  [SMALL_STATE(483)] = 1401,
  [SMALL_STATE(484)] = 1495,
  [SMALL_STATE(485)] = 1573,
  [SMALL_STATE(486)] = 1667,
  [SMALL_STATE(487)] = 1743,
  [SMALL_STATE(488)] = 1817,
  [SMALL_STATE(489)] = 1893,
  [SMALL_STATE(490)] = 1969,
  [SMALL_STATE(491)] = 2043,
  [SMALL_STATE(492)] = 2117,
  [SMALL_STATE(493)] = 2211,
  [SMALL_STATE(494)] = 2307,
  [SMALL_STATE(495)] = 2381,
  [SMALL_STATE(496)] = 2453,
  [SMALL_STATE(497)] = 2527,
  [SMALL_STATE(498)] = 2599,
  [SMALL_STATE(499)] = 2673,
  [SMALL_STATE(500)] = 2767,
  [SMALL_STATE(501)] = 2841,
  [SMALL_STATE(502)] = 2935,
  [SMALL_STATE(503)] = 3011,
  [SMALL_STATE(504)] = 3085,
  [SMALL_STATE(505)] = 3179,
  [SMALL_STATE(506)] = 3253,
  [SMALL_STATE(507)] = 3329,
  [SMALL_STATE(508)] = 3403,
  [SMALL_STATE(509)] = 3477,
  [SMALL_STATE(510)] = 3551,
  [SMALL_STATE(511)] = 3625,
  [SMALL_STATE(512)] = 3697,
  [SMALL_STATE(513)] = 3773,
  [SMALL_STATE(514)] = 3847,
  [SMALL_STATE(515)] = 3921,
  [SMALL_STATE(516)] = 3995,
  [SMALL_STATE(517)] = 4069,
  [SMALL_STATE(518)] = 4141,
  [SMALL_STATE(519)] = 4231,
  [SMALL_STATE(520)] = 4305,
  [SMALL_STATE(521)] = 4379,
  [SMALL_STATE(522)] = 4469,
  [SMALL_STATE(523)] = 4541,
  [SMALL_STATE(524)] = 4617,
  [SMALL_STATE(525)] = 4691,
  [SMALL_STATE(526)] = 4767,
  [SMALL_STATE(527)] = 4841,
  [SMALL_STATE(528)] = 4913,
  [SMALL_STATE(529)] = 4984,
  [SMALL_STATE(530)] = 5055,
  [SMALL_STATE(531)] = 5126,
  [SMALL_STATE(532)] = 5197,
  [SMALL_STATE(533)] = 5268,
  [SMALL_STATE(534)] = 5339,
  [SMALL_STATE(535)] = 5412,
  [SMALL_STATE(536)] = 5485,
  [SMALL_STATE(537)] = 5556,
  [SMALL_STATE(538)] = 5627,
  [SMALL_STATE(539)] = 5698,
  [SMALL_STATE(540)] = 5773,
  [SMALL_STATE(541)] = 5848,
  [SMALL_STATE(542)] = 5919,
  [SMALL_STATE(543)] = 5990,
  [SMALL_STATE(544)] = 6061,
  [SMALL_STATE(545)] = 6136,
  [SMALL_STATE(546)] = 6209,
  [SMALL_STATE(547)] = 6280,
  [SMALL_STATE(548)] = 6355,
  [SMALL_STATE(549)] = 6426,
  [SMALL_STATE(550)] = 6497,
  [SMALL_STATE(551)] = 6568,
  [SMALL_STATE(552)] = 6639,
  [SMALL_STATE(553)] = 6712,
  [SMALL_STATE(554)] = 6785,
  [SMALL_STATE(555)] = 6860,
  [SMALL_STATE(556)] = 6931,
  [SMALL_STATE(557)] = 7002,
  [SMALL_STATE(558)] = 7075,
  [SMALL_STATE(559)] = 7148,
  [SMALL_STATE(560)] = 7221,
  [SMALL_STATE(561)] = 7292,
  [SMALL_STATE(562)] = 7363,
  [SMALL_STATE(563)] = 7434,
  [SMALL_STATE(564)] = 7511,
  [SMALL_STATE(565)] = 7582,
  [SMALL_STATE(566)] = 7653,
  [SMALL_STATE(567)] = 7724,
  [SMALL_STATE(568)] = 7799,
  [SMALL_STATE(569)] = 7872,
  [SMALL_STATE(570)] = 7943,
  [SMALL_STATE(571)] = 8016,
  [SMALL_STATE(572)] = 8087,
  [SMALL_STATE(573)] = 8158,
  [SMALL_STATE(574)] = 8229,
  [SMALL_STATE(575)] = 8302,
  [SMALL_STATE(576)] = 8373,
  [SMALL_STATE(577)] = 8446,
  [SMALL_STATE(578)] = 8521,
  [SMALL_STATE(579)] = 8592,
  [SMALL_STATE(580)] = 8663,
  [SMALL_STATE(581)] = 8734,
  [SMALL_STATE(582)] = 8805,
  [SMALL_STATE(583)] = 8876,
  [SMALL_STATE(584)] = 8951,
  [SMALL_STATE(585)] = 9022,
  [SMALL_STATE(586)] = 9097,
  [SMALL_STATE(587)] = 9168,
  [SMALL_STATE(588)] = 9239,
  [SMALL_STATE(589)] = 9310,
  [SMALL_STATE(590)] = 9381,
  [SMALL_STATE(591)] = 9452,
  [SMALL_STATE(592)] = 9525,
  [SMALL_STATE(593)] = 9596,
  [SMALL_STATE(594)] = 9667,
  [SMALL_STATE(595)] = 9738,
  [SMALL_STATE(596)] = 9809,
  [SMALL_STATE(597)] = 9880,
  [SMALL_STATE(598)] = 9951,
  [SMALL_STATE(599)] = 10022,
  [SMALL_STATE(600)] = 10093,
  [SMALL_STATE(601)] = 10164,
  [SMALL_STATE(602)] = 10235,
  [SMALL_STATE(603)] = 10306,
  [SMALL_STATE(604)] = 10377,
  [SMALL_STATE(605)] = 10448,
  [SMALL_STATE(606)] = 10519,
  [SMALL_STATE(607)] = 10592,
  [SMALL_STATE(608)] = 10663,
  [SMALL_STATE(609)] = 10734,
  [SMALL_STATE(610)] = 10811,
  [SMALL_STATE(611)] = 10882,
  [SMALL_STATE(612)] = 10957,
  [SMALL_STATE(613)] = 11030,
  [SMALL_STATE(614)] = 11101,
  [SMALL_STATE(615)] = 11176,
  [SMALL_STATE(616)] = 11247,
  [SMALL_STATE(617)] = 11320,
  [SMALL_STATE(618)] = 11391,
  [SMALL_STATE(619)] = 11462,
  [SMALL_STATE(620)] = 11533,
  [SMALL_STATE(621)] = 11604,
  [SMALL_STATE(622)] = 11675,
  [SMALL_STATE(623)] = 11746,
  [SMALL_STATE(624)] = 11817,
  [SMALL_STATE(625)] = 11888,
  [SMALL_STATE(626)] = 11959,
  [SMALL_STATE(627)] = 12030,
  [SMALL_STATE(628)] = 12103,
  [SMALL_STATE(629)] = 12174,
  [SMALL_STATE(630)] = 12249,
  [SMALL_STATE(631)] = 12326,
  [SMALL_STATE(632)] = 12397,
  [SMALL_STATE(633)] = 12468,
  [SMALL_STATE(634)] = 12539,
  [SMALL_STATE(635)] = 12610,
  [SMALL_STATE(636)] = 12687,
  [SMALL_STATE(637)] = 12758,
  [SMALL_STATE(638)] = 12829,
  [SMALL_STATE(639)] = 12900,
  [SMALL_STATE(640)] = 12971,
  [SMALL_STATE(641)] = 13042,
  [SMALL_STATE(642)] = 13115,
  [SMALL_STATE(643)] = 13186,
  [SMALL_STATE(644)] = 13257,
  [SMALL_STATE(645)] = 13328,
  [SMALL_STATE(646)] = 13399,
  [SMALL_STATE(647)] = 13470,
  [SMALL_STATE(648)] = 13541,
  [SMALL_STATE(649)] = 13612,
  [SMALL_STATE(650)] = 13683,
  [SMALL_STATE(651)] = 13756,
  [SMALL_STATE(652)] = 13827,
  [SMALL_STATE(653)] = 13898,
  [SMALL_STATE(654)] = 13969,
  [SMALL_STATE(655)] = 14042,
  [SMALL_STATE(656)] = 14113,
  [SMALL_STATE(657)] = 14184,
  [SMALL_STATE(658)] = 14255,
  [SMALL_STATE(659)] = 14326,
  [SMALL_STATE(660)] = 14397,
  [SMALL_STATE(661)] = 14468,
  [SMALL_STATE(662)] = 14543,
  [SMALL_STATE(663)] = 14616,
  [SMALL_STATE(664)] = 14689,
  [SMALL_STATE(665)] = 14762,
  [SMALL_STATE(666)] = 14835,
  [SMALL_STATE(667)] = 14910,
  [SMALL_STATE(668)] = 14981,
  [SMALL_STATE(669)] = 15054,
  [SMALL_STATE(670)] = 15127,
  [SMALL_STATE(671)] = 15200,
  [SMALL_STATE(672)] = 15271,
  [SMALL_STATE(673)] = 15346,
  [SMALL_STATE(674)] = 15417,
  [SMALL_STATE(675)] = 15488,
  [SMALL_STATE(676)] = 15561,
  [SMALL_STATE(677)] = 15632,
  [SMALL_STATE(678)] = 15703,
  [SMALL_STATE(679)] = 15773,
  [SMALL_STATE(680)] = 15847,
  [SMALL_STATE(681)] = 15921,
  [SMALL_STATE(682)] = 15995,
  [SMALL_STATE(683)] = 16069,
  [SMALL_STATE(684)] = 16143,
  [SMALL_STATE(685)] = 16217,
  [SMALL_STATE(686)] = 16291,
  [SMALL_STATE(687)] = 16363,
  [SMALL_STATE(688)] = 16433,
  [SMALL_STATE(689)] = 16505,
  [SMALL_STATE(690)] = 16577,
  [SMALL_STATE(691)] = 16649,
  [SMALL_STATE(692)] = 16721,
  [SMALL_STATE(693)] = 16793,
  [SMALL_STATE(694)] = 16865,
  [SMALL_STATE(695)] = 16937,
  [SMALL_STATE(696)] = 17009,
  [SMALL_STATE(697)] = 17081,
  [SMALL_STATE(698)] = 17153,
  [SMALL_STATE(699)] = 17225,
  [SMALL_STATE(700)] = 17297,
  [SMALL_STATE(701)] = 17369,
  [SMALL_STATE(702)] = 17441,
  [SMALL_STATE(703)] = 17513,
  [SMALL_STATE(704)] = 17585,
  [SMALL_STATE(705)] = 17657,
  [SMALL_STATE(706)] = 17729,
  [SMALL_STATE(707)] = 17801,
  [SMALL_STATE(708)] = 17873,
  [SMALL_STATE(709)] = 17945,
  [SMALL_STATE(710)] = 18017,
  [SMALL_STATE(711)] = 18089,
  [SMALL_STATE(712)] = 18161,
  [SMALL_STATE(713)] = 18233,
  [SMALL_STATE(714)] = 18305,
  [SMALL_STATE(715)] = 18377,
  [SMALL_STATE(716)] = 18449,
  [SMALL_STATE(717)] = 18521,
  [SMALL_STATE(718)] = 18593,
  [SMALL_STATE(719)] = 18665,
  [SMALL_STATE(720)] = 18737,
  [SMALL_STATE(721)] = 18809,
  [SMALL_STATE(722)] = 18881,
  [SMALL_STATE(723)] = 18953,
  [SMALL_STATE(724)] = 19025,
  [SMALL_STATE(725)] = 19097,
  [SMALL_STATE(726)] = 19169,
  [SMALL_STATE(727)] = 19241,
  [SMALL_STATE(728)] = 19313,
  [SMALL_STATE(729)] = 19385,
  [SMALL_STATE(730)] = 19457,
  [SMALL_STATE(731)] = 19529,
  [SMALL_STATE(732)] = 19601,
  [SMALL_STATE(733)] = 19673,
  [SMALL_STATE(734)] = 19745,
  [SMALL_STATE(735)] = 19817,
  [SMALL_STATE(736)] = 19889,
  [SMALL_STATE(737)] = 19961,
  [SMALL_STATE(738)] = 20033,
  [SMALL_STATE(739)] = 20105,
  [SMALL_STATE(740)] = 20177,
  [SMALL_STATE(741)] = 20249,
  [SMALL_STATE(742)] = 20321,
  [SMALL_STATE(743)] = 20393,
  [SMALL_STATE(744)] = 20465,
  [SMALL_STATE(745)] = 20537,
  [SMALL_STATE(746)] = 20609,
  [SMALL_STATE(747)] = 20681,
  [SMALL_STATE(748)] = 20753,
  [SMALL_STATE(749)] = 20825,
  [SMALL_STATE(750)] = 20897,
  [SMALL_STATE(751)] = 20969,
  [SMALL_STATE(752)] = 21041,
  [SMALL_STATE(753)] = 21113,
  [SMALL_STATE(754)] = 21185,
  [SMALL_STATE(755)] = 21257,
  [SMALL_STATE(756)] = 21329,
  [SMALL_STATE(757)] = 21401,
  [SMALL_STATE(758)] = 21473,
  [SMALL_STATE(759)] = 21545,
  [SMALL_STATE(760)] = 21617,
  [SMALL_STATE(761)] = 21689,
  [SMALL_STATE(762)] = 21761,
  [SMALL_STATE(763)] = 21833,
  [SMALL_STATE(764)] = 21905,
  [SMALL_STATE(765)] = 21977,
  [SMALL_STATE(766)] = 22049,
  [SMALL_STATE(767)] = 22121,
  [SMALL_STATE(768)] = 22193,
  [SMALL_STATE(769)] = 22265,
  [SMALL_STATE(770)] = 22337,
  [SMALL_STATE(771)] = 22409,
  [SMALL_STATE(772)] = 22481,
  [SMALL_STATE(773)] = 22553,
  [SMALL_STATE(774)] = 22625,
  [SMALL_STATE(775)] = 22697,
  [SMALL_STATE(776)] = 22769,
  [SMALL_STATE(777)] = 22841,
  [SMALL_STATE(778)] = 22913,
  [SMALL_STATE(779)] = 22985,
  [SMALL_STATE(780)] = 23057,
  [SMALL_STATE(781)] = 23129,
  [SMALL_STATE(782)] = 23201,
  [SMALL_STATE(783)] = 23273,
  [SMALL_STATE(784)] = 23345,
  [SMALL_STATE(785)] = 23417,
  [SMALL_STATE(786)] = 23487,
  [SMALL_STATE(787)] = 23557,
  [SMALL_STATE(788)] = 23627,
  [SMALL_STATE(789)] = 23697,
  [SMALL_STATE(790)] = 23767,
  [SMALL_STATE(791)] = 23837,
  [SMALL_STATE(792)] = 23927,
  [SMALL_STATE(793)] = 23997,
  [SMALL_STATE(794)] = 24067,
  [SMALL_STATE(795)] = 24137,
  [SMALL_STATE(796)] = 24207,
  [SMALL_STATE(797)] = 24277,
  [SMALL_STATE(798)] = 24347,
  [SMALL_STATE(799)] = 24417,
  [SMALL_STATE(800)] = 24487,
  [SMALL_STATE(801)] = 24557,
  [SMALL_STATE(802)] = 24627,
  [SMALL_STATE(803)] = 24717,
  [SMALL_STATE(804)] = 24787,
  [SMALL_STATE(805)] = 24857,
  [SMALL_STATE(806)] = 24927,
  [SMALL_STATE(807)] = 24997,
  [SMALL_STATE(808)] = 25067,
  [SMALL_STATE(809)] = 25137,
  [SMALL_STATE(810)] = 25207,
  [SMALL_STATE(811)] = 25277,
  [SMALL_STATE(812)] = 25347,
  [SMALL_STATE(813)] = 25417,
  [SMALL_STATE(814)] = 25487,
  [SMALL_STATE(815)] = 25557,
  [SMALL_STATE(816)] = 25627,
  [SMALL_STATE(817)] = 25697,
  [SMALL_STATE(818)] = 25767,
  [SMALL_STATE(819)] = 25837,
  [SMALL_STATE(820)] = 25907,
  [SMALL_STATE(821)] = 25977,
  [SMALL_STATE(822)] = 26047,
  [SMALL_STATE(823)] = 26117,
  [SMALL_STATE(824)] = 26187,
  [SMALL_STATE(825)] = 26259,
  [SMALL_STATE(826)] = 26329,
  [SMALL_STATE(827)] = 26399,
  [SMALL_STATE(828)] = 26469,
  [SMALL_STATE(829)] = 26539,
  [SMALL_STATE(830)] = 26609,
  [SMALL_STATE(831)] = 26679,
  [SMALL_STATE(832)] = 26749,
  [SMALL_STATE(833)] = 26819,
  [SMALL_STATE(834)] = 26889,
  [SMALL_STATE(835)] = 26959,
  [SMALL_STATE(836)] = 27029,
  [SMALL_STATE(837)] = 27099,
  [SMALL_STATE(838)] = 27169,
  [SMALL_STATE(839)] = 27239,
  [SMALL_STATE(840)] = 27309,
  [SMALL_STATE(841)] = 27379,
  [SMALL_STATE(842)] = 27449,
  [SMALL_STATE(843)] = 27519,
  [SMALL_STATE(844)] = 27589,
  [SMALL_STATE(845)] = 27659,
  [SMALL_STATE(846)] = 27729,
  [SMALL_STATE(847)] = 27799,
  [SMALL_STATE(848)] = 27869,
  [SMALL_STATE(849)] = 27939,
  [SMALL_STATE(850)] = 28009,
  [SMALL_STATE(851)] = 28079,
  [SMALL_STATE(852)] = 28149,
  [SMALL_STATE(853)] = 28219,
  [SMALL_STATE(854)] = 28289,
  [SMALL_STATE(855)] = 28359,
  [SMALL_STATE(856)] = 28429,
  [SMALL_STATE(857)] = 28499,
  [SMALL_STATE(858)] = 28569,
  [SMALL_STATE(859)] = 28639,
  [SMALL_STATE(860)] = 28711,
  [SMALL_STATE(861)] = 28781,
  [SMALL_STATE(862)] = 28851,
  [SMALL_STATE(863)] = 28921,
  [SMALL_STATE(864)] = 28991,
  [SMALL_STATE(865)] = 29061,
  [SMALL_STATE(866)] = 29131,
  [SMALL_STATE(867)] = 29201,
  [SMALL_STATE(868)] = 29271,
  [SMALL_STATE(869)] = 29341,
  [SMALL_STATE(870)] = 29411,
  [SMALL_STATE(871)] = 29481,
  [SMALL_STATE(872)] = 29551,
  [SMALL_STATE(873)] = 29621,
  [SMALL_STATE(874)] = 29691,
  [SMALL_STATE(875)] = 29761,
  [SMALL_STATE(876)] = 29831,
  [SMALL_STATE(877)] = 29901,
  [SMALL_STATE(878)] = 29971,
  [SMALL_STATE(879)] = 30041,
  [SMALL_STATE(880)] = 30111,
  [SMALL_STATE(881)] = 30183,
  [SMALL_STATE(882)] = 30253,
  [SMALL_STATE(883)] = 30323,
  [SMALL_STATE(884)] = 30397,
  [SMALL_STATE(885)] = 30469,
  [SMALL_STATE(886)] = 30541,
  [SMALL_STATE(887)] = 30611,
  [SMALL_STATE(888)] = 30681,
  [SMALL_STATE(889)] = 30755,
  [SMALL_STATE(890)] = 30827,
  [SMALL_STATE(891)] = 30899,
  [SMALL_STATE(892)] = 30973,
  [SMALL_STATE(893)] = 31045,
  [SMALL_STATE(894)] = 31117,
  [SMALL_STATE(895)] = 31187,
  [SMALL_STATE(896)] = 31257,
  [SMALL_STATE(897)] = 31347,
  [SMALL_STATE(898)] = 31421,
  [SMALL_STATE(899)] = 31495,
  [SMALL_STATE(900)] = 31585,
  [SMALL_STATE(901)] = 31675,
  [SMALL_STATE(902)] = 31751,
  [SMALL_STATE(903)] = 31823,
  [SMALL_STATE(904)] = 31893,
  [SMALL_STATE(905)] = 31964,
  [SMALL_STATE(906)] = 32035,
  [SMALL_STATE(907)] = 32106,
  [SMALL_STATE(908)] = 32177,
  [SMALL_STATE(909)] = 32248,
  [SMALL_STATE(910)] = 32319,
  [SMALL_STATE(911)] = 32390,
  [SMALL_STATE(912)] = 32461,
  [SMALL_STATE(913)] = 32532,
  [SMALL_STATE(914)] = 32603,
  [SMALL_STATE(915)] = 32674,
  [SMALL_STATE(916)] = 32745,
  [SMALL_STATE(917)] = 32816,
  [SMALL_STATE(918)] = 32887,
  [SMALL_STATE(919)] = 32958,
  [SMALL_STATE(920)] = 33029,
  [SMALL_STATE(921)] = 33100,
  [SMALL_STATE(922)] = 33171,
  [SMALL_STATE(923)] = 33242,
  [SMALL_STATE(924)] = 33313,
  [SMALL_STATE(925)] = 33384,
  [SMALL_STATE(926)] = 33455,
  [SMALL_STATE(927)] = 33526,
  [SMALL_STATE(928)] = 33597,
  [SMALL_STATE(929)] = 33684,
  [SMALL_STATE(930)] = 33755,
  [SMALL_STATE(931)] = 33826,
  [SMALL_STATE(932)] = 33897,
  [SMALL_STATE(933)] = 33968,
  [SMALL_STATE(934)] = 34039,
  [SMALL_STATE(935)] = 34110,
  [SMALL_STATE(936)] = 34181,
  [SMALL_STATE(937)] = 34252,
  [SMALL_STATE(938)] = 34323,
  [SMALL_STATE(939)] = 34394,
  [SMALL_STATE(940)] = 34465,
  [SMALL_STATE(941)] = 34536,
  [SMALL_STATE(942)] = 34607,
  [SMALL_STATE(943)] = 34678,
  [SMALL_STATE(944)] = 34749,
  [SMALL_STATE(945)] = 34820,
  [SMALL_STATE(946)] = 34891,
  [SMALL_STATE(947)] = 34962,
  [SMALL_STATE(948)] = 35033,
  [SMALL_STATE(949)] = 35104,
  [SMALL_STATE(950)] = 35175,
  [SMALL_STATE(951)] = 35246,
  [SMALL_STATE(952)] = 35317,
  [SMALL_STATE(953)] = 35388,
  [SMALL_STATE(954)] = 35459,
  [SMALL_STATE(955)] = 35530,
  [SMALL_STATE(956)] = 35601,
  [SMALL_STATE(957)] = 35672,
  [SMALL_STATE(958)] = 35743,
  [SMALL_STATE(959)] = 35814,
  [SMALL_STATE(960)] = 35885,
  [SMALL_STATE(961)] = 35956,
  [SMALL_STATE(962)] = 36043,
  [SMALL_STATE(963)] = 36114,
  [SMALL_STATE(964)] = 36185,
  [SMALL_STATE(965)] = 36256,
  [SMALL_STATE(966)] = 36327,
  [SMALL_STATE(967)] = 36398,
  [SMALL_STATE(968)] = 36469,
  [SMALL_STATE(969)] = 36540,
  [SMALL_STATE(970)] = 36611,
  [SMALL_STATE(971)] = 36682,
  [SMALL_STATE(972)] = 36753,
  [SMALL_STATE(973)] = 36840,
  [SMALL_STATE(974)] = 36911,
  [SMALL_STATE(975)] = 36982,
  [SMALL_STATE(976)] = 37053,
  [SMALL_STATE(977)] = 37124,
  [SMALL_STATE(978)] = 37195,
  [SMALL_STATE(979)] = 37266,
  [SMALL_STATE(980)] = 37337,
  [SMALL_STATE(981)] = 37408,
  [SMALL_STATE(982)] = 37479,
  [SMALL_STATE(983)] = 37550,
  [SMALL_STATE(984)] = 37621,
  [SMALL_STATE(985)] = 37692,
  [SMALL_STATE(986)] = 37763,
  [SMALL_STATE(987)] = 37834,
  [SMALL_STATE(988)] = 37905,
  [SMALL_STATE(989)] = 37976,
  [SMALL_STATE(990)] = 38047,
  [SMALL_STATE(991)] = 38118,
  [SMALL_STATE(992)] = 38189,
  [SMALL_STATE(993)] = 38260,
  [SMALL_STATE(994)] = 38331,
  [SMALL_STATE(995)] = 38402,
  [SMALL_STATE(996)] = 38473,
  [SMALL_STATE(997)] = 38544,
  [SMALL_STATE(998)] = 38615,
  [SMALL_STATE(999)] = 38686,
  [SMALL_STATE(1000)] = 38757,
  [SMALL_STATE(1001)] = 38828,
  [SMALL_STATE(1002)] = 38899,
  [SMALL_STATE(1003)] = 38970,
  [SMALL_STATE(1004)] = 39041,
  [SMALL_STATE(1005)] = 39112,
  [SMALL_STATE(1006)] = 39183,
  [SMALL_STATE(1007)] = 39254,
  [SMALL_STATE(1008)] = 39324,
  [SMALL_STATE(1009)] = 39394,
  [SMALL_STATE(1010)] = 39464,
  [SMALL_STATE(1011)] = 39534,
  [SMALL_STATE(1012)] = 39604,
  [SMALL_STATE(1013)] = 39674,
  [SMALL_STATE(1014)] = 39764,
  [SMALL_STATE(1015)] = 39838,
  [SMALL_STATE(1016)] = 39908,
  [SMALL_STATE(1017)] = 39975,
  [SMALL_STATE(1018)] = 40042,
  [SMALL_STATE(1019)] = 40109,
  [SMALL_STATE(1020)] = 40184,
  [SMALL_STATE(1021)] = 40251,
  [SMALL_STATE(1022)] = 40326,
  [SMALL_STATE(1023)] = 40393,
  [SMALL_STATE(1024)] = 40468,
  [SMALL_STATE(1025)] = 40535,
  [SMALL_STATE(1026)] = 40602,
  [SMALL_STATE(1027)] = 40677,
  [SMALL_STATE(1028)] = 40744,
  [SMALL_STATE(1029)] = 40820,
  [SMALL_STATE(1030)] = 40896,
  [SMALL_STATE(1031)] = 40970,
  [SMALL_STATE(1032)] = 41044,
  [SMALL_STATE(1033)] = 41120,
  [SMALL_STATE(1034)] = 41194,
  [SMALL_STATE(1035)] = 41270,
  [SMALL_STATE(1036)] = 41346,
  [SMALL_STATE(1037)] = 41420,
  [SMALL_STATE(1038)] = 41488,
  [SMALL_STATE(1039)] = 41564,
  [SMALL_STATE(1040)] = 41638,
  [SMALL_STATE(1041)] = 41716,
  [SMALL_STATE(1042)] = 41794,
  [SMALL_STATE(1043)] = 41862,
  [SMALL_STATE(1044)] = 41930,
  [SMALL_STATE(1045)] = 42006,
  [SMALL_STATE(1046)] = 42074,
  [SMALL_STATE(1047)] = 42142,
  [SMALL_STATE(1048)] = 42210,
  [SMALL_STATE(1049)] = 42286,
  [SMALL_STATE(1050)] = 42362,
  [SMALL_STATE(1051)] = 42434,
  [SMALL_STATE(1052)] = 42508,
  [SMALL_STATE(1053)] = 42584,
  [SMALL_STATE(1054)] = 42660,
  [SMALL_STATE(1055)] = 42734,
  [SMALL_STATE(1056)] = 42810,
  [SMALL_STATE(1057)] = 42886,
  [SMALL_STATE(1058)] = 42960,
  [SMALL_STATE(1059)] = 43036,
  [SMALL_STATE(1060)] = 43112,
  [SMALL_STATE(1061)] = 43188,
  [SMALL_STATE(1062)] = 43260,
  [SMALL_STATE(1063)] = 43328,
  [SMALL_STATE(1064)] = 43399,
  [SMALL_STATE(1065)] = 43474,
  [SMALL_STATE(1066)] = 43547,
  [SMALL_STATE(1067)] = 43618,
  [SMALL_STATE(1068)] = 43691,
  [SMALL_STATE(1069)] = 43766,
  [SMALL_STATE(1070)] = 43841,
  [SMALL_STATE(1071)] = 43914,
  [SMALL_STATE(1072)] = 43986,
  [SMALL_STATE(1073)] = 44058,
  [SMALL_STATE(1074)] = 44134,
  [SMALL_STATE(1075)] = 44210,
  [SMALL_STATE(1076)] = 44282,
  [SMALL_STATE(1077)] = 44353,
  [SMALL_STATE(1078)] = 44424,
  [SMALL_STATE(1079)] = 44499,
  [SMALL_STATE(1080)] = 44574,
  [SMALL_STATE(1081)] = 44645,
  [SMALL_STATE(1082)] = 44716,
  [SMALL_STATE(1083)] = 44789,
  [SMALL_STATE(1084)] = 44861,
  [SMALL_STATE(1085)] = 44929,
  [SMALL_STATE(1086)] = 44983,
  [SMALL_STATE(1087)] = 45037,
  [SMALL_STATE(1088)] = 45097,
  [SMALL_STATE(1089)] = 45167,
  [SMALL_STATE(1090)] = 45237,
  [SMALL_STATE(1091)] = 45305,
  [SMALL_STATE(1092)] = 45364,
  [SMALL_STATE(1093)] = 45423,
  [SMALL_STATE(1094)] = 45476,
  [SMALL_STATE(1095)] = 45533,
  [SMALL_STATE(1096)] = 45590,
  [SMALL_STATE(1097)] = 45643,
  [SMALL_STATE(1098)] = 45696,
  [SMALL_STATE(1099)] = 45755,
  [SMALL_STATE(1100)] = 45820,
  [SMALL_STATE(1101)] = 45879,
  [SMALL_STATE(1102)] = 45932,
  [SMALL_STATE(1103)] = 45989,
  [SMALL_STATE(1104)] = 46089,
  [SMALL_STATE(1105)] = 46143,
  [SMALL_STATE(1106)] = 46197,
  [SMALL_STATE(1107)] = 46253,
  [SMALL_STATE(1108)] = 46307,
  [SMALL_STATE(1109)] = 46407,
  [SMALL_STATE(1110)] = 46461,
  [SMALL_STATE(1111)] = 46561,
  [SMALL_STATE(1112)] = 46641,
  [SMALL_STATE(1113)] = 46695,
  [SMALL_STATE(1114)] = 46749,
  [SMALL_STATE(1115)] = 46803,
  [SMALL_STATE(1116)] = 46873,
  [SMALL_STATE(1117)] = 46973,
  [SMALL_STATE(1118)] = 47065,
  [SMALL_STATE(1119)] = 47159,
  [SMALL_STATE(1120)] = 47235,
  [SMALL_STATE(1121)] = 47323,
  [SMALL_STATE(1122)] = 47413,
  [SMALL_STATE(1123)] = 47505,
  [SMALL_STATE(1124)] = 47579,
  [SMALL_STATE(1125)] = 47649,
  [SMALL_STATE(1126)] = 47733,
  [SMALL_STATE(1127)] = 47829,
  [SMALL_STATE(1128)] = 47883,
  [SMALL_STATE(1129)] = 47937,
  [SMALL_STATE(1130)] = 47991,
  [SMALL_STATE(1131)] = 48045,
  [SMALL_STATE(1132)] = 48145,
  [SMALL_STATE(1133)] = 48199,
  [SMALL_STATE(1134)] = 48299,
  [SMALL_STATE(1135)] = 48353,
  [SMALL_STATE(1136)] = 48407,
  [SMALL_STATE(1137)] = 48461,
  [SMALL_STATE(1138)] = 48515,
  [SMALL_STATE(1139)] = 48569,
  [SMALL_STATE(1140)] = 48623,
  [SMALL_STATE(1141)] = 48677,
  [SMALL_STATE(1142)] = 48731,
  [SMALL_STATE(1143)] = 48785,
  [SMALL_STATE(1144)] = 48839,
  [SMALL_STATE(1145)] = 48893,
  [SMALL_STATE(1146)] = 48947,
  [SMALL_STATE(1147)] = 49047,
  [SMALL_STATE(1148)] = 49101,
  [SMALL_STATE(1149)] = 49155,
  [SMALL_STATE(1150)] = 49255,
  [SMALL_STATE(1151)] = 49309,
  [SMALL_STATE(1152)] = 49409,
  [SMALL_STATE(1153)] = 49463,
  [SMALL_STATE(1154)] = 49517,
  [SMALL_STATE(1155)] = 49571,
  [SMALL_STATE(1156)] = 49625,
  [SMALL_STATE(1157)] = 49679,
  [SMALL_STATE(1158)] = 49733,
  [SMALL_STATE(1159)] = 49787,
  [SMALL_STATE(1160)] = 49841,
  [SMALL_STATE(1161)] = 49909,
  [SMALL_STATE(1162)] = 49963,
  [SMALL_STATE(1163)] = 50017,
  [SMALL_STATE(1164)] = 50071,
  [SMALL_STATE(1165)] = 50125,
  [SMALL_STATE(1166)] = 50179,
  [SMALL_STATE(1167)] = 50279,
  [SMALL_STATE(1168)] = 50333,
  [SMALL_STATE(1169)] = 50387,
  [SMALL_STATE(1170)] = 50441,
  [SMALL_STATE(1171)] = 50495,
  [SMALL_STATE(1172)] = 50595,
  [SMALL_STATE(1173)] = 50649,
  [SMALL_STATE(1174)] = 50717,
  [SMALL_STATE(1175)] = 50783,
  [SMALL_STATE(1176)] = 50837,
  [SMALL_STATE(1177)] = 50891,
  [SMALL_STATE(1178)] = 50991,
  [SMALL_STATE(1179)] = 51045,
  [SMALL_STATE(1180)] = 51099,
  [SMALL_STATE(1181)] = 51153,
  [SMALL_STATE(1182)] = 51207,
  [SMALL_STATE(1183)] = 51263,
  [SMALL_STATE(1184)] = 51317,
  [SMALL_STATE(1185)] = 51371,
  [SMALL_STATE(1186)] = 51425,
  [SMALL_STATE(1187)] = 51479,
  [SMALL_STATE(1188)] = 51533,
  [SMALL_STATE(1189)] = 51587,
  [SMALL_STATE(1190)] = 51643,
  [SMALL_STATE(1191)] = 51703,
  [SMALL_STATE(1192)] = 51803,
  [SMALL_STATE(1193)] = 51857,
  [SMALL_STATE(1194)] = 51911,
  [SMALL_STATE(1195)] = 51965,
  [SMALL_STATE(1196)] = 52019,
  [SMALL_STATE(1197)] = 52073,
  [SMALL_STATE(1198)] = 52176,
  [SMALL_STATE(1199)] = 52275,
  [SMALL_STATE(1200)] = 52374,
  [SMALL_STATE(1201)] = 52443,
  [SMALL_STATE(1202)] = 52546,
  [SMALL_STATE(1203)] = 52637,
  [SMALL_STATE(1204)] = 52730,
  [SMALL_STATE(1205)] = 52805,
  [SMALL_STATE(1206)] = 52892,
  [SMALL_STATE(1207)] = 52981,
  [SMALL_STATE(1208)] = 53072,
  [SMALL_STATE(1209)] = 53145,
  [SMALL_STATE(1210)] = 53214,
  [SMALL_STATE(1211)] = 53297,
  [SMALL_STATE(1212)] = 53392,
  [SMALL_STATE(1213)] = 53491,
  [SMALL_STATE(1214)] = 53546,
  [SMALL_STATE(1215)] = 53645,
  [SMALL_STATE(1216)] = 53700,
  [SMALL_STATE(1217)] = 53803,
  [SMALL_STATE(1218)] = 53902,
  [SMALL_STATE(1219)] = 54005,
  [SMALL_STATE(1220)] = 54108,
  [SMALL_STATE(1221)] = 54207,
  [SMALL_STATE(1222)] = 54270,
  [SMALL_STATE(1223)] = 54327,
  [SMALL_STATE(1224)] = 54426,
  [SMALL_STATE(1225)] = 54525,
  [SMALL_STATE(1226)] = 54628,
  [SMALL_STATE(1227)] = 54727,
  [SMALL_STATE(1228)] = 54826,
  [SMALL_STATE(1229)] = 54879,
  [SMALL_STATE(1230)] = 54978,
  [SMALL_STATE(1231)] = 55077,
  [SMALL_STATE(1232)] = 55176,
  [SMALL_STATE(1233)] = 55279,
  [SMALL_STATE(1234)] = 55378,
  [SMALL_STATE(1235)] = 55457,
  [SMALL_STATE(1236)] = 55560,
  [SMALL_STATE(1237)] = 55663,
  [SMALL_STATE(1238)] = 55732,
  [SMALL_STATE(1239)] = 55823,
  [SMALL_STATE(1240)] = 55916,
  [SMALL_STATE(1241)] = 56015,
  [SMALL_STATE(1242)] = 56114,
  [SMALL_STATE(1243)] = 56169,
  [SMALL_STATE(1244)] = 56272,
  [SMALL_STATE(1245)] = 56375,
  [SMALL_STATE(1246)] = 56430,
  [SMALL_STATE(1247)] = 56487,
  [SMALL_STATE(1248)] = 56562,
  [SMALL_STATE(1249)] = 56661,
  [SMALL_STATE(1250)] = 56752,
  [SMALL_STATE(1251)] = 56855,
  [SMALL_STATE(1252)] = 56956,
  [SMALL_STATE(1253)] = 57059,
  [SMALL_STATE(1254)] = 57162,
  [SMALL_STATE(1255)] = 57261,
  [SMALL_STATE(1256)] = 57334,
  [SMALL_STATE(1257)] = 57437,
  [SMALL_STATE(1258)] = 57532,
  [SMALL_STATE(1259)] = 57631,
  [SMALL_STATE(1260)] = 57734,
  [SMALL_STATE(1261)] = 57837,
  [SMALL_STATE(1262)] = 57940,
  [SMALL_STATE(1263)] = 58039,
  [SMALL_STATE(1264)] = 58108,
  [SMALL_STATE(1265)] = 58211,
  [SMALL_STATE(1266)] = 58294,
  [SMALL_STATE(1267)] = 58393,
  [SMALL_STATE(1268)] = 58482,
  [SMALL_STATE(1269)] = 58537,
  [SMALL_STATE(1270)] = 58592,
  [SMALL_STATE(1271)] = 58645,
  [SMALL_STATE(1272)] = 58744,
  [SMALL_STATE(1273)] = 58799,
  [SMALL_STATE(1274)] = 58886,
  [SMALL_STATE(1275)] = 58941,
  [SMALL_STATE(1276)] = 59000,
  [SMALL_STATE(1277)] = 59099,
  [SMALL_STATE(1278)] = 59198,
  [SMALL_STATE(1279)] = 59297,
  [SMALL_STATE(1280)] = 59376,
  [SMALL_STATE(1281)] = 59475,
  [SMALL_STATE(1282)] = 59573,
  [SMALL_STATE(1283)] = 59629,
  [SMALL_STATE(1284)] = 59681,
  [SMALL_STATE(1285)] = 59733,
  [SMALL_STATE(1286)] = 59835,
  [SMALL_STATE(1287)] = 59887,
  [SMALL_STATE(1288)] = 59939,
  [SMALL_STATE(1289)] = 59991,
  [SMALL_STATE(1290)] = 60045,
  [SMALL_STATE(1291)] = 60147,
  [SMALL_STATE(1292)] = 60199,
  [SMALL_STATE(1293)] = 60251,
  [SMALL_STATE(1294)] = 60303,
  [SMALL_STATE(1295)] = 60355,
  [SMALL_STATE(1296)] = 60411,
  [SMALL_STATE(1297)] = 60463,
  [SMALL_STATE(1298)] = 60565,
  [SMALL_STATE(1299)] = 60619,
  [SMALL_STATE(1300)] = 60675,
  [SMALL_STATE(1301)] = 60727,
  [SMALL_STATE(1302)] = 60779,
  [SMALL_STATE(1303)] = 60881,
  [SMALL_STATE(1304)] = 60983,
  [SMALL_STATE(1305)] = 61037,
  [SMALL_STATE(1306)] = 61093,
  [SMALL_STATE(1307)] = 61145,
  [SMALL_STATE(1308)] = 61197,
  [SMALL_STATE(1309)] = 61253,
  [SMALL_STATE(1310)] = 61305,
  [SMALL_STATE(1311)] = 61357,
  [SMALL_STATE(1312)] = 61409,
  [SMALL_STATE(1313)] = 61461,
  [SMALL_STATE(1314)] = 61513,
  [SMALL_STATE(1315)] = 61615,
  [SMALL_STATE(1316)] = 61667,
  [SMALL_STATE(1317)] = 61769,
  [SMALL_STATE(1318)] = 61825,
  [SMALL_STATE(1319)] = 61881,
  [SMALL_STATE(1320)] = 61983,
  [SMALL_STATE(1321)] = 62035,
  [SMALL_STATE(1322)] = 62137,
  [SMALL_STATE(1323)] = 62239,
  [SMALL_STATE(1324)] = 62341,
  [SMALL_STATE(1325)] = 62443,
  [SMALL_STATE(1326)] = 62495,
  [SMALL_STATE(1327)] = 62597,
  [SMALL_STATE(1328)] = 62699,
  [SMALL_STATE(1329)] = 62755,
  [SMALL_STATE(1330)] = 62807,
  [SMALL_STATE(1331)] = 62859,
  [SMALL_STATE(1332)] = 62911,
  [SMALL_STATE(1333)] = 63013,
  [SMALL_STATE(1334)] = 63071,
  [SMALL_STATE(1335)] = 63123,
  [SMALL_STATE(1336)] = 63181,
  [SMALL_STATE(1337)] = 63233,
  [SMALL_STATE(1338)] = 63285,
  [SMALL_STATE(1339)] = 63337,
  [SMALL_STATE(1340)] = 63389,
  [SMALL_STATE(1341)] = 63447,
  [SMALL_STATE(1342)] = 63501,
  [SMALL_STATE(1343)] = 63553,
  [SMALL_STATE(1344)] = 63609,
  [SMALL_STATE(1345)] = 63711,
  [SMALL_STATE(1346)] = 63769,
  [SMALL_STATE(1347)] = 63871,
  [SMALL_STATE(1348)] = 63973,
  [SMALL_STATE(1349)] = 64025,
  [SMALL_STATE(1350)] = 64077,
  [SMALL_STATE(1351)] = 64129,
  [SMALL_STATE(1352)] = 64231,
  [SMALL_STATE(1353)] = 64287,
  [SMALL_STATE(1354)] = 64389,
  [SMALL_STATE(1355)] = 64445,
  [SMALL_STATE(1356)] = 64547,
  [SMALL_STATE(1357)] = 64649,
  [SMALL_STATE(1358)] = 64751,
  [SMALL_STATE(1359)] = 64803,
  [SMALL_STATE(1360)] = 64905,
  [SMALL_STATE(1361)] = 64957,
  [SMALL_STATE(1362)] = 65055,
  [SMALL_STATE(1363)] = 65157,
  [SMALL_STATE(1364)] = 65209,
  [SMALL_STATE(1365)] = 65311,
  [SMALL_STATE(1366)] = 65409,
  [SMALL_STATE(1367)] = 65511,
  [SMALL_STATE(1368)] = 65569,
  [SMALL_STATE(1369)] = 65621,
  [SMALL_STATE(1370)] = 65723,
  [SMALL_STATE(1371)] = 65775,
  [SMALL_STATE(1372)] = 65877,
  [SMALL_STATE(1373)] = 65979,
  [SMALL_STATE(1374)] = 66081,
  [SMALL_STATE(1375)] = 66183,
  [SMALL_STATE(1376)] = 66285,
  [SMALL_STATE(1377)] = 66387,
  [SMALL_STATE(1378)] = 66439,
  [SMALL_STATE(1379)] = 66495,
  [SMALL_STATE(1380)] = 66597,
  [SMALL_STATE(1381)] = 66649,
  [SMALL_STATE(1382)] = 66701,
  [SMALL_STATE(1383)] = 66753,
  [SMALL_STATE(1384)] = 66809,
  [SMALL_STATE(1385)] = 66861,
  [SMALL_STATE(1386)] = 66913,
  [SMALL_STATE(1387)] = 66965,
  [SMALL_STATE(1388)] = 67017,
  [SMALL_STATE(1389)] = 67069,
  [SMALL_STATE(1390)] = 67121,
  [SMALL_STATE(1391)] = 67173,
  [SMALL_STATE(1392)] = 67225,
  [SMALL_STATE(1393)] = 67277,
  [SMALL_STATE(1394)] = 67333,
  [SMALL_STATE(1395)] = 67410,
  [SMALL_STATE(1396)] = 67507,
  [SMALL_STATE(1397)] = 67562,
  [SMALL_STATE(1398)] = 67659,
  [SMALL_STATE(1399)] = 67758,
  [SMALL_STATE(1400)] = 67857,
  [SMALL_STATE(1401)] = 67954,
  [SMALL_STATE(1402)] = 68051,
  [SMALL_STATE(1403)] = 68150,
  [SMALL_STATE(1404)] = 68205,
  [SMALL_STATE(1405)] = 68302,
  [SMALL_STATE(1406)] = 68399,
  [SMALL_STATE(1407)] = 68496,
  [SMALL_STATE(1408)] = 68593,
  [SMALL_STATE(1409)] = 68692,
  [SMALL_STATE(1410)] = 68789,
  [SMALL_STATE(1411)] = 68886,
  [SMALL_STATE(1412)] = 68983,
  [SMALL_STATE(1413)] = 69082,
  [SMALL_STATE(1414)] = 69179,
  [SMALL_STATE(1415)] = 69246,
  [SMALL_STATE(1416)] = 69335,
  [SMALL_STATE(1417)] = 69426,
  [SMALL_STATE(1418)] = 69499,
  [SMALL_STATE(1419)] = 69584,
  [SMALL_STATE(1420)] = 69671,
  [SMALL_STATE(1421)] = 69760,
  [SMALL_STATE(1422)] = 69831,
  [SMALL_STATE(1423)] = 69898,
  [SMALL_STATE(1424)] = 69979,
  [SMALL_STATE(1425)] = 70072,
  [SMALL_STATE(1426)] = 70169,
  [SMALL_STATE(1427)] = 70266,
  [SMALL_STATE(1428)] = 70363,
  [SMALL_STATE(1429)] = 70460,
  [SMALL_STATE(1430)] = 70557,
  [SMALL_STATE(1431)] = 70654,
  [SMALL_STATE(1432)] = 70751,
  [SMALL_STATE(1433)] = 70806,
  [SMALL_STATE(1434)] = 70903,
  [SMALL_STATE(1435)] = 70973,
  [SMALL_STATE(1436)] = 71069,
  [SMALL_STATE(1437)] = 71165,
  [SMALL_STATE(1438)] = 71261,
  [SMALL_STATE(1439)] = 71333,
  [SMALL_STATE(1440)] = 71417,
  [SMALL_STATE(1441)] = 71513,
  [SMALL_STATE(1442)] = 71593,
  [SMALL_STATE(1443)] = 71689,
  [SMALL_STATE(1444)] = 71785,
  [SMALL_STATE(1445)] = 71881,
  [SMALL_STATE(1446)] = 71973,
  [SMALL_STATE(1447)] = 72069,
  [SMALL_STATE(1448)] = 72135,
  [SMALL_STATE(1449)] = 72211,
  [SMALL_STATE(1450)] = 72267,
  [SMALL_STATE(1451)] = 72363,
  [SMALL_STATE(1452)] = 72459,
  [SMALL_STATE(1453)] = 72555,
  [SMALL_STATE(1454)] = 72611,
  [SMALL_STATE(1455)] = 72667,
  [SMALL_STATE(1456)] = 72755,
  [SMALL_STATE(1457)] = 72851,
  [SMALL_STATE(1458)] = 72937,
  [SMALL_STATE(1459)] = 73035,
  [SMALL_STATE(1460)] = 73131,
  [SMALL_STATE(1461)] = 73227,
  [SMALL_STATE(1462)] = 73323,
  [SMALL_STATE(1463)] = 73411,
  [SMALL_STATE(1464)] = 73507,
  [SMALL_STATE(1465)] = 73603,
  [SMALL_STATE(1466)] = 73699,
  [SMALL_STATE(1467)] = 73795,
  [SMALL_STATE(1468)] = 73861,
  [SMALL_STATE(1469)] = 73951,
  [SMALL_STATE(1470)] = 74047,
  [SMALL_STATE(1471)] = 74103,
  [SMALL_STATE(1472)] = 74158,
  [SMALL_STATE(1473)] = 74213,
  [SMALL_STATE(1474)] = 74264,
  [SMALL_STATE(1475)] = 74359,
  [SMALL_STATE(1476)] = 74410,
  [SMALL_STATE(1477)] = 74503,
  [SMALL_STATE(1478)] = 74598,
  [SMALL_STATE(1479)] = 74693,
  [SMALL_STATE(1480)] = 74786,
  [SMALL_STATE(1481)] = 74881,
  [SMALL_STATE(1482)] = 74976,
  [SMALL_STATE(1483)] = 75071,
  [SMALL_STATE(1484)] = 75166,
  [SMALL_STATE(1485)] = 75221,
  [SMALL_STATE(1486)] = 75276,
  [SMALL_STATE(1487)] = 75363,
  [SMALL_STATE(1488)] = 75450,
  [SMALL_STATE(1489)] = 75537,
  [SMALL_STATE(1490)] = 75624,
  [SMALL_STATE(1491)] = 75711,
  [SMALL_STATE(1492)] = 75798,
  [SMALL_STATE(1493)] = 75885,
  [SMALL_STATE(1494)] = 75972,
  [SMALL_STATE(1495)] = 76059,
  [SMALL_STATE(1496)] = 76146,
  [SMALL_STATE(1497)] = 76233,
  [SMALL_STATE(1498)] = 76320,
  [SMALL_STATE(1499)] = 76407,
  [SMALL_STATE(1500)] = 76494,
  [SMALL_STATE(1501)] = 76581,
  [SMALL_STATE(1502)] = 76668,
  [SMALL_STATE(1503)] = 76755,
  [SMALL_STATE(1504)] = 76842,
  [SMALL_STATE(1505)] = 76929,
  [SMALL_STATE(1506)] = 77016,
  [SMALL_STATE(1507)] = 77103,
  [SMALL_STATE(1508)] = 77190,
  [SMALL_STATE(1509)] = 77277,
  [SMALL_STATE(1510)] = 77362,
  [SMALL_STATE(1511)] = 77439,
  [SMALL_STATE(1512)] = 77511,
  [SMALL_STATE(1513)] = 77577,
  [SMALL_STATE(1514)] = 77643,
  [SMALL_STATE(1515)] = 77704,
  [SMALL_STATE(1516)] = 77767,
  [SMALL_STATE(1517)] = 77832,
  [SMALL_STATE(1518)] = 77895,
  [SMALL_STATE(1519)] = 77960,
  [SMALL_STATE(1520)] = 78023,
  [SMALL_STATE(1521)] = 78088,
  [SMALL_STATE(1522)] = 78151,
  [SMALL_STATE(1523)] = 78216,
  [SMALL_STATE(1524)] = 78281,
  [SMALL_STATE(1525)] = 78344,
  [SMALL_STATE(1526)] = 78409,
  [SMALL_STATE(1527)] = 78472,
  [SMALL_STATE(1528)] = 78535,
  [SMALL_STATE(1529)] = 78600,
  [SMALL_STATE(1530)] = 78658,
  [SMALL_STATE(1531)] = 78716,
  [SMALL_STATE(1532)] = 78776,
  [SMALL_STATE(1533)] = 78834,
  [SMALL_STATE(1534)] = 78892,
  [SMALL_STATE(1535)] = 78950,
  [SMALL_STATE(1536)] = 79008,
  [SMALL_STATE(1537)] = 79066,
  [SMALL_STATE(1538)] = 79121,
  [SMALL_STATE(1539)] = 79188,
  [SMALL_STATE(1540)] = 79245,
  [SMALL_STATE(1541)] = 79304,
  [SMALL_STATE(1542)] = 79361,
  [SMALL_STATE(1543)] = 79415,
  [SMALL_STATE(1544)] = 79467,
  [SMALL_STATE(1545)] = 79519,
  [SMALL_STATE(1546)] = 79581,
  [SMALL_STATE(1547)] = 79633,
  [SMALL_STATE(1548)] = 79687,
  [SMALL_STATE(1549)] = 79739,
  [SMALL_STATE(1550)] = 79789,
  [SMALL_STATE(1551)] = 79845,
  [SMALL_STATE(1552)] = 79899,
  [SMALL_STATE(1553)] = 79961,
  [SMALL_STATE(1554)] = 79994,
  [SMALL_STATE(1555)] = 80041,
  [SMALL_STATE(1556)] = 80088,
  [SMALL_STATE(1557)] = 80135,
  [SMALL_STATE(1558)] = 80168,
  [SMALL_STATE(1559)] = 80215,
  [SMALL_STATE(1560)] = 80252,
  [SMALL_STATE(1561)] = 80299,
  [SMALL_STATE(1562)] = 80346,
  [SMALL_STATE(1563)] = 80393,
  [SMALL_STATE(1564)] = 80423,
  [SMALL_STATE(1565)] = 80453,
  [SMALL_STATE(1566)] = 80483,
  [SMALL_STATE(1567)] = 80513,
  [SMALL_STATE(1568)] = 80543,
  [SMALL_STATE(1569)] = 80573,
  [SMALL_STATE(1570)] = 80603,
  [SMALL_STATE(1571)] = 80633,
  [SMALL_STATE(1572)] = 80663,
  [SMALL_STATE(1573)] = 80693,
  [SMALL_STATE(1574)] = 80723,
  [SMALL_STATE(1575)] = 80753,
  [SMALL_STATE(1576)] = 80783,
  [SMALL_STATE(1577)] = 80813,
  [SMALL_STATE(1578)] = 80843,
  [SMALL_STATE(1579)] = 80873,
  [SMALL_STATE(1580)] = 80903,
  [SMALL_STATE(1581)] = 80933,
  [SMALL_STATE(1582)] = 80963,
  [SMALL_STATE(1583)] = 80993,
  [SMALL_STATE(1584)] = 81023,
  [SMALL_STATE(1585)] = 81053,
  [SMALL_STATE(1586)] = 81083,
  [SMALL_STATE(1587)] = 81113,
  [SMALL_STATE(1588)] = 81143,
  [SMALL_STATE(1589)] = 81173,
  [SMALL_STATE(1590)] = 81203,
  [SMALL_STATE(1591)] = 81233,
  [SMALL_STATE(1592)] = 81263,
  [SMALL_STATE(1593)] = 81293,
  [SMALL_STATE(1594)] = 81327,
  [SMALL_STATE(1595)] = 81357,
  [SMALL_STATE(1596)] = 81387,
  [SMALL_STATE(1597)] = 81417,
  [SMALL_STATE(1598)] = 81449,
  [SMALL_STATE(1599)] = 81479,
  [SMALL_STATE(1600)] = 81515,
  [SMALL_STATE(1601)] = 81545,
  [SMALL_STATE(1602)] = 81575,
  [SMALL_STATE(1603)] = 81605,
  [SMALL_STATE(1604)] = 81635,
  [SMALL_STATE(1605)] = 81665,
  [SMALL_STATE(1606)] = 81714,
  [SMALL_STATE(1607)] = 81765,
  [SMALL_STATE(1608)] = 81814,
  [SMALL_STATE(1609)] = 81863,
  [SMALL_STATE(1610)] = 81914,
  [SMALL_STATE(1611)] = 81947,
  [SMALL_STATE(1612)] = 81976,
  [SMALL_STATE(1613)] = 82021,
  [SMALL_STATE(1614)] = 82068,
  [SMALL_STATE(1615)] = 82115,
  [SMALL_STATE(1616)] = 82164,
  [SMALL_STATE(1617)] = 82206,
  [SMALL_STATE(1618)] = 82248,
  [SMALL_STATE(1619)] = 82276,
  [SMALL_STATE(1620)] = 82324,
  [SMALL_STATE(1621)] = 82366,
  [SMALL_STATE(1622)] = 82408,
  [SMALL_STATE(1623)] = 82450,
  [SMALL_STATE(1624)] = 82498,
  [SMALL_STATE(1625)] = 82540,
  [SMALL_STATE(1626)] = 82582,
  [SMALL_STATE(1627)] = 82624,
  [SMALL_STATE(1628)] = 82652,
  [SMALL_STATE(1629)] = 82700,
  [SMALL_STATE(1630)] = 82748,
  [SMALL_STATE(1631)] = 82796,
  [SMALL_STATE(1632)] = 82824,
  [SMALL_STATE(1633)] = 82866,
  [SMALL_STATE(1634)] = 82894,
  [SMALL_STATE(1635)] = 82936,
  [SMALL_STATE(1636)] = 82984,
  [SMALL_STATE(1637)] = 83012,
  [SMALL_STATE(1638)] = 83058,
  [SMALL_STATE(1639)] = 83100,
  [SMALL_STATE(1640)] = 83142,
  [SMALL_STATE(1641)] = 83184,
  [SMALL_STATE(1642)] = 83232,
  [SMALL_STATE(1643)] = 83274,
  [SMALL_STATE(1644)] = 83316,
  [SMALL_STATE(1645)] = 83358,
  [SMALL_STATE(1646)] = 83404,
  [SMALL_STATE(1647)] = 83446,
  [SMALL_STATE(1648)] = 83488,
  [SMALL_STATE(1649)] = 83530,
  [SMALL_STATE(1650)] = 83572,
  [SMALL_STATE(1651)] = 83614,
  [SMALL_STATE(1652)] = 83656,
  [SMALL_STATE(1653)] = 83684,
  [SMALL_STATE(1654)] = 83726,
  [SMALL_STATE(1655)] = 83768,
  [SMALL_STATE(1656)] = 83807,
  [SMALL_STATE(1657)] = 83834,
  [SMALL_STATE(1658)] = 83861,
  [SMALL_STATE(1659)] = 83900,
  [SMALL_STATE(1660)] = 83939,
  [SMALL_STATE(1661)] = 83966,
  [SMALL_STATE(1662)] = 84005,
  [SMALL_STATE(1663)] = 84044,
  [SMALL_STATE(1664)] = 84083,
  [SMALL_STATE(1665)] = 84110,
  [SMALL_STATE(1666)] = 84149,
  [SMALL_STATE(1667)] = 84176,
  [SMALL_STATE(1668)] = 84215,
  [SMALL_STATE(1669)] = 84254,
  [SMALL_STATE(1670)] = 84281,
  [SMALL_STATE(1671)] = 84308,
  [SMALL_STATE(1672)] = 84335,
  [SMALL_STATE(1673)] = 84374,
  [SMALL_STATE(1674)] = 84413,
  [SMALL_STATE(1675)] = 84452,
  [SMALL_STATE(1676)] = 84491,
  [SMALL_STATE(1677)] = 84518,
  [SMALL_STATE(1678)] = 84557,
  [SMALL_STATE(1679)] = 84596,
  [SMALL_STATE(1680)] = 84635,
  [SMALL_STATE(1681)] = 84662,
  [SMALL_STATE(1682)] = 84701,
  [SMALL_STATE(1683)] = 84740,
  [SMALL_STATE(1684)] = 84767,
  [SMALL_STATE(1685)] = 84808,
  [SMALL_STATE(1686)] = 84849,
  [SMALL_STATE(1687)] = 84890,
  [SMALL_STATE(1688)] = 84931,
  [SMALL_STATE(1689)] = 84972,
  [SMALL_STATE(1690)] = 85013,
  [SMALL_STATE(1691)] = 85054,
  [SMALL_STATE(1692)] = 85095,
  [SMALL_STATE(1693)] = 85136,
  [SMALL_STATE(1694)] = 85177,
  [SMALL_STATE(1695)] = 85218,
  [SMALL_STATE(1696)] = 85257,
  [SMALL_STATE(1697)] = 85298,
  [SMALL_STATE(1698)] = 85334,
  [SMALL_STATE(1699)] = 85373,
  [SMALL_STATE(1700)] = 85412,
  [SMALL_STATE(1701)] = 85451,
  [SMALL_STATE(1702)] = 85490,
  [SMALL_STATE(1703)] = 85526,
  [SMALL_STATE(1704)] = 85562,
  [SMALL_STATE(1705)] = 85598,
  [SMALL_STATE(1706)] = 85634,
  [SMALL_STATE(1707)] = 85670,
  [SMALL_STATE(1708)] = 85706,
  [SMALL_STATE(1709)] = 85742,
  [SMALL_STATE(1710)] = 85778,
  [SMALL_STATE(1711)] = 85811,
  [SMALL_STATE(1712)] = 85844,
  [SMALL_STATE(1713)] = 85877,
  [SMALL_STATE(1714)] = 85910,
  [SMALL_STATE(1715)] = 85943,
  [SMALL_STATE(1716)] = 85976,
  [SMALL_STATE(1717)] = 86009,
  [SMALL_STATE(1718)] = 86042,
  [SMALL_STATE(1719)] = 86073,
  [SMALL_STATE(1720)] = 86104,
  [SMALL_STATE(1721)] = 86137,
  [SMALL_STATE(1722)] = 86170,
  [SMALL_STATE(1723)] = 86199,
  [SMALL_STATE(1724)] = 86232,
  [SMALL_STATE(1725)] = 86265,
  [SMALL_STATE(1726)] = 86298,
  [SMALL_STATE(1727)] = 86331,
  [SMALL_STATE(1728)] = 86364,
  [SMALL_STATE(1729)] = 86397,
  [SMALL_STATE(1730)] = 86430,
  [SMALL_STATE(1731)] = 86463,
  [SMALL_STATE(1732)] = 86496,
  [SMALL_STATE(1733)] = 86529,
  [SMALL_STATE(1734)] = 86563,
  [SMALL_STATE(1735)] = 86597,
  [SMALL_STATE(1736)] = 86626,
  [SMALL_STATE(1737)] = 86645,
  [SMALL_STATE(1738)] = 86674,
  [SMALL_STATE(1739)] = 86703,
  [SMALL_STATE(1740)] = 86724,
  [SMALL_STATE(1741)] = 86753,
  [SMALL_STATE(1742)] = 86772,
  [SMALL_STATE(1743)] = 86795,
  [SMALL_STATE(1744)] = 86824,
  [SMALL_STATE(1745)] = 86845,
  [SMALL_STATE(1746)] = 86874,
  [SMALL_STATE(1747)] = 86903,
  [SMALL_STATE(1748)] = 86932,
  [SMALL_STATE(1749)] = 86951,
  [SMALL_STATE(1750)] = 86980,
  [SMALL_STATE(1751)] = 87011,
  [SMALL_STATE(1752)] = 87040,
  [SMALL_STATE(1753)] = 87071,
  [SMALL_STATE(1754)] = 87090,
  [SMALL_STATE(1755)] = 87109,
  [SMALL_STATE(1756)] = 87138,
  [SMALL_STATE(1757)] = 87167,
  [SMALL_STATE(1758)] = 87196,
  [SMALL_STATE(1759)] = 87225,
  [SMALL_STATE(1760)] = 87256,
  [SMALL_STATE(1761)] = 87275,
  [SMALL_STATE(1762)] = 87306,
  [SMALL_STATE(1763)] = 87331,
  [SMALL_STATE(1764)] = 87360,
  [SMALL_STATE(1765)] = 87389,
  [SMALL_STATE(1766)] = 87414,
  [SMALL_STATE(1767)] = 87443,
  [SMALL_STATE(1768)] = 87472,
  [SMALL_STATE(1769)] = 87501,
  [SMALL_STATE(1770)] = 87530,
  [SMALL_STATE(1771)] = 87556,
  [SMALL_STATE(1772)] = 87574,
  [SMALL_STATE(1773)] = 87592,
  [SMALL_STATE(1774)] = 87610,
  [SMALL_STATE(1775)] = 87630,
  [SMALL_STATE(1776)] = 87648,
  [SMALL_STATE(1777)] = 87666,
  [SMALL_STATE(1778)] = 87684,
  [SMALL_STATE(1779)] = 87710,
  [SMALL_STATE(1780)] = 87738,
  [SMALL_STATE(1781)] = 87764,
  [SMALL_STATE(1782)] = 87790,
  [SMALL_STATE(1783)] = 87814,
  [SMALL_STATE(1784)] = 87832,
  [SMALL_STATE(1785)] = 87850,
  [SMALL_STATE(1786)] = 87868,
  [SMALL_STATE(1787)] = 87886,
  [SMALL_STATE(1788)] = 87912,
  [SMALL_STATE(1789)] = 87932,
  [SMALL_STATE(1790)] = 87958,
  [SMALL_STATE(1791)] = 87976,
  [SMALL_STATE(1792)] = 87994,
  [SMALL_STATE(1793)] = 88020,
  [SMALL_STATE(1794)] = 88038,
  [SMALL_STATE(1795)] = 88056,
  [SMALL_STATE(1796)] = 88074,
  [SMALL_STATE(1797)] = 88092,
  [SMALL_STATE(1798)] = 88110,
  [SMALL_STATE(1799)] = 88136,
  [SMALL_STATE(1800)] = 88154,
  [SMALL_STATE(1801)] = 88172,
  [SMALL_STATE(1802)] = 88190,
  [SMALL_STATE(1803)] = 88208,
  [SMALL_STATE(1804)] = 88234,
  [SMALL_STATE(1805)] = 88260,
  [SMALL_STATE(1806)] = 88284,
  [SMALL_STATE(1807)] = 88302,
  [SMALL_STATE(1808)] = 88328,
  [SMALL_STATE(1809)] = 88354,
  [SMALL_STATE(1810)] = 88380,
  [SMALL_STATE(1811)] = 88398,
  [SMALL_STATE(1812)] = 88424,
  [SMALL_STATE(1813)] = 88450,
  [SMALL_STATE(1814)] = 88476,
  [SMALL_STATE(1815)] = 88502,
  [SMALL_STATE(1816)] = 88528,
  [SMALL_STATE(1817)] = 88554,
  [SMALL_STATE(1818)] = 88580,
  [SMALL_STATE(1819)] = 88606,
  [SMALL_STATE(1820)] = 88628,
  [SMALL_STATE(1821)] = 88654,
  [SMALL_STATE(1822)] = 88672,
  [SMALL_STATE(1823)] = 88690,
  [SMALL_STATE(1824)] = 88708,
  [SMALL_STATE(1825)] = 88726,
  [SMALL_STATE(1826)] = 88744,
  [SMALL_STATE(1827)] = 88762,
  [SMALL_STATE(1828)] = 88780,
  [SMALL_STATE(1829)] = 88798,
  [SMALL_STATE(1830)] = 88816,
  [SMALL_STATE(1831)] = 88844,
  [SMALL_STATE(1832)] = 88870,
  [SMALL_STATE(1833)] = 88896,
  [SMALL_STATE(1834)] = 88922,
  [SMALL_STATE(1835)] = 88940,
  [SMALL_STATE(1836)] = 88966,
  [SMALL_STATE(1837)] = 88990,
  [SMALL_STATE(1838)] = 89016,
  [SMALL_STATE(1839)] = 89042,
  [SMALL_STATE(1840)] = 89060,
  [SMALL_STATE(1841)] = 89079,
  [SMALL_STATE(1842)] = 89096,
  [SMALL_STATE(1843)] = 89113,
  [SMALL_STATE(1844)] = 89130,
  [SMALL_STATE(1845)] = 89147,
  [SMALL_STATE(1846)] = 89164,
  [SMALL_STATE(1847)] = 89181,
  [SMALL_STATE(1848)] = 89206,
  [SMALL_STATE(1849)] = 89227,
  [SMALL_STATE(1850)] = 89252,
  [SMALL_STATE(1851)] = 89269,
  [SMALL_STATE(1852)] = 89286,
  [SMALL_STATE(1853)] = 89303,
  [SMALL_STATE(1854)] = 89320,
  [SMALL_STATE(1855)] = 89345,
  [SMALL_STATE(1856)] = 89362,
  [SMALL_STATE(1857)] = 89383,
  [SMALL_STATE(1858)] = 89408,
  [SMALL_STATE(1859)] = 89433,
  [SMALL_STATE(1860)] = 89458,
  [SMALL_STATE(1861)] = 89483,
  [SMALL_STATE(1862)] = 89508,
  [SMALL_STATE(1863)] = 89533,
  [SMALL_STATE(1864)] = 89558,
  [SMALL_STATE(1865)] = 89577,
  [SMALL_STATE(1866)] = 89594,
  [SMALL_STATE(1867)] = 89619,
  [SMALL_STATE(1868)] = 89644,
  [SMALL_STATE(1869)] = 89665,
  [SMALL_STATE(1870)] = 89690,
  [SMALL_STATE(1871)] = 89715,
  [SMALL_STATE(1872)] = 89740,
  [SMALL_STATE(1873)] = 89765,
  [SMALL_STATE(1874)] = 89788,
  [SMALL_STATE(1875)] = 89805,
  [SMALL_STATE(1876)] = 89830,
  [SMALL_STATE(1877)] = 89855,
  [SMALL_STATE(1878)] = 89880,
  [SMALL_STATE(1879)] = 89905,
  [SMALL_STATE(1880)] = 89922,
  [SMALL_STATE(1881)] = 89947,
  [SMALL_STATE(1882)] = 89964,
  [SMALL_STATE(1883)] = 89989,
  [SMALL_STATE(1884)] = 90014,
  [SMALL_STATE(1885)] = 90039,
  [SMALL_STATE(1886)] = 90064,
  [SMALL_STATE(1887)] = 90089,
  [SMALL_STATE(1888)] = 90114,
  [SMALL_STATE(1889)] = 90139,
  [SMALL_STATE(1890)] = 90156,
  [SMALL_STATE(1891)] = 90173,
  [SMALL_STATE(1892)] = 90190,
  [SMALL_STATE(1893)] = 90215,
  [SMALL_STATE(1894)] = 90232,
  [SMALL_STATE(1895)] = 90253,
  [SMALL_STATE(1896)] = 90278,
  [SMALL_STATE(1897)] = 90297,
  [SMALL_STATE(1898)] = 90322,
  [SMALL_STATE(1899)] = 90347,
  [SMALL_STATE(1900)] = 90364,
  [SMALL_STATE(1901)] = 90389,
  [SMALL_STATE(1902)] = 90411,
  [SMALL_STATE(1903)] = 90433,
  [SMALL_STATE(1904)] = 90453,
  [SMALL_STATE(1905)] = 90475,
  [SMALL_STATE(1906)] = 90497,
  [SMALL_STATE(1907)] = 90519,
  [SMALL_STATE(1908)] = 90535,
  [SMALL_STATE(1909)] = 90557,
  [SMALL_STATE(1910)] = 90573,
  [SMALL_STATE(1911)] = 90595,
  [SMALL_STATE(1912)] = 90611,
  [SMALL_STATE(1913)] = 90633,
  [SMALL_STATE(1914)] = 90655,
  [SMALL_STATE(1915)] = 90673,
  [SMALL_STATE(1916)] = 90693,
  [SMALL_STATE(1917)] = 90709,
  [SMALL_STATE(1918)] = 90727,
  [SMALL_STATE(1919)] = 90747,
  [SMALL_STATE(1920)] = 90767,
  [SMALL_STATE(1921)] = 90789,
  [SMALL_STATE(1922)] = 90809,
  [SMALL_STATE(1923)] = 90829,
  [SMALL_STATE(1924)] = 90849,
  [SMALL_STATE(1925)] = 90869,
  [SMALL_STATE(1926)] = 90889,
  [SMALL_STATE(1927)] = 90909,
  [SMALL_STATE(1928)] = 90929,
  [SMALL_STATE(1929)] = 90951,
  [SMALL_STATE(1930)] = 90971,
  [SMALL_STATE(1931)] = 90991,
  [SMALL_STATE(1932)] = 91007,
  [SMALL_STATE(1933)] = 91029,
  [SMALL_STATE(1934)] = 91051,
  [SMALL_STATE(1935)] = 91073,
  [SMALL_STATE(1936)] = 91093,
  [SMALL_STATE(1937)] = 91113,
  [SMALL_STATE(1938)] = 91129,
  [SMALL_STATE(1939)] = 91151,
  [SMALL_STATE(1940)] = 91173,
  [SMALL_STATE(1941)] = 91193,
  [SMALL_STATE(1942)] = 91213,
  [SMALL_STATE(1943)] = 91235,
  [SMALL_STATE(1944)] = 91255,
  [SMALL_STATE(1945)] = 91275,
  [SMALL_STATE(1946)] = 91295,
  [SMALL_STATE(1947)] = 91315,
  [SMALL_STATE(1948)] = 91337,
  [SMALL_STATE(1949)] = 91357,
  [SMALL_STATE(1950)] = 91377,
  [SMALL_STATE(1951)] = 91399,
  [SMALL_STATE(1952)] = 91415,
  [SMALL_STATE(1953)] = 91437,
  [SMALL_STATE(1954)] = 91459,
  [SMALL_STATE(1955)] = 91479,
  [SMALL_STATE(1956)] = 91499,
  [SMALL_STATE(1957)] = 91521,
  [SMALL_STATE(1958)] = 91543,
  [SMALL_STATE(1959)] = 91563,
  [SMALL_STATE(1960)] = 91585,
  [SMALL_STATE(1961)] = 91607,
  [SMALL_STATE(1962)] = 91625,
  [SMALL_STATE(1963)] = 91645,
  [SMALL_STATE(1964)] = 91665,
  [SMALL_STATE(1965)] = 91685,
  [SMALL_STATE(1966)] = 91701,
  [SMALL_STATE(1967)] = 91721,
  [SMALL_STATE(1968)] = 91741,
  [SMALL_STATE(1969)] = 91761,
  [SMALL_STATE(1970)] = 91783,
  [SMALL_STATE(1971)] = 91799,
  [SMALL_STATE(1972)] = 91821,
  [SMALL_STATE(1973)] = 91843,
  [SMALL_STATE(1974)] = 91863,
  [SMALL_STATE(1975)] = 91883,
  [SMALL_STATE(1976)] = 91903,
  [SMALL_STATE(1977)] = 91921,
  [SMALL_STATE(1978)] = 91943,
  [SMALL_STATE(1979)] = 91965,
  [SMALL_STATE(1980)] = 91987,
  [SMALL_STATE(1981)] = 92007,
  [SMALL_STATE(1982)] = 92027,
  [SMALL_STATE(1983)] = 92049,
  [SMALL_STATE(1984)] = 92069,
  [SMALL_STATE(1985)] = 92089,
  [SMALL_STATE(1986)] = 92111,
  [SMALL_STATE(1987)] = 92131,
  [SMALL_STATE(1988)] = 92151,
  [SMALL_STATE(1989)] = 92171,
  [SMALL_STATE(1990)] = 92191,
  [SMALL_STATE(1991)] = 92213,
  [SMALL_STATE(1992)] = 92233,
  [SMALL_STATE(1993)] = 92251,
  [SMALL_STATE(1994)] = 92273,
  [SMALL_STATE(1995)] = 92295,
  [SMALL_STATE(1996)] = 92317,
  [SMALL_STATE(1997)] = 92339,
  [SMALL_STATE(1998)] = 92361,
  [SMALL_STATE(1999)] = 92383,
  [SMALL_STATE(2000)] = 92403,
  [SMALL_STATE(2001)] = 92425,
  [SMALL_STATE(2002)] = 92445,
  [SMALL_STATE(2003)] = 92465,
  [SMALL_STATE(2004)] = 92487,
  [SMALL_STATE(2005)] = 92503,
  [SMALL_STATE(2006)] = 92525,
  [SMALL_STATE(2007)] = 92545,
  [SMALL_STATE(2008)] = 92567,
  [SMALL_STATE(2009)] = 92587,
  [SMALL_STATE(2010)] = 92609,
  [SMALL_STATE(2011)] = 92631,
  [SMALL_STATE(2012)] = 92653,
  [SMALL_STATE(2013)] = 92673,
  [SMALL_STATE(2014)] = 92693,
  [SMALL_STATE(2015)] = 92715,
  [SMALL_STATE(2016)] = 92737,
  [SMALL_STATE(2017)] = 92759,
  [SMALL_STATE(2018)] = 92779,
  [SMALL_STATE(2019)] = 92799,
  [SMALL_STATE(2020)] = 92821,
  [SMALL_STATE(2021)] = 92843,
  [SMALL_STATE(2022)] = 92865,
  [SMALL_STATE(2023)] = 92887,
  [SMALL_STATE(2024)] = 92909,
  [SMALL_STATE(2025)] = 92929,
  [SMALL_STATE(2026)] = 92949,
  [SMALL_STATE(2027)] = 92971,
  [SMALL_STATE(2028)] = 92987,
  [SMALL_STATE(2029)] = 93005,
  [SMALL_STATE(2030)] = 93025,
  [SMALL_STATE(2031)] = 93045,
  [SMALL_STATE(2032)] = 93063,
  [SMALL_STATE(2033)] = 93085,
  [SMALL_STATE(2034)] = 93107,
  [SMALL_STATE(2035)] = 93129,
  [SMALL_STATE(2036)] = 93151,
  [SMALL_STATE(2037)] = 93173,
  [SMALL_STATE(2038)] = 93195,
  [SMALL_STATE(2039)] = 93217,
  [SMALL_STATE(2040)] = 93239,
  [SMALL_STATE(2041)] = 93261,
  [SMALL_STATE(2042)] = 93283,
  [SMALL_STATE(2043)] = 93305,
  [SMALL_STATE(2044)] = 93327,
  [SMALL_STATE(2045)] = 93345,
  [SMALL_STATE(2046)] = 93362,
  [SMALL_STATE(2047)] = 93381,
  [SMALL_STATE(2048)] = 93400,
  [SMALL_STATE(2049)] = 93415,
  [SMALL_STATE(2050)] = 93434,
  [SMALL_STATE(2051)] = 93449,
  [SMALL_STATE(2052)] = 93464,
  [SMALL_STATE(2053)] = 93483,
  [SMALL_STATE(2054)] = 93500,
  [SMALL_STATE(2055)] = 93515,
  [SMALL_STATE(2056)] = 93534,
  [SMALL_STATE(2057)] = 93553,
  [SMALL_STATE(2058)] = 93568,
  [SMALL_STATE(2059)] = 93585,
  [SMALL_STATE(2060)] = 93604,
  [SMALL_STATE(2061)] = 93619,
  [SMALL_STATE(2062)] = 93638,
  [SMALL_STATE(2063)] = 93653,
  [SMALL_STATE(2064)] = 93668,
  [SMALL_STATE(2065)] = 93683,
  [SMALL_STATE(2066)] = 93702,
  [SMALL_STATE(2067)] = 93721,
  [SMALL_STATE(2068)] = 93740,
  [SMALL_STATE(2069)] = 93759,
  [SMALL_STATE(2070)] = 93778,
  [SMALL_STATE(2071)] = 93797,
  [SMALL_STATE(2072)] = 93812,
  [SMALL_STATE(2073)] = 93831,
  [SMALL_STATE(2074)] = 93850,
  [SMALL_STATE(2075)] = 93867,
  [SMALL_STATE(2076)] = 93882,
  [SMALL_STATE(2077)] = 93899,
  [SMALL_STATE(2078)] = 93916,
  [SMALL_STATE(2079)] = 93933,
  [SMALL_STATE(2080)] = 93952,
  [SMALL_STATE(2081)] = 93969,
  [SMALL_STATE(2082)] = 93984,
  [SMALL_STATE(2083)] = 94003,
  [SMALL_STATE(2084)] = 94018,
  [SMALL_STATE(2085)] = 94033,
  [SMALL_STATE(2086)] = 94050,
  [SMALL_STATE(2087)] = 94069,
  [SMALL_STATE(2088)] = 94088,
  [SMALL_STATE(2089)] = 94107,
  [SMALL_STATE(2090)] = 94126,
  [SMALL_STATE(2091)] = 94145,
  [SMALL_STATE(2092)] = 94160,
  [SMALL_STATE(2093)] = 94177,
  [SMALL_STATE(2094)] = 94196,
  [SMALL_STATE(2095)] = 94215,
  [SMALL_STATE(2096)] = 94230,
  [SMALL_STATE(2097)] = 94249,
  [SMALL_STATE(2098)] = 94268,
  [SMALL_STATE(2099)] = 94287,
  [SMALL_STATE(2100)] = 94306,
  [SMALL_STATE(2101)] = 94325,
  [SMALL_STATE(2102)] = 94344,
  [SMALL_STATE(2103)] = 94363,
  [SMALL_STATE(2104)] = 94382,
  [SMALL_STATE(2105)] = 94401,
  [SMALL_STATE(2106)] = 94418,
  [SMALL_STATE(2107)] = 94437,
  [SMALL_STATE(2108)] = 94454,
  [SMALL_STATE(2109)] = 94471,
  [SMALL_STATE(2110)] = 94490,
  [SMALL_STATE(2111)] = 94509,
  [SMALL_STATE(2112)] = 94528,
  [SMALL_STATE(2113)] = 94545,
  [SMALL_STATE(2114)] = 94564,
  [SMALL_STATE(2115)] = 94583,
  [SMALL_STATE(2116)] = 94600,
  [SMALL_STATE(2117)] = 94619,
  [SMALL_STATE(2118)] = 94638,
  [SMALL_STATE(2119)] = 94657,
  [SMALL_STATE(2120)] = 94674,
  [SMALL_STATE(2121)] = 94689,
  [SMALL_STATE(2122)] = 94708,
  [SMALL_STATE(2123)] = 94727,
  [SMALL_STATE(2124)] = 94746,
  [SMALL_STATE(2125)] = 94765,
  [SMALL_STATE(2126)] = 94784,
  [SMALL_STATE(2127)] = 94803,
  [SMALL_STATE(2128)] = 94820,
  [SMALL_STATE(2129)] = 94839,
  [SMALL_STATE(2130)] = 94858,
  [SMALL_STATE(2131)] = 94877,
  [SMALL_STATE(2132)] = 94896,
  [SMALL_STATE(2133)] = 94915,
  [SMALL_STATE(2134)] = 94934,
  [SMALL_STATE(2135)] = 94953,
  [SMALL_STATE(2136)] = 94972,
  [SMALL_STATE(2137)] = 94991,
  [SMALL_STATE(2138)] = 95010,
  [SMALL_STATE(2139)] = 95027,
  [SMALL_STATE(2140)] = 95044,
  [SMALL_STATE(2141)] = 95061,
  [SMALL_STATE(2142)] = 95078,
  [SMALL_STATE(2143)] = 95097,
  [SMALL_STATE(2144)] = 95116,
  [SMALL_STATE(2145)] = 95133,
  [SMALL_STATE(2146)] = 95152,
  [SMALL_STATE(2147)] = 95171,
  [SMALL_STATE(2148)] = 95190,
  [SMALL_STATE(2149)] = 95209,
  [SMALL_STATE(2150)] = 95224,
  [SMALL_STATE(2151)] = 95243,
  [SMALL_STATE(2152)] = 95262,
  [SMALL_STATE(2153)] = 95277,
  [SMALL_STATE(2154)] = 95296,
  [SMALL_STATE(2155)] = 95315,
  [SMALL_STATE(2156)] = 95334,
  [SMALL_STATE(2157)] = 95353,
  [SMALL_STATE(2158)] = 95372,
  [SMALL_STATE(2159)] = 95391,
  [SMALL_STATE(2160)] = 95410,
  [SMALL_STATE(2161)] = 95429,
  [SMALL_STATE(2162)] = 95444,
  [SMALL_STATE(2163)] = 95461,
  [SMALL_STATE(2164)] = 95480,
  [SMALL_STATE(2165)] = 95499,
  [SMALL_STATE(2166)] = 95514,
  [SMALL_STATE(2167)] = 95533,
  [SMALL_STATE(2168)] = 95550,
  [SMALL_STATE(2169)] = 95569,
  [SMALL_STATE(2170)] = 95588,
  [SMALL_STATE(2171)] = 95607,
  [SMALL_STATE(2172)] = 95626,
  [SMALL_STATE(2173)] = 95645,
  [SMALL_STATE(2174)] = 95664,
  [SMALL_STATE(2175)] = 95683,
  [SMALL_STATE(2176)] = 95700,
  [SMALL_STATE(2177)] = 95719,
  [SMALL_STATE(2178)] = 95738,
  [SMALL_STATE(2179)] = 95755,
  [SMALL_STATE(2180)] = 95774,
  [SMALL_STATE(2181)] = 95791,
  [SMALL_STATE(2182)] = 95810,
  [SMALL_STATE(2183)] = 95827,
  [SMALL_STATE(2184)] = 95846,
  [SMALL_STATE(2185)] = 95865,
  [SMALL_STATE(2186)] = 95884,
  [SMALL_STATE(2187)] = 95903,
  [SMALL_STATE(2188)] = 95922,
  [SMALL_STATE(2189)] = 95941,
  [SMALL_STATE(2190)] = 95960,
  [SMALL_STATE(2191)] = 95979,
  [SMALL_STATE(2192)] = 95998,
  [SMALL_STATE(2193)] = 96017,
  [SMALL_STATE(2194)] = 96036,
  [SMALL_STATE(2195)] = 96055,
  [SMALL_STATE(2196)] = 96074,
  [SMALL_STATE(2197)] = 96093,
  [SMALL_STATE(2198)] = 96112,
  [SMALL_STATE(2199)] = 96131,
  [SMALL_STATE(2200)] = 96148,
  [SMALL_STATE(2201)] = 96164,
  [SMALL_STATE(2202)] = 96178,
  [SMALL_STATE(2203)] = 96194,
  [SMALL_STATE(2204)] = 96208,
  [SMALL_STATE(2205)] = 96222,
  [SMALL_STATE(2206)] = 96236,
  [SMALL_STATE(2207)] = 96252,
  [SMALL_STATE(2208)] = 96266,
  [SMALL_STATE(2209)] = 96282,
  [SMALL_STATE(2210)] = 96296,
  [SMALL_STATE(2211)] = 96310,
  [SMALL_STATE(2212)] = 96326,
  [SMALL_STATE(2213)] = 96342,
  [SMALL_STATE(2214)] = 96356,
  [SMALL_STATE(2215)] = 96370,
  [SMALL_STATE(2216)] = 96384,
  [SMALL_STATE(2217)] = 96398,
  [SMALL_STATE(2218)] = 96412,
  [SMALL_STATE(2219)] = 96428,
  [SMALL_STATE(2220)] = 96442,
  [SMALL_STATE(2221)] = 96456,
  [SMALL_STATE(2222)] = 96472,
  [SMALL_STATE(2223)] = 96486,
  [SMALL_STATE(2224)] = 96500,
  [SMALL_STATE(2225)] = 96514,
  [SMALL_STATE(2226)] = 96528,
  [SMALL_STATE(2227)] = 96542,
  [SMALL_STATE(2228)] = 96556,
  [SMALL_STATE(2229)] = 96570,
  [SMALL_STATE(2230)] = 96584,
  [SMALL_STATE(2231)] = 96598,
  [SMALL_STATE(2232)] = 96612,
  [SMALL_STATE(2233)] = 96626,
  [SMALL_STATE(2234)] = 96642,
  [SMALL_STATE(2235)] = 96656,
  [SMALL_STATE(2236)] = 96670,
  [SMALL_STATE(2237)] = 96684,
  [SMALL_STATE(2238)] = 96698,
  [SMALL_STATE(2239)] = 96712,
  [SMALL_STATE(2240)] = 96726,
  [SMALL_STATE(2241)] = 96742,
  [SMALL_STATE(2242)] = 96758,
  [SMALL_STATE(2243)] = 96772,
  [SMALL_STATE(2244)] = 96788,
  [SMALL_STATE(2245)] = 96802,
  [SMALL_STATE(2246)] = 96816,
  [SMALL_STATE(2247)] = 96830,
  [SMALL_STATE(2248)] = 96844,
  [SMALL_STATE(2249)] = 96858,
  [SMALL_STATE(2250)] = 96872,
  [SMALL_STATE(2251)] = 96886,
  [SMALL_STATE(2252)] = 96900,
  [SMALL_STATE(2253)] = 96914,
  [SMALL_STATE(2254)] = 96928,
  [SMALL_STATE(2255)] = 96942,
  [SMALL_STATE(2256)] = 96958,
  [SMALL_STATE(2257)] = 96974,
  [SMALL_STATE(2258)] = 96988,
  [SMALL_STATE(2259)] = 97002,
  [SMALL_STATE(2260)] = 97018,
  [SMALL_STATE(2261)] = 97034,
  [SMALL_STATE(2262)] = 97048,
  [SMALL_STATE(2263)] = 97064,
  [SMALL_STATE(2264)] = 97080,
  [SMALL_STATE(2265)] = 97096,
  [SMALL_STATE(2266)] = 97112,
  [SMALL_STATE(2267)] = 97128,
  [SMALL_STATE(2268)] = 97144,
  [SMALL_STATE(2269)] = 97158,
  [SMALL_STATE(2270)] = 97174,
  [SMALL_STATE(2271)] = 97188,
  [SMALL_STATE(2272)] = 97202,
  [SMALL_STATE(2273)] = 97218,
  [SMALL_STATE(2274)] = 97234,
  [SMALL_STATE(2275)] = 97250,
  [SMALL_STATE(2276)] = 97264,
  [SMALL_STATE(2277)] = 97278,
  [SMALL_STATE(2278)] = 97294,
  [SMALL_STATE(2279)] = 97310,
  [SMALL_STATE(2280)] = 97324,
  [SMALL_STATE(2281)] = 97340,
  [SMALL_STATE(2282)] = 97354,
  [SMALL_STATE(2283)] = 97370,
  [SMALL_STATE(2284)] = 97384,
  [SMALL_STATE(2285)] = 97398,
  [SMALL_STATE(2286)] = 97412,
  [SMALL_STATE(2287)] = 97428,
  [SMALL_STATE(2288)] = 97444,
  [SMALL_STATE(2289)] = 97458,
  [SMALL_STATE(2290)] = 97472,
  [SMALL_STATE(2291)] = 97486,
  [SMALL_STATE(2292)] = 97500,
  [SMALL_STATE(2293)] = 97516,
  [SMALL_STATE(2294)] = 97532,
  [SMALL_STATE(2295)] = 97548,
  [SMALL_STATE(2296)] = 97564,
  [SMALL_STATE(2297)] = 97580,
  [SMALL_STATE(2298)] = 97596,
  [SMALL_STATE(2299)] = 97612,
  [SMALL_STATE(2300)] = 97626,
  [SMALL_STATE(2301)] = 97642,
  [SMALL_STATE(2302)] = 97658,
  [SMALL_STATE(2303)] = 97674,
  [SMALL_STATE(2304)] = 97690,
  [SMALL_STATE(2305)] = 97704,
  [SMALL_STATE(2306)] = 97720,
  [SMALL_STATE(2307)] = 97736,
  [SMALL_STATE(2308)] = 97752,
  [SMALL_STATE(2309)] = 97768,
  [SMALL_STATE(2310)] = 97784,
  [SMALL_STATE(2311)] = 97800,
  [SMALL_STATE(2312)] = 97816,
  [SMALL_STATE(2313)] = 97830,
  [SMALL_STATE(2314)] = 97844,
  [SMALL_STATE(2315)] = 97858,
  [SMALL_STATE(2316)] = 97872,
  [SMALL_STATE(2317)] = 97888,
  [SMALL_STATE(2318)] = 97904,
  [SMALL_STATE(2319)] = 97920,
  [SMALL_STATE(2320)] = 97934,
  [SMALL_STATE(2321)] = 97948,
  [SMALL_STATE(2322)] = 97964,
  [SMALL_STATE(2323)] = 97980,
  [SMALL_STATE(2324)] = 97994,
  [SMALL_STATE(2325)] = 98010,
  [SMALL_STATE(2326)] = 98024,
  [SMALL_STATE(2327)] = 98038,
  [SMALL_STATE(2328)] = 98052,
  [SMALL_STATE(2329)] = 98066,
  [SMALL_STATE(2330)] = 98082,
  [SMALL_STATE(2331)] = 98098,
  [SMALL_STATE(2332)] = 98114,
  [SMALL_STATE(2333)] = 98130,
  [SMALL_STATE(2334)] = 98146,
  [SMALL_STATE(2335)] = 98160,
  [SMALL_STATE(2336)] = 98174,
  [SMALL_STATE(2337)] = 98190,
  [SMALL_STATE(2338)] = 98206,
  [SMALL_STATE(2339)] = 98222,
  [SMALL_STATE(2340)] = 98238,
  [SMALL_STATE(2341)] = 98254,
  [SMALL_STATE(2342)] = 98268,
  [SMALL_STATE(2343)] = 98282,
  [SMALL_STATE(2344)] = 98296,
  [SMALL_STATE(2345)] = 98310,
  [SMALL_STATE(2346)] = 98324,
  [SMALL_STATE(2347)] = 98338,
  [SMALL_STATE(2348)] = 98352,
  [SMALL_STATE(2349)] = 98368,
  [SMALL_STATE(2350)] = 98384,
  [SMALL_STATE(2351)] = 98398,
  [SMALL_STATE(2352)] = 98414,
  [SMALL_STATE(2353)] = 98428,
  [SMALL_STATE(2354)] = 98442,
  [SMALL_STATE(2355)] = 98456,
  [SMALL_STATE(2356)] = 98470,
  [SMALL_STATE(2357)] = 98484,
  [SMALL_STATE(2358)] = 98500,
  [SMALL_STATE(2359)] = 98514,
  [SMALL_STATE(2360)] = 98528,
  [SMALL_STATE(2361)] = 98544,
  [SMALL_STATE(2362)] = 98560,
  [SMALL_STATE(2363)] = 98576,
  [SMALL_STATE(2364)] = 98590,
  [SMALL_STATE(2365)] = 98604,
  [SMALL_STATE(2366)] = 98620,
  [SMALL_STATE(2367)] = 98636,
  [SMALL_STATE(2368)] = 98650,
  [SMALL_STATE(2369)] = 98666,
  [SMALL_STATE(2370)] = 98682,
  [SMALL_STATE(2371)] = 98698,
  [SMALL_STATE(2372)] = 98714,
  [SMALL_STATE(2373)] = 98730,
  [SMALL_STATE(2374)] = 98744,
  [SMALL_STATE(2375)] = 98758,
  [SMALL_STATE(2376)] = 98772,
  [SMALL_STATE(2377)] = 98786,
  [SMALL_STATE(2378)] = 98800,
  [SMALL_STATE(2379)] = 98816,
  [SMALL_STATE(2380)] = 98832,
  [SMALL_STATE(2381)] = 98848,
  [SMALL_STATE(2382)] = 98864,
  [SMALL_STATE(2383)] = 98880,
  [SMALL_STATE(2384)] = 98896,
  [SMALL_STATE(2385)] = 98910,
  [SMALL_STATE(2386)] = 98926,
  [SMALL_STATE(2387)] = 98940,
  [SMALL_STATE(2388)] = 98954,
  [SMALL_STATE(2389)] = 98970,
  [SMALL_STATE(2390)] = 98986,
  [SMALL_STATE(2391)] = 99002,
  [SMALL_STATE(2392)] = 99016,
  [SMALL_STATE(2393)] = 99032,
  [SMALL_STATE(2394)] = 99048,
  [SMALL_STATE(2395)] = 99064,
  [SMALL_STATE(2396)] = 99078,
  [SMALL_STATE(2397)] = 99092,
  [SMALL_STATE(2398)] = 99108,
  [SMALL_STATE(2399)] = 99124,
  [SMALL_STATE(2400)] = 99140,
  [SMALL_STATE(2401)] = 99156,
  [SMALL_STATE(2402)] = 99172,
  [SMALL_STATE(2403)] = 99188,
  [SMALL_STATE(2404)] = 99204,
  [SMALL_STATE(2405)] = 99220,
  [SMALL_STATE(2406)] = 99236,
  [SMALL_STATE(2407)] = 99252,
  [SMALL_STATE(2408)] = 99266,
  [SMALL_STATE(2409)] = 99282,
  [SMALL_STATE(2410)] = 99298,
  [SMALL_STATE(2411)] = 99314,
  [SMALL_STATE(2412)] = 99328,
  [SMALL_STATE(2413)] = 99342,
  [SMALL_STATE(2414)] = 99356,
  [SMALL_STATE(2415)] = 99370,
  [SMALL_STATE(2416)] = 99386,
  [SMALL_STATE(2417)] = 99400,
  [SMALL_STATE(2418)] = 99416,
  [SMALL_STATE(2419)] = 99432,
  [SMALL_STATE(2420)] = 99448,
  [SMALL_STATE(2421)] = 99464,
  [SMALL_STATE(2422)] = 99478,
  [SMALL_STATE(2423)] = 99494,
  [SMALL_STATE(2424)] = 99510,
  [SMALL_STATE(2425)] = 99524,
  [SMALL_STATE(2426)] = 99538,
  [SMALL_STATE(2427)] = 99552,
  [SMALL_STATE(2428)] = 99568,
  [SMALL_STATE(2429)] = 99584,
  [SMALL_STATE(2430)] = 99600,
  [SMALL_STATE(2431)] = 99616,
  [SMALL_STATE(2432)] = 99630,
  [SMALL_STATE(2433)] = 99644,
  [SMALL_STATE(2434)] = 99658,
  [SMALL_STATE(2435)] = 99672,
  [SMALL_STATE(2436)] = 99686,
  [SMALL_STATE(2437)] = 99700,
  [SMALL_STATE(2438)] = 99714,
  [SMALL_STATE(2439)] = 99730,
  [SMALL_STATE(2440)] = 99744,
  [SMALL_STATE(2441)] = 99758,
  [SMALL_STATE(2442)] = 99774,
  [SMALL_STATE(2443)] = 99788,
  [SMALL_STATE(2444)] = 99804,
  [SMALL_STATE(2445)] = 99820,
  [SMALL_STATE(2446)] = 99836,
  [SMALL_STATE(2447)] = 99852,
  [SMALL_STATE(2448)] = 99866,
  [SMALL_STATE(2449)] = 99882,
  [SMALL_STATE(2450)] = 99898,
  [SMALL_STATE(2451)] = 99914,
  [SMALL_STATE(2452)] = 99930,
  [SMALL_STATE(2453)] = 99946,
  [SMALL_STATE(2454)] = 99960,
  [SMALL_STATE(2455)] = 99976,
  [SMALL_STATE(2456)] = 99992,
  [SMALL_STATE(2457)] = 100008,
  [SMALL_STATE(2458)] = 100022,
  [SMALL_STATE(2459)] = 100038,
  [SMALL_STATE(2460)] = 100054,
  [SMALL_STATE(2461)] = 100068,
  [SMALL_STATE(2462)] = 100084,
  [SMALL_STATE(2463)] = 100100,
  [SMALL_STATE(2464)] = 100114,
  [SMALL_STATE(2465)] = 100130,
  [SMALL_STATE(2466)] = 100146,
  [SMALL_STATE(2467)] = 100162,
  [SMALL_STATE(2468)] = 100178,
  [SMALL_STATE(2469)] = 100194,
  [SMALL_STATE(2470)] = 100210,
  [SMALL_STATE(2471)] = 100226,
  [SMALL_STATE(2472)] = 100242,
  [SMALL_STATE(2473)] = 100256,
  [SMALL_STATE(2474)] = 100272,
  [SMALL_STATE(2475)] = 100288,
  [SMALL_STATE(2476)] = 100304,
  [SMALL_STATE(2477)] = 100320,
  [SMALL_STATE(2478)] = 100336,
  [SMALL_STATE(2479)] = 100352,
  [SMALL_STATE(2480)] = 100368,
  [SMALL_STATE(2481)] = 100384,
  [SMALL_STATE(2482)] = 100400,
  [SMALL_STATE(2483)] = 100416,
  [SMALL_STATE(2484)] = 100432,
  [SMALL_STATE(2485)] = 100446,
  [SMALL_STATE(2486)] = 100460,
  [SMALL_STATE(2487)] = 100476,
  [SMALL_STATE(2488)] = 100490,
  [SMALL_STATE(2489)] = 100504,
  [SMALL_STATE(2490)] = 100520,
  [SMALL_STATE(2491)] = 100536,
  [SMALL_STATE(2492)] = 100552,
  [SMALL_STATE(2493)] = 100566,
  [SMALL_STATE(2494)] = 100580,
  [SMALL_STATE(2495)] = 100596,
  [SMALL_STATE(2496)] = 100612,
  [SMALL_STATE(2497)] = 100628,
  [SMALL_STATE(2498)] = 100644,
  [SMALL_STATE(2499)] = 100658,
  [SMALL_STATE(2500)] = 100672,
  [SMALL_STATE(2501)] = 100688,
  [SMALL_STATE(2502)] = 100704,
  [SMALL_STATE(2503)] = 100718,
  [SMALL_STATE(2504)] = 100732,
  [SMALL_STATE(2505)] = 100748,
  [SMALL_STATE(2506)] = 100762,
  [SMALL_STATE(2507)] = 100776,
  [SMALL_STATE(2508)] = 100792,
  [SMALL_STATE(2509)] = 100808,
  [SMALL_STATE(2510)] = 100824,
  [SMALL_STATE(2511)] = 100838,
  [SMALL_STATE(2512)] = 100852,
  [SMALL_STATE(2513)] = 100866,
  [SMALL_STATE(2514)] = 100880,
  [SMALL_STATE(2515)] = 100896,
  [SMALL_STATE(2516)] = 100912,
  [SMALL_STATE(2517)] = 100926,
  [SMALL_STATE(2518)] = 100942,
  [SMALL_STATE(2519)] = 100958,
  [SMALL_STATE(2520)] = 100974,
  [SMALL_STATE(2521)] = 100990,
  [SMALL_STATE(2522)] = 101006,
  [SMALL_STATE(2523)] = 101020,
  [SMALL_STATE(2524)] = 101036,
  [SMALL_STATE(2525)] = 101052,
  [SMALL_STATE(2526)] = 101068,
  [SMALL_STATE(2527)] = 101082,
  [SMALL_STATE(2528)] = 101098,
  [SMALL_STATE(2529)] = 101114,
  [SMALL_STATE(2530)] = 101130,
  [SMALL_STATE(2531)] = 101146,
  [SMALL_STATE(2532)] = 101162,
  [SMALL_STATE(2533)] = 101178,
  [SMALL_STATE(2534)] = 101194,
  [SMALL_STATE(2535)] = 101210,
  [SMALL_STATE(2536)] = 101226,
  [SMALL_STATE(2537)] = 101242,
  [SMALL_STATE(2538)] = 101258,
  [SMALL_STATE(2539)] = 101272,
  [SMALL_STATE(2540)] = 101286,
  [SMALL_STATE(2541)] = 101302,
  [SMALL_STATE(2542)] = 101318,
  [SMALL_STATE(2543)] = 101334,
  [SMALL_STATE(2544)] = 101350,
  [SMALL_STATE(2545)] = 101366,
  [SMALL_STATE(2546)] = 101382,
  [SMALL_STATE(2547)] = 101398,
  [SMALL_STATE(2548)] = 101414,
  [SMALL_STATE(2549)] = 101430,
  [SMALL_STATE(2550)] = 101446,
  [SMALL_STATE(2551)] = 101462,
  [SMALL_STATE(2552)] = 101478,
  [SMALL_STATE(2553)] = 101494,
  [SMALL_STATE(2554)] = 101510,
  [SMALL_STATE(2555)] = 101526,
  [SMALL_STATE(2556)] = 101542,
  [SMALL_STATE(2557)] = 101558,
  [SMALL_STATE(2558)] = 101574,
  [SMALL_STATE(2559)] = 101590,
  [SMALL_STATE(2560)] = 101606,
  [SMALL_STATE(2561)] = 101622,
  [SMALL_STATE(2562)] = 101638,
  [SMALL_STATE(2563)] = 101654,
  [SMALL_STATE(2564)] = 101670,
  [SMALL_STATE(2565)] = 101686,
  [SMALL_STATE(2566)] = 101702,
  [SMALL_STATE(2567)] = 101718,
  [SMALL_STATE(2568)] = 101734,
  [SMALL_STATE(2569)] = 101750,
  [SMALL_STATE(2570)] = 101766,
  [SMALL_STATE(2571)] = 101782,
  [SMALL_STATE(2572)] = 101798,
  [SMALL_STATE(2573)] = 101814,
  [SMALL_STATE(2574)] = 101830,
  [SMALL_STATE(2575)] = 101846,
  [SMALL_STATE(2576)] = 101862,
  [SMALL_STATE(2577)] = 101878,
  [SMALL_STATE(2578)] = 101894,
  [SMALL_STATE(2579)] = 101910,
  [SMALL_STATE(2580)] = 101926,
  [SMALL_STATE(2581)] = 101942,
  [SMALL_STATE(2582)] = 101958,
  [SMALL_STATE(2583)] = 101974,
  [SMALL_STATE(2584)] = 101990,
  [SMALL_STATE(2585)] = 102006,
  [SMALL_STATE(2586)] = 102022,
  [SMALL_STATE(2587)] = 102038,
  [SMALL_STATE(2588)] = 102054,
  [SMALL_STATE(2589)] = 102070,
  [SMALL_STATE(2590)] = 102086,
  [SMALL_STATE(2591)] = 102102,
  [SMALL_STATE(2592)] = 102118,
  [SMALL_STATE(2593)] = 102134,
  [SMALL_STATE(2594)] = 102150,
  [SMALL_STATE(2595)] = 102166,
  [SMALL_STATE(2596)] = 102182,
  [SMALL_STATE(2597)] = 102198,
  [SMALL_STATE(2598)] = 102214,
  [SMALL_STATE(2599)] = 102230,
  [SMALL_STATE(2600)] = 102246,
  [SMALL_STATE(2601)] = 102262,
  [SMALL_STATE(2602)] = 102278,
  [SMALL_STATE(2603)] = 102294,
  [SMALL_STATE(2604)] = 102310,
  [SMALL_STATE(2605)] = 102326,
  [SMALL_STATE(2606)] = 102342,
  [SMALL_STATE(2607)] = 102358,
  [SMALL_STATE(2608)] = 102374,
  [SMALL_STATE(2609)] = 102390,
  [SMALL_STATE(2610)] = 102406,
  [SMALL_STATE(2611)] = 102422,
  [SMALL_STATE(2612)] = 102438,
  [SMALL_STATE(2613)] = 102454,
  [SMALL_STATE(2614)] = 102470,
  [SMALL_STATE(2615)] = 102486,
  [SMALL_STATE(2616)] = 102502,
  [SMALL_STATE(2617)] = 102518,
  [SMALL_STATE(2618)] = 102534,
  [SMALL_STATE(2619)] = 102550,
  [SMALL_STATE(2620)] = 102566,
  [SMALL_STATE(2621)] = 102582,
  [SMALL_STATE(2622)] = 102598,
  [SMALL_STATE(2623)] = 102614,
  [SMALL_STATE(2624)] = 102630,
  [SMALL_STATE(2625)] = 102646,
  [SMALL_STATE(2626)] = 102662,
  [SMALL_STATE(2627)] = 102678,
  [SMALL_STATE(2628)] = 102694,
  [SMALL_STATE(2629)] = 102710,
  [SMALL_STATE(2630)] = 102724,
  [SMALL_STATE(2631)] = 102738,
  [SMALL_STATE(2632)] = 102754,
  [SMALL_STATE(2633)] = 102770,
  [SMALL_STATE(2634)] = 102786,
  [SMALL_STATE(2635)] = 102802,
  [SMALL_STATE(2636)] = 102818,
  [SMALL_STATE(2637)] = 102832,
  [SMALL_STATE(2638)] = 102846,
  [SMALL_STATE(2639)] = 102862,
  [SMALL_STATE(2640)] = 102878,
  [SMALL_STATE(2641)] = 102894,
  [SMALL_STATE(2642)] = 102910,
  [SMALL_STATE(2643)] = 102926,
  [SMALL_STATE(2644)] = 102940,
  [SMALL_STATE(2645)] = 102954,
  [SMALL_STATE(2646)] = 102970,
  [SMALL_STATE(2647)] = 102986,
  [SMALL_STATE(2648)] = 103000,
  [SMALL_STATE(2649)] = 103016,
  [SMALL_STATE(2650)] = 103032,
  [SMALL_STATE(2651)] = 103048,
  [SMALL_STATE(2652)] = 103064,
  [SMALL_STATE(2653)] = 103080,
  [SMALL_STATE(2654)] = 103096,
  [SMALL_STATE(2655)] = 103110,
  [SMALL_STATE(2656)] = 103126,
  [SMALL_STATE(2657)] = 103140,
  [SMALL_STATE(2658)] = 103156,
  [SMALL_STATE(2659)] = 103170,
  [SMALL_STATE(2660)] = 103186,
  [SMALL_STATE(2661)] = 103202,
  [SMALL_STATE(2662)] = 103218,
  [SMALL_STATE(2663)] = 103234,
  [SMALL_STATE(2664)] = 103250,
  [SMALL_STATE(2665)] = 103266,
  [SMALL_STATE(2666)] = 103282,
  [SMALL_STATE(2667)] = 103298,
  [SMALL_STATE(2668)] = 103314,
  [SMALL_STATE(2669)] = 103328,
  [SMALL_STATE(2670)] = 103344,
  [SMALL_STATE(2671)] = 103360,
  [SMALL_STATE(2672)] = 103376,
  [SMALL_STATE(2673)] = 103392,
  [SMALL_STATE(2674)] = 103408,
  [SMALL_STATE(2675)] = 103424,
  [SMALL_STATE(2676)] = 103440,
  [SMALL_STATE(2677)] = 103454,
  [SMALL_STATE(2678)] = 103470,
  [SMALL_STATE(2679)] = 103486,
  [SMALL_STATE(2680)] = 103500,
  [SMALL_STATE(2681)] = 103516,
  [SMALL_STATE(2682)] = 103532,
  [SMALL_STATE(2683)] = 103548,
  [SMALL_STATE(2684)] = 103562,
  [SMALL_STATE(2685)] = 103576,
  [SMALL_STATE(2686)] = 103590,
  [SMALL_STATE(2687)] = 103606,
  [SMALL_STATE(2688)] = 103622,
  [SMALL_STATE(2689)] = 103638,
  [SMALL_STATE(2690)] = 103652,
  [SMALL_STATE(2691)] = 103668,
  [SMALL_STATE(2692)] = 103682,
  [SMALL_STATE(2693)] = 103698,
  [SMALL_STATE(2694)] = 103714,
  [SMALL_STATE(2695)] = 103728,
  [SMALL_STATE(2696)] = 103742,
  [SMALL_STATE(2697)] = 103756,
  [SMALL_STATE(2698)] = 103772,
  [SMALL_STATE(2699)] = 103788,
  [SMALL_STATE(2700)] = 103804,
  [SMALL_STATE(2701)] = 103818,
  [SMALL_STATE(2702)] = 103832,
  [SMALL_STATE(2703)] = 103848,
  [SMALL_STATE(2704)] = 103864,
  [SMALL_STATE(2705)] = 103878,
  [SMALL_STATE(2706)] = 103894,
  [SMALL_STATE(2707)] = 103910,
  [SMALL_STATE(2708)] = 103924,
  [SMALL_STATE(2709)] = 103940,
  [SMALL_STATE(2710)] = 103954,
  [SMALL_STATE(2711)] = 103970,
  [SMALL_STATE(2712)] = 103986,
  [SMALL_STATE(2713)] = 104000,
  [SMALL_STATE(2714)] = 104014,
  [SMALL_STATE(2715)] = 104028,
  [SMALL_STATE(2716)] = 104042,
  [SMALL_STATE(2717)] = 104058,
  [SMALL_STATE(2718)] = 104072,
  [SMALL_STATE(2719)] = 104086,
  [SMALL_STATE(2720)] = 104100,
  [SMALL_STATE(2721)] = 104114,
  [SMALL_STATE(2722)] = 104130,
  [SMALL_STATE(2723)] = 104144,
  [SMALL_STATE(2724)] = 104160,
  [SMALL_STATE(2725)] = 104174,
  [SMALL_STATE(2726)] = 104188,
  [SMALL_STATE(2727)] = 104202,
  [SMALL_STATE(2728)] = 104218,
  [SMALL_STATE(2729)] = 104232,
  [SMALL_STATE(2730)] = 104246,
  [SMALL_STATE(2731)] = 104262,
  [SMALL_STATE(2732)] = 104276,
  [SMALL_STATE(2733)] = 104292,
  [SMALL_STATE(2734)] = 104306,
  [SMALL_STATE(2735)] = 104322,
  [SMALL_STATE(2736)] = 104338,
  [SMALL_STATE(2737)] = 104354,
  [SMALL_STATE(2738)] = 104370,
  [SMALL_STATE(2739)] = 104386,
  [SMALL_STATE(2740)] = 104402,
  [SMALL_STATE(2741)] = 104415,
  [SMALL_STATE(2742)] = 104428,
  [SMALL_STATE(2743)] = 104441,
  [SMALL_STATE(2744)] = 104454,
  [SMALL_STATE(2745)] = 104467,
  [SMALL_STATE(2746)] = 104480,
  [SMALL_STATE(2747)] = 104493,
  [SMALL_STATE(2748)] = 104506,
  [SMALL_STATE(2749)] = 104519,
  [SMALL_STATE(2750)] = 104532,
  [SMALL_STATE(2751)] = 104545,
  [SMALL_STATE(2752)] = 104558,
  [SMALL_STATE(2753)] = 104571,
  [SMALL_STATE(2754)] = 104584,
  [SMALL_STATE(2755)] = 104597,
  [SMALL_STATE(2756)] = 104610,
  [SMALL_STATE(2757)] = 104623,
  [SMALL_STATE(2758)] = 104636,
  [SMALL_STATE(2759)] = 104649,
  [SMALL_STATE(2760)] = 104662,
  [SMALL_STATE(2761)] = 104675,
  [SMALL_STATE(2762)] = 104688,
  [SMALL_STATE(2763)] = 104701,
  [SMALL_STATE(2764)] = 104714,
  [SMALL_STATE(2765)] = 104727,
  [SMALL_STATE(2766)] = 104740,
  [SMALL_STATE(2767)] = 104753,
  [SMALL_STATE(2768)] = 104766,
  [SMALL_STATE(2769)] = 104779,
  [SMALL_STATE(2770)] = 104792,
  [SMALL_STATE(2771)] = 104805,
  [SMALL_STATE(2772)] = 104818,
  [SMALL_STATE(2773)] = 104831,
  [SMALL_STATE(2774)] = 104844,
  [SMALL_STATE(2775)] = 104857,
  [SMALL_STATE(2776)] = 104870,
  [SMALL_STATE(2777)] = 104883,
  [SMALL_STATE(2778)] = 104896,
  [SMALL_STATE(2779)] = 104909,
  [SMALL_STATE(2780)] = 104922,
  [SMALL_STATE(2781)] = 104935,
  [SMALL_STATE(2782)] = 104948,
  [SMALL_STATE(2783)] = 104961,
  [SMALL_STATE(2784)] = 104974,
  [SMALL_STATE(2785)] = 104987,
  [SMALL_STATE(2786)] = 105000,
  [SMALL_STATE(2787)] = 105013,
  [SMALL_STATE(2788)] = 105026,
  [SMALL_STATE(2789)] = 105039,
  [SMALL_STATE(2790)] = 105052,
  [SMALL_STATE(2791)] = 105065,
  [SMALL_STATE(2792)] = 105078,
  [SMALL_STATE(2793)] = 105091,
  [SMALL_STATE(2794)] = 105104,
  [SMALL_STATE(2795)] = 105117,
  [SMALL_STATE(2796)] = 105130,
  [SMALL_STATE(2797)] = 105143,
  [SMALL_STATE(2798)] = 105156,
  [SMALL_STATE(2799)] = 105169,
  [SMALL_STATE(2800)] = 105182,
  [SMALL_STATE(2801)] = 105195,
  [SMALL_STATE(2802)] = 105208,
  [SMALL_STATE(2803)] = 105221,
  [SMALL_STATE(2804)] = 105234,
  [SMALL_STATE(2805)] = 105247,
  [SMALL_STATE(2806)] = 105260,
  [SMALL_STATE(2807)] = 105273,
  [SMALL_STATE(2808)] = 105286,
  [SMALL_STATE(2809)] = 105299,
  [SMALL_STATE(2810)] = 105312,
  [SMALL_STATE(2811)] = 105325,
  [SMALL_STATE(2812)] = 105338,
  [SMALL_STATE(2813)] = 105351,
  [SMALL_STATE(2814)] = 105364,
  [SMALL_STATE(2815)] = 105377,
  [SMALL_STATE(2816)] = 105390,
  [SMALL_STATE(2817)] = 105403,
  [SMALL_STATE(2818)] = 105416,
  [SMALL_STATE(2819)] = 105429,
  [SMALL_STATE(2820)] = 105442,
  [SMALL_STATE(2821)] = 105455,
  [SMALL_STATE(2822)] = 105468,
  [SMALL_STATE(2823)] = 105481,
  [SMALL_STATE(2824)] = 105494,
  [SMALL_STATE(2825)] = 105507,
  [SMALL_STATE(2826)] = 105520,
  [SMALL_STATE(2827)] = 105533,
  [SMALL_STATE(2828)] = 105546,
  [SMALL_STATE(2829)] = 105559,
  [SMALL_STATE(2830)] = 105572,
  [SMALL_STATE(2831)] = 105585,
  [SMALL_STATE(2832)] = 105598,
  [SMALL_STATE(2833)] = 105611,
  [SMALL_STATE(2834)] = 105624,
  [SMALL_STATE(2835)] = 105637,
  [SMALL_STATE(2836)] = 105650,
  [SMALL_STATE(2837)] = 105663,
  [SMALL_STATE(2838)] = 105676,
  [SMALL_STATE(2839)] = 105689,
  [SMALL_STATE(2840)] = 105702,
  [SMALL_STATE(2841)] = 105715,
  [SMALL_STATE(2842)] = 105728,
  [SMALL_STATE(2843)] = 105741,
  [SMALL_STATE(2844)] = 105754,
  [SMALL_STATE(2845)] = 105767,
  [SMALL_STATE(2846)] = 105780,
  [SMALL_STATE(2847)] = 105793,
  [SMALL_STATE(2848)] = 105806,
  [SMALL_STATE(2849)] = 105819,
  [SMALL_STATE(2850)] = 105832,
  [SMALL_STATE(2851)] = 105845,
  [SMALL_STATE(2852)] = 105858,
  [SMALL_STATE(2853)] = 105871,
  [SMALL_STATE(2854)] = 105884,
  [SMALL_STATE(2855)] = 105897,
  [SMALL_STATE(2856)] = 105910,
  [SMALL_STATE(2857)] = 105923,
  [SMALL_STATE(2858)] = 105936,
  [SMALL_STATE(2859)] = 105949,
  [SMALL_STATE(2860)] = 105962,
  [SMALL_STATE(2861)] = 105975,
  [SMALL_STATE(2862)] = 105988,
  [SMALL_STATE(2863)] = 106001,
  [SMALL_STATE(2864)] = 106014,
  [SMALL_STATE(2865)] = 106027,
  [SMALL_STATE(2866)] = 106040,
  [SMALL_STATE(2867)] = 106053,
  [SMALL_STATE(2868)] = 106066,
  [SMALL_STATE(2869)] = 106079,
  [SMALL_STATE(2870)] = 106092,
  [SMALL_STATE(2871)] = 106105,
  [SMALL_STATE(2872)] = 106118,
  [SMALL_STATE(2873)] = 106131,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 37),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1055),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1693),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2317),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(499),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1769),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2609),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2634),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(318),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2321),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2322),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2325),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(878),
  [283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1903),
  [298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1922),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1876),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(244),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2850),
  [319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(330),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2769),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1056),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1032),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(435),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1763),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2692),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2697),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2518),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2255),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2132),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(274),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1892),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1034),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 36),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 36),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(72),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1665),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1274] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(221),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(72),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(303),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(221),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(256),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(337),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(418),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [1824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(156),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 105),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(364),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(257),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(348),
  [1882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [1946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 39),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 39),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 40),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 40),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 41),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 48),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 48),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 43),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 9),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 9),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 38),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 38),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 41),
  [2283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41), REDUCE(sym_assignment_expression, 3, 0, 41),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(388),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 41),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [2379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [2499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(329),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [2708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(2027),
  [2711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1672),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [2716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1588),
  [2719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(402),
  [2722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(2701),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1962),
  [2728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1963),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1546),
  [2734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1951),
  [2737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(2158),
  [2740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1531),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1637),
  [2746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1555),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 4),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 34),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(2061),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34), SHIFT_REPEAT(1583),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(2158),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1, 0, 0),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [3032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1900),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1742),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(223),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [3143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 31),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 35),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [3208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(284),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1, 0, 0),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2751),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [3243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [3296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [3310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [3329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(2093),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(364),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [3441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(348),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [3509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [3512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(2138),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [3517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(2138),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1768),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [3708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [3717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [3719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(2085),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [3754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(421),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1514),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1, 0, 0),
  [3833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [3843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [3846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 1, 0, 0),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 1, 0, 0),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [3911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [3914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [3934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 1, 0, 0),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 1, 0, 0),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1779),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1830),
  [3980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [4062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 104),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [4208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1, 0, 0),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [4324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1, 0, 0),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [4330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [4462] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
